/*
 * $Id: //depot/prod/newport_news/main/modules/jndmp/src/main/java/com/netapp/ndmp/NdmpProtocolException.java#1 $
 *
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */

package com.netapp.ndmp;

import com.netapp.ndmp.rpcgen.ndmp_data_halt_reason;

public class NdmpDataHaltedException extends NdmpException {

    private final int reasonCode;

    public NdmpDataHaltedException(int reasonCode) {
        super("Received unexpected data halted message, reason = " + getReasonString(reasonCode));
        this.reasonCode = reasonCode;
    }

    public int getReasonCode() {
        return reasonCode;
    }

    public static String getReasonString(int reasonCode) {
        if (reasonCode == ndmp_data_halt_reason.NDMP_DATA_HALT_SUCCESSFUL) {
            return "NDMP_DATA_HALT_SUCCESSFUL";
        } else if (reasonCode == ndmp_data_halt_reason.NDMP_DATA_HALT_CONNECT_ERROR) {
            return "NDMP_DATA_HALT_CONNECT_ERROR";
        } else if (reasonCode == ndmp_data_halt_reason.NDMP_DATA_HALT_ABORTED) {
            return "NDMP_DATA_HALT_ABORTED";
        } else if (reasonCode == ndmp_data_halt_reason.NDMP_DATA_HALT_INTERNAL_ERROR) {
            return "NDMP_DATA_HALT_INTERNAL_ERROR";
        } else {
            return Integer.toString(reasonCode);
        }
    }
}
