package com.netapp.offtap.ndmpcopy.debuglog;


public interface NdmpDebugLog {

	/**
	 * Cause an explicit flush of the log file.
	 */
	public	void flush () ;

	/**
	 * Cleanup and close the logfile
	 */
	public	void cleanup () ;

	/**
	 * Prints out a line to the debug log.  This defaults the level of 
	 * line to 0 (which means it always gets printed).
	 */
	public	void println (String s) ;

	/**
	 * The more commonly used interface to print to the debug log.  
	 *
	 * @param level If the level is lower than the verbose level, then print
	 *         out the line, otherwise, ignore it
	 * @param s The string to be printed out
	 */
	public void println (int level, String s) ;

	/**
	 * Prints out the information in the Exception or Error.  This interface
	 * defaults the level to 0 (which means it always gets printed).
	 *
	 * @param e The throwable object to be printed
	 * @param s A string prefix which gets printed before the throwable 
	 *         object's internal message is printed out.
	 */
	public	void println (Throwable e, String s) ;

	/**
	 * Prints out the information in the Exception or Error.  The level 
	 * indicates the importance of this message.
	 *
	 * @param level If the level is lower than the verbose level, then print
	 *         out the line, otherwise, ignore it
	 * @param e The throwable object to be printed
	 * @param s A string prefix which gets printed before the throwable 
	 *         object's internal message is printed out.
	 */
	public	void println (int level, Throwable e, String s) ;
}
