
package com.netapp.offtap.ndmpcopy.messagereader;

import com.netapp.offtap.ndmpcopy.messages.NdmpMessage;
import com.netapp.offtap.ndmpcopy.util.NdmpTimeOutException;

//import netapp.cmds.ndmpc.messagereader.*;


/**
 * Interface for Writing to a Queue.
 */
public interface	NdmpMessageQueueIn { 
	
	/**
	 * Puts in an object into the queue and doesn't block
	 * <p>
	 * @param data The data element to put into the queue
	 * @return Whether the put operation succeeded
	 */
	public boolean putNoSleep (QueueNode qNode);

	/**
	 * Puts an object into the queue.  If the queue is already at full 
	 * capacity, then the thread blocks until there is room in the queue.
	 * <p>
	 * @param data The QueueNode data to insert into the queue.
	 */
	public void put (QueueNode  data) throws NdmpTimeOutException ;
	
	/**
	 * Puts an object into the queue.  If the queue is already at full 
	 * capacity, then the thread blocks until there is room in the queue.
	 * <p>
	 * @param data The NdmpMessage data to insert into the queue.
	 * @param filer The filer index, srcFiler or dstFiler 
	 */
	public void put (NdmpMessage data, int filer) throws NdmpTimeOutException ;
}
