
package com.netapp.offtap.ndmpcopy.messagereader;

import com.netapp.offtap.ndmpcopy.messages.NdmpMessage;
import com.netapp.offtap.ndmpcopy.util.NdmpTimeOutException;

//import netapp.cmds.ndmpc.messagereader.*;

/**
 * The interface for reading from the Queue.
 */
public interface	NdmpMessageQueueOut { 
	
	/**
	 * Gets the next object from the message queue and doesn't block
	 * <p>
	 * @return Returns the next object in the queue.
	 */
	public QueueNode getNoSleep ();

	/**
	 * Gets the next object from the message queue and doesn't block
	 * <p>
	 * @param filer Filer Index, source/destination
	 * @return Returns the next object in the queue.
	 */
	public NdmpMessage getNoSleep (int filer);
	
	/**
	 * Gets an object from the queue and blocks the thread if queue is empty.
	 * The thread is woken up when an object has been placed into the queue.
	 * <p>
	 * @return The next object in the queue.
	 */
	public QueueNode get () throws NdmpTimeOutException;
	
	/**
	 * Gets an object from the queue and blocks the thread if queue is empty.
	 * The thread is woken up when an object has been placed into the queue.
	 * <p>
	 * @return The next object in the queue.
	 */
	public NdmpMessage get (int filer) throws NdmpTimeOutException;
}
