
package com.netapp.offtap.ndmpcopy.messages;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.*;

/**
 * This public class forms the base class from which all other NdmpdMessage
 * public classes extend.  The only variables in this class deal with the
 * header of the message.  The subpublic classes will contain methods to
 * extract the message body and executing it.
 */
public class NdmpMessageDataReply extends NdmpMessageData {

	public	int errorcode;	

	/**
	 *  A Specialization for reply. 
	 */
	public NdmpMessageDataReply () {
	}

	public NdmpMessageDataReply (int errorcode) {
		this.errorcode = errorcode;
	}

	public void read (NdmpInput input) throws IOException {
		errorcode = input.getLong();	
	}


	/**
	 *  Writes out the NdmpdMessage body to the output stream.
	 *  Synchronization on the output stream is assumed to be handled
	 *  by the caller of the function.
	 */
	public void write (NdmpOutput output) throws IOException {
		output.putLong (errorcode);	
	}

	/**
	 * Printing the body is used for debugging purposes.
	 * <p>
	 * @param debugLog The log to write to
	 */
	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Error code: " + errorcode);
	}

	public void println (OutputStream os) throws IOException {
	}

	public boolean isError () { return (NdmpCons.NDMP_NO_ERR == errorcode); }

	public boolean isError (int errorcode) {
		return (this.errorcode == errorcode);
	}	
	
	public String msgBodyError () { return NdmpCons.msgError (errorcode); }
}
