package com.netapp.offtap.ndmpcopy.messages.config;

//import netapp.cmds.ndmpc.*;
import java.io.IOException;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.NdmpMessageData;
import com.netapp.offtap.ndmpcopy.streams.NdmpInput;
import com.netapp.offtap.ndmpcopy.streams.NdmpOutput;


/**
 * Retrieves information about the requested authentication type.  The message
 * is generally used for MD5 authentication, since this is the way in which we
 * construct and send back the challenge.
 */
public class NdmpMessageConfigGetAuthAttrRequest extends NdmpMessageData {

	private int authtype;

	/**
	 * Basic constructor
	 *
	 * @param auth  The auth type to use, 'none', 'text' or 'MD5'.s
	 */
	public NdmpMessageConfigGetAuthAttrRequest (int auth) {
		authtype = auth;
	}

	public NdmpMessageConfigGetAuthAttrRequest () {
	}

	public void read (NdmpInput input) throws IOException {
		authtype = input.getLong();
	}

	public void write (NdmpOutput output) throws IOException {
		output.putLong (authtype);
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Authtype " + authtype);
	}
}
