package com.netapp.offtap.ndmpcopy.messages.config;

//import netapp.cmds.ndmpc.*;
import java.io.IOException;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.NdmpMessageDataReply;
import com.netapp.offtap.ndmpcopy.streams.NdmpInput;
import com.netapp.offtap.ndmpcopy.streams.NdmpOutput;


/**
 * Retrieves information about the types of data connections this server
 * will support.  For now, they are only LOCAL and TCP.  This information
 * is located in the <code>NdmpCons</code> object.
 */
public class NdmpMessageConfigGetConnectionTypeRReply 
										extends NdmpMessageDataReply {

	public int[] addrtypes;

	/**
	 * Basic constructor
	 *
	 */
	public NdmpMessageConfigGetConnectionTypeRReply () {
		addrtypes = null;
	}

	public void read (NdmpInput input) throws IOException {
		super.read (input);
		
		addrtypes = new int[input.getLong()];
		for (int i = 0; i < addrtypes.length; i++) 
			addrtypes[i] = input.getLong();
	}

	public void write (NdmpOutput output) throws IOException {
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "A total of " + addrtypes.length +
			" types of addresses supported.");
			
		String addrString =  "";
		
		for (int i = 0; i < addrtypes.length; i++)
			addrString += (addrtypes[i] + ", ");

		debugLog.println (50, addrString);
		super.writeLog (debugLog);
	}
}
