package com.netapp.offtap.ndmpcopy.messages.config;

//import netapp.cmds.ndmpc.*;
import java.io.IOException;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.NdmpMessageDataReply;
import com.netapp.offtap.ndmpcopy.streams.NdmpInput;
import com.netapp.offtap.ndmpcopy.streams.NdmpOutput;


/**
 * Retrieves the host information and sends it back to the client.
 * Only V3 uses this message
 */
public class NdmpMessageConfigGetHostInfoRReply extends NdmpMessageDataReply {
	public	String	hostname;
	public	String	ostype;
	public	String	osvers;
	public	String	hostid;
	
	/**
	 * Basic constructor
	 */
	public NdmpMessageConfigGetHostInfoRReply () {
	}

	public void read (NdmpInput input) throws IOException {
		super.read (input);

		hostname	= input.getString();
		ostype		= input.getString();
		osvers		= input.getString();
		hostid		= input.getString();
	}

	public void write (NdmpOutput output) throws IOException {
		super.write (output);
		
		// Only needed for Server.
	}
	public void writeLog (NdmpDebugLog debugLog) {
		String debugstring = "HostName : " + hostname + "\r\n" +
			"\t OS-Type : " + ostype + "\t" + "OS-Version : " + osvers + 
			"\r\n" + "\t HostID : " + hostid;
		
		debugLog.println (50, debugstring);
		super.writeLog (debugLog);
	}
}
