package com.netapp.offtap.ndmpcopy.messages.connect;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.util.*;


public class NdmpAuthData {
	public int	authtype;	// Type of authentication

	public String	auth_id;
	public String	auth_passwd;
	public byte[]	auth_digest;

	public NdmpAuthData () {
	}

	public NdmpAuthData (String  autht, String auth_id, String auth_passwd) 
			throws NdmpInvalidAuthException {
		if (null == auth_id || null == auth_passwd || null == autht)
			throw new NdmpInvalidAuthException ("Null data passed to " +
				"NdmpAuthData " + autht + ", " + auth_id + 
				": " + auth_passwd);
				
		if (0 == autht.compareTo ("text"))
			this.authtype = NdmpCons.NDMP_AUTH_TEXT;
		else if (0 == autht.compareTo ("md5"))
			this.authtype = NdmpCons.NDMP_AUTH_MD5;
		else
			throw new NdmpInvalidAuthException (
					"Unknown auth type specified " + autht);
					
		this.auth_passwd = auth_passwd;
		this.auth_id = auth_id;
		this.auth_digest = null;
	}

	public NdmpAuthData (String autht, String auth_id, String auth_passwd,
			byte[] auth_digest) throws NdmpInvalidAuthException {
		if (null == auth_id || null == auth_passwd || null == autht)
			throw new NdmpInvalidAuthException ("Null data passwd to " +
		               "NdmpAuthData " + autht + ", " + auth_id +
		               ": " + auth_passwd);

		if (0 == autht.compareTo ("text"))
			this.authtype = NdmpCons.NDMP_AUTH_TEXT;
		else if (0 == autht.compareTo ("md5"))
			this.authtype = NdmpCons.NDMP_AUTH_MD5;
       else
			throw new NdmpInvalidAuthException (
                   "Unknown auth type specified " + autht);

		this.auth_passwd = auth_passwd;
		this.auth_id = auth_id;
		this.auth_digest = null;

		if (null == auth_digest)
			throw new NdmpInvalidAuthException ("Null auth digest");
		
		this.auth_digest = auth_digest;
	}	
		
}
