package com.netapp.offtap.ndmpcopy.messages.connect;

import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.*;
import com.netapp.offtap.ndmpcopy.debuglog.*;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;

/**
 * Handles the Connect open sequences and involves changing the 
 * the version which the session handles.
 */
public class NdmpMessageConnectOpenRequest  extends NdmpMessageData {

	protected short requestversion;


	public NdmpMessageConnectOpenRequest () {
		requestversion = -1;
	}

	public NdmpMessageConnectOpenRequest (short requestversion) {
		this.requestversion = requestversion;
	}

	public void write (NdmpOutput output) throws IOException {
		output.putShort(requestversion);
	}

	public void read (NdmpInput input) throws IOException {
		requestversion = input.getShort();
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Request Version: " + requestversion);

	}
}
