package com.netapp.offtap.ndmpcopy.messages.data;

import java.util.*;
import java.net.*;
import java.io.*;

/**
 * An open file information structure used to pass information about
 * files to restore to the dumplet.
 * <p>
 * The structure is modeled after the nlist structure in the
 * NDMP_DATA_START_RECOVER message of NDMPv3.0
 * <p>
 * v1.0 and v2.0 only use originalFilename and destinationPath for
 * determining the source and destination of the file.  
 */
public class NdmpFileInfo {
	public String originalFilename;
	public String destinationPath;
	public String newFilename;
	public String otherFilename;
	
	public long node;
	public long fhInfo;
}
