package com.netapp.offtap.ndmpcopy.messages.data;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Tells the data server to connect to a local/remote server and set up the
 * data pipe.  This message is used in V3 to move the data server into the
 * connected state.
 */
public class NdmpMessageDataConnectRequest extends NdmpMessageData {

	protected	int		dataConnectionType;
	private 	int		tcpIpAddr;

	private 	short	tcpPort;


	public NdmpMessageDataConnectRequest () {
		dataConnectionType	= -1;
		tcpIpAddr			= 0;
		tcpPort				= 0;
	}
	
	public NdmpMessageDataConnectRequest (int dataConnectionType,
									int ipAddr, short port) {
		this.dataConnectionType	= dataConnectionType;
		this.tcpIpAddr			= ipAddr;
		this.tcpPort			= port;
	}

	public void write (NdmpOutput output) throws IOException {
		output.putLong(dataConnectionType);
		switch (dataConnectionType) {
			case NdmpCons.NDMP_ADDR_TCP:
				output.putLong(tcpIpAddr);
				output.putShort(tcpPort);
				break;
		}
	}

	public void read (NdmpInput input) throws IOException {
		//dummy func
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Data Connection Type Req: " + 
			dataConnectionType);
		debugLog.println (50, "Data Connection Req Tcp-ip Addr: " + tcpIpAddr +
			"\t Tcp-Port: "+ tcpPort + "\r\n");
	}
}
