package com.netapp.offtap.ndmpcopy.messages.data;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Retrieves the environment variables that were passed into the backup or
 * restore.
 */
public class NdmpMessageDataGetEnvRReply extends NdmpMessageDataReply {

	protected Properties env;

	/**
	 * Basic constructor
	 */
	public NdmpMessageDataGetEnvRReply () {
	}

	public void read (NdmpInput input) throws IOException {
		super.read (input);
		env = new Properties ();
		
		int numprop = input.getLong();
		for (int i = 0; i < numprop; i++) 
			env.put(input.getString(), input.getString());
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Env Vars: " + (
					(null == env)?"":env.toString()));
		super.writeLog (debugLog);
	}

	public Object getValue (Object key) {
		if (null == env)
			return null;
		return env.get (key);
	}
}
