package com.netapp.offtap.ndmpcopy.messages.data;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Puts the data server into the listen state and prepares it for being
 * connected to by the another data/mover server.  This is one of the
 * new messages in V3.
 */
public class NdmpMessageDataListenRequest extends NdmpMessageData {

	private int dataConnectionType;

	public NdmpMessageDataListenRequest () {
	}
	
	public NdmpMessageDataListenRequest (int dataConnectionType) {
		this.dataConnectionType = dataConnectionType;
	}

	public void write (NdmpOutput output) throws IOException {
		output.putLong (dataConnectionType);
	}

	public void read (NdmpInput input) throws IOException {
		dataConnectionType = input.getLong();
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Data Listen with Connection type: " + 
			dataConnectionType);
	}
}
