package com.netapp.offtap.ndmpcopy.messages.data;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Starts up a backup in the V3 session. 
 */
public class NdmpMessageDataStartBackupRequest extends NdmpMessageData {

	private String 		butype;
	private Properties	pval;

	public NdmpMessageDataStartBackupRequest () {
	}


	public NdmpMessageDataStartBackupRequest (String btype, 
										Properties environ) {
		this.butype	= btype;
		this.pval	= environ;
	}

	public void read (NdmpInput input) {
		//for server
	}

	public void write (NdmpOutput output) throws IOException {
		Enumeration elist = pval.propertyNames();
		String key;

		output.putString(butype);
		output.putLong(pval.size());
		for (int i = 0; i < pval.size (); i++) {
			key = (String) elist.nextElement();
			output.putString(key);
			output.putString(pval.getProperty(key));
		}
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Start Backup Req for Butype: " + butype);
		debugLog.println (50, "Start Backup Env Vars: " + pval.toString());
	}
}
