package com.netapp.offtap.ndmpcopy.messages.data;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Starts up the restore process for the V3 session.
 */
public class NdmpMessageDataStartRecoverRequest 
						extends NdmpMessageData {
	private Properties	env;
	
	private NdmpFileInfo[]	nlist;

	private String		bu_type;



	public NdmpMessageDataStartRecoverRequest () {
	}

	public NdmpMessageDataStartRecoverRequest (Properties env, 
							NdmpFileInfo[] nlist, String bu_type) {
		this.bu_type	= bu_type;
		this.env		= env;
		this.nlist		= nlist;
	}

	public void write (NdmpOutput output) throws IOException {
		String key;

		
		if (null == env)
			output.putLong (0);
		else {
			Enumeration elist = env.keys();
			
			output.putLong(env.size());
			for (int i = 0; i < env.size(); i++) {
				key = (String) elist.nextElement();
				output.putString(key);
				output.putString(env.getProperty(key));
			}
		}
		if (null == nlist)
			output.putLong(0);
		else {
			output.putLong(nlist.length);
			for (int i = 0; i < nlist.length; i++) {
				output.putString(nlist[i].originalFilename);
				output.putString(nlist[i].destinationPath);
				output.putString(nlist[i].newFilename);
				output.putString(nlist[i].otherFilename);
				output.putLong(NdmpCons.getHighByte(nlist[i].node));
				output.putLong(NdmpCons.getLowByte(nlist[i].node));
				output.putLong(NdmpCons.getHighByte(nlist[i].fhInfo));
				output.putLong(NdmpCons.getLowByte(nlist[i].fhInfo));
			}
		}
		output.putString(bu_type);
	}

	public void read (NdmpInput input) throws IOException {
		// For server
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Recover start Req with Butype " + bu_type);

		String debugstring = "Recover start Req with Env: " + env.toString() +
								"\r\n";
		for (int i = 0; (null != nlist) && (i < nlist.length); i++) {
			debugstring += "\t Ndmp_name ["+i+"] : " + "Original Path : " +
						nlist[i].originalFilename + "\r\n" +
			"\t Destination path : " + nlist[i].destinationPath + "\r\n" +
			"\t New Name : " + nlist[i].newFilename + "\t Other Name : " +
				nlist[i].otherFilename + "\r\n" +
			"\t Node : " + nlist[i].node + "\t fh_info : " + nlist[i].fhInfo +
			"\r\n";
		}
		debugLog.println (50, debugstring);
	}
}
