package com.netapp.offtap.ndmpcopy.messages.log;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Log the file name of the file recovered.  Used by V3 and later.
 */
public class NdmpMessageLogFilesRReply extends NdmpMessageDataReply {

	public String name;

	/**
	 * Basic constructor
	 *
	 * @param out The control connection output stream
	 * @param n The string name of the file
	 * @param e The error associated with the restore
	 */
	public NdmpMessageLogFilesRReply () {
	}

	// Another const'r is needed for server code.

	public void read (NdmpInput input) throws IOException {
		name = input.getString();
		super.read (input);
	}

	// write for server.
	
	public void write (NdmpOutput output) throws IOException {
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "File Name: " + name + "\t Error code: " +
			errorcode);
	}

}
