package com.netapp.offtap.ndmpcopy.messages.log;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Sends a log message back to the client.  Used by V3 and later.
 */
public class NdmpMessageLogMessageRReply extends NdmpMessageData {

	public int	logType;
	public int 	messageId;

	public String entry;

	/**
	 * Basic constructor
	 */
	public NdmpMessageLogMessageRReply () {
	}

	// Another const'r for server needed.

	public void read (NdmpInput input) throws IOException {
		logType		= input.getLong();
		messageId	= input.getLong();
		entry		= input.getString();
	}

	public void write (NdmpOutput output) throws IOException {
		// for server
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Log Message of type: " + logType +
			"\r\n" + "\t Message ID: " + messageId + "\t Text Message: " +
			entry);
	}

}
