package com.netapp.offtap.ndmpcopy.messages.notify;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * The first message which the session sends back to the client after the
 * connection has been established.  This notifies the client what version
 * this session will acting as.  It is up to the client to send a
 * ConnectOpen message to change the version.  
 */
public class NdmpMessageNotifyConnectedRReply extends NdmpMessageData {

	public int		reasoncode;
	public short	version;
	public String	reasonString;

	public NdmpMessageNotifyConnectedRReply () {
	}

	// For server another const'r is needed.

	public void read (NdmpInput input) throws IOException {
		reasoncode		= input.getLong();
		version			= input.getShort();
		reasonString	= input.getString();
	}

	public void write (NdmpOutput output) throws IOException {
		//for server
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Notify connected reason: " + reasoncode +
			"\r\n" + "\t Protocol version : " + version);
		debugLog.println (50, "Notify connected, Text reason: " + 
			reasonString);
	}

}
