package com.netapp.offtap.ndmpcopy.messages.notify;

//import netapp.cmds.ndmpc.*;
import java.io.*;
import java.util.*;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebugLog;
import com.netapp.offtap.ndmpcopy.messages.*;
import com.netapp.offtap.ndmpcopy.streams.*;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;

/**
 * Notify the client the data server had halted.  This is invoked from
 * <code>NdmpServerIf</code>.
 */
public class NdmpMessageNotifyDataHaltedRReply extends NdmpMessageData {

	public int		reasoncode;
	public String	reasonString;

	/**
	 * Basic constructor
	 *
	 * @param out The control connection output stream
	 * @param reason The reason code to send back
	 * @param sreason The text reason to send back
	 */
	public NdmpMessageNotifyDataHaltedRReply () {
	}

	//Another const'r needed for server code.
	
	public void read (NdmpInput input) throws IOException {
		reasoncode		= input.getLong();
	    reasonString	= input.getString();
	}
	
	public void write (NdmpOutput output) throws IOException {
		//for server.
	}

	public void writeLog (NdmpDebugLog debugLog) {
		debugLog.println (50, "Data Halt reason: " + reasoncode + "\r\n" +
			"\t Data Halt Text reason: " + reasonString);
	}

}
