

package com.netapp.offtap.ndmpcopy.ndmpcopy.v4;

import com.netapp.offtap.ndmpcopy.messages.NdmpMessage;
import com.netapp.offtap.ndmpcopy.messages.NdmpMessageFactory;
import com.netapp.offtap.ndmpcopy.messages.data.v4.NdmpMessageDataListenRReplyV4;
import com.netapp.offtap.ndmpcopy.messages.data.v4.NdmpTcpAddress;
import com.netapp.offtap.ndmpcopy.ndmpcopy.NdmpCopyData;
import com.netapp.offtap.ndmpcopy.ndmpcopy.NdmpCopyOperation;
import com.netapp.offtap.ndmpcopy.ndmpcopycmd.NdmpCopyCmdArgs;
import com.netapp.offtap.ndmpcopy.util.NdmpCons;
import com.netapp.offtap.ndmpcopy.util.NdmpFatalException;


public class NdmpCopyOperationV4 extends NdmpCopyOperation {

	public NdmpCopyOperationV4 (NdmpCopyData  copyData) {
		super (copyData);
	}

	public void setupCopyConnection () throws NdmpFatalException {
	
		//<a>
		NdmpMessageFactory msgFact = 
					copyData.filerData [NdmpCopyCmdArgs.dstFiler].msgFactory;

		Class[]	argT = {int.class};
		Object[] arg = {new Integer (NdmpCons.NDMP_ADDR_TCP)};
		
		NdmpMessage msg = msgFact.createRequestMessage (
					NdmpCons.NDMP_DATA_LISTEN, argT, arg);
		
		if (null == msg) {
			copyData.debugLog.println (20, "Request message " +
				"creation failed for DataListen");
			abort("Connection setup for transfer failed");
		}
				
		NdmpMessage rmsg = sendMessage (NdmpCopyCmdArgs.dstFiler, msg, 
			NdmpCons.NDMP_DATA_LISTEN);
		if (null == msg)
			abort("Connection setup for transfer failed");

		NdmpMessageDataListenRReplyV4	msgData = null;
		try {
			msgData = (NdmpMessageDataListenRReplyV4) rmsg.getMsgData ();
		} catch (ClassCastException e) {
			abort(e, "Connection setup for transfer failed");
		}		

		Class[]	argtT = {int.class, NdmpTcpAddress [].class};
		Object[] argt = {new Integer (msgData.dataConnectionType), 
						msgData.connect_addr};
	
		//The src
		msgFact = copyData.filerData [NdmpCopyCmdArgs.srcFiler].msgFactory;
	
		msg = msgFact.createRequestMessage (NdmpCons.NDMP_DATA_CONNECT, argtT,
									argt);
		if (null == msg) {
			copyData.debugLog.println (20, "Request message " +
				"creation failed for DataConnect");
			abort("Connection setup for transfer failed");
		}
		
		rmsg = null;
		rmsg = sendMessage (NdmpCopyCmdArgs.srcFiler, msg, 
						NdmpCons.NDMP_DATA_CONNECT);
		
		if(null == rmsg)
			abort("Connection setup for transfer failed");
	}
}
