package com.netapp.offtap.ndmpcopy.ndmpcopycmd;

import java.util.Properties;

import com.netapp.offtap.ndmpcopy.debuglog.NdmpDebug;


public class NdmpCopyCmdArgs {

	public	NdmpFilerInfo[]	filerInfo;
	
	public	int		level;
	public	int		debugLevel;

	public boolean		forced;
	
	public	boolean	levelSpec;

	public	boolean	incrForever;

	public Properties	envVar;

	public	final	static	int		srcFiler = 0;
	public	final	static	int		dstFiler = 1;

	
	
	public NdmpCopyCmdArgs () {
		filerInfo = new NdmpFilerInfo[2];
		filerInfo[0] = new NdmpFilerInfo();
		filerInfo[1] = new NdmpFilerInfo();

		levelSpec = false;
		incrForever = false;
		level = 0;
		debugLevel = 20; // default level for printing stuff to log
	}

	public NdmpCopyCmdArgs (NdmpFilerInfo[] filerInfo, int level, 
							int debugLevel, boolean forced,
							Properties envVar, boolean levelSpec) {
		this.filerInfo = filerInfo;
		this.level = level;
		
		this.debugLevel = debugLevel;
		
		this.levelSpec = levelSpec;
		this.incrForever = false;
		this.forced = forced;
		this.envVar = envVar;
	}

	public NdmpCopyCmdArgs (NdmpFilerInfo[] filerInfo, boolean incrForever, 
							int debugLevel, boolean forced,
							Properties envVar, boolean levelSpec) {
		this.filerInfo = filerInfo;
		this.level = 0;
		
		this.debugLevel = debugLevel;
		
		this.levelSpec = false;
		this.incrForever = incrForever;
		this.forced = forced;
		this.envVar = envVar;
	}

	public NdmpCopyCmdArgs (NdmpCopyCmdArgs args) {
		this.filerInfo = args.filerInfo;
		this.level		= args.level;
		this.debugLevel	= args.debugLevel;
		this.envVar		= args.envVar;
		this.forced		= args.forced;
		this.levelSpec	= args.levelSpec;
		this.incrForever	= args.incrForever;
	}

	public static final String filer (int filer) {
		if (!isValidFilerID (filer))
			return new String ("Unknown filer");

		return new String (((filer == srcFiler) ? "source" :
				"destination"));
	}			

	public static final boolean isValidFilerID (int filer) {
		if (srcFiler == filer || dstFiler == filer)
			return true;

		return false;
	}
	
	public static final String filerType (int filer) {
		if (!isValidFilerID (filer))
            return new String ("Unknown Filer");
		return new String (((filer == srcFiler) ? "dump" : "restore"));
	}

	public static final Properties getDefaultEnvVarList () {
		Properties defEnvVar = new Properties();
		/*
		 * Add environment variables that are REQUIRED.
		 * If the user later specifies these, then the user
		 * values will overwrite the default ones.
		 */
		defEnvVar.put("EXTRACT", "N");
		return defEnvVar;
	}

	public void dbgPrintCmdArgs() {
		String methodname = "dbgPrintCmdArgs";

		NdmpDebug.dbgPrintln(methodname + ": SOURCE FILER");
		filerInfo[srcFiler].printFilerInfo();
		NdmpDebug.dbgPrintln(methodname + ": DEST FILER");
		filerInfo[dstFiler].printFilerInfo();
		NdmpDebug.dbgPrintln(methodname + ": level = ", String.valueOf(level));
		NdmpDebug.dbgPrintln(methodname + ": debugLevel = " , 
				String.valueOf(debugLevel));
		NdmpDebug.dbgPrintln(methodname + ": envVar = " , String.valueOf(envVar));
		NdmpDebug.dbgPrintln(methodname + ": forced = " , String.valueOf(forced));
		NdmpDebug.dbgPrintln(methodname + ": levelSpec = " , String.valueOf(levelSpec));
		NdmpDebug.dbgPrintln(methodname + ": incrForever = " , String.valueOf(incrForever));
		
	}
}

