package com.netapp.offtap3;


import java.io.Serializable;
import java.util.Set;

import com.netapp.offtap3.factories.ControllerType;

public interface ControllerConnection extends Serializable {
    String getIpAddress();

    void setIpAddress(String ipAddress);

    String getUserName();

    void setUserName(String userName);

    String getPassword();

    void setPassword(String password);

    int getPort();

    void setPort(int port);

    boolean isSSL();

    void setSSL(boolean ssl);

    OfftapPreferences getOfftapPreferences();

    void setOfftapPreferences(OfftapPreferences prefs);

    Set<DiscoveryProgressListener> getDiscoveryProgressListeners(ProxyType proxyType);

    Set<DiscoveryProgressListener> getDiscoveryProgressListeners();

    void addDiscoveryProgressListener(DiscoveryProgressListener listener);

    void removeDiscoveryProgressListener(DiscoveryProgressListener listener);
    
	String getFilerIdOfTarget();

    int getZapiConnectionTimeout();

	int getZapiTimeout();
	
	boolean isAllowRetry();

    ControllerType<?> getControllerType();

    void setControllerType(ControllerType<?> controllerType);
}
