package com.netapp.offtap3;

import java.util.Date;

public class DiscoveryError {
    private final Date when;
    private final String message;
    private Throwable exception;
    private ConnectionExceptionType connectionExceptionType = ConnectionExceptionType.NONE;

    public DiscoveryError(String msg) {
        when = new Date();
        this.message = msg;
    }

    public DiscoveryError(String message, Throwable ex) {
        this(message);
        exception = ex;
    }

    public void setConnectionExceptionType(ConnectionExceptionType exceptionType) {
        this.connectionExceptionType = exceptionType;
    }

    public ConnectionExceptionType getConnectionExceptionType() {
        return connectionExceptionType;
    }

    public Throwable getThrowable() {
        return exception;
    }

    public String getMessage() {
        return message;
    }

    public Date getOccurrenceTime() {
        return when;
    }
}
