package com.netapp.offtap3;

import java.util.Set;

public interface DiscoveryProgressListener {
    /**
     * Method called with the operation being tracked begins.
     */
    void started(DiscoveryProgressJob job);

    /**
     * Method to increment progress percentage without refreshing status message.
     */
    void updateProgress(DiscoveryProgressJob job);

    /**
     * Method called when the operation being tracked has completed.
     */
    void finished(DiscoveryProgressJob job);

    /**
     * Returns a set of Proxy Types for which this listener should be notified of discovery progress.
     */
    Set<ProxyType> getSupportedProxyTypes();
}
