/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/FileResource.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

import java.util.Arrays;
import java.util.EnumSet;
import java.util.Set;

public enum FileResource implements Resource {
    file_metadata(StorageSystem.pfiler, StorageSystem.vfiler, StorageSystem.datasvm);

    private final EnumSet<StorageSystem> supportedPlatforms;

    FileResource() {
        supportedPlatforms = EnumSet.allOf(StorageSystem.class);
    }

    FileResource(StorageSystem... supports) {
        supportedPlatforms = EnumSet.copyOf(Arrays.asList(supports));
    }

    @Override
    public boolean supports(Set<StorageSystem> type) {
        return supportedPlatforms.containsAll(type);
    }
}
