package com.netapp.offtap3;

import java.util.Set;

public interface Lun extends Refreshable {
    String getSerial();
    String getUuid();

    String getType();
    Size getTotalSize();
    Size getUsedSize();
    Size getFreeSize();

    Set<? extends IGroup> getIgroups();

    /**
     * Returns the fully qualified path to this lun.
     */
    String getPath();

    boolean isOnline();

    void offline();
    void online();

    /**
     * Destroys this Lun.
     */
    void destroy();

    Size resize(Size newSize);

    boolean isReadOnly();

    @Override
    Lun refresh();
}
