/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/LunResource.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

import java.util.Arrays;
import java.util.EnumSet;
import java.util.Set;

public enum LunResource implements Resource {
    lun_stats(StorageSystem.datasvm, StorageSystem.pfiler, StorageSystem.vfiler),
    map_list(StorageSystem.datasvm, StorageSystem.pfiler, StorageSystem.vfiler),
    geometry(StorageSystem.datasvm);

    private final EnumSet<StorageSystem> supportedPlatforms;

    LunResource() {
        supportedPlatforms = EnumSet.allOf(StorageSystem.class);
    }

    LunResource(StorageSystem... supports) {
        supportedPlatforms = EnumSet.copyOf(Arrays.asList(supports));
    }

    @Override
    public boolean supports(Set<StorageSystem> type) {
        return supportedPlatforms.containsAll(type);
    }
}
