/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ProxyType.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

import com.netapp.offtap3.ontap.DedupeResource;
import com.netapp.offtap3.ontap.ExportPolicyResource;

public enum ProxyType {
    CONTROLLER(ControllerResource.class),
    VOLUME(VolumeResource.class),
    LUN(LunResource.class),
    FILE(FileResource.class),
    SNAPMIRROR(SnapMirrorResource.class),
    DEDUPE(DedupeResource.class),
    EXPORT_POLICY(ExportPolicyResource.class);

    private Class<? extends Enum> enumClass;

    ProxyType(Class<? extends Enum> enumClass) {
        // We can't syntactically require enumClass to both extend Enum and Resource using generics, so check for the
        // the other at runtime just in case.
        if (!Resource.class.isAssignableFrom(enumClass)) {
            throw new IllegalArgumentException("The specified Enum class " + enumClass.getCanonicalName() + " must implement the interface " + Resource.class.getCanonicalName());
        }
        this.enumClass = enumClass;
    }

    public Resource valueOfResource(String value) {
        return (Resource)Enum.valueOf(enumClass, value);
    }
}
