/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/Refreshable.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

import java.util.Date;

public interface Refreshable extends HasName {
    /**
     * Returns the date and time of the last load of data for this object.
     */
    public Date getLastLoad();

    /**
     * Refreshes the data for this object. Note that this could case related objects to be
     * refreshed as well.
     * @return A reference to the newly updated object. The current instance may or may not be
     *         updated by the reload process, so any future method invocations should be against
     *         the returned Refreshable instance.
     */
    public Refreshable refresh();

    /**
     * Returns a reference to the object that manages this objects data and should be used to reload
     * it.
     * @see com.netapp.offtap3.HasLoader#refresh(Refreshable)
     */
    HasLoader getLoader();
}
