package com.netapp.offtap3;


import java.util.Map;

public interface UnixGroup extends HasName {
    /**
     * Returns the unix id of this group.
     */
    int getId();

    /**
     * Returns a map of all users that are part of this group. This includes users in which this group is either
     * primary or secondary.
     */
    Map<String, UnixUser> getUsers();

    /**
     * Destroys this unix group.
     * @throws UserAndGroupOperationException
     */
    void destroy() throws UserAndGroupOperationException;
}
