package com.netapp.offtap3;

/**
 * Captures version information for the controller.
 */
public interface Version {

    /**
     * This can be arbitrarily long and any format.
     * @return the complete ("raw") version string
     */
    public String getFullVersion();

    /**
     * Sequence of version numbers representing the dot-delimited format.
     * For example, if the version is 5.1.25 then the returned value is
     * int[] {5, 1, 25}
     * @return version number sequence
     */
    public int[] getVersionNumber();

}
