/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/VolumeResource.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3;

import java.util.Arrays;
import java.util.EnumSet;
import java.util.Set;

public enum VolumeResource implements Resource {

    // cDOT volume specific
	id(StorageSystem.datasvm),
    state(StorageSystem.datasvm),
    inode(StorageSystem.datasvm),
    striping(StorageSystem.datasvm),
    space(StorageSystem.datasvm),
    sis(StorageSystem.datasvm),
    vm_align(StorageSystem.datasvm),
    auto_size(StorageSystem.datasvm),
    performance(StorageSystem.datasvm),
    language(StorageSystem.datasvm),
    mirror(StorageSystem.datasvm),
    clone(StorageSystem.datasvm),
    qos(StorageSystem.datasvm),
    snapshot_autodelete(StorageSystem.datasvm),
    snapdir(StorageSystem.datasvm),
    exports(StorageSystem.datasvm),
    security(StorageSystem.datasvm),
    snapshots(StorageSystem.datasvm),

    // seven mode specific
    snapvault_schedule(StorageSystem.pfiler, StorageSystem.vfiler),

    // Ontap specific
    snapmirror_status(StorageSystem.pfiler, StorageSystem.vfiler),
    qtree(StorageSystem.pfiler, StorageSystem.vfiler, StorageSystem.datasvm);

    private final EnumSet<StorageSystem> supportedPlatforms;

    VolumeResource(StorageSystem... supports) {
        supportedPlatforms = EnumSet.copyOf(Arrays.asList(supports));
    }

    VolumeResource() {
        supportedPlatforms = EnumSet.allOf(StorageSystem.class);
    }

    @Override
    public boolean supports(Set<StorageSystem> type) {
        return supportedPlatforms.containsAll(type);
    }
}
