package com.netapp.offtap3.factories;

import com.netapp.offtap3.utils.StringUtils;


/**
 * Indicates a fatal or non-recoverable error occurred during data loading.
 */
public class DataLoaderException extends RuntimeException {

    public DataLoaderException(String s) {
        super(s);
    }

    public DataLoaderException(String s, Throwable throwable) {
        super(s, throwable);
    }

    public DataLoaderException(Throwable throwable) {
        super(throwable);
    }
    
    public String toString() {
        String s = getClass().getName();
        String message = getLocalizedMessage();
        if (!StringUtils.isReal(message)) {
            message = s;
        }
        Throwable realCause = getCause();
        for (int i=0; i<10; i++) {
            if (realCause != null) {
                Throwable candidateCause = realCause.getCause();
                if (candidateCause != null) {
                    realCause = candidateCause;
                }
            }
        }
        if (realCause!= null && StringUtils.isReal(realCause.getMessage())) {
            message += ".  Caused by: " + realCause.getMessage();
        }
        return message;
    }
}
