package com.netapp.offtap3.internal;

import java.util.HashSet;
import java.util.Set;

import com.google.common.base.Objects;
import com.netapp.offtap3.BlockAdapter;

public abstract class BlockAdapterImpl extends AbstractRefreshable implements BlockAdapter {

    private String state;
    private Set<String> initiators = new HashSet<String>();

    public BlockAdapterImpl(HasProxy loader) {
        super(loader);
    }

    @Override
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @Override
    public Set<String> getInitiators() {
        return initiators;
    }

    public void setInitiators(Set<String> initiators) {
        this.initiators = initiators;
    }

    @Override
    public BlockAdapter refresh() {
        return (BlockAdapter) super.refresh();
    }

    public String toString() {
        return Objects.toStringHelper(this)
                .add("name", getName())
                .add("state", state)
                .add("initiatorCount", initiators.size())
                .toString();
    }
}
