/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/CachingControllerProxy.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal;

import com.netapp.offtap3.Controller;

import java.lang.reflect.Proxy;

public abstract class CachingControllerProxy<I, T extends HasProxy<I>, X, Z> extends ControllerProxy<I, T> {
    private DataCache<X, Z> dataCache;

    public static <S extends CachingControllerProxy<I, T, X, Z>, I, T extends HasProxy<I>, X, Z> Controller create(Class proxyClass, Class<S> clazz, T proxiedObject, DataCache dataCache) {
        S proxy = OfftapProxy.build(clazz, proxiedObject);
        proxy.setDataCache(dataCache);
        proxy.initialize();
        return (Controller) Proxy.newProxyInstance(proxyClass.getClassLoader(), new Class[]{proxyClass}, proxy);
    }

    protected void setDataCache(DataCache<X, Z> dataCache) {
        this.dataCache = dataCache;
    }

    public DataCache<X, Z> getDataCache() {
        return dataCache;
    }
}
