package com.netapp.offtap3.internal;

import com.netapp.offtap3.ProxyType;

import java.lang.reflect.Proxy;

public abstract class CachingOfftapProxy<X, H, I, T extends HasProxy<I>> extends OfftapProxy<I, T> {
    private DataCache<X, H> dataCache;

    public CachingOfftapProxy(ProxyType proxyType) {
        super(proxyType);
    }

    public static <S extends CachingOfftapProxy<X, H, I, T>, X, H, I, T extends HasProxy<I>>  I create(Class<I> proxyClass, Class<S> clazz, T proxiedObject, DataCache<X, H> dataCache) {
        S proxy = OfftapProxy.build(clazz, proxiedObject);
        proxy.setDataCache(dataCache);
        proxy.initialize();
        return (I) Proxy.newProxyInstance(proxyClass.getClassLoader(), new Class[]{proxyClass}, proxy);
    }

    protected void setDataCache(DataCache<X, H> dataCache) {
        this.dataCache = dataCache;
    }

    public DataCache<X, H> getDataCache() {
        return dataCache;
    }
}
