package com.netapp.offtap3.internal;

import com.netapp.offtap3.CifsShare;
import com.netapp.offtap3.CifsShareOperationException;
import com.netapp.offtap3.internal.ontap.controller.AbstractOntapController;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;
import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.NaElement;
import org.apache.log4j.Logger;


public class CifsShareImpl extends AbstractRefreshable implements CifsShare {

    private static final Logger logger = Logger.getLogger(CifsShareImpl.class);

    private String mountPoint;

    private AbstractOntapController controller;

    public CifsShareImpl(AbstractOntapController controller) {
        super(controller);
        this.controller = controller;
    }

    @Override
    public String getMountPoint() {
        return mountPoint;
    }

    public void setMountPoint(String mountPoint) {
        this.mountPoint = mountPoint;
    }

    @Override
    public void delete() {
        NaElement xi = new NaElement("cifs-share-delete");
        xi.addNewChild("share-name", getName());
        try {
            controller.invokeZapi(xi, ZapiCache.NO_CACHE);
            controller.getZapiCache().blastCacheValues("cifs-");
        } catch (ApiFailedException e) {
            String errMsg = Messages.getInstance().getMessage("cifs.delete.fail", controller, getName());
            logger.error(errMsg, e);
            throw new CifsShareOperationException(errMsg, e);
        }
    }

    @Override
    public CifsShare refresh() {
        return (CifsShare) super.refresh();
    }
}

