/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal;

import com.netapp.offtap3.IGroupSpec;
import com.netapp.offtap3.StorageProtocol;

public class IGroupSpecImpl implements IGroupSpec {
    private final String name;
    private final String osType;
    private final StorageProtocol storageProtocol;

    protected IGroupSpecImpl(BuilderImpl builder) {
        name = builder.name;
        osType = builder.osType;
        storageProtocol = builder.storageProtocol;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public String getOsType() {
        return osType;
    }

    @Override
    public StorageProtocol getStorageProtocol() {
        return storageProtocol;
    }

    public static class BuilderImpl implements Builder {
        private String name;
        private String osType;
        private StorageProtocol storageProtocol = StorageProtocol.FCP;

        public BuilderImpl(String name, String osType) {
            this.name = name;
            this.osType = osType;
        }

        @Override
        public Builder protocol(StorageProtocol storageProtocol) {
            this.storageProtocol = storageProtocol;
            return this;
        }

        @Override
        public IGroupSpec build() {
            return new IGroupSpecImpl(this);
        }
    }
}
