/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal;

import com.netapp.offtap3.LunSpec;
import com.netapp.offtap3.Size;

public class LunSpecImpl implements LunSpec {
    private String lunName;
    private Size size;

    protected LunSpecImpl(BuilderImpl builder) {
        this.lunName = builder.lunName;
        this.size = builder.size;
    }

    @Override
    public String getLunName() {
        return lunName;
    }

    @Override
    public Size getSize() {
        return size;
    }

    public static class BuilderImpl implements Builder {
        private String lunName;
        private Size size;

        public BuilderImpl(String lunName, Size size) {
            this.lunName = lunName;
            this.size = size;
        }

        /**
         * Special case to allow subclass to update this value after class has been constructed.
         */
        protected void setLunName(String lunName) {
            this.lunName = lunName;
        }

        @Override
        public LunSpec build() {
            return new LunSpecImpl(this);
        }
    }
}
