/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars;

import com.netapp.offtap3.Size;
import com.netapp.offtap3.internal.LunSpecImpl;
import com.netapp.offtap3.mars.LunMaxExtentSize;
import com.netapp.offtap3.mars.MarsLunSpec;

public class MarsLunSpecImpl extends LunSpecImpl implements MarsLunSpec {
    private LunMaxExtentSize maxExtentSize;

    protected MarsLunSpecImpl(BuilderImpl builder) {
        super(builder);
        this.maxExtentSize = builder.maxExtentSize;
    }

    @Override
    public LunMaxExtentSize getMaxExtentSize() {
        return maxExtentSize;
    }

    public static class BuilderImpl extends LunSpecImpl.BuilderImpl implements MarsLunSpec.Builder {
        private LunMaxExtentSize maxExtentSize = LunMaxExtentSize.maxDefault;

        public BuilderImpl(String lunName, Size size) {
            super(lunName, size);
        }

        @Override
        public MarsLunSpec.Builder maxExtentSize(LunMaxExtentSize maxExtentSize) {
            this.maxExtentSize = maxExtentSize;
            return this;
        }

        @Override
        public MarsLunSpec build() {
            return new MarsLunSpecImpl(this);
        }
    }
}
