/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.proxy;

import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.FcInterface;
import com.netapp.offtap3.FcpAdapter;
import com.netapp.offtap3.IGroup;
import com.netapp.offtap3.Refreshable;
import com.netapp.offtap3.Resource;
import com.netapp.offtap3.internal.ControllerProxy;
import com.netapp.offtap3.internal.mars.MarsControllerImpl;
import com.netapp.offtap3.internal.mars.dataloader.MarsFcInterfaceDataLoader;
import com.netapp.offtap3.internal.mars.dataloader.MarsFcpDataLoader;
import com.netapp.offtap3.internal.mars.dataloader.MarsIGroupDataLoader;
import com.netapp.offtap3.internal.mars.dataloader.MarsLunDataLoader;
import com.netapp.offtap3.internal.mars.dataloader.MarsModelDataLoader;
import com.netapp.offtap3.internal.mars.dataloader.MarsSpaceUsageDataLoader;
import com.netapp.offtap3.mars.MarsController;
import com.netapp.offtap3.mars.MarsLun;

public class MarsControllerProxy extends ControllerProxy<MarsController, MarsControllerImpl> {

    @Override
    protected void addDataLoaders() {
        addDataLoader(ControllerResource.luns, new MarsLunDataLoader());
        addDataLoader(ControllerResource.igroups, new MarsIGroupDataLoader());
        addDataLoader(ControllerResource.system_model, new MarsModelDataLoader());
        addDataLoader(ControllerResource.space_usage, new MarsSpaceUsageDataLoader());
        addDataLoader(ControllerResource.fcp, new MarsFcpDataLoader());
        addDataLoader(ControllerResource.interfaces, new MarsFcInterfaceDataLoader());
    }

    @Override
    protected Resource getResource(Refreshable refreshable) {
        if (refreshable instanceof MarsLun) {
            return ControllerResource.luns;
        } else if (refreshable instanceof IGroup) {
            return ControllerResource.igroups;
        } else if (refreshable instanceof FcpAdapter) {
            return ControllerResource.fcp;
        } else if (refreshable instanceof FcInterface) {
            return ControllerResource.interfaces;
        } else {
            return null;
        }
    }
}
