/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
/**
 * 
 * BooleanStatusOutputType provides the status value as boolean.
 *
 * @author tsanjeev
 * @version $Revision$, Apr 1, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class BooleanStatusOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /** Status */
    @XmlElement(required = true, name = "status")
    private Boolean status;
    public BooleanStatusOutputType() {
    }

    public BooleanStatusOutputType(Boolean status) {
        this.status = status;
    }

    @JsonProperty("status")
    public Boolean getStatus() {
        return status;
    }
    
    @JsonProperty("status")
    public void setStatus(Boolean status) {
        this.status = status;
    }
}
