/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * BulkItemBooleanType defines the result from each operation in bulk.
 * <P>
 * Each successful item has the data in the {@link BulkItemDataType} as boolean true.
 * 
 * @author Jing Shi
 * @version $Revision$, Jan 23, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class BulkItemBooleanType extends BulkItemDataType<Boolean> {
    public BulkItemBooleanType() {
    }

    public BulkItemBooleanType(String id, Boolean data) {
        super(id, data);
    }
}
