/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;

/**
 * BulkItemDataType defines item with its data and id or other identifier
 * <P>
 * T is generic type that defines the type for 'data' element.
 * 
 * @author Jing Shi
 * @version 1.0, Jan 9, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class BulkItemDataType<T> extends BaseDataType implements WebData {
    /**
     * item id
     */
    @XmlElement(required = true, nillable = true)
    private String id = null;

    /**
     * item data
     */
    @XmlElement(required = false, nillable = false)
    private T data = null;

    public BulkItemDataType() {
    }

    public BulkItemDataType(String id, T data) {
        super();
        this.id = id;
        this.data = data;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }
}
