/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;

/**
 * BulkItemErrorType defines item with its error and name or other identifier
 * 
 * @author Jing Shi
 * @version 1.0, Jan 9, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class BulkItemErrorType extends BaseDataType implements WebData {
    /**
     * item id
     */
    @XmlElement(required = true, nillable = true)
    private String id = null;

    /**
     * item error
     */
    @XmlElement(required = true, nillable = true)
    private ErrorType error = null;

    public BulkItemErrorType() {
    }

    public BulkItemErrorType(String id, ErrorType error) {
        super();
        this.id = id;
        this.error = error;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public ErrorType getError() {
        return error;
    }

    public void setError(ErrorType error) {
        this.error = error;
    }
}
