/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * BulkResultBooleanType defines the result from bulk operations.
 * <P>
 * Each successful item's result has {@link BulkItemDataType} data with boolean true.
 * 
 * @author Jing Shi
 * @version $Revision$, Jan 23, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class BulkResultBooleanType extends BulkResultType<Boolean> implements WebData {
    public BulkResultBooleanType() {
    }

    public BulkResultBooleanType(Integer itemTotalCount, List<BulkItemBooleanType> itemResults, List<BulkItemErrorType> itemErrors) {
        super(itemTotalCount, itemResults, itemErrors);
    }
}
