/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;


/**
 * Name value data type
 * 
 * @author Jing Shi
 * @version $Revision$, Oct 14, 2013
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NameValueDataType<T> implements WebInput, WebOutput {
    @XmlElement(required = true, nillable = false)
    private NameValueType<T>[] items;

    public NameValueDataType() {
    }

    public NameValueDataType(NameValueType<T>[] items) {
        super();
        this.items = items;
    }

    public NameValueType<T>[] getItems() {
        return items;
    }

    public void setItems(NameValueType<T>[] items) {
        this.items = items;
    }
}
