/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;

/**
 * NamesInputType provides a list of names as input parameter
 * 
 * @author TSANJEEV
 * @version $Revision$, Jan 17, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NamesInputType extends BaseDataType implements WebInput, MapiInput {
    /** List of instance names or UUIDs */
    @XmlElement(required = true, name = "names")
    private String[] names;

    public NamesInputType() {
    }

    public NamesInputType(String[] names) {
        this.names = names;
    }

    @JsonProperty("names")
    public String[] getNames() {
        return names;
    }

    @JsonProperty("names")
    public void setNames(String[] names) {
        this.names = names;
    }
}
