/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;

/**
 * PropertyType defines data type for argument by name and value Value type is a type variable, should be primary type or webmapi defined data type
 * 
 * @author Jing Shi
 * @version 1.0, Apr 25, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class PropertyType extends BaseDataType implements WebData {
    /**
     * Property's name, cannot be null
     */
    @XmlElement(required = true, nillable = false)
    private String name;

    /**
     * Property's value, can be null if there is no value set for this properties.<!-- -->
     * <br>  When to set a property back to default, the value is set as "default"
     * */
    @XmlElement(required = true, nillable = true)
    private String value;

    public PropertyType() {
        
    }

    public PropertyType(String name, String value) {
        setName(name);
        setValue(value);
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        if (name == null)
            throw new IllegalArgumentException("Property name cannot be null");
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
