/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.common;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;

/**
 * ReplyStatusType defines operation status after execution.
 * 
 * @author Jing Shi
 * @version $Revision$, Mar 22, 2013
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ReplyStatusType extends BaseDataType implements WebData {
    /**
     * Response time of cluster system time in seconds with long integer format
     */
    @XmlElement(required = true)
    private Long responseTime;

    /**
     * Response status code
     */
    @XmlElement(required = true)
    private ReplyCode statusCode = ReplyCode.NOSTATUS;

    public ReplyStatusType() {
        this.responseTime = System.currentTimeMillis() / 1000;
    }

    public ReplyStatusType(long responseTime) {
        this.responseTime = responseTime;
    }

    public ReplyStatusType(ReplyCode statusCode) {
        this.responseTime = System.currentTimeMillis() / 1000;
        this.statusCode = statusCode;
    }

    public Long getResponseTime() {
        return responseTime;
    }

    public void setResponseTime(Long responseTime) {
        this.responseTime = responseTime;
    }

    public ReplyCode getStatusCode() {
        return statusCode;
    }

    public void setStatusCode(ReplyCode statusCode) {
        this.statusCode = statusCode;
    }
}
