/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * List of archiver data results
 *
 * @author Jing Shi
 * @version 1.0, May 9, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ArchiverDataType extends BaseDataType implements WebData, MapiData {
    /** Type of scope for the result (instance / cluster-scope) */
    @XmlElement(required = true, name = "scope")
    private ArchiverScopeType scope;
    
    /** Name of the instance (only valid for instance type) */
    @XmlElement(required = true, name = "instance-name")
    private String instanceName;
    
    /** Meta-data and data for the counters */
    @XmlElement(required = true, name = "archiver-counter-data-list")
    private ArchiverCounterDataType[] archiverCounterDataList;

    public ArchiverDataType() {}
    
    public ArchiverDataType(ArchiverScopeType scope, String instanceName, ArchiverCounterDataType[] archiverCounterDataList) {
        super();
        this.scope = scope;
        this.instanceName = instanceName;
        this.archiverCounterDataList = archiverCounterDataList;
    }

    @JsonProperty("scope")
    public ArchiverScopeType getScope() {
        return scope;
    }

    @JsonProperty("scope")
    public void setScope(ArchiverScopeType scope) {
        this.scope = scope;
    }

    @JsonProperty("instance-name")
    public String getInstanceName() {
        return instanceName;
    }

    @JsonProperty("instance-name")
    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    @JsonProperty("archiver-counter-data-list")
    public ArchiverCounterDataType[] getArchiverCounterDataList() {
        return archiverCounterDataList;
    }

    @JsonProperty("archiver-counter-data-list")
    public void setArchiverCounterDataList(ArchiverCounterDataType[] archiverCounterDataList) {
        this.archiverCounterDataList = archiverCounterDataList;
    }
    
}
