/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * ArchiverDataValuesType defines time series data for the counter
 *
 * @author Jing Shi
 * @version 1.0, May 9, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ArchiverDataValuesType extends BaseDataType implements WebData, MapiData {
    /** Timestamp (UTC in seconds) */
    @XmlElement(required = true, name = "timestamp")
    private Long timestamp;
    
    /** Value for the counter */
    @XmlElement(required = true, name = "value")
    private Number value;

    public ArchiverDataValuesType() {}
    
    public ArchiverDataValuesType(Long timestamp, Number value) {
        super();
        this.timestamp = timestamp;
        this.value = value;
    }

    public ArchiverDataValuesType(ArchiverDataValuesType that) {
        super();
        copy(that);
    }
    
    @JsonProperty("timestamp")
    public Long getTimestamp() {
        return timestamp;
    }

    @JsonProperty("timestamp")
    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    @JsonProperty("value")
    public Number getValue() {
        return value;
    }

    @JsonProperty("value")
    public void setValue(Number value) {
        this.value = value;
    }
    
    public void copy(ArchiverDataValuesType that) {
        if (that == null) return;
        
        this.timestamp = that.timestamp;
        this.value = that.value;
    }
    
}
