/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Archiver show output type
 *
 * @author Jing Shi
 * @version 1.0, May 9, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ArchiverShowOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /**
     * Name of the counter manager object requested
     */
    @XmlElement(required = true, name = "object")
    private String object;
    
    /**
     * Counter archiver history for requested counters
     */
    @XmlElement(required = true, name = "object-archiver-data")
    private ArchiverDataType[] objectArchiverData;

    public ArchiverShowOutputType() {}
    
    public ArchiverShowOutputType(String object, ArchiverDataType[] objectArchiverData) {
        super();
        this.object = object;
        this.objectArchiverData = objectArchiverData;
    }

    @JsonProperty("object")
    public String getObject() {
        return object;
    }

    @JsonProperty("object")
    public void setObject(String object) {
        this.object = object;
    }

    @JsonProperty("object-archiver-data")
    public ArchiverDataType[] getObjectArchiverData() {
        return objectArchiverData;
    }

    @JsonProperty("object-archiver-data")
    public void setObjectArchiverData(ArchiverDataType[] objectArchiverData) {
        this.objectArchiverData = objectArchiverData;
    }
    
}
