/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * AutoSupport Callhome show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class AutoSupportCallhomeShowOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /** AutoSupport homebase information.<!-- --> Shows whether or not callhome is enabled. */
    @XmlElement(required = true, name = "homebase")
    private Boolean homebase = null;

    public AutoSupportCallhomeShowOutputType() {
    }

    @JsonProperty("homebase")
    public Boolean getHomebase() {
        return homebase;
    }

    @JsonProperty("homebase")
    public void setHomebase(String homebase) {
        this.homebase = (homebase.toLowerCase().equals("true")) ? Boolean.TRUE : Boolean.FALSE;
    }
}
