/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.NameType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.SequenceDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.UuidDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * Lun info data type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
@JsonIgnoreProperties(value = { "index" })
public class CgInfoType extends BaseDataType implements WebData, MapiData, SequenceDataType, UuidDataType, NameType {

    /** ${mapi-arg-desc} */
    @XmlElement(required = true)
    public String uuid = null;

    /** ${mapi-arg-desc} */
    @XmlElement(required = true)
    private String name = null;

    /** ${mapi-arg-desc} */
    @XmlElement(required = true)
    private Integer size = null;

    /** ${mapi-arg-desc} */
    @XmlElement(required = true)
    private String[] members = null;

    /** ${mapi-arg-desc} */
    @XmlElement(required = false, name = "index")
    private Long index = null;

    public CgInfoType() {
    }

    public CgInfoType(Long index, String uuid, String name, String[] members) {
        this.uuid = uuid;
        this.index = index;
        this.name = name;
        this.members = members;
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    public String[] getMembers() {
        return members;
    }

    public void setMembers(String[] members) {
        this.members = members;
    }

    public Long getIndex() {
        return index;
    }

    public void setIndex(Long index) {
        this.index = index;
    }
}
