/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;


import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Details to change the password
 * 
 * @version November 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ChangePasswordInputType extends BaseDataType implements WebInput, MapiInput {
    /**
     * Base64-encoded current password for the user.<!-- --> <br>
     */
    @XmlElement(required = true, name = "password")
    private String password;
    
    /**
     * Base64-encoded new password for the user.<!-- --> <br>
     */
    @XmlElement(required = true, name = "newpassword")
    private String newPassword;

    public ChangePasswordInputType(){
    }
    public ChangePasswordInputType(String password,
            String newPassword) {
        super();
        this.password = password;
        this.newPassword = newPassword;
    }
    
    @JsonProperty("password")
    public String getPassword() {
        return password;
    }
    
    @JsonProperty("password")
    public void setPassword(String password) {
        this.password = password;
    }
    
    @JsonProperty("newpassword")
    public String getNewPassword() {
        return newPassword;
    }
    
    @JsonProperty("newpassword")
    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }
}
