/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * 
 * ChassisElementStatusInfoType provides element status info for chassis.
 *
 * @author TSANJEEV
 * @version $Revision$, Nov 6, 2014
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ChassisElementStatusInfoType extends BaseDataType implements WebOutput {
    /** Power supply element status info */
    @XmlElement(required = true, name = "power-supply-elements")
    private HardwareElementStatusInfoType[] powerSupplyElementStatusInfo;
    
    /** Fan element status info */
    @XmlElement(required = true, name = "fan-elements")
    private HardwareElementStatusInfoType[] fanElementStatusInfo;

    public ChassisElementStatusInfoType() {
        super();
    }

    public ChassisElementStatusInfoType(
            HardwareElementStatusInfoType[] powerSupplyElementStatusInfo,
            HardwareElementStatusInfoType[] fanElementStatusInfo) {
        super();
        this.powerSupplyElementStatusInfo = powerSupplyElementStatusInfo;
        this.fanElementStatusInfo = fanElementStatusInfo;
    }

    @JsonProperty("power-supply-elements")
    public HardwareElementStatusInfoType[] getPowerSupplyElementStatusInfo() {
        return powerSupplyElementStatusInfo;
    }

    @JsonProperty("power-supply-elements")
    public void setPowerSupplyElementStatusInfo(
            HardwareElementStatusInfoType[] powerSupplyElementStatusInfo) {
        this.powerSupplyElementStatusInfo = powerSupplyElementStatusInfo;
    }

    @JsonProperty("fan-elements")
    public HardwareElementStatusInfoType[] getFanElementStatusInfo() {
        return fanElementStatusInfo;
    }

    @JsonProperty("fan-elements")
    public void setFanElementStatusInfo(
            HardwareElementStatusInfoType[] fanElementStatusInfo) {
        this.fanElementStatusInfo = fanElementStatusInfo;
    }
}
