/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Cluster discover nodes operation output type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ClusterDiscoverNodesOutputType extends BaseDataType implements MapiOutput {
    /** $(mapi-arg-descr) */
    @XmlElement(required = true, name = "node-count")
    private Integer nodeCount;
    /** $(mapi-arg-descr) */
    @XmlElement(required = true, name = "node-serialnums")
    private String[] nodeSerialnums;
    /** $(mapi-arg-descr) */
    @XmlElement(required = true, name = "node-os-versions")
    private String[] nodeOsVersions;
    /** $(mapi-arg-descr) */
    @XmlElement(required = false, name = "node-cluster-names")
    private String[] nodeClusterNames;

    public ClusterDiscoverNodesOutputType() {
    }

    @JsonProperty("node-count")
    public Integer getNodeCount() {
        return nodeCount;
    }

    @JsonProperty("node-count")
    public void setNodeCount(Integer nodeCount) {
        this.nodeCount = nodeCount;
    }

    @JsonProperty("node-serialnums")
    public String[] getNodeSerialnums() {
        return nodeSerialnums;
    }

    @JsonProperty("node-serialnums")
    public void setNodeSerialnums(String[] nodeSerialnums) {
        this.nodeSerialnums = nodeSerialnums;
    }

    @JsonProperty("node-os-versions")
    public String[] getNodeOsVersions() {
        return nodeOsVersions;
    }

    @JsonProperty("node-os-versions")
    public void setNodeOsVersions(String[] nodeOsVersions) {
        this.nodeOsVersions = nodeOsVersions;
    }

    @JsonProperty("node-cluster-names")
    public String[] getNodeClusterNames() {
        return nodeClusterNames;
    }

    @JsonProperty("node-cluster-names")
    public void setNodeClusterNames(String[] nodeClusterNames) {
        this.nodeClusterNames = nodeClusterNames;
    }
}
