/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Cluster dns server modify operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ClusterDnsServerModifyInputType extends BaseDataType implements WebInput {
    /** Primary IPv4 address of DNS Server */
    @XmlElement(required = true, name = "primary-address")
    private String primaryAddress;

    /** Secondary IPv4 address of DNS Server */
    @XmlElement(required = false, name = "secondary-address")
    private String secondaryAddress;

    /** DNS domain name */
    @XmlElement(required = true, name = "domain")
    private String domain;

    /** Protocol switch between IPv4 and IPv6.<!-- --> This defaults to IPv4.<!-- --> <br>
     * This release supports only IPv4 protocol. */
    @XmlElement(required = false, name = "protocol")
    private IpProtocol protocol;

    public ClusterDnsServerModifyInputType() {
    }

    @JsonProperty("primary-address")
    public String getPrimaryAddress() {
        return primaryAddress;
    }

    @JsonProperty("primary-address")
    public void setPrimaryAddress(String primaryAddress) {
        this.primaryAddress = primaryAddress;
    }

    @JsonProperty("secondary-address")
    public String getSecondaryAddress() {
        return secondaryAddress;
    }

    @JsonProperty("secondary-address")
    public void setSecondaryAddress(String secondaryAddress) {
        this.secondaryAddress = secondaryAddress;
    }

    @JsonProperty("domain")
    public String getDomain() {
        return domain;
    }

    @JsonProperty("domain")
    public void setDomain(String domain) {
        this.domain = domain;
    }

    @JsonProperty("protocol")
    public IpProtocol getProtocol() {
        return protocol;
    }

    @JsonProperty("protocol")
    public void setProtocol(IpProtocol protocol) {
        this.protocol = protocol;
    }
}
