/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Cluster dns server output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ClusterDnsServerOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /** Primary IPv4 address of DNS Server */
    @XmlElement(required = true, name = "primary-address-ipv4")
    private String primaryAddressIpv4;

    /** Secondary IPv4 address of DNS Server */
    @XmlElement(required = false, name = "secondary-address-ipv4")
    private String secondaryAddressIpv4;

    /** DNS name excluding the host */
    @XmlElement(required = true, name = "domain")
    private String domain;

    public ClusterDnsServerOutputType() {
    }

    @JsonProperty("primary-address-ipv4")
    public String getPrimaryAddressIpv4() {
        return primaryAddressIpv4;
    }

    @JsonProperty("primary-address-ipv4")
    public void setPrimaryAddressIpv4(String primaryAddressIpv4) {
        this.primaryAddressIpv4 = primaryAddressIpv4;
    }

    @JsonProperty("secondary-address-ipv4")
    public String getSecondaryAddressIpv4() {
        return secondaryAddressIpv4;
    }

    @JsonProperty("secondary-address-ipv4")
    public void setSecondaryAddressIpv4(String secondaryAddressIpv4) {
        this.secondaryAddressIpv4 = secondaryAddressIpv4;
    }

    @JsonProperty("domain")
    public String getDomain() {
        return domain;
    }

    @JsonProperty("domain")
    public void setDomain(String domain) {
        this.domain = domain;
    }
}
