/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

import javax.xml.bind.annotation.XmlElement;

/**
 * Cluster node type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ClusterNodeType extends BaseDataType implements WebData, MapiData {
    @XmlElement(required = true, name = "serialnum")
    private String serialnum;
    @XmlElement(required = true, name = "os-version")
    private String osVersion;
    @XmlElement(required = false, name = "cluster-name")
    private String clusterName;

    public ClusterNodeType() {
    }

    @JsonProperty("serialnum")
    public String getSerialnum() {
        return serialnum;
    }

    @JsonProperty("serialnum")
    public void setSerialnum(String serialnum) {
        this.serialnum = serialnum;
    }

    @JsonProperty("os-version")
    public String getOsVersion() {
        return osVersion;
    }

    @JsonProperty("os-version")
    public void setOsVersion(String osVersion) {
        this.osVersion = osVersion;
    }

    @JsonProperty("cluster-name")
    public String getClusterName() {
        return clusterName;
    }

    @JsonProperty("cluster-name")
    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

}
