/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;


/**
 * Cluster show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ClusterShowOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /** Cluster Name */
    @XmlElement(required = true, name = "name")
    private String name = null;

    /** Current system time in seconds.<!-- --> Indicates number of seconds elapsed since midnight, January 1, 1970 UTC. */
    @XmlElement(required = false, name = "system-time")
    private Long systemTime = null;

    /** Nodes of the cluster */
    @XmlElement(required = false, name = "nodes")
    private NodeInfoType[] nodes;

    public ClusterShowOutputType() {
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("nodes")
    public NodeInfoType[] getNodes() {
        return nodes;
    }

    @JsonProperty("nodes")
    public void setNodes(NodeInfoType[] nodes) {
        this.nodes = nodes;
    }

    public Long getSystemTime() {
        return systemTime;
    }

    public void setSystemTime(Long systemTime) {
        this.systemTime = systemTime;
    }

}