/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Controller show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ControllerShowOutputType extends BaseDataType implements MapiOutput {
    /** List of controller info. */
    @XmlElement(required = true, name = "controllers")
    private ControllerInfoType[] controllers = null;

    public ControllerShowOutputType(){
        
    }
    
    public ControllerShowOutputType(ControllerInfoType[] controllers) {
        super();
        this.controllers = controllers;
    }
    
    @JsonProperty("controllers")
    public ControllerInfoType[] getControllers() {
        return controllers;
    }
    
    @JsonProperty("controllers")
    public void setControllers(ControllerInfoType[] controllers) {
        this.controllers = controllers;
    }
}
