/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;
/**
 * Disk fail operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskFailInputType extends BaseDataType implements WebInput, MapiInput {
    /** Name of the disk to fail. */
    @XmlElement(required = true)
    private String name;
    
    /** Fail drive with fatal error, removing the from its RAID group. */
    @XmlElement(required = false)
    private Boolean fatal;
    
    /**  Confirm that the command being run may be disruptive to the system. */
    @XmlElement(required = false, name = "auto-confirm")
    private Boolean autoConfirm;

    public DiskFailInputType(){}
    
    public DiskFailInputType(String name, Boolean fatal, Boolean autoConfirm) {
        super();
        this.name = name;
        this.fatal = fatal;
        this.autoConfirm = autoConfirm;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("fatal")
    public Boolean getFatal() {
        return fatal;
    }

    @JsonProperty("fatal")
    public void setFatal(Boolean fatal) {
        this.fatal = fatal;
    }

    @JsonProperty("auto-confirm")
    public Boolean getAutoConfirm() {
        return autoConfirm;
    }

    @JsonProperty("auto-confirm")
    public void setAutoConfirm(Boolean autoConfirm) {
        this.autoConfirm = autoConfirm;
    }
    
    
    
}
