/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Disk health state information for a single disk
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskHealthStateInfoType extends BaseDataType implements WebOutput{
    /** Disk name */
    @XmlElement(required = true, name = "name")
    private String name;
    
    /** Shelf id */
    @XmlElement(required = true, name = "shelf-id")
    private Integer shelfId;
    
    /** Disk health state */
    @XmlElement(required = true, name = "health-state")
    private HealthState healthstate;
    
    public DiskHealthStateInfoType(){}

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("shelf-id")
    public Integer getShelfId() {
        return shelfId;
    }

    @JsonProperty("shelf-id")
    public void setShelfId(Integer shelfId) {
        this.shelfId = shelfId;
    }

    @JsonProperty("health-state")
    public HealthState getHealthstate() {
        return healthstate;
    }

    @JsonProperty("health-state")
    public void setHealthstate(HealthState healthstate) {
        this.healthstate = healthstate;
    }
}
