/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Disk health state information for all disks
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskHealthStateListInfoType extends BaseDataType implements WebOutput{
    
    /** Aggregated Health state for all disks in the cluster */
    @XmlElement(required = true, name = "aggregated-healthstate")
    private HealthState aggregatedHealthstate;
    
    /** List of the health states for all disks in the cluster */
    @XmlElement(required = true, name = "disk-health-states")
    private DiskHealthStateInfoType[] diskHealthStates;

    public DiskHealthStateListInfoType(){}

    @JsonProperty("aggregated-healthstate")
    public HealthState getAggregatedHealthstate() {
        return aggregatedHealthstate;
    }

    @JsonProperty("aggregated-healthstate")
    public void setAggregatedHealthstate(HealthState aggregatedHealthstate) {
        this.aggregatedHealthstate = aggregatedHealthstate;
    }

    @JsonProperty("disk-health-states")
    public DiskHealthStateInfoType[] getDiskHealthStates() {
        return diskHealthStates;
    }

    @JsonProperty("disk-health-states")
    public void setDiskHealthStates(DiskHealthStateInfoType[] diskHealthStates) {
        this.diskHealthStates = diskHealthStates;
    }
}
