/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * The different actions possible on a disk LED.
 * 
 * @mapi disk.led-action
 */
@JsonSerialize(using = DiskLedActionJsonSerializer.class)
public enum DiskLedAction implements WebEnum {
    //EvacStart("evac-start", "Start evacuation on a Disk"),
    //EvacEnd("evac-end", "Stop evacuation on the Disk"),
    LedOn("led-on", "Turn on Disk LED"),
    LedOff("led-off", "Turn off Disk LED"),
    ;
    private final String value;
    private final String desc;

    private DiskLedAction(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    @JsonCreator
    public static DiskLedAction forValue(String str) {
        for(DiskLedAction ds: DiskLedAction.values()) {
            if (ds.value().equals(str)) return ds;
        }
        return getType(str);
    }
    
    public static DiskLedAction getType(String name) {
        for (DiskLedAction type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }

}
