/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Disk led set operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskLedModifyInputType extends BaseDataType implements WebInput, MapiInput {
    
    /** Name of the disk to perform the action on.<!-- --> If not specified, the action will be performed on all disks. */
    @XmlElement(required = false)
    private String name;

    /** the action to perform on the disk leds. */
    @XmlElement(required = true, name = "led-status")
    private DiskLedStatusEnumType ledStatus;
    
    /** the action to perform on the disk leds. */
    private DiskLedAction action;

    public DiskLedModifyInputType() {
    }

    public DiskLedModifyInputType(String name, DiskLedStatusEnumType ledStatus) {
        super();
        this.name = name;
        setLedStatus(ledStatus);
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("led-status")
    public DiskLedStatusEnumType getLedStatus() {
        return ledStatus;
    }

    @JsonProperty("led-status")
    public void setLedStatus(DiskLedStatusEnumType ledStatus) {
        this.ledStatus = ledStatus;
        this.action = DiskLedStatusEnumType.getDiskLedAction(ledStatus);
    }

    @JsonProperty("action")
    public DiskLedAction getAction() {
        return action;
    }
    @JsonProperty("action")
    public void setAction(DiskLedAction action) {
        this.action = action;
    }
}
