/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonCreator;

/**
 * 
 * DiskLedStatusEnumType provides LED status enum type for disks.
 *
 * @author TSANJEEV
 * @version $Revision$, Nov 18, 2014
 */
public enum DiskLedStatusEnumType {
    On("On", "On"),
    Off("Off", "Off"),
    ;
    private final String value;
    private final String desc;
    private DiskLedStatusEnumType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    @JsonCreator
    public static DiskLedStatusEnumType forValue(String str) {
        for(DiskLedStatusEnumType ds: DiskLedStatusEnumType.values()) {
            if (ds.value().equals(str)) return ds;
        }
        return getType(str);
    }
    
    public static DiskLedStatusEnumType getType(String name) {
        for (DiskLedStatusEnumType type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }
    
    public static DiskLedAction getDiskLedAction(DiskLedStatusEnumType ledStatus) {
        if (ledStatus.equals(DiskLedStatusEnumType.Off)) return DiskLedAction.LedOff;
        if (ledStatus.equals(DiskLedStatusEnumType.On)) return DiskLedAction.LedOn;
        return null;
    }
}
