/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * SSDS get operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskListInfoInputType extends BaseDataType implements WebInput, MapiInput {

    /** Disk Name to query */
    @XmlElement(required = false, name = "name")
    private String name;

    /** Disk UUID to query */
    @XmlElement(required = false, name = "uuid")
    private String uuid;

    /** Used to query SMART data */
    @XmlElement(required = false, name = "smart")
    private Boolean smart;

    public DiskListInfoInputType() {
    }

    public DiskListInfoInputType(String name, String uuid, Boolean smart) {
        this.name = name;
        this.uuid = uuid;
        this.smart = smart;
    }

    @JsonProperty("name")
    public String getName() {
        return this.name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return this.uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @JsonProperty("smart")
    public Boolean getSmart() {
        return this.smart;
    }

    @JsonProperty("smart")
    public void setSmart(Boolean smart) {
        this.smart = smart;
    }

}