/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * SSDS get operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskListInfoOutputType extends BaseDataType implements WebInput, MapiInput {

    /** Disk List */
    @XmlElement(required = true, name = "disk-details")
    private DiskDetailsInfoType[] diskDetails;

    public DiskListInfoOutputType() {
    }

    public DiskListInfoOutputType(DiskDetailsInfoType[] diskDetails) {
        this.diskDetails = diskDetails;
    }

    @JsonProperty("disk-details")
    public DiskDetailsInfoType[] getDiskDetails() {
        return this.diskDetails;
    }

    @JsonProperty("disk-details")
    public void setDiskDetails(DiskDetailsInfoType[] diskDetails) {
        this.diskDetails = diskDetails;
    }

}