/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * Disk path details info data type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskPathDetailsInfoType implements WebData, MapiData {
    /** Name of the disk */
    @XmlElement(required = true, name = "name")
    private String name;
    
    /** Type of the path. */
    @XmlElement(required = true, name = "path-type")
    private DiskPathState pathType;
    
    /** Device Handle of the path */
    @XmlElement(required = true, name = "device-handle")
    private String deviceHandle;
    
    /** UID of the path */
    @XmlElement(required = true, name = "path-uid")
    private String pathUid;
    
    /** which port. */
    @XmlElement(required = true, name = "path-port")
    private DiskPathPort pathPort;
    
    /** Active IO count of this path. */
    @XmlElement(required = true, name = "path-io-count")
    private Integer pathIoCount;
    
    public DiskPathDetailsInfoType() {
    }

    public DiskPathDetailsInfoType(String name, DiskPathState pathType,
            String deviceHandle, String pathUid, DiskPathPort pathPort,
            Integer pathIoCount) {
        super();
        this.name = name;
        this.pathType = pathType;
        this.deviceHandle = deviceHandle;
        this.pathUid = pathUid;
        this.pathPort = pathPort;
        this.pathIoCount = pathIoCount;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("path-type")
    public DiskPathState getPathType() {
        return pathType;
    }

    @JsonProperty("path-type")
    public void setPathType(DiskPathState pathType) {
        this.pathType = pathType;
    }

    @JsonProperty("device-handle")
    public String getDeviceHandle() {
        return deviceHandle;
    }

    @JsonProperty("device-handle")
    public void setDeviceHandle(String deviceHandle) {
        this.deviceHandle = deviceHandle;
    }

    @JsonProperty("path-uid")
    public String getPathUid() {
        return pathUid;
    }

    @JsonProperty("path-uid")
    public void setPathUid(String pathUid) {
        this.pathUid = pathUid;
    }

    @JsonProperty("path-port")
    public DiskPathPort getPathPort() {
        return pathPort;
    }

    @JsonProperty("path-port")
    public void setPathPort(DiskPathPort pathPort) {
        this.pathPort = pathPort;
    }

    @JsonProperty("path-io-count")
    public Integer getPathIoCount() {
        return pathIoCount;
    }

    @JsonProperty("path-io-count")
    public void setPathIoCount(Integer pathIoCount) {
        this.pathIoCount = pathIoCount;
    }    
}
