/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;


/**
 * The different states possible on each disk path.
 * 
 * @mapi disk.path-state
 */
public enum DiskPathState implements WebEnum {
    unknown("unknown", "Disk path is an Unknown path"),
    primary("primary", "Disk path is a Primary path"),
    secondary("secondary", "Disk path is a Secondary path"),
    alternate("alternate", "Disk path is an Alternate path"),
    ;
    private final String value;
    private final String desc;

    private DiskPathState(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
}
