/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Limited information on a disk. *
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskSmartInfoType extends BaseDataType implements WebOutput, MapiData {

    /** Name of the disk */
    @XmlElement(required = true, name = "name")
    private String name;

    /** Disk unique identifier.<!-- --> Maximum length of 90 characters. */
    @XmlElement(required = true, name = "disk-uid")
    private String diskUid;

    /** SMART infos */
    @XmlElement(required = true, name = "smart")
    private StorageSsdInfoType smart;

    public DiskSmartInfoType() {
    }

    public DiskSmartInfoType(String name, String diskUid, StorageSsdInfoType smart) {
        this.name = name;
        this.diskUid = diskUid;
        this.smart = smart;
    }

    @JsonProperty("name")
    public String getName() {
        return this.name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("disk-uid")
    public String getDiskUid() {
        return this.diskUid;
    }

    @JsonProperty("disk-uid")
    public void setDiskUid(String diskUid) {
        this.diskUid = diskUid;
    }

    @JsonProperty("smart")
    public StorageSsdInfoType getSmart() {
        return this.smart;
    }

    @JsonProperty("smart")
    public void setSmart(StorageSsdInfoType smart) {
        this.smart = smart;
    }

}