/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * SSDS getSmart operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class DiskSmartListInfoOutputType extends BaseDataType implements MapiOutput {

    /** Disks with only name and SMART info. */
    @XmlElement(required = true, name = "disk-smart-details")
    private DiskSmartInfoType[] diskSmartDetails;

    public DiskSmartListInfoOutputType() {
    }

    public DiskSmartListInfoOutputType(DiskSmartInfoType[] diskSmartDetails) {
        this.diskSmartDetails = diskSmartDetails;
    }

    @JsonProperty("disk-smart-details")
    public DiskSmartInfoType[] getDiskSmartDetails() {
        return this.diskSmartDetails;
    }

    @JsonProperty("disk-smart-details")
    public void setDiskSmartDetails(DiskSmartInfoType[] diskSmartDetails) {
        this.diskSmartDetails = diskSmartDetails;
    }

}