/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Event show operation output type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class EmsEventShowOutputType extends BaseDataType implements MapiOutput {
    /** ${mapi-arg-desc} */
    @XmlElement(required = true, name = "found-events")
    private EmsEventType[] foundEvents;

    public EmsEventShowOutputType() {
    }

    @JsonProperty("found-events")
    public EmsEventType[] getFoundEvents() {
        return foundEvents;
    }

    @JsonProperty("found-events")
    public void setFoundEvents(EmsEventType[] foundEvents) {
        this.foundEvents = foundEvents;
    }
}