/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum EthernetPortConfigSpeed {
    Auto("auto", "Port speed is auto."),
    EthernetPortSpeed10G("10", "Port speed is 10 Gb/s."),
    ;
    private final String value;
    private final String desc;
    
    private EthernetPortConfigSpeed(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }
    
    private String desc() {
        return desc;
    }
    @JsonCreator
    public static EthernetPortConfigSpeed forValue(String str) {
        for(EthernetPortConfigSpeed speed: EthernetPortConfigSpeed.values()) {
            if (speed.value().equals(str)) return speed;
        }
        throw new MappingException("speed-admin", str);
    }
    
    public static EthernetPortConfigSpeed getType(String name) {
        for (EthernetPortConfigSpeed type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }
}
