/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Ethernet Port info data type
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class EthernetPortInfoType extends PortInfoType implements WebOutput, MapiOutput {
    /** Configured speed */
    @XmlElement(required = true, name = "speed-admin")
    public EthernetPortConfigSpeed configuredSpeed = null;
    
    /** Port status */
    @XmlElement(required = true)
    public EthernetPortStatus status = null;

    public EthernetPortInfoType() {
        this.portType = PortType.ethernet;
    }

    public EthernetPortInfoType(String name, String controllerName,
            String nodeName, PortType portType, PortState state,
            Integer currentSpeed, String hardwareName, HealthState healthState,
            EthernetPortConfigSpeed configuredSpeed, EthernetPortStatus status) {
        super(name, controllerName, nodeName, portType, state, currentSpeed,
              hardwareName, healthState);
        this.configuredSpeed = configuredSpeed;
        setStatus(status);
    }

    @JsonProperty("status")
    public EthernetPortStatus getStatus() {
        return status;
    }
    
    @JsonProperty("status")
    public void setStatus(EthernetPortStatus status) {
        this.status = status;
    }

    @JsonProperty("state")
    public void setEthernetStatus(EthernetPortStatus status) {
        this.status = status;
    }

    @JsonProperty("adapter-name")
    public void setEthernetName(String name) {
        this.name = name;
    }
    
    @JsonProperty("mac-address")
    public void setEthernetHardwareName(String hardwareName) {
        this.hardwareName = hardwareName;
    }
    
    @JsonProperty("speed-oper")
    public void setEthernetCurrentSpeed(Integer currentSpeed) {
        this.currentSpeed = currentSpeed;
    }

    @JsonProperty("speed-admin")
    public EthernetPortConfigSpeed getConfiguredSpeed() {
        return configuredSpeed;
    }

    @JsonProperty("speed-admin")
    public void setConfiguredSpeed(EthernetPortConfigSpeed configuredSpeed) {
        this.configuredSpeed = configuredSpeed;
    }  
}
