/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * FC LIF details
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class FcInfoType extends BaseDataType implements WebOutput, MapiOutput {
    /** FC World-Wide Node Name */
    @XmlElement(required = true, name = "wwnn")
    private String wwnn;
    
    /** FC World-Wide Port Name */
    @XmlElement(required = true, name = "wwpn")
    private String wwpn;

    @JsonProperty("wwnn")
    public String getWwnn() {
        return wwnn;
    }

    @JsonProperty("wwnn")
    public void setWwnn(String wwnn) {
        this.wwnn = wwnn;
    }

    @JsonProperty("wwpn")
    public String getWwpn() {
        return wwpn;
    }

    @JsonProperty("wwpn")
    public void setWwpn(String wwpn) {
        this.wwpn = wwpn;
    }
}
