/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum FcPortConfigSpeed {
    Auto("Port speed is auto."),
    FcPortSpeed4G("Port speed is 4 Gb/s."),
    FcPortSpeed8G("Port speed is 8 Gb/s."),
    FcPortSpeed10G("Port speed is 10 Gb/s."),
    FcPortSpeed16G("Port speed is 16 Gb/s.")
    ;
    private final String desc;
    
    private FcPortConfigSpeed(String desc) {
        this.desc = desc;
    }

    private String desc() {
        return desc;
    }
    @JsonCreator
    public static FcPortConfigSpeed forValue(String str) {
        for(FcPortConfigSpeed speed: FcPortConfigSpeed.values()) {
            if (speed.name().equals(str)) return speed;
        }
        throw new MappingException("config-speed", str);
    }
    
    public static FcPortConfigSpeed getType(String name) {
        for (FcPortConfigSpeed type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }
}
