/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * FC port show operation output type
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class FcPortShowOutputType extends BaseDataType implements MapiOutput {
    /** FC port info list */
    @XmlElement(required = true)
    private FcPortInfoType[] info = null;
    
    public FcPortShowOutputType() {
    }

    @JsonProperty("info")
    public FcPortInfoType[] getInfo() {
        return info;
    }

    @JsonProperty("info")
    public void setInfo(FcPortInfoType[] info) {
        this.info = info;
    }
    
    
}
