/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * Fibre channel port type.
 */
public enum FcPortType implements WebEnum {
    /**
     * Node port.
     */
    N_port,

    /**
     * Node loop port.
     */
    NL_port,

    /**
     * Fabric port.
     */
    F_port,

    /**
     * Fabric loop port.
     */
    FL_port,

    /**
     * Expansion port.
     */
    E_port,

    /**
     * Universal port.
     */
    U_port,

    /**
     * External port.
     */
    EX_port,

    /**
     * Trunking E_port.
     */
    TE_port,

    /**
     * Virtual E_port.
     */
    VE_port,

    /**
     * Virtual EX_port.
     */
    VEX_port;
}
