/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * FRU info list.
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class FruInfoType extends BaseDataType implements WebData, MapiData {

    /** FRU name. */
    @XmlElement(required = true, name = "name")
    private String name;

    /** FRU serial number */
    @XmlElement(required = true, name = "serial-number")
    private String serialNumber;

    /** FRU part number */
    @XmlElement(required = true, name = "part-number")
    private String partNumber;

    /** FRU revision */
    @XmlElement(required = true, name = "revision")
    private String revision;

    /** FRU UUID. */
    @XmlElement(required = true, name = "uuid")
    private String uuid;

    public FruInfoType() {
    }

    public FruInfoType(String name, String serialNumber, String partNumber, String revision, String uuid) {
        this.name = name;
        this.serialNumber = serialNumber;
        this.partNumber = partNumber;
        this.revision = revision;
        this.uuid = uuid;
    }

    @JsonProperty("name")
    public String getName() {
        return this.name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("serial-number")
    public String getSerialNumber() {
        return this.serialNumber;
    }

    @JsonProperty("serial-number")
    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }
    
    @JsonProperty("serial-no")
    public void setSerialNo(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    @JsonProperty("part-number")
    public String getPartNumber() {
        return this.partNumber;
    }

    @JsonProperty("part-number")
    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }
    
    @JsonProperty("part-no")
    public void setPartNo(String partNumber) {
        this.partNumber = partNumber;
    }

    @JsonProperty("revision")
    public String getRevision() {
        return this.revision;
    }

    @JsonProperty("revision")
    public void setRevision(String revision) {
        this.revision = revision;
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return this.uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

}