/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * 
 * HardwareElementStatusInfoType provides health state info for hardware elements.
 *
 * @author TSANJEEV
 * @version $Revision$, Nov 6, 2014
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class HardwareElementStatusInfoType extends BaseDataType implements WebOutput{
    /** Element name */
    @XmlElement(required = true)
    public String name = null;
    
    /** Health State */
    @XmlElement(required = true, name = "health-state")
    public HealthState healthState = null;
    
    public HardwareElementStatusInfoType() {
        
    }

    public HardwareElementStatusInfoType(String name, HealthState healthState) {
        super();
        this.name = name;
        this.healthState = healthState;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("health-state")
    public HealthState getHealthState() {
        return healthState;
    }

    @JsonProperty("health-state")
    public void setHealthState(HealthState healthState) {
        this.healthState = healthState;
    }
}
