/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Health alert show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class HealthAlertShowOutputType extends BaseDataType implements MapiOutput {
    /** List of outstanding alerts. */
    @XmlElement(required = true, name = "alerts")
    private AlertInfoType[] alerts = null;

    public HealthAlertShowOutputType() {
        super();
    }

    public HealthAlertShowOutputType(AlertInfoType[] alerts) {
        super();
        this.alerts = alerts;
    }

    @JsonProperty("alerts")
    public AlertInfoType[] getAlerts() {
        return alerts;
    }

    @JsonProperty("alerts")
    public void setAlerts(AlertInfoType[] alerts) {
        this.alerts = alerts;
    }   
}
