/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

/**
 * @mapi disk.wear-level-health
 */
public enum HealthState implements WebEnum {
    unknown("unknown", 0, "Unknown"),
    passive("passive", 1, "Passive"),
    ok("ok", 2, "OK"),
    warning("warning", 3, "Warning"),
    critical("critical", 4, "Critical"),
    
    ;
    private final String value;
    private final String desc;
    private final int code;

    private HealthState(String value, int code, String desc) {
        this.value = value;
        this.desc = desc;
        this.code = code;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    
    public int code() {
        return code;
    }
    
    @JsonCreator
    public static HealthState forValue(String str) {
        for (HealthState type : values()) {
            if (type.name().equalsIgnoreCase(str))
                return type;
        }
        throw new MappingException("health-state", str);
    }
}
