/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * IGroup add operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupAddOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /** Initiators details, if EXISTS or INITIATOR_CONFLICTING_OS is returned. */
    @XmlElement(required = false, name = "initiators-info")
    private List<InitiatorInfoType> initiatorsInfo;

    /** igroup details, if IGROUP_NOT_FOUND is returned. */
    @XmlElement(required = false, name = "igroup-info")
    private IGroupInfoType igroupInfo;

    /** Name of igroup, if the initiator is already mapped */
    @XmlElement(required = false, name = "igroup-mapped")
    private String igroupMapped;

    /** Name of LUN, if the initiator is already mapped to the same LUN-ID through another LUN on another igroup */
    @XmlElement(required = false, name = "lun-mapped")
    private String lunMapped;

    public IGroupAddOutputType() {
    }

    @JsonProperty("initiators-info")
    public List<InitiatorInfoType> getInitiatorInfo() {
        return initiatorsInfo;
    }

    @JsonProperty("initiators-info")
    public void setInitiatorInfo(List<InitiatorInfoType> initiatorsInfo) {
        this.initiatorsInfo = initiatorsInfo;
    }

    @JsonProperty("igroup-info")
    public IGroupInfoType getIgroupInfo() {
        return igroupInfo;
    }

    @JsonProperty("igroup-info")
    public void setIgroupInfo(IGroupInfoType igroupInfo) {
        this.igroupInfo = igroupInfo;
    }

    @JsonProperty("igroup-mapped")
    public String getIgroupMapped() {
        return igroupMapped;
    }

    @JsonProperty("igroup-mapped")
    public void setIgroupMapped(String igroupMapped) {
        this.igroupMapped = igroupMapped;
    }

    @JsonProperty("lun-mapped")
    public String getLunMapped() {
        return lunMapped;
    }

    @JsonProperty("lun-mapped")
    public void setLunMapped(String lunMapped) {
        this.lunMapped = lunMapped;
    }
}
