/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * IGroup create operation output type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupCreateOutputType extends BaseDataType implements MapiOutput {
    /** The Uuid of the Igroup created. */
    @XmlElement(required = true, name = "uuid")
    private String uuid;

    /** Initiators details. */
    @XmlElement(required = false, name = "initiators-info")
    private InitiatorInfoType[] initiatorsInfo;

    public IGroupCreateOutputType() {
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @JsonProperty("initiators-info")
    public InitiatorInfoType[] getInitiatorsInfo() {
        return initiatorsInfo;
    }

    @JsonProperty("initiators-info")
    public void setInitiatorsInfo(InitiatorInfoType[] initiatorsInfo) {
        this.initiatorsInfo = initiatorsInfo;
    }
}
