/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * IGroup delete operation input type
 * 
 * @author Jing Shi
 * @version $Revision$, Nov 25, 2013
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupDeleteInputType extends BaseDataType implements WebInput, MapiInput {
    /** Name for the igroup */
    @XmlElement(required = true, name = "name")
    private String name;

    /** Force the igroup destroy operation.<!-- --> Used to destroy/delete an igroup with mappings. */
    @XmlElement(required = false, nillable = true, name = "force")
    private Boolean force;

    /**
     * Constructor
     */
    public IGroupDeleteInputType() {
    }

    /**
     * Constructor
     * 
     * @param name
     * @param force
     */
    public IGroupDeleteInputType(String name, Boolean force) {
        super();
        this.name = name;
        this.force = force;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("force")
    public Boolean getForce() {
        return force;
    }

    @JsonProperty("force")
    public void setForce(Boolean force) {
        this.force = force;
    }
}
