/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * IGroup info type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupInfoType extends BaseDataType implements WebOutput, MapiOutput {
    /** igroup uuid */
    @XmlElement(required = true, name = "uuid")
    private String uuid;

    /** igroup name */
    @XmlElement(required = true, name = "name")
    private String name;

    /** igroup os type */
    @XmlElement(required = true, name = "ostype")
    private OsType ostype;

    /** list of initiators in the igroup */
    @XmlElement(required = true, name = "initiators")
    private String[] initiators;

    /** lun maps for this igroup. */
    @XmlElement(required = true, name = "lun-maps")
    private LunMapInfoType[] lunMaps;

    public IGroupInfoType() {
    }

    /**
     * @param uuid
     * @param name
     * @param ostype
     * @param initiators
     * @param lunMaps
     */
    public IGroupInfoType(String uuid, String name, OsType ostype, String[] initiators, LunMapInfoType[] lunMaps) {
        super();
        this.uuid = uuid;
        this.name = name;
        this.ostype = ostype;
        this.initiators = initiators;
        this.lunMaps = lunMaps;
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("ostype")
    public OsType getOstype() {
        return ostype;
    }

    @JsonProperty("ostype")
    public void setOstype(OsType ostype) {
        this.ostype = ostype;
    }

    @JsonProperty("initiators")
    public String[] getInitiators() {
        return initiators;
    }

    @JsonProperty("initiators")
    public void setInitiators(String[] initiators) {
        this.initiators = initiators;
    }

    @JsonProperty("lun-maps")
    public LunMapInfoType[] getLunMaps() {
        return lunMaps;
    }

    @JsonProperty("lun-maps")
    public void setLunMaps(LunMapInfoType[] lunMaps) {
        this.lunMaps = lunMaps;
    }
}
