/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * IGroup modify operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupModifyInputType extends BaseDataType implements WebInput, MapiInput {
    /** igroup name */
    @XmlElement(required = true, name = "name")
    private String name;

    /** list of initiators */
    @XmlElement(required = true, name = "initiators")
    private String[] initiators;

    public IGroupModifyInputType() {
    }

    public IGroupModifyInputType(String name, String[] initiators) {
        super();
        this.name = name;
        this.initiators = initiators;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("initiators")
    public String[] getInitiators() {
        return initiators;
    }

    @JsonProperty("initiators")
    public void setInitiators(String[] initiators) {
        this.initiators = initiators;
    }
}
