/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * IGroup modify OS Type operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupModifyOsTypeInputType extends BaseDataType implements WebInput, MapiInput {
    /**
     * Igroup names to modify.<!-- --> <br>
     * If any of the initiator groups, specified in the input, contain an initiator that belongs to more than one initiator group, then all of these initiator groups must also be specified in the
     * input.
     */
    @XmlElement(required = true, name = "names")
    private String[] names;

    /** New OS Type for the igroups */
    @XmlElement(required = true, name = "ostype")
    private OsType ostype;

    public IGroupModifyOsTypeInputType() {
    }

    public IGroupModifyOsTypeInputType(String[] names, OsType ostype) {
        super();
        this.names = names;
        this.ostype = ostype;
    }

    @JsonProperty("names")
    public String[] getNames() {
        return names;
    }

    @JsonProperty("names")
    public void setNames(String[] names) {
        this.names = names;
    }

    @JsonProperty("ostype")
    public OsType getOstype() {
        return ostype;
    }

    @JsonProperty("ostype")
    public void setOstype(OsType ostype) {
        this.ostype = ostype;
    }
}
