/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * IGroup modify OS Type operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupModifyOsTypeOutputType extends BaseDataType implements WebInput, MapiOutput {
    /** List of additional initiator groups needed as part of input. */
    @XmlElement(required = true, name = "missing-igroups")
    private MissingIGroupInfoType[] missingIgroups;

    public IGroupModifyOsTypeOutputType() {
    }

    public IGroupModifyOsTypeOutputType(MissingIGroupInfoType[] missingIgroups) {
        super();
        this.missingIgroups = missingIgroups;
    }

    @JsonProperty("missing-igroups")
    public MissingIGroupInfoType[] getMissingIgroups() {
        return missingIgroups;
    }

    @JsonProperty("missing-igroups")
    public void setMissingIgroups(MissingIGroupInfoType[] missingIgroups) {
        this.missingIgroups = missingIgroups;
    }

}
