/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * IGroup remove operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupRemoveOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /** Initiators details, if INITIATOR_NOT_FOUND is returned. */
    @XmlElement(required = false, name = "initiators-info")
    private InitiatorInfoType[] initiatorsInfo;

    /** igroup details, if IGROUP_NOT_FOUND is returned. */
    @XmlElement(required = false, name = "igroup-info")
    private IGroupInfoType igroupInfo;

    public IGroupRemoveOutputType() {
    }

    @JsonProperty("initiators-info")
    public InitiatorInfoType[] getInitiatorInfo() {
        return initiatorsInfo;
    }

    @JsonProperty("initiators-info")
    public void setInitiatorInfo(InitiatorInfoType[] initiatorsInfo) {
        this.initiatorsInfo = initiatorsInfo;
    }

    @JsonProperty("igroup-info")
    public IGroupInfoType getIgroupInfo() {
        return igroupInfo;
    }

    @JsonProperty("igroup-info")
    public void setIgroupInfo(IGroupInfoType igroupInfo) {
        this.igroupInfo = igroupInfo;
    }
}
