/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * IGroup show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IGroupShowOutputType extends BaseDataType implements MapiOutput {
    /** A listing of the Igroups found given the command issued */
    @XmlElement(required = true, name = "found-igroups")
    private IGroupInfoType[] foundIgroups;

    public IGroupShowOutputType() {
    }

    @JsonProperty("found-igroups")
    public IGroupInfoType[] getFoundIGroups() {
        return foundIgroups;
    }

    @JsonProperty("found-igroups")
    public void setFoundIGroups(IGroupInfoType[] foundIgroups) {
        this.foundIgroups = foundIgroups;
    }
}
