/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * Ethernet connector information
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class InfinibandConnectorInfoType extends BaseDataType implements WebData, MapiData {

    /** Connector Type */
    @XmlElement(required = true, name = "connector-type")
    private ConnectorType connectorType = ConnectorType.INF;

    /** Status */
    @XmlElement(required = true, name = "status")
    private ConnectorStatus status = null;

    /** Port Guid */
    @XmlElement(required = false, name = "port-guid")
    private String portGuid = null;

    /** XXX */
    @XmlElement(required = false, name = "cable-end-identifier")
    private String cableEndIdentifier = null;

    /** XXX */
    @XmlElement(required = false, name = "cable-manufacturer")
    private String cableManufacturer = null;

    /** XXX */
    @XmlElement(required = false, name = "cable-part-no")
    private String cablePartNo = null;

    /** XXX */
    @XmlElement(required = false, name = "cable-serial-no")
    private String cableSerialNo = null;

    /** XXX */
    @XmlElement(required = false, name = "cable-type")
    private String cableType = null;

    /** XXX */
    @XmlElement(required = false, name = "connector-no")
    private Integer connectorNo = null;

    /** XXX */
    @XmlElement(required = false, name = "is-cable-connected")
    private Boolean cableConnected = null;

    /** XXX */
    @XmlElement(required = false, name = "is-connector-error")
    private Boolean cableError = null;

    // /** XXX */
    // @XmlElement(required=false, name="shelf-module")
    // private String shelfModule = null;

    /** XXX */
    @XmlElement(required = false, name = "swap-count")
    private Integer swapCount = null;

    public InfinibandConnectorInfoType() {
    }

    public InfinibandConnectorInfoType(ConnectorStatus status, String portGuid, String cableEndIdentifier, String cableManufacturer, String cablePartNo, String cableSerialNo, String cableType,
            Integer connectorNo, Boolean cableConnected, Boolean cableError, Integer swapCount) {
        super();
        this.status = status;
        this.portGuid = portGuid;
        this.cableEndIdentifier = cableEndIdentifier;
        this.cableManufacturer = cableManufacturer;
        this.cablePartNo = cablePartNo;
        this.cableSerialNo = cableSerialNo;
        this.cableType = cableType;
        this.connectorNo = connectorNo;
        this.cableConnected = cableConnected;
        this.cableError = cableError;
        this.swapCount = swapCount;
    }

    public String getPortBuid() {
        return portGuid;
    }

    public void setPortBuid(String portGuid) {
        this.portGuid = portGuid;
    }

    public ConnectorStatus getStatus() {
        return status;
    }

    public void setStatus(ConnectorStatus status) {
        this.status = status;
    }

    public ConnectorType getConnectorType() {
        return connectorType;
    }

    public String getCableEndIdentifier() {
        return cableEndIdentifier;
    }

    public void setCableEndIdentifier(String cableEndIdentifier) {
        this.cableEndIdentifier = cableEndIdentifier;
    }

    public String getCableManufacturer() {
        return cableManufacturer;
    }

    public void setCableManufacturer(String cableManufacturer) {
        this.cableManufacturer = cableManufacturer;
    }

    public String getCablePartNo() {
        return cablePartNo;
    }

    public void setCablePartNo(String cablePartNo) {
        this.cablePartNo = cablePartNo;
    }

    public String getCableSerialNo() {
        return cableSerialNo;
    }

    public void setCableSerialNo(String cableSerialNo) {
        this.cableSerialNo = cableSerialNo;
    }

    public String getCableType() {
        return cableType;
    }

    public void setCableType(String cableType) {
        this.cableType = cableType;
    }

    public Integer getConnectorNo() {
        return connectorNo;
    }

    public void setConnectorNo(Integer connectorNo) {
        this.connectorNo = connectorNo;
    }

    public Boolean getCableConnected() {
        return cableConnected;
    }

    public void setCableConnected(Boolean cableConnected) {
        this.cableConnected = cableConnected;
    }

    public Boolean getCableError() {
        return cableError;
    }

    public void setCableError(Boolean cableError) {
        this.cableError = cableError;
    }

    // public String getShelfModule() {
    // return shelfModule;
    // }
    //
    // public void setShelfModule(String shelfModule) {
    // this.shelfModule = shelfModule;
    // }

    public Integer getSwapCount() {
        return swapCount;
    }

    public void setSwapCount(Integer swapCount) {
        this.swapCount = swapCount;
    }

}