/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Initiator info type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class InitiatorInfoType extends BaseDataType implements WebData, MapiData {
    /** Initiator WWN */
    @XmlElement(required = true, name = "initiator")
    private String initiator;

    /** Igroup name */
    @XmlElement(required = true, name = "igroup")
    private String igroup;

    public InitiatorInfoType() {
    }

    /**
     * @param initiator
     * @param igroup
     */
    public InitiatorInfoType(String initiator, String igroup) {
        super();
        this.initiator = initiator;
        this.igroup = igroup;
    }

    @JsonProperty("initiator")
    public String getInitiator() {
        return initiator;
    }

    @JsonProperty("initiator")
    public void setInitiator(String initiator) {
        this.initiator = initiator;
    }

    @JsonProperty("igorup")
    public String getIgroup() {
        return igroup;
    }

    @JsonProperty("igroup")
    public void setIgroup(String igroup) {
        this.igroup = igroup;
    }

}
