/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;

/**
 * Invalid param info type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class InvalidParamType extends BaseDataType implements MapiData {
    /** ${mapi-arg-desc} */
    @XmlElement(required = true, name = "param-name")
    private String paramName;
    /** ${mapi-arg-desc} */
    @XmlElement(required = true, name = "param-value")
    private String paramValue;

    public InvalidParamType() {}
        
    public InvalidParamType(String paramName, String paramValue) {
        this.paramName = paramName;
        this.paramValue = paramValue;
    }

    @JsonProperty("param-name")
    public String getParamName() {
        return paramName;
    }

    @JsonProperty("param-name")
    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    @JsonProperty("param-value")
    public String getParamValue() {
        return paramValue;
    }

    @JsonProperty("param-value")
    public void setParamValue(String paramValue) {
        this.paramValue = paramValue;
    }

}
