/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * IP procotol input type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IpProtocolInputType extends BaseDataType implements WebInput, MapiInput {
    /**
     * ${mapi-arg-desc}
     */
    @XmlElement(required = false, name = "protocol")
    private IpProtocol protocol;

    public IpProtocolInputType() {
    }

    public IpProtocolInputType(IpProtocol protocol) {
        this.protocol = protocol;
    }

    @JsonProperty("protocol")
    public IpProtocol getProtocol() {
        return protocol;
    }

    @JsonProperty("protocol")
    public void setProtocol(IpProtocol protocol) {
        this.protocol = protocol;
    }

}
