/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * 
 * IscsiTargetInfoType provides iSCSI target information.
 *
 * @author TSANJEEV
 * @version $Revision$, Dec 2, 2014
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class IscsiTargetInfoType extends BaseDataType implements WebOutput, MapiOutput {
    /** Target name */
    @XmlElement(required = true, name = "target-name")
    public String targetName = null;
    
    /** Target alias */
    @XmlElement(required = true, name = "target-alias")
    public String targetAlias = null;
    
    /** iSCSI state */
    @XmlElement(required = true, name = "iscsi-state")
    public IscsiTargetState iscsiState = null;

    
    public IscsiTargetInfoType() {
        super();
    }

    public IscsiTargetInfoType(String targetName, String targetAlias,
            IscsiTargetState iscsiState) {
        super();
        this.targetName = targetName;
        this.targetAlias = targetAlias;
        this.iscsiState = iscsiState;
    }

    @JsonProperty("target-name")
    public String getTargetName() {
        return targetName;
    }

    @JsonProperty("target-name")
    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    @JsonProperty("target-alias")
    public String getTargetAlias() {
        return targetAlias;
    }

    @JsonProperty("target-alias")
    public void setTargetAlias(String targetAlias) {
        this.targetAlias = targetAlias;
    }

    @JsonProperty("iscsi-state")
    public IscsiTargetState getIscsiState() {
        return iscsiState;
    }

    @JsonProperty("iscsi-state")
    public void setIscsiState(IscsiTargetState iscsiState) {
        this.iscsiState = iscsiState;
    } 
}
