/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum IscsiTargetState {
    Down("down", "Iscsi service is configured Down."),
    Up("up", "Iscsi service is configured Up."),
    ;
    private final String value;
    private final String desc;
    
    private IscsiTargetState(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }
    
    private String desc() {
        return desc;
    }

    @JsonCreator
    public static IscsiTargetState forValue(String str) {
        for(IscsiTargetState ds: IscsiTargetState.values()) {
            if (ds.value().equals(str)) return ds;
        }
        throw new MappingException("iscsi-state", str);
    }
    
    public static IscsiTargetState getType(String name) {
        for (IscsiTargetState type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }
}
