/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * LIF create operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LifCreateOutputType extends BaseDataType implements MapiOutput {
    /** A listing of the LIFs' logged-in initiators found */
    @XmlElement(required = true, name = "uuid")
    private String uuid;

    public LifCreateOutputType() {
    }

    public LifCreateOutputType(String uuid) {
        this.uuid = uuid;
    }
    @JsonProperty("uuid")
    public String getUuid() {
        return uuid;
    }

    @JsonProperty("initiators")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }
}
