/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * LIF initiator show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LifInitiatorShowOutputType extends BaseDataType implements MapiOutput {
    /** A listing of the LIFs' logged-in initiators found */
    @XmlElement(required = true, name = "initiators")
    private LoggedInInitiatorInfoType[] initiators;

    public LifInitiatorShowOutputType() {
    }

    public LifInitiatorShowOutputType(LoggedInInitiatorInfoType[] initiators) {
        this.initiators = initiators;
    }
    @JsonProperty("initiators")
    public LoggedInInitiatorInfoType[] getInitiators() {
        return initiators;
    }

    @JsonProperty("initiators")
    public void setInitiators(LoggedInInitiatorInfoType[] initiators) {
        this.initiators = initiators;
    }
}
