/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * LIF show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LifShowOutputType extends BaseDataType implements MapiOutput {
    /** A listing of the LIFs found given the command issued */
    @XmlElement(required = true, name = "found-lifs")
    private LifInfoType[] foundLifs;

    public LifShowOutputType() {
    }

    @JsonProperty("found-lifs")
    public LifInfoType[] getFoundLifs() {
        return foundLifs;
    }

    @JsonProperty("found-lifs")
    public void setFoundLifs(LifInfoType[] foundLifs) {
        this.foundLifs = foundLifs;
    }
}
