package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum LunAdminState {
    online(1, "online"), offline(3, "offline"), corrupt(4, "corrupt"), nvfail(5, "nvfail"),
        offlineNoSpace(6, "offline-no-space");
    private int value;
    private String desc;

    private LunAdminState(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int getValue() {
        return value;
    }

    public String getDescription() {
        return desc;
    }
    
    @JsonCreator
    public static LunAdminState forName(String str) {
        for (LunAdminState type : values()) {
            if (type.getDescription().equals(str))
                return type;
        }
        throw new MappingException("admin-state", str);
    }
}
