/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * LunAlreadyMappedInfoType provides information about which igroup exposes the same LUN to the same initiator for the Lun map opeartion.
 * 
 * @author TSANJEEV
 * @version $Revision$, Jan 9, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunAlreadyMappedInfoType extends BaseDataType implements WebData, MapiData {

    /** LUN name */
    @XmlElement(required = true, name = "lun-name")
    private String lunName;

    /** Initiator WWN */
    @XmlElement(required = true, name = "initiator")
    private String initiator;

    /** Igroup name */
    @XmlElement(required = true, name = "igroup")
    private String igroup;

    public LunAlreadyMappedInfoType() {
    }

    @JsonProperty("lun-name")
    public String getLunName() {
        return lunName;
    }

    @JsonProperty("lun-name")
    public void setLunName(String lunName) {
        this.lunName = lunName;
    }

    @JsonProperty("initiator")
    public String getInitiator() {
        return initiator;
    }

    @JsonProperty("initiator")
    public void setInitiator(String initiator) {
        this.initiator = initiator;
    }

    @JsonProperty("igroup")
    public String getIgroup() {
        return igroup;
    }

    @JsonProperty("igroup")
    public void setIgroup(String igroup) {
        this.igroup = igroup;
    }
}
