/*
 * NETAPP CONFIDENTIAL
 * 
 * All information contained herein is, and remains the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc. All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Lun clone operation input type
 */

@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunCloneInputType extends BaseDataType implements WebInput, MapiInput {
    /**
     *  Name of the LUN to clone.
     */
    @XmlElement(required = true, name = "name")
    private String lunName;

    /**
     *  Name of the Snapshot copy to clone.
     */
    @XmlElement(required = false, name = "snap")
    private String snapshotName;

    /**
     *  Name of the clone.
     */
    @XmlElement(required = false, name = "clone-name")
    private String cloneName;

    public LunCloneInputType() {
    }

    public LunCloneInputType(String lunName, String snapshotName, String cloneName) {
        this.lunName = lunName;
        this.snapshotName = snapshotName;
        this.cloneName = cloneName;
    }

    @JsonProperty("name")
    public String getLunName() {
        return lunName;
    }

    @JsonProperty("name")
    public void setLunName(String lunName) {
        this.lunName = lunName;
    }

    @JsonProperty("snap")
    public String getSnapshotName() {
        return snapshotName;
    }

    @JsonProperty("snap")
    public void setSnapshotName(String snapshotName) {
        this.snapshotName = snapshotName;
    }

    @JsonProperty("clone-name")
    public String getCloneName() {
        return cloneName;
    }

    @JsonProperty("clone-name")
    public void setCloneName(String cloneName) {
        this.cloneName = cloneName;
    }
}
