package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Lun clone operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
public class LunCloneOutputType extends BaseDataType implements WebOutput, MapiOutput {

    /** Universally unique identifier of the created clone. */
    @XmlElement(required = true)
    private String uuid;

    /**
     * Name of the created clone.
     */
    @XmlElement(required = true)
    private String name;

    public LunCloneOutputType() {
    }

    public LunCloneOutputType(String uuid, String name) {
        this.uuid = uuid;
        this.name = name;
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }
}
