/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Lun create operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunCreateOutputType extends BaseDataType implements MapiOutput {
    /**
     * final size of the LUN.<!-- --> <br>
     * The LUN size will be rounded up to a multiple of the LBA size.
     */
    @XmlElement(required = true, name = "final-size")
    private Long finalSize;

    /** The UUID of the LUN created. */
    @XmlElement(required = true, name = "uuid")
    private String uuid;

    @JsonProperty("final-size")
    public Long getFinalSize() {
        return finalSize;
    }

    @JsonProperty("final-size")
    public void setFinalSize(Long finalSize) {
        this.finalSize = finalSize;
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

}
