/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * Detailed state of the LUN.
 */
public enum LunDetailedStateType implements WebEnum {
    online("online", "Online"),
    onlineNoSpace("onlineNoSpace", "Online, no Space"),
    offline("offline", "Offline"),
    onlineNvfail("onlineNvfail", "Online, NV fail"),
    offlineNvfail("offlineNvfail", "Offline, NV fail"),
    offlineCorrupt("offlineCorrupt", "Offline, Corrupt"),
    offlineNoSpace("offlineNoSpace", "Offline, no space"),
    unknown("unknown", "Unknown");
    
    private String value;
    private String desc;
    private LunDetailedStateType(String value, String desc){
        this.value = value;
        this.desc = desc;
    }
    
    public String getValue(){
        return value;
    }
    
    public String getDescription() {
        return desc;
    }
}
