/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * When a lun map operation specifies a LUN-ID that is already in use this information is returned to show where the LUN-ID is currently being used.
 * 
 * @author TSANJEEV
 * @version $Revision$, Jan 9, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
public class LunIdInUseInfoType extends BaseDataType implements WebData, MapiData {
    /** LUN-ID that is in use.<!-- --> This should match the input lun-id that was given to the lun-map operation. */
    @XmlElement(required = true, name = "lun-id")
    private Integer lunId;

    /** Initiator WWN */
    @XmlElement(required = true, name = "initiator")
    private String initiator;

    /** Igroup name */
    @XmlElement(required = true, name = "igroup")
    private String igroup;

    public LunIdInUseInfoType() {
    }

    @JsonProperty("lun-id")
    public Integer getLunId() {
        return lunId;
    }

    @JsonProperty("lun-id")
    public void setLunId(Integer lunId) {
        this.lunId = lunId;
    }

    @JsonProperty("initiator")
    public String getInitiator() {
        return initiator;
    }

    @JsonProperty("initiator")
    public void setInitiator(String initiator) {
        this.initiator = initiator;
    }

    @JsonProperty("igroup")
    public String getIgroup() {
        return igroup;
    }

    @JsonProperty("igroup")
    public void setIgroup(String igroup) {
        this.igroup = igroup;
    }

}
