/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Lun map info type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunMapInfoType extends BaseDataType implements WebOutput, MapiOutput {
    /** Igroup name */
    @XmlElement(required = true, name = "igroup-name")
    private String igroupName;

    /** LUN name */
    @XmlElement(required = true, name = "lun-name")
    private String lunName;

    /** Logical unit number */
    @XmlElement(required = true, name = "lun-id")
    private Integer lunId;

    public LunMapInfoType() {
    }

    /**
     * @param igroupName
     * @param lunName
     * @param lunId
     */
    public LunMapInfoType(String igroupName, String lunName, Integer lunId) {
        super();
        this.igroupName = igroupName;
        this.lunName = lunName;
        this.lunId = lunId;
    }

    @JsonProperty("igroup-name")
    public String getIgroupName() {
        return igroupName;
    }

    @JsonProperty("igroup-name")
    public void setIgroupName(String igroupName) {
        this.igroupName = igroupName;
    }

    @JsonProperty("lun-name")
    public String getLunName() {
        return lunName;
    }

    @JsonProperty("lun-name")
    public void setLunName(String lunName) {
        this.lunName = lunName;
    }

    @JsonProperty("lun-id")
    public Integer getLunId() {
        return lunId;
    }

    @JsonProperty("lun-id")
    public void setLunId(Integer lunId) {
        this.lunId = lunId;
    }
}
