/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Lun map operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunMapInputType extends BaseDataType implements WebInput, MapiInput {
    /** Name for the LUN */
    @XmlElement(required = true)
    private String name;

    /** Name for the Igroup */
    @XmlElement(required = true)
    private String igroup;

    /** LUN ID (Logical Unit Number) to be used to map the LUN to the given igroup.<!-- --> range: '[0:4095]' */
    @XmlElement(required = false, name = "lun-id")
    private Integer lunId;

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("igroup")
    public String getIgroup() {
        return igroup;
    }

    @JsonProperty("igroup")
    public void setIgroup(String igroup) {
        this.igroup = igroup;
    }

    @JsonProperty("lun-id")
    public Integer getLunId() {
        return lunId;
    }

    @JsonProperty("lun-id")
    public void setLunId(Integer lunId) {
        this.lunId = lunId;
    }
}