/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Lun map operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunMapOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /** LUN-ID selected for this mapping */
    @XmlElement(required = false, name = "mapped-lun-id")
    private Integer mappedLunId;

    /** LUN-ID already used with its initiator and igroup. */
    @XmlElement(required = false, name = "lun-id-in-use")
    private LunIdInUseInfoType lunIdInUse;

    /** LUN name, initiator and igroup */
    @XmlElement(required = false, name = "lun-already-mapped")
    private LunAlreadyMappedInfoType[] lunAlreadyMapped;

    @JsonProperty("mapped-lun-id")
    public Integer getMappedLunId() {
        return mappedLunId;
    }

    @JsonProperty("mapped-lun-id")
    public void setMappedLunId(Integer mappedLunId) {
        this.mappedLunId = mappedLunId;
    }

    @JsonProperty("lun-id-in-use")
    public LunIdInUseInfoType getLunIdInUse() {
        return lunIdInUse;
    }

    @JsonProperty("lun-id-in-use")
    public void setLunIdInUse(LunIdInUseInfoType lunIdInUse) {
        this.lunIdInUse = lunIdInUse;
    }

    @JsonProperty("lun-already-mapped")
    public LunAlreadyMappedInfoType[] getLunAlreadyMapped() {
        return lunAlreadyMapped;
    }

    @JsonProperty("lun-already-mapped")
    public void setLunAlreadyMapped(LunAlreadyMappedInfoType[] lunAlreadyMapped) {
        this.lunAlreadyMapped = lunAlreadyMapped;
    }

}
