/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Lun map show operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunMapShowInputType extends BaseDataType implements WebInput, MapiInput {
    /**
     * Names of the LUNs to show maps for.<!-- --> If this input is not set, the MAPI will return information about all LUN Maps in the system.
     */
    @XmlElement(required = false, name = "names")
    private String[] names;

    public LunMapShowInputType() {
    }

    public LunMapShowInputType(String[] names) {
        this.names = names;
    }

    @JsonProperty("names")
    public String[] getNames() {
        return names;
    }

    @JsonProperty("names")
    public void setNames(String[] names) {
        this.names = names;
    }
}
