/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Lun in use info data type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunMappedInfoType extends BaseDataType implements WebData, MapiData {
    /** ${mapi-arg-desc} */
    @XmlElement(required = false, name = "lun-id")
    private Integer lunId;

    /** ${mapi-arg-desc} */
    @XmlElement(required = false, name = "lun")
    private String lun;

    /** ${mapi-arg-desc} */
    @XmlElement(required = true)
    private String initiator;

    /** ${mapi-arg-desc} */
    @XmlElement(required = true)
    private String igroup;

    @JsonProperty("lun")
    public Integer getLunId() {
        return lunId;
    }

    @JsonProperty("lun")
    public void setLunId(Integer lunId) {
        this.lunId = lunId;
    }

    @JsonProperty("lu")
    public String getLun() {
        return lun;
    }

    @JsonProperty("lu")
    public void setLun(String lun) {
        this.lun = lun;
    }

    @JsonProperty("initiator")
    public String getInitiator() {
        return initiator;
    }

    @JsonProperty("initiator")
    public void setInitiator(String initiator) {
        this.initiator = initiator;
    }

    @JsonProperty("igroup")
    public String getIgroup() {
        return igroup;
    }

    @JsonProperty("igroup")
    public void setIgroup(String igroup) {
        this.igroup = igroup;
    }
}
