/*
 * NETAPP CONFIDENTIAL
 * 
 * All information contained herein is, and remains the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc. All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * @mapi lun.max-extent-size
 * @author ktripp
 */
public enum LunMaxExtentSizeOutput implements WebEnum {
    maxDefault("default", "Default value"),
    max8K("8K", "8K"),
    max16K("16K", "16K"),
    max32K("32K", "32K"),
    max64K("64K", "64K");
    
    private String value;
    private String desc;

    private LunMaxExtentSizeOutput(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }

    @JsonCreator
    public static LunMaxExtentSizeOutput forValue(String str) {
        for (LunMaxExtentSizeOutput type : values()) {
            if (type.value().equals(str))
                return type;
        }
        return null;
    }
}
