/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;
import com.netapp.offtap3.mars.LunMaxExtentSize;

/**
 * LunModifyInputType modify operation input type.
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunModifyInputType extends BaseDataType implements WebInput, MapiInput {
    /** Name of the LUN to be modified. */
    @XmlElement(required = true, name = "name")
    private String name;

    /** Maximum extent size for the LUN <br>
     * This setting affects how large writes are broken up
     * into smaller writes or how small writes are combined
     * into large writes before being stored.
     */
    @XmlElement(required = true, name = "max-extent-size")
    private LunMaxExtentSize maxExtentSize = null;


    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("max-extent-size")
    public LunMaxExtentSize getMaxExtentSize() {
        return maxExtentSize;
    }

    @JsonProperty("max-extent-size")
    public void setMaxExtentSize(LunMaxExtentSize maxExtentSize) {
        this.maxExtentSize = maxExtentSize;
    }
}
