/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Lun resize operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunResizeInputType extends BaseDataType implements WebInput, MapiInput {
    /** Name of the LUN */
    @XmlElement(required = true)
    private String name;

    /**
     * Size for LUN with an optional multiplier<!-- --> <br>
     * It starts with a digit and ends with an optional multiplier character.<!-- --> <br>
     * Allowed multiplier characters are 'k' or 'K', 'm' or 'M', 'g' or 'G' and 't' or 'T'.<!-- --> <br>
     * k/K : 1024 <br>
     * m/M : 1024k <br>
     * g/G : 1024m <br>
     * t/T : 1024g
     */
    @XmlElement(required = true)
    private String size;

    public LunResizeInputType() {
    }

    public LunResizeInputType(String name, String size) {
        super();
        this.name = name;
        this.size = size;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("size")
    public String getSize() {
        return size;
    }

    @JsonProperty("size")
    public void setSize(String size) {
        this.size = size;
    }
}
