/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Lun show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LunShowOutputType extends BaseDataType implements MapiOutput {
    /** A listing of the LUNs found given the command issued */
    @XmlElement(required = true, name = "found-luns")
    private LunInfoType[] foundLuns;

    public LunShowOutputType() {
    }

    @JsonProperty("found-luns")
    public LunInfoType[] getFoundLuns() {
        return foundLuns;
    }

    @JsonProperty("found-luns")
    public void setFoundLuns(LunInfoType[] foundLuns) {
        this.foundLuns = foundLuns;
    }
}
