/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

/**
 * LunStateType provides ...
 * 
 * @mapi lun-state
 * @author jacyli
 * @version $Revision$, Sep 18, 2014
 */
public enum LunStateType implements WebEnum {
    online("online","LUN is in online state"),
    offline("offline", "lUN is in offline state");
    
    private String value;
    private String desc;
    private LunStateType(String value, String desc){
        this.value = value;
        this.desc = desc;
    }
    
    public String getValue(){
        return value;
    }
    
    public String getDescription(){
        return desc;
    }
    
    @JsonCreator
    public static LunStateType forName(String str){
        for(LunStateType type: values()){
            if(type.getValue().equals(str)){
                return type;
            }
        }
        
        throw new MappingException("lun-state", str);
    }
}