/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

/**
 * LunStatusType provides ...
 * 
 * @mapi lun-status
 * @author jacyli
 * @version $Revision$, Sep 18, 2014
 */
public enum LunStatusType implements WebEnum {
    normal("normal", "LUN status is normal means there are no problems with the LUN"),
    corrupt("corrupt", "LUN has become corrupt"),
    nvfail("nvfail","An NVRAM failure has occurred and read/write operations are disabled until the NVFAIL state is cleared"),
    nospace("nospace","LUN encountered a no-space condition from the underlying storage");
    
    private String value;
    private String desc;
    private LunStatusType(String value, String desc){
        this.value = value;
        this.desc = desc;
    }
    
    public String getValue(){
        return value;
    }
    
    public String getDescription(){
        return desc;
    }
    
    @JsonCreator
    public static LunStatusType forName(String str){
        for(LunStatusType type: values()){
            if(type.getValue().equals(str)){
                return type;
            }
        }
        
        throw new MappingException("lun-status", str);
    }
}
