/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 * Node connector information
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NodeConnectorInfoType extends BaseDataType implements WebData, MapiData {
    /** XXX */
    @XmlElement(required = false, name = "sas-connector-info")
    private SasConnectorInfoType[] sasConnectorInfo = null;

    /** XXX */
    @XmlElement(required = false, name = "eth-connector-info")
    private EthConnectorInfoType[] ethConnectorInfo = null;

    /** XXX */
    @XmlElement(required = false, name = "fc-connector-info")
    private FcConnectorInfoType[] fcConnectorInfo = null;

    /** XXX */
    @XmlElement(required = false, name = "infini-connector-info")
    private InfinibandConnectorInfoType[] infiniConnectorInfo = null;

    public NodeConnectorInfoType() {
    }

    public SasConnectorInfoType[] getSasConnectorInfo() {
        return sasConnectorInfo;
    }

    public void setSasConnectorInfo(SasConnectorInfoType[] sasConnectorInfo) {
        this.sasConnectorInfo = sasConnectorInfo;
    }

    public EthConnectorInfoType[] getEthConnectorInfo() {
        return ethConnectorInfo;
    }

    public void setEthConnectorInfo(EthConnectorInfoType[] ethConnectorInfo) {
        this.ethConnectorInfo = ethConnectorInfo;
    }

    public FcConnectorInfoType[] getFcConnectorInfo() {
        return fcConnectorInfo;
    }

    public void setFcConnectorInfo(FcConnectorInfoType[] fcConnectorInfo) {
        this.fcConnectorInfo = fcConnectorInfo;
    }

    public InfinibandConnectorInfoType[] getInfiniConnectorInfo() {
        return infiniConnectorInfo;
    }

    public void setInfiniConnectorInfo(InfinibandConnectorInfoType[] infiniConnectorInfo) {
        this.infiniConnectorInfo = infiniConnectorInfo;
    }

}
