/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Cluster node type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NodeInfoType extends BaseDataType implements WebData, MapiData {
    
    /** Node name */
    @XmlElement(required = false, name = "name")
    private String name;
    
    /** Node serial number */
    @XmlElement(required = true, name = "serial-number")
    private String serialNumber;

    /** Node FlashRay OS version */
    @XmlElement(required = true, name = "os-version")
    private String osVersion;

    public NodeInfoType() {
    }

    public NodeInfoType(String name, String serialNumber, String osVersion) {
        super();
        this.name = name;
        this.serialNumber = serialNumber;
        this.osVersion = osVersion;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("serial-number")
    public String getSerialNumber() {
        return serialNumber;
    }

    @JsonProperty("serial-number")
    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    @JsonProperty("os-version")
    public String getOsVersion() {
        return osVersion;
    }

    @JsonProperty("os-version")
    public void setOsVersion(String osVersion) {
        this.osVersion = osVersion;
    }
      
}
