/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;
/**
 * Details needed to show node candidates
 *
 * @author Jing Shi
 * @version $Revision$, Aug 18, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NodeShowInputType extends BaseDataType implements WebInput {
    @XmlElement(required = false, name = "show-candidate")
    private Boolean showCandidate;

    public NodeShowInputType() {}
    
    public NodeShowInputType(Boolean showCandidate) {
        super();
        this.showCandidate = showCandidate;
    }

    public Boolean getShowCandidate() {
        return showCandidate;
    }

    public void setShowCandidate(Boolean showCandidate) {
        this.showCandidate = showCandidate;
    }
}
