/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * State of a shelf.
 */
public enum NodeState implements WebEnum {
    OK("ses-state-ok", "The shelf module is fully operational"),
    MISSING("ses-state-missing", "The shelf is missing"),
    UNINIT("ses-state-uninit", "The shelf is uninitializing"),
    INITFAIL("ses-state-init-fail", "The shelf has failed to initialize"),
    ZOMBIE("ses-state-zombie", "The shelf is downloading firmware"),
    INITIALIZING("ses-state-initializing", "The shelf is initializing");

    private String name;
    private String desc;

    private NodeState(String name, String desc) {
        this.name = name;
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return desc;
    }
}