/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: MAPI version 2.0
//$$WEBMAPI: MWEB version 1.0

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Nodes getEnvs operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NodesEnvironmentShowOutputType extends BaseDataType implements MapiOutput {

    /** A listing of the sensors found given the command issued */
    @XmlElement(required = true, name = "found-sensors")
    private SensorsInfoType[] foundSensors;

    public NodesEnvironmentShowOutputType() {
    }

    public NodesEnvironmentShowOutputType(SensorsInfoType[] foundSensors) {
        this.foundSensors = foundSensors;
    }

    @JsonProperty("found-sensors")
    public SensorsInfoType[] getFoundSensors() {
        return this.foundSensors;
    }

    @JsonProperty("found-sensors")
    public void setFoundSensors(SensorsInfoType[] foundSensors) {
        this.foundSensors = foundSensors;
    }

}