/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: MAPI version 2.0
//$$WEBMAPI: MWEB version 1.0

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Nodes getFrus operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NodesFruShowOutputType extends BaseDataType implements MapiOutput {

    /** A listing of the FRUs found given the command issued */
    @XmlElement(required = true, name = "found-fru")
    private FruInfoType[] foundFru;

    public NodesFruShowOutputType() {
    }

    public NodesFruShowOutputType(FruInfoType[] foundFru) {
        this.foundFru = foundFru;
    }

    @JsonProperty("found-fru")
    public FruInfoType[] getFoundFru() {
        return this.foundFru;
    }

    @JsonProperty("found-fru")
    public void setFoundFru(FruInfoType[] foundFru) {
        this.foundFru = foundFru;
    }

}