/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: MAPI version 2.0
//$$WEBMAPI: MWEB version 1.0

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Nodes system info operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NodesSystemInfoOutputType extends BaseDataType implements MapiOutput {

    /** returned system info */
    @XmlElement(required = true, name = "found-system")
    private NodeDetailsInfoType[] foundSystem;

    public NodesSystemInfoOutputType() {
    }

    public NodesSystemInfoOutputType(NodeDetailsInfoType[] foundSystem) {
        this.foundSystem = foundSystem;
    }

    @JsonProperty("found-system")
    public NodeDetailsInfoType[] getFoundSystem() {
        return this.foundSystem;
    }

    @JsonProperty("found-system")
    public void setFoundSystem(NodeDetailsInfoType[] foundSystem) {
        this.foundSystem = foundSystem;
    }

}