/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
/**
 * NVRAM flash show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NvramFlashShowOutputType extends BaseDataType implements MapiOutput {
    /** List of NVRAM info for the  */
    @XmlElement(required = true, name = "nvattrs")
    private NvramInfoType[] nvramInfoList = null;
    public NvramFlashShowOutputType() {
        super();
    }
    public NvramFlashShowOutputType(NvramInfoType[] nvramInfoList) {
        super();
        this.nvramInfoList = nvramInfoList;
    }
    
    @JsonProperty("nvattrs")
    public NvramInfoType[] getNvramInfoList() {
        return nvramInfoList;
    }
    
    @JsonProperty("nvattrs")
    public void setNvramInfoList(NvramInfoType[] nvramInfoList) {
        this.nvramInfoList = nvramInfoList;
    } 
}
