/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
/**
 * Alert info type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class NvramInfoType extends BaseDataType implements MapiOutput {
    // Only currently required fields are added here.
    /** Device size (MB) */
    @XmlElement(required = false, name = "nv-device-size")
    private Integer nvDeviceSize;
    public NvramInfoType() {
        super();
    }
    public NvramInfoType(Integer nvDeviceSize) {
        super();
        this.nvDeviceSize = nvDeviceSize;
    }
    
    @JsonProperty("nv-device-size")
    public Integer getNvDeviceSize() {
        return nvDeviceSize;
    }
    
    @JsonProperty("nv-device-size")
    public void setNvDeviceSize(Integer nvDeviceSize) {
        this.nvDeviceSize = nvDeviceSize;
    }
}
