/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * Operating System enumeration
 * 
 * @mapi igroup.os-type
 */
public enum OsType implements WebEnum {
    solaris(0, "Solaris"),
    windows(1, "Windows"),
    hpux(4, "HP-UX"),
    aix(5, "AIX"),
    linux(6, "Linux"),
    netware(7, "NetWare"),
    vmware(8, "VMware"),
    openvms(9, "OpenVMS"),
    xen(11, "Xen"),
    hyperv(12, "Microsoft Hyper-V"),
    ;

    private int value;
    private String desc;

    private OsType(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int value() {
        return value;
    }

    public String desc() {
        return desc;
    }

    public static OsType getType(String name) {
        for (OsType type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }

        return null;
    }

    public static OsType getType(int value) {
        for (OsType type : values()) {
            if (type.value() == value)
                return type;
        }

        return null;
    }

}
