/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Port List container output data type
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class PortContainerType extends BaseDataType implements WebOutput {
    /** FC ports */
    @XmlElement(required = true, name = "fc-ports")
    private FcPortInfoType[] fcPorts = null;
    
    /** SAS ports */
    @XmlElement(required = true, name = "sas-ports")
    private SasPortInfoType[] sasPorts = null;

    /** Ethernet ports */
    @XmlElement(required = true, name = "ethernet-ports")    
    private EthernetPortInfoType[] ethernetPorts = null;

    public PortContainerType() {
        super();
    }

    public PortContainerType(FcPortInfoType[] fcPorts,
            SasPortInfoType[] sasPorts, EthernetPortInfoType[] ethernetPorts) {
        super();
        this.fcPorts = fcPorts;
        this.sasPorts = sasPorts;
        this.ethernetPorts = ethernetPorts;
    }

    @JsonProperty("fc-ports")
    public FcPortInfoType[] getFcPorts() {
        return fcPorts;
    }

    @JsonProperty("fc-ports")
    public void setFcPorts(FcPortInfoType[] fcPorts) {
        this.fcPorts = fcPorts;
    }

    @JsonProperty("sas-ports")
    public SasPortInfoType[] getSasPorts() {
        return sasPorts;
    }

    @JsonProperty("sas-ports")
    public void setSasPorts(SasPortInfoType[] sasPorts) {
        this.sasPorts = sasPorts;
    }

    @JsonProperty("ethernet-ports")
    public EthernetPortInfoType[] getEthernetPorts() {
        return ethernetPorts;
    }

    @JsonProperty("ethernet-ports")
    public void setEthernetPorts(EthernetPortInfoType[] ethernetPorts) {
        this.ethernetPorts = ethernetPorts;
    }
}
