/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Base Port info data type
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class PortInfoType extends BaseDataType implements WebOutput, MapiOutput {
    /** Port name */
    @XmlElement(required = true)
    public String name = null;
    
    /** Controller */
    @XmlElement(required = true, name = "controller-name")
    public String controllerName = null;
    
    /** Cluster node name*/
    @XmlElement(required = true)
    public String node = null;
    
    /** Port type */
    @XmlElement(required = true, name = "port-type")
    public PortType portType = null;
    
    /** Port state */
    @XmlElement(required = true)
    public PortState state = null;
    
    /** Current speed in Gbps */
    @XmlElement(required = false, name = "current-speed")
    public Integer currentSpeed = null;
    
    /** Hardware name */
    @XmlElement(required = true, name = "hardware-name")
    public String hardwareName = null;
    
    /** Health State */
    @XmlElement(required = true, name = "health-state")
    public HealthState healthState = null;

    public PortInfoType() {
        
    }
    public PortInfoType(String name, String controllerName, String node,
            PortType portType, PortState state, Integer currentSpeed,
            String hardwareName, HealthState healthState) {
        super();
        this.name = name;
        this.controllerName = controllerName;
        this.node = node;
        this.portType = portType;
        this.state = state;
        this.currentSpeed = currentSpeed;
        this.hardwareName = hardwareName;
        this.healthState = healthState;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("controller-name")
    public String getControllerName() {
        return controllerName;
    }

    @JsonProperty("controller-name")
    public void setControllerName(String controllerName) {
        this.controllerName = controllerName;
    }

    @JsonProperty("node")
    public String getNode() {
        return node;
    }

    @JsonProperty("node")
    public void setNode(String node) {
        this.node = node;
    }

    @JsonProperty("port-type")
    public PortType getPortType() {
        return portType;
    }

    @JsonProperty("port-type")
    public void setPortType(PortType portType) {
        this.portType = portType;
    }

    @JsonProperty("state")
    public PortState getState() {
        return state;
    }

    @JsonProperty("state")
    public void setState(PortState state) {
        this.state = state;
    }

    @JsonProperty("current-speed")
    public Integer getCurrentSpeed() {
        return currentSpeed;
    }

    @JsonProperty("current-speed")
    public void setCurrentSpeed(Integer currentSpeed) {
        this.currentSpeed = currentSpeed;
    }

    @JsonProperty("hardware-name")
    public String getHardwareName() {
        return hardwareName;
    }

    @JsonProperty("hardware-name")
    public void setHardwareName(String hardwareName) {
        this.hardwareName = hardwareName;
    }

    @JsonProperty("health-state")
    public HealthState getHealthState() {
        return healthState;
    }

    @JsonProperty("health-state")
    public void setHealthState(HealthState healthState) {
        this.healthState = healthState;
    }
    
    
}
