/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum PortState {
    online("online","Port is in online state"),
    offline("offline", "Port is in offline state");
    
    private String value;
    private String desc;
    private PortState(String value, String desc){
        this.value = value;
        this.desc = desc;
    }
    
    public String getValue(){
        return value;
    }
    
    public String getDescription(){
        return desc;
    }
    
    @JsonCreator
    public static PortState forName(String str){
        for(PortState type: values()){
            if(type.getValue().equals(str)){
                return type;
            }
        }
        if (str.equals("down") || str.equals("false")) {
            return PortState.offline;
        } else if (str.equals("up") || str.equals("true")) {
            return PortState.online;
        }
        throw new MappingException("port-state", str);
    }
}
