/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

/**
 * RaidState provides state for a RAID group.
 * 
 * @mapi raid-state
 * @author TSANJEEV
 * @version $Revision$, Aug 25, 2014
 */
public enum RaidState implements WebEnum {
    Normal("normal", "RAID group is in normal state."),
    Degraded("degraded", "RAID group is in degraded state."),
    DoubleDegraded("double-degraded", "RAID group is in double degraded state.")
    ;
    
    private final String value;
    private final String desc;

    private RaidState(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    
    @JsonCreator
    public static RaidState forValue(String str) {
        for (RaidState type : values()) {
            if (type.name().equalsIgnoreCase(str.replace("-", "")))
                return type;
        }
        throw new MappingException("state", str);
    }
}
