/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

/**
 * RaidStatus provides status of RAID group.
 * 
 * @mapi raid-status
 * @author TSANJEEV
 * @version $Revision$, Aug 25, 2014
 */
public enum RaidStatus implements WebEnum {
    
    ok ("ok", "RAID is normal."),
    warning("warning", "RAID needs attention to replace disks."),
    critical("critical", "RAID needs to replace multiple disks."),
    emergency("emergency", "RAID needs to replace multiple disks immediately."),
    reconstructing("reconstructing", "RAID is reconstructing."),
    ;
    private final String value;
    private final String desc;

    private RaidStatus(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    
    @JsonCreator
    public static RaidStatus forValue(String str) {
        for (RaidStatus type : values()) {
            if (type.name().equalsIgnoreCase(str))
                return type;
        }
        throw new MappingException("status", str);
    }
}
