/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Input type for renaming a resource
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ResourceRenameInputType extends BaseDataType implements WebInput, MapiInput {

    /** Original resource name */
    @XmlElement(required = true, name = "name")
    private String name;

    /** New name */
    @XmlElement(required = true, name = "new-name")
    private String newName;

    public ResourceRenameInputType() {
    }

    public ResourceRenameInputType(String name, String newName) {
        super();
        this.name = name;
        this.newName = newName;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("new-name")
    public String getNewName() {
        return newName;
    }

    @JsonProperty("new-name")
    public void setNewName(String newName) {
        this.newName = newName;
    }
}
