/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum SasPortConfigSpeed {
    Unknown("unknown", "Port speed is auto."),
    SasPortSpeed1500M("1500M", "Port speed is 1.5 Gb/s."),
    SasPortSpeed3G("3G", "Port speed is 3 Gb/s."),
    SasPortSpeed6G("6G", "Port speed is 6 Gb/s."),
    SasPortSpeed12G("12G", "Port speed is 12 Gb/s.")
    ;
    private final String value;
    private final String desc;
    
    private SasPortConfigSpeed(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }
    
    public String value() {
        return value;
    }
    
    private String desc() {
        return desc;
    }
    @JsonCreator
    public static SasPortConfigSpeed forValue(String str) {
        for(SasPortConfigSpeed speed: SasPortConfigSpeed.values()) {
            if (speed.name().equalsIgnoreCase(str)) return speed;
        }
        throw new MappingException("config-speed", str);
    }
    
    public static SasPortConfigSpeed getType(String name) {
        for (SasPortConfigSpeed type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }
}
