/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * SAS port show operation output type
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SasPortShowOutputType extends BaseDataType implements MapiOutput {
    /** FC port info list */
    @XmlElement(required = true, name = "adapter-details")
    private SasPortInfoType[] adapterDetails = null;
    
    public SasPortShowOutputType() {
    }

    @JsonProperty("adapter-details")
    public SasPortInfoType[] getAdapterDetails() {
        return adapterDetails;
    }

    @JsonProperty("adapter-details")
    public void setAdapterDetails(SasPortInfoType[] adapterDetails) {
        this.adapterDetails = adapterDetails;
    }
}
