/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum SasPortStatus {
    Online(" HBA port is online and working."),
    Degraded("One or more of the phys are down; this HBA port will be avoided."),
    Resetting("HBA port is being reset."),
    Offline("HBA port is offline."),
    Unknown("HBA port is in an unknown state.")
    ;
    private final String desc;
    
    private SasPortStatus(String desc) {
        this.desc = desc;
    }

    private String desc() {
        return desc;
    }

    @JsonCreator
    public static SasPortStatus forValue(String str) {
        for(SasPortStatus ds: SasPortStatus.values()) {
            if (ds.name().equalsIgnoreCase(str)) return ds;
        }
        throw new MappingException("status", str);
    }
    
    public static SasPortStatus getType(String name) {
        for (SasPortStatus type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }
}
