/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * SCSI transport type
 * 
 * @mapi lif.scsi-transport
 * @author TSANJEEV
 * @version $Revision$, Mar 3, 2014
 */
public enum ScsiTransportType implements WebEnum {
    fcp(0, "Fibre Channel"),
    fcoe(1, "Fibre Channel over Ethernet"),
    iscsi(2, "ISCSI");
    
    private int value;
    private String desc;

    private ScsiTransportType(int value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public int value() {
        return value;
    }

    public String desc() {
        return desc;
    }

    public static ScsiTransportType getType(String name) {
        for (ScsiTransportType type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }

        return null;
    }

    public static ScsiTransportType getType(int value) {
        for (ScsiTransportType type : values()) {
            if (type.value() == value)
                return type;
        }

        return null;
    }
}
