/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Security login output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SecurityLoginGetOutputType extends BaseDataType implements MapiOutput {
    /** The attributes of the user login account */
    @XmlElement(required = true, name = "attributes")
    private UserAccountInfoType attributes;

    public SecurityLoginGetOutputType() {
        super();
    }
    public SecurityLoginGetOutputType(UserAccountInfoType attributes) {
        super();
        this.attributes = attributes;
    }

    @JsonProperty("attributes")
    public UserAccountInfoType getAttributes() {
        return attributes;
    }

    @JsonProperty("attributes")
    public void setAttributes(UserAccountInfoType attributes) {
        this.attributes = attributes;
    }

}
