/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * sensor info list.
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SensorsInfoType extends BaseDataType implements WebData, MapiData {

    /** sensor name. */
    @XmlElement(name = "name")
    private String name;

    /** sensor state */
    @XmlElement(name = "state")
    private String state;

    /** current sensor reading */
    @XmlElement(name = "reading")
    private String reading;

    /** Sensor low non recoverable threshold. MIN means default value of -2147483648. MAX means default value of 2147483647 */
    @XmlElement(name = "thresh-lo-nr")
    private String threshLoNr;

    /** Sensor low critical threshold. MIN means default value of -2147483648. MAX means default value of 2147483647 */
    @XmlElement(name = "thresh-lo-crit")
    private String threshLoCrit;

    /** Sensor low warning threshold. MIN means default value of -2147483648. MAX means default value of 2147483647 */
    @XmlElement(name = "thresh-lo-warn")
    private String threshLoWarn;

    /** Sensor high warning threshold. MIN means default value of -2147483648. MAX means default value of 2147483647 */
    @XmlElement(name = "thresh-hi-warn")
    private String threshHiWarn;

    /** Sensor high critical threshold. MIN means default value of -2147483648. MAX means default value of 2147483647 */
    @XmlElement(name = "thresh-hi-crit")
    private String threshHiCrit;

    /** Sensor high non-recoverable threshold. MIN means default value of -2147483648. MAX means default value of 2147483647 */
    @XmlElement(name = "thresh-hi-nr")
    private String threshHiNr;

    /** sensor type. */
    @XmlElement(name = "type")
    private String type;

    /** sensor unit. */
    @XmlElement(name = "unit")
    private String unit;

    /** if sensor value is valid. */
    @XmlElement(name = "valid")
    private String valid;

    /** sensor ID. */
    @XmlElement(name = "sid")
    private String sid;

    /** sensor DID. */
    @XmlElement(name = "did")
    private String did;

    /** sensor UUID. */
    @XmlElement(name = "uuid")
    private String uuid;

    public SensorsInfoType() {
    }

    public SensorsInfoType(String name, String state, String reading, String threshLoNr, String threshLoCrit, String threshLoWarn, String threshHiWarn, String threshHiCrit, String threshHiNr,
            String type, String unit, String valid, String sid, String did, String uuid) {
        this.name = name;
        this.state = state;
        this.reading = reading;
        this.threshLoNr = threshLoNr;
        this.threshLoCrit = threshLoCrit;
        this.threshLoWarn = threshLoWarn;
        this.threshHiWarn = threshHiWarn;
        this.threshHiCrit = threshHiCrit;
        this.threshHiNr = threshHiNr;
        this.type = type;
        this.unit = unit;
        this.valid = valid;
        this.sid = sid;
        this.did = did;
        this.uuid = uuid;
    }

    @JsonProperty("name")
    public String getName() {
        return this.name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("state")
    public String getState() {
        return this.state;
    }

    @JsonProperty("state")
    public void setState(String state) {
        this.state = state;
    }

    @JsonProperty("reading")
    public String getReading() {
        return this.reading;
    }

    @JsonProperty("reading")
    public void setReading(String reading) {
        this.reading = reading;
    }

    @JsonProperty("thresh-lo-nr")
    public String getThreshLoNr() {
        return this.threshLoNr;
    }

    @JsonProperty("thresh-lo-nr")
    public void setThreshLoNr(String threshLoNr) {
        this.threshLoNr = threshLoNr;
    }

    @JsonProperty("thresh-lo-crit")
    public String getThreshLoCrit() {
        return this.threshLoCrit;
    }

    @JsonProperty("thresh-lo-crit")
    public void setThreshLoCrit(String threshLoCrit) {
        this.threshLoCrit = threshLoCrit;
    }

    @JsonProperty("thresh-lo-warn")
    public String getThreshLoWarn() {
        return this.threshLoWarn;
    }

    @JsonProperty("thresh-lo-warn")
    public void setThreshLoWarn(String threshLoWarn) {
        this.threshLoWarn = threshLoWarn;
    }

    @JsonProperty("thresh-hi-warn")
    public String getThreshHiWarn() {
        return this.threshHiWarn;
    }

    @JsonProperty("thresh-hi-warn")
    public void setThreshHiWarn(String threshHiWarn) {
        this.threshHiWarn = threshHiWarn;
    }

    @JsonProperty("thresh-hi-crit")
    public String getThreshHiCrit() {
        return this.threshHiCrit;
    }

    @JsonProperty("thresh-hi-crit")
    public void setThreshHiCrit(String threshHiCrit) {
        this.threshHiCrit = threshHiCrit;
    }

    @JsonProperty("thresh-hi-nr")
    public String getThreshHiNr() {
        return this.threshHiNr;
    }

    @JsonProperty("thresh-hi-nr")
    public void setThreshHiNr(String threshHiNr) {
        this.threshHiNr = threshHiNr;
    }

    @JsonProperty("type")
    public String getType() {
        return this.type;
    }

    @JsonProperty("type")
    public void setType(String type) {
        this.type = type;
    }

    @JsonProperty("unit")
    public String getUnit() {
        return this.unit;
    }

    @JsonProperty("unit")
    public void setUnit(String unit) {
        this.unit = unit;
    }

    @JsonProperty("valid")
    public String getValid() {
        return this.valid;
    }

    @JsonProperty("valid")
    public void setValid(String valid) {
        this.valid = valid;
    }

    @JsonProperty("sid")
    public String getSid() {
        return this.sid;
    }

    @JsonProperty("sid")
    public void setSid(String sid) {
        this.sid = sid;
    }

    @JsonProperty("did")
    public String getDid() {
        return this.did;
    }

    @JsonProperty("did")
    public void setDid(String did) {
        this.did = did;
    }

    @JsonProperty("uuid")
    public String getUuid() {
        return this.uuid;
    }

    @JsonProperty("uuid")
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

}