/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;
/**
 * 
 * Shelf aggregate status info type.
 *
 * @author TSANJEEV
 * @version $Revision$, Apr 28, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfAggregateStatusInfoType extends BaseDataType implements WebData, MapiOutput {
    /** Overall state of the device elements */
    @XmlElement(required = true, name = "device-status")
    public HealthState deviceStatus = null;
    
    /** Overall state of the power-supply elements */
    @XmlElement(required = true, name = "power-supply-status")
    public HealthState powerSupplyStatus = null;
    
    /** Overall state of the fan elements */
    @XmlElement(required = true, name = "fan-status")
    public HealthState fanStatus = null;
    
    /** Overall state of the temperature-sensor elements */
    @XmlElement(required = true, name = "temp-sensor-status")
    public HealthState tempSensorStatus = null;
    
    /** Overall state of the ES-electronics elements */
    @XmlElement(required = true, name = "es-electronics-status")
    public HealthState esElectronicsStatus = null;
    
    /** Overall state of the display elements */
    @XmlElement(required = true, name = "display-status")
    public HealthState displayStatus = null;
    
    /** Overall state of the voltage-sensor elements */
    @XmlElement(required = true, name = "voltage-sensor-status")
    public HealthState voltageSensorStatus = null;
    
    /** Overall state of the current-sensor elements */
    @XmlElement(required = true, name = "current-sensor-status")
    public HealthState currentSensorStatus = null;
    
    /** Overall state of the sas-connector elements */
    @XmlElement(required = true, name = "sas-connector-status")
    public HealthState sasConnectorStatus = null;
    
    /** Overall state of the expander elements */
    @XmlElement(required = true, name = "vu-83-status")
    public HealthState vu83Status = null;

    public ShelfAggregateStatusInfoType() {}
    public ShelfAggregateStatusInfoType(
            HealthState deviceStatus,
            HealthState powerSupplyStatus,
            HealthState fanStatus,
            HealthState tempSensorStatus,
            HealthState esElectronicsStatus,
            HealthState displayStatus,
            HealthState voltageSensorStatus,
            HealthState currentSensorStatus,
            HealthState sasConnectorStatus,
            HealthState vu83Status) {
        super();
        this.deviceStatus = deviceStatus;
        this.powerSupplyStatus = powerSupplyStatus;
        this.fanStatus = fanStatus;
        this.tempSensorStatus = tempSensorStatus;
        this.esElectronicsStatus = esElectronicsStatus;
        this.displayStatus = displayStatus;
        this.voltageSensorStatus = voltageSensorStatus;
        this.currentSensorStatus = currentSensorStatus;
        this.sasConnectorStatus = sasConnectorStatus;
        this.vu83Status = vu83Status;
    }
    
    @JsonProperty("device-status")
    public HealthState getDeviceStatus() {
        return deviceStatus;
    }
    
    @JsonProperty("device-status")
    public void setDeviceStatus(ShelfElementAggregateState deviceStatus) {
        this.deviceStatus = ShelfElementAggregateState.getMappedHealthState(deviceStatus);
    }
    
    public void setDeviceStatus(HealthState deviceStatus) {
        this.deviceStatus = deviceStatus;
    }
    
    @JsonProperty("power-supply-status")
    public HealthState getPowerSupplyStatus() {
        return powerSupplyStatus;
    }
    
    @JsonProperty("power-supply-status")
    public void setPowerSupplyStatus(ShelfElementAggregateState powerSupplyStatus) {
        this.powerSupplyStatus = ShelfElementAggregateState.getMappedHealthState(powerSupplyStatus);
    }
    
    public void setPowerSupplyStatus(HealthState powerSupplyStatus) {
        this.powerSupplyStatus = powerSupplyStatus;
    }
    
    @JsonProperty("fan-status")
    public HealthState getFanStatus() {
        return fanStatus;
    }
    
    @JsonProperty("fan-status")
    public void setFanStatus(ShelfElementAggregateState fanStatus) {
        this.fanStatus = ShelfElementAggregateState.getMappedHealthState(fanStatus);
    }
    
    public void setFanStatus(HealthState fanStatus) {
        this.fanStatus = fanStatus;
    }
    
    @JsonProperty("temp-sensor-status")
    public HealthState getTempSensorStatus() {
        return tempSensorStatus;
    }
    
    @JsonProperty("temp-sensor-status")
    public void setTempSensorStatus(ShelfElementAggregateState tempSensorStatus) {
        this.tempSensorStatus = ShelfElementAggregateState.getMappedHealthState(tempSensorStatus);
    }
    
    public void setTempSensorStatus(HealthState tempSensorStatus) {
        this.tempSensorStatus = tempSensorStatus;
    }
    
    @JsonProperty("es-electronics-status")
    public HealthState getEsElectronicsStatus() {
        return esElectronicsStatus;
    }
    
    @JsonProperty("es-electronics-status")
    public void setEsElectronicsStatus(ShelfElementAggregateState esElectronicsStatus) {
        this.esElectronicsStatus = ShelfElementAggregateState.getMappedHealthState(esElectronicsStatus);
    }
    
    public void setEsElectronicsStatus(
            HealthState esElectronicsStatus) {
        this.esElectronicsStatus = esElectronicsStatus;
    }
    
    @JsonProperty("display-status")
    public HealthState getDisplayStatus() {
        return displayStatus;
    }
    
    @JsonProperty("display-status")
    public void setDisplayStatus(ShelfElementAggregateState displayStatus) {
        this.displayStatus = ShelfElementAggregateState.getMappedHealthState(displayStatus);
    }
    
    public void setDisplayStatus(HealthState displayStatus) {
        this.displayStatus = displayStatus;
    }
    
    @JsonProperty("voltage-sensor-status")
    public HealthState getVoltageSensorStatus() {
        return voltageSensorStatus;
    }
    
    @JsonProperty("voltage-sensor-status")
    public void setVoltageSensorStatus(ShelfElementAggregateState voltageSensorStatus) {
        this.voltageSensorStatus = ShelfElementAggregateState.getMappedHealthState(voltageSensorStatus);
    }
    
    public void setVoltageSensorStatus(
            HealthState voltageSensorStatus) {
        this.voltageSensorStatus = voltageSensorStatus;
    }
    
    @JsonProperty("current-sensor-status")
    public HealthState getCurrentSensorStatus() {
        return currentSensorStatus;
    }
    
    @JsonProperty("current-sensor-status")
    public void setCurrentSensorStatus(ShelfElementAggregateState currentSensorStatus) {
        this.currentSensorStatus = ShelfElementAggregateState.getMappedHealthState(currentSensorStatus);
    }
    
    public void setCurrentSensorStatus(
            HealthState currentSensorStatus) {
        this.currentSensorStatus = currentSensorStatus;
    }
    
    @JsonProperty("sas-connector-status")
    public HealthState getSasConnectorStatus() {
        return sasConnectorStatus;
    }
    
    @JsonProperty("sas-connector-status")
    public void setSasConnectorStatus(ShelfElementAggregateState sasConnectorStatus) {
        this.sasConnectorStatus = ShelfElementAggregateState.getMappedHealthState(sasConnectorStatus);
    }
    
    public void setSasConnectorStatus(
            HealthState sasConnectorStatus) {
        this.sasConnectorStatus = sasConnectorStatus;
    }
    
    @JsonProperty("vu-83-status")
    public HealthState getVu83Status() {
        return vu83Status;
    }
    
    @JsonProperty("vu-83-status")
    public void setVu83Status(ShelfElementAggregateState vu83Status) {
        this.vu83Status = ShelfElementAggregateState.getMappedHealthState(vu83Status);
    }
    
    public void setVu83Status(HealthState vu83Status) {
        this.vu83Status = vu83Status;
    }
}
