/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiData;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebData;

/**
 *  Cables/Connectors connected to the shelf
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfConnectorInfoType extends BaseDataType implements WebData, MapiData {
    /** SAS connectors & cables. */
    @XmlElement(required = false, name = "sas-connector-list")
    private SasConnectorInfoType[] connectorInfo = null;

    public ShelfConnectorInfoType() {
    }

    
    public ShelfConnectorInfoType(SasConnectorInfoType[] connectorInfo) {
        super();
        this.connectorInfo = connectorInfo;
    }

    @JsonProperty("sas-connector-list")
    public SasConnectorInfoType[] getConnectorInfo() {
        return connectorInfo;
    }

    @JsonProperty("sas-connector-list")
    public void setConnectorInfo(SasConnectorInfoType[] connectorInfo) {
        this.connectorInfo = connectorInfo;
    }

}
