/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * 
 * Shelf device (SDD) element info 
 *
 * @author TSANJEEV
 * @version $Revision$, Jun 24, 2014
 */
public class ShelfDeviceElementInfo extends BaseDataType implements MapiOutput {
    /** Device name */
    private String name;
    
    /** Human readable common element status */
    private ShelfElementAggregateState status;
    
    /** Common status byte for element */
    private Integer commonStatusByte;
    
    /** Status byte 1 for element */
    private Integer statusByte1;
    
    /** Status byte 2 for element */
    private Integer statusByte2;
    
    /** Status byte 3 for element */
    private Integer statusByte3;
    
    /** Slot number of the device */
    private Integer reading;

    /** Device status */
    private ShelfDeviceElementStatus[] deviceElementStatus;

    public ShelfDeviceElementInfo(){}
    
    public ShelfDeviceElementInfo(String name,
            ShelfElementAggregateState status, Integer commonStatusByte,
            Integer statusByte1, Integer statusByte2, Integer statusByte3,
            Integer reading, ShelfDeviceElementStatus[] deviceElementStatus) {
        super();
        this.name = name;
        this.status = status;
        this.commonStatusByte = commonStatusByte;
        this.statusByte1 = statusByte1;
        this.statusByte2 = statusByte2;
        this.statusByte3 = statusByte3;
        this.reading = reading;
        this.deviceElementStatus = deviceElementStatus;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("status-string")
    public ShelfElementAggregateState getStatus() {
        return status;
    }

    @JsonProperty("status-string")
    public void setStatus(ShelfElementAggregateState status) {
        this.status = status;
    }

    @JsonProperty("common-status")
    public Integer getCommonStatusByte() {
        return commonStatusByte;
    }

    @JsonProperty("common-status")
    public void setCommonStatusByte(Integer commonStatusByte) {
        this.commonStatusByte = commonStatusByte;
    }

    @JsonProperty("status-byte-1")
    public Integer getStatusByte1() {
        return statusByte1;
    }

    @JsonProperty("status-byte-1")
    public void setStatusByte1(Integer statusByte1) {
        this.statusByte1 = statusByte1;
    }

    @JsonProperty("status-byte-2")
    public Integer getStatusByte2() {
        return this.statusByte2;
    }

    @JsonProperty("status-byte-2")
    public void setStatusByte2(Integer statusByte2) {
        this.statusByte2 = statusByte2;
    }

    @JsonProperty("status-byte-3")
    public Integer getStatusByte3() {
        return this.statusByte3;
    }

    @JsonProperty("status-byte-3")
    public void setStatusByte3(Integer statusByte3) {
        this.statusByte3 = statusByte3;
    }

    @JsonProperty("reading")
    public Integer getReading() {
        return reading;
    }

    @JsonProperty("reading")
    public void setReading(Integer reading) {
        this.reading = reading;
    }

    @JsonProperty("status-description")
    public ShelfDeviceElementStatus[] getDeviceElementStatus() {
        return deviceElementStatus;
    }

    @JsonProperty("status-description")
    public void setDeviceElementStatus(
            ShelfDeviceElementStatus[] deviceElementStatus) {
        this.deviceElementStatus = deviceElementStatus;
    }
}
