/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

/**
 * @mapi shelf.device-element-status
 */
public enum ShelfDeviceElementStatus implements WebEnum {
    PredictedFail ("predicted-fail", "Device has a predicted failure" ),
    Disabled("disabled", "Device has been disabled"),
    Swap("swap", "Device has been swapped"),
    Report("report", "Device has information to report"),
    Identified("ident", "Device has been identified"),
    Remove("remove", "Device can be removed"),
    ReadyToInsert("ready-to-insert", "Slot is ready to have a device inserted"),
    EnclosureBypassA("enclosure-bypass-a","Enclosure has disabled the A port of this device"),
    EnclosureBypassB("enclosure-bypass-b","Enclosure has disabled the B port of this device"),
    DoNotRemove("do-not-remove","Device cannot be removed"),
    ApplicationClientBypassA("application-client-bypass-a","Application client has disabled the A port of this device"),
    ApplicationClientBypassB("application-client-bypass-b","Application client has disabled the B port of this device"),
    DeviceBypassA("device-bypass-a","Device has bypassed its A port"),
    DeviceBypassB("device-bypass-b","Device has bypassed its B port"),
    BypassA("bypass-a","Device's A port has been bypassed."),
    BypassB("bypass-b","Device's B port has been bypassed."),
    DeviceOff("device-off","Device is off"),
    FaultRequested("fault-requested","Application has set a fault on this device"),
    FaultSensed("fault-sensed","Device has detected a fault"),
    ;
    
    private String value;
    private String desc;

    private ShelfDeviceElementStatus(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    
    @JsonCreator
    public static ShelfDeviceElementStatus forValue(String str) {
        for (ShelfDeviceElementStatus type : values()) {
            if (type.value().equalsIgnoreCase(str))
                return type;
        }
        throw new MappingException("element-common-status", str);
    }

/*    public static ShelfDeviceElementStatus getType(String name) {
        for (ShelfDeviceElementStatus type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }*/
}
