/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * 
 * ShelfElementStatusBaseType provides element status info for a shelf.
 *
 * @author TSANJEEV
 * @version $Revision$, Oct 30, 2014
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfElementStatusBaseType extends BaseDataType implements WebOutput, MapiOutput{
    /** Element name */
    @XmlElement(required = true)
    public String name = null;
    
    /** Element common status */
    @XmlElement(required = true, name = "element-common-status")
    public ShelfElementAggregateState elementCommonStatus = null;
    
    /** Health State */
    @XmlElement(required = true, name = "health-state")
    public HealthState healthState = null;
    
    public ShelfElementStatusBaseType() {
        
    }
    
    public ShelfElementStatusBaseType(String name, ShelfElementAggregateState elementCommonStatus) {
        super();
        this.name = name;
        setStatusString(elementCommonStatus);
    }

    

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("health-state")
    public HealthState getHealthState() {
        return healthState;
    }

    @JsonProperty("health-state")
    public void setHealthState(HealthState healthState) {
        this.healthState = healthState;
    }

    @JsonIgnore
    @JsonProperty("status-string")
    public ShelfElementAggregateState getStatusString() {
        return elementCommonStatus;
    }

    @JsonProperty("element-common-status")
    public ShelfElementAggregateState getElementCommonStatus() {
        return elementCommonStatus;
    }
    
    @JsonProperty("status-string")
    public void setStatusString(ShelfElementAggregateState elementCommonStatus) {
        this.elementCommonStatus = elementCommonStatus;
        this.healthState = ShelfElementAggregateState.getMappedHealthState(elementCommonStatus);
    }
}
