/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * 
 * Shelf element status
 *
 * @author TSANJEEV
 * @version $Revision$, Jun 24, 2014
 */

@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfElementStatusInfoType extends BaseDataType implements WebOutput, MapiOutput {
    /**  Name of the shelf */
    private String name;
    
    /** Universally unique ID of the shelf */
    private String shelfUid;
    
    /** Drive statuses */
    private ShelfDeviceElementInfo[] deviceElements;
    
    /** Power supply element status info */
    @XmlElement(required = true, name = "power-supply-elements")
    private ShelfPowerSupplyElementStatusType[] powerSupplyElementStatusInfo;
    
    /** Fan element status info */
    @XmlElement(required = true, name = "fan-elements")
    private ShelfFanElementStatusType[] fanElementStatusInfo;
    
    /** SAS connector element status info */
    @XmlElement(required = true, name = "sas-connector-elements")
    private ShelfSasConnectorElementStatusType[] sasConnectorElementStatusInfo;

    public ShelfElementStatusInfoType() {}

    @JsonIgnore
    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonIgnore
    @JsonProperty("shelf-uid")
    public String getShelfUid() {
        return shelfUid;
    }

    @JsonProperty("shelf-uid")
    public void setShelfUid(String shelfUid) {
        this.shelfUid = shelfUid;
    }

    @JsonIgnore
    @JsonProperty("device-elements")
    public ShelfDeviceElementInfo[] getDeviceElements() {
        return deviceElements;
    }

    @JsonProperty("device-elements")
    public void setDeviceElements(ShelfDeviceElementInfo[] deviceElements) {
        this.deviceElements = deviceElements;
    }
    
    @JsonProperty("power-supply-elements")
    public ShelfPowerSupplyElementStatusType[] getPowerSupplyElementStatusInfo() {
        return powerSupplyElementStatusInfo;
    }

    @JsonProperty("power-supply-elements")
    public void setPowerSupplyElementStatusInfo(
            ShelfPowerSupplyElementStatusType[] powerSupplyElementStatusInfo) {
        this.powerSupplyElementStatusInfo = powerSupplyElementStatusInfo;
    }

    @JsonProperty("fan-elements")
    public ShelfFanElementStatusType[] getFanElementStatusInfo() {
        return fanElementStatusInfo;
    }

    @JsonProperty("fan-elements")
    public void setFanElementStatusInfo(
            ShelfFanElementStatusType[] fanElementStatusInfo) {
        this.fanElementStatusInfo = fanElementStatusInfo;
    }

    @JsonProperty("sas-connector-elements")
    public ShelfSasConnectorElementStatusType[] getSasConnectorElementStatusInfo() {
        return sasConnectorElementStatusInfo;
    }

    @JsonProperty("sas-connector-elements")
    public void setSasConnectorElementStatusInfo(
            ShelfSasConnectorElementStatusType[] sasConnectorElementStatusInfo) {
        this.sasConnectorElementStatusInfo = sasConnectorElementStatusInfo;
    }
}
