/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Shelf details info data type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfEnvironShelfInfoType extends BaseDataType implements WebData, MapiData {
    /** List of voltage sensors */
    @XmlElement(required = true, name = "voltage-sensor-list")
    private ShelfVoltageSensorInfoType[] voltageSensorList = null;

    /** List of temperature sensors */
    @XmlElement(required = false, name = "temp-sensor-list")
    private ShelfTempSensorInfoType[] tempSensorList = null;

    /** List of Power Supply Units */
    @XmlElement(required = false, name = "power-supply-list")
    private ShelfPowerSupplyInfoType[] powerSupplyList = null;
    
    /** List of cable elements */
    @XmlElement(required = false, name = "connector-information")
    private ShelfConnectorInfoType[] connectorInformation = null;


    /** List of fan sensors */
    @XmlElement(required=true, name="cooling-element-list")
    private ShelfCoolingElementInfoType coolingElementList = null;

    /**  List of current sensors */
    @XmlElement(required = true, name = "current-sensor-list")
    private ShelfCurrentSensorInfoType[] currentSensorList = null;

    public ShelfEnvironShelfInfoType() {
    }

    public ShelfEnvironShelfInfoType(
            ShelfVoltageSensorInfoType[] voltageSensorList,
            ShelfTempSensorInfoType[] tempSensorList,
            ShelfPowerSupplyInfoType[] powerSupplyList,
            ShelfConnectorInfoType[] connectorInformation,
            ShelfCoolingElementInfoType coolingElementList,
            ShelfCurrentSensorInfoType[] currentSensorList) {
        super();
        this.voltageSensorList = voltageSensorList;
        this.tempSensorList = tempSensorList;
        this.powerSupplyList = powerSupplyList;
        this.connectorInformation = connectorInformation;
        this.coolingElementList = coolingElementList;
        this.currentSensorList = currentSensorList;
    }


    @JsonProperty("voltage-sensor-list")
    public ShelfVoltageSensorInfoType[] getVoltageSensorList() {
        return voltageSensorList;
    }

    @JsonProperty("voltage-sensor-list")
    public void setVoltageSensorList(ShelfVoltageSensorInfoType[] voltageSensorList) {
        this.voltageSensorList = voltageSensorList;
    }

    @JsonProperty("temp-sensor-list")
    public ShelfTempSensorInfoType[] getTempSensorList() {
        return tempSensorList;
    }

    @JsonProperty("temp-sensor-list")
    public void setTempSensorList(ShelfTempSensorInfoType[] tempSensorList) {
        this.tempSensorList = tempSensorList;
    }

    @JsonProperty("power-supply-list")
    public ShelfPowerSupplyInfoType[] getPowerSupplyList() {
        return powerSupplyList;
    }

    @JsonProperty("power-supply-list")
    public void setPowerSupplyList(ShelfPowerSupplyInfoType[] powerSupplyList) {
        this.powerSupplyList = powerSupplyList;
    }

    @JsonProperty("connector-information")
    public ShelfConnectorInfoType[] getConnectorInformation() {
        return connectorInformation;
    }

    @JsonProperty("connector-information")
    public void setConnectorInformation(
            ShelfConnectorInfoType[] connectorInformation) {
        this.connectorInformation = connectorInformation;
    }

    @JsonProperty("cooling-element-list")
    public ShelfCoolingElementInfoType getCoolingElementList() {
        return coolingElementList;
    }

    @JsonProperty("cooling-element-list")
    public void setCoolingElementList(
            ShelfCoolingElementInfoType coolingElementList) {
        this.coolingElementList = coolingElementList;
    }

    @JsonProperty("current-sensor-list")
    public ShelfCurrentSensorInfoType[] getCurrentSensorList() {
        return currentSensorList;
    }

    @JsonProperty("current-sensor-list")
    public void setCurrentSensorList(ShelfCurrentSensorInfoType[] currentSensorList) {
        this.currentSensorList = currentSensorList;
    }
}