/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum ShelfFanElementStatusEnumType {
    PredictedFail ("predicted-fail", "Fan has a predicted failure." ),
    Disabled("disabled", "Fan has been disabled."),
    Swap("swap", "Fan has been swapped."),
    Off("off", "Fan is off."),
    RequestedOn("requested-on", "Fan has been requested to turn on."),
    Fail("fail", "Fan has failed."),
    HotSwappable("hot-swappable", "This fan can be hot-swapped without disrupting the enclosure's operation."),
    ;
    
    private String value;
    private String desc;

    private ShelfFanElementStatusEnumType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    
    @JsonCreator
    public static ShelfFanElementStatusEnumType forValue(String str) {
        for (ShelfFanElementStatusEnumType type : values()) {
            if (type.value().equalsIgnoreCase(str))
                return type;
        }
        throw new MappingException("fan-element-status-enum-type", str);
    }
}
