/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * 
 * ShelfFanElementStatusType provides status info for a shalf's fan.
 *
 * @author TSANJEEV
 * @version $Revision$, Oct 30, 2014
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfFanElementStatusType extends ShelfElementStatusBaseType implements WebOutput, MapiOutput {
    
    /** Element status */
    @XmlElement(required = true, name = "status")
    public ShelfFanElementStatusEnumType[] status = null;

    public ShelfFanElementStatusType() {
        super();
    }

    
    public ShelfFanElementStatusType(String name, ShelfElementAggregateState elementCommonStatus, ShelfFanElementStatusEnumType[] status) {
        super(name, elementCommonStatus);
        this.status = status;
    }


    @JsonProperty("status")
    public ShelfFanElementStatusEnumType[] getStatus() {
        return status;
    }

    @JsonProperty("status")
    public void setStatus(
            ShelfFanElementStatusEnumType[] status) {
        this.status = status;
    }
    
    @JsonProperty("status-description")
    public void setFanStatus(
            ShelfFanElementStatusEnumType[] status) {
        this.status = status;
    }
}
