/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: MAPI version 2.0

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;


/**
 * Supported actions for a shelf LED.
 * 
 * @version 1.0
 * @author AUTO-GENERATED 02 Aug 2013 11:47:50
 */
public enum ShelfLedAction implements WebEnum {

    evac("evac", "The data of the entire shelf is being evacuated to a replacement shelf."), identify("identify", "The LEDs of all disks in the shelf are on to identify the enclosure.");

    private String value;
    private String desc;

    /**
     * A mapping between the integer code and its corresponding ShelfLedAction to facilitate lookup by code.
     */
    //private static Map<Integer, ShelfLedAction> codeToShelfLedActionMapping;

    private ShelfLedAction(String value, String description) {
        this.value = value;
        desc = description;
    }

    public static ShelfLedAction getShelfLedAction(String value) {
        for (ShelfLedAction type : values()) {
            if (type.name().equalsIgnoreCase(value))
                return type;
        }
        return null;
    }

/*    private static void initMapping() {
        codeToShelfLedActionMapping = new HashMap<Integer, ShelfLedAction>();
        for (ShelfLedAction s : values()) {
            codeToShelfLedActionMapping.put(s.code, s);
        }
    }*/

    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder();
        sb.append("ShelfLedAction");
        sb.append(", value='").append(value).append('\'');
        sb.append(", description='").append(desc).append('\'');
        sb.append('}');
        return sb.toString();
    }
}