/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Shelf led set operation input type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfLedActionModifyInputType extends BaseDataType implements WebInput, MapiInput {
    /** Name or shelf uid of the shelf to turn the led on for. */
    @XmlElement(required = true, name = "shelf")
    private String shelf;

    /** the duration in minutes to turn the led on for. */
    @XmlElement(required = false, name = "time")
    private Integer time;

    /** the action to perform on the shelf leds. */
    @XmlElement(required = true, name = "action")
    private ShelfLedAction action;

    public ShelfLedActionModifyInputType() {
    }

    public ShelfLedActionModifyInputType(String shelf, Integer time, ShelfLedAction action) {
        super();
        this.shelf = shelf;
        this.time = time;
        this.action = action;
    }

    @JsonProperty("shelf")
    public String getShelf() {
        return shelf;
    }

    @JsonProperty("shelf")
    public void setShelf(String shelf) {
        this.shelf = shelf;
    }

    @JsonProperty("time")
    public Integer getTime() {
        return time;
    }

    @JsonProperty("time")
    public void setTime(Integer time) {
        this.time = time;
    }

    @JsonProperty("action")
    public ShelfLedAction getAction() {
        return action;
    }

    @JsonProperty("action")
    public void setAction(ShelfLedAction action) {
        this.action = action;
    }

}
