/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;

/**
 * The state of a shelf module
 * 
 * @mapi shelf.module-state
 */

public enum ShelfModuleState implements WebEnum {
    SesModuleStateOk("ses-module-state-ok", "The shelf module is fully operational"),
    SesModuleStateFail("ses-module-state-fail", "The shelf module is either missing or failed to initialize."), ;

    private String value;
    private String desc;

    private ShelfModuleState(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    @JsonCreator
    public static ShelfModuleState forValue(String str) {
        if (str.equals("ses-module-state-ok")) {
            return SesModuleStateOk;
        } else if (str.equals("ses-module-state-fail")) {
            return SesModuleStateFail;
        }
        return getType(str);
    }

    public static ShelfModuleState getType(String name) {
        for (ShelfModuleState type : values()) {
            if (type.name().equalsIgnoreCase(name))
                return type;
        }
        return null;
    }
}
