/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum ShelfPowerSupplyElementStatusEnumType {
    PredictedFail ("predicted-fail", "Power supply has a predicted failure." ),
    Disabled("disabled", "Power supply has been disabled."),
    Swap("swap", "Power supply has been swapped."),
    DcOverCurrent("dc-over-current", "Power supply detects a DC over-current."),
    DcUnderVoltage("dc-under-voltage", "Power supply detects a DC under-voltage."),
    DcOverVoltage("dc-over-voltage", "Power supply detects a DC over-voltage."),
    DcFail("dc-fail", "Power supply detects a DC failure."),
    AcFail("ac-fail", "Power supply detects a AC failure."),
    TemperatureWarning("temperature-warning", "Power supply detects a temperature warning."),
    OverTemperatureFail("over-temperature-fail", "Power supply detects an over-temperature failure."),
    PowerSupplyOff("power-supply-off", "Power supply is off."),
    RequestedOn("requested-on", "Power supply has been requested to turn on."),
    Fail("fail", "Power supply has failed."),
    HotSwappable("hot-swappable", "This power-supply can be hot-swapped without disrupting the enclosure's operation."),
    ;
    private String value;
    private String desc;

    private ShelfPowerSupplyElementStatusEnumType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    
    @JsonCreator
    public static ShelfPowerSupplyElementStatusEnumType forValue(String str) {
        for (ShelfPowerSupplyElementStatusEnumType type : values()) {
            if (type.value().equalsIgnoreCase(str))
                return type;
        }
        throw new MappingException("power-supply-element-status-enum-type", str);
    }
}
