/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * 
 * ShelfPowerSupplyElementStatusType provides element status info for a shelf's power supply.
 *
 * @author TSANJEEV
 * @version $Revision$, Oct 30, 2014
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfPowerSupplyElementStatusType extends ShelfElementStatusBaseType implements WebOutput, MapiOutput {
    /** Element status */
    @XmlElement(required = true, name = "status")
    public ShelfPowerSupplyElementStatusEnumType[] status = null;

    public ShelfPowerSupplyElementStatusType() {
        super();
    }
    
    public ShelfPowerSupplyElementStatusType(String name,
            ShelfElementAggregateState elementCommonStatus, ShelfPowerSupplyElementStatusEnumType[] status) {
        super(name, elementCommonStatus);
        this.status = status;
    }

    @JsonProperty("status")
    public ShelfPowerSupplyElementStatusEnumType[] getStatus() {
        return status;
    }

    @JsonProperty("status")
    public void setStatus(
            ShelfPowerSupplyElementStatusEnumType[] status) {
        this.status = status;
    }
    
    @JsonProperty("status-description")
    public void setPowerSupplyStatus(
            ShelfPowerSupplyElementStatusEnumType[] status) {
        this.status = status;
    }
}
