/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum ShelfSasConnectorElementStatusEnumType {
    PredictedFail ("predicted-fail", "Connector has a predicted failure." ),
    Disabled("disabled", "Connector has been disabled."),
    Swap("swap", "Connector has been swapped."),
    Identified("ident", "Application has identified this connector."),
    Fail("fail", "Connector has failed."),
    ;
    
    private String value;
    private String desc;

    private ShelfSasConnectorElementStatusEnumType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String value() {
        return value;
    }

    public String desc() {
        return desc;
    }
    
    @JsonCreator
    public static ShelfSasConnectorElementStatusEnumType forValue(String str) {
        for (ShelfSasConnectorElementStatusEnumType type : values()) {
            if (type.value().equalsIgnoreCase(str))
                return type;
        }
        throw new MappingException("sas-connector-element-status-enum-type", str);
    }
}
