/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;
/**
 * 
 * ShelfSasConnectorElementStatusType provides element status info for a shelf's SAS connector.
 *
 * @author TSANJEEV
 * @version $Revision$, Oct 30, 2014
 */
@XmlRootElement()
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelfSasConnectorElementStatusType extends ShelfElementStatusBaseType implements WebOutput, MapiOutput {
    
    /** Element status descriptions */
    @XmlElement(required = true, name = "status")
    public ShelfSasConnectorElementStatusEnumType[] status = null;

    public ShelfSasConnectorElementStatusType() {
        super();
    }

    public ShelfSasConnectorElementStatusType(String name, ShelfElementAggregateState elementCommonStatus, ShelfSasConnectorElementStatusEnumType[] status) {
        super(name, elementCommonStatus);
        this.status = status;
    }

    @JsonProperty("status")
    public ShelfSasConnectorElementStatusEnumType[] getStatus() {
        return status;
    }

    @JsonProperty("status")
    public void setStatus(
            ShelfSasConnectorElementStatusEnumType[] status) {
        this.status = status;
    }
    
    @JsonProperty("status-description")
    public void setSasConnectorStatus(
            ShelfSasConnectorElementStatusEnumType[] status) {
        this.status = status;
    }
}
