/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: MAPI version 2.0
//$$WEBMAPI: MWEB version 1.0

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * Shelf get output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class ShelvesListInfoOutputType extends BaseDataType implements MapiOutput {

    /** Shelf(s) */
    @XmlElement(required = true, name = "shelf-details")
    private ShelfDetailsInfoType[] shelfDetails;

    public ShelvesListInfoOutputType() {
    }

    public ShelvesListInfoOutputType(ShelfDetailsInfoType[] shelfDetails) {
        this.shelfDetails = shelfDetails;
    }

    @JsonProperty("shelf-details")
    public ShelfDetailsInfoType[] getShelfDetails() {
        return this.shelfDetails;
    }

    @JsonProperty("shelf-details")
    public void setShelfDetails(ShelfDetailsInfoType[] shelfDetails) {
        this.shelfDetails = shelfDetails;
    }

}