package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Snapshot or Clone get default name Input Type
 *
 * @author Jacy Li
 * @since 1.1
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SnapCloneDefaultNameInputType extends BaseDataType implements WebInput, MapiInput {
    /**
     * Name of the LUN to take snapshot or clone for.
     * Only ungrouped LUN is allowed.
     */
    @XmlElement(required = true)
    private String lun;

    /**
     * *If true, the generated name is for clone, otherwise the name is generated for snapshot.
     * The default value is false.
     */
    @XmlElement(name = "gen-clone-name", required = true)
    private Boolean getCloneName;

    public SnapCloneDefaultNameInputType() {}

    public SnapCloneDefaultNameInputType(String lun, Boolean getCloneName) {
        super();
        this.lun = lun;
        this.getCloneName = getCloneName;
    }

    @JsonProperty("lun")
    public String getLun() {
        return lun;
    }

    @JsonProperty("lun")
    public void setLun(String lun) {
        this.lun = lun;
    }

    @JsonProperty("gen-clone-name")
    public Boolean getGetCloneName() {
        return getCloneName;
    }

    @JsonProperty("gen-clone-name")
    public void setGetCloneName(Boolean getCloneName) {
        this.getCloneName = getCloneName;
    }
}
