package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Snapshot copy default name
 *
 * @author Jacy Li
 * @since 1.1
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SnapCloneDefaultNameOutputType extends BaseDataType implements WebOutput, MapiOutput {
    /**
     * Default name of the snapshot or clone to be created.
     */
    @XmlElement(name = "default-name", required = true)
    private String defaultName;

    public SnapCloneDefaultNameOutputType() {}

    public SnapCloneDefaultNameOutputType(String defaultName) {
        super();
        this.defaultName = defaultName;
    }

    @JsonProperty("default-name")
    public String getDefaultName() {
        return defaultName;
    }

    @JsonProperty("default-name")
    public void setDefaultName(String defaultName) {
        this.defaultName = defaultName;
    }
}