/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Output for showing Snapshot copies
 * 
 * @author Jing Shi
 * @since 1.1
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SnapShowOutputType extends BaseDataType implements MapiOutput {
    
    @XmlElement(required = true, name = "found-snaps")
    private SnapInfoType[] foundSnaps;

    public SnapShowOutputType() {
    }

    @JsonProperty("found-snaps")
    public SnapInfoType[] getFoundSnaps() {
        return foundSnaps;
    }

    @JsonProperty("found-snaps")
    public void setFoundSnaps(SnapInfoType[] foundSnaps) {
        this.foundSnaps = foundSnaps;
    }
}
