/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Stats counter value type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class StatsCounterDataType extends BaseDataType implements WebData, MapiData {
    /** Counter name */
    @XmlElement(required = false, name = "counter-name")
    private String counterName;

    /** Counter value */
    @XmlElement(required = false, name = "counter-value")
    private Number[] counterValue;

    /** String value for counter in case of config counters. */
    @XmlElement(required = false, name = "string-value")
    private String stringValue;

    public StatsCounterDataType() {
    }

    public StatsCounterDataType(String counterName, Number[] counterValue, String stringValue) {
        this.counterName = counterName;
        this.counterValue = counterValue;
        this.stringValue = stringValue;
    }

    @JsonProperty("counter-name")
    public String getCounterName() {
        return counterName;
    }

    @JsonProperty("counter-name")
    public void setCounterName(String counterName) {
        this.counterName = counterName;
    }

    @JsonProperty("counter-value")
    public Number[] getCounterValue() {
        return counterValue;
    }

    @JsonProperty("counter-value")
    public void setCounterValue(Number[] counterValue) {
        this.counterValue = counterValue;
    }

    @JsonProperty("string-value")
    public String getStringValue() {
        return stringValue;
    }

    @JsonProperty("string-value")
    public void setStringValue(String stringValue) {
        this.stringValue = stringValue;
    }

}
