/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Stats instance data type
 * <p>
 * Instance names and values for an object.
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class StatsInstanceDataType extends BaseDataType implements WebData, MapiData {
    /** Instance name */
    @XmlElement(required = true, name = "instance-name")
    private String instanceName;

    /** Instance values */
    @XmlElement(required = true, name = "instance-values")
    private StatsInstanceValueType[] instanceValues;

    public StatsInstanceDataType() {
    }

    @JsonProperty("instance-name")
    public String getInstanceName() {
        return instanceName;
    }

    @JsonProperty("instance-name")
    public void setInstanceName(String instanceName) {
        this.instanceName = instanceName;
    }

    @JsonProperty("instance-values")
    public StatsInstanceValueType[] getInstanceValues() {
        return instanceValues;
    }

    @JsonProperty("instance-values")
    public void setInstanceValues(StatsInstanceValueType[] instanceValues) {
        this.instanceValues = instanceValues;
    }
}
