/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Stats instance value type
 * <p>
 * ${mapi-datatype-desc}
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class StatsInstanceValueType extends BaseDataType implements WebData, MapiData {
    /** Counter values for this instance */
    @XmlElement(required = true, name = "counter-values")
    private StatsCounterDataType[] counterValues;

    /** Cluster system time in seconds for when the counters were generated */
    @XmlElement(required = true, name = "timestamp")
    private Long timestamp;

    public StatsInstanceValueType() {
    }

    @JsonProperty("timestamp")
    public Long getTimestamp() {
        return timestamp;
    }

    @JsonProperty("timestamp")
    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    @JsonProperty("counter-values")
    public StatsCounterDataType[] getCounterValues() {
        return counterValues;
    }

    @JsonProperty("counter-values")
    public void setCounterValues(StatsCounterDataType[] counterValues) {
        this.counterValues = counterValues;
    }

}
