/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */

//$$WEBMAPI: manual-written 

package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;

/**
 * Stats object data type
 * <p>
 * Object name and its counter values.
 * </p>
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class StatsObjectDataType extends BaseDataType implements WebData, MapiData {
    /** Object name */
    @XmlElement(required = true, name = "object-name")
    private String objectName;

    /** Session ID assigned by CM */
    @XmlElement(required = true, name = "cm-sessionid")
    private String cmSessionId;

    /** Object values */
    @XmlElement(required = true, name = "object-value")
    private StatsInstanceDataType[] objectValue;

    public StatsObjectDataType() {
    }

    @JsonProperty("object-name")
    public String getObjectName() {
        return objectName;
    }

    @JsonProperty("object-name")
    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    @JsonProperty("cm-sessionid")
    public String getCmSessionId() {
        return cmSessionId;
    }

    @JsonProperty("cm-sessionid")
    public void setCmSessionId(String cmSessionId) {
        this.cmSessionId = cmSessionId;
    }

    @JsonProperty("object-value")
    public StatsInstanceDataType[] getObjectValue() {
        return objectValue;
    }

    @JsonProperty("object-value")
    public void setObjectValue(StatsInstanceDataType[] objectValue) {
        this.objectValue = objectValue;
    }
}
