/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;

/**
 * 'raid-state-show' operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class StorageRaidStateOutputType extends BaseDataType implements MapiOutput{

    /** RAID group state information */
    @XmlElement(required = true, name = "raid-state-details")
    private RaidStatusInfoType[] raidStateDetails;

    public StorageRaidStateOutputType() {
        super();
    }

    public StorageRaidStateOutputType(RaidStatusInfoType[] raidStateDetails) {
        super();
        this.raidStateDetails = raidStateDetails;
    }

    @JsonProperty("raid-state-details")
    public RaidStatusInfoType[] getRaidStateDetails() {
        return raidStateDetails;
    }

    @JsonProperty("raid-state-details")
    public void setRaidStateDetails(RaidStatusInfoType[] raidStateDetails) {
        this.raidStateDetails = raidStateDetails;
    }   
}
