/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
/**
 * System component health info type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SystemComponentHealthInfoType extends BaseDataType implements MapiOutput {
    /** Component name */
    //@XmlElement(required = true)
    private String name;
    
    /** health status */
    //@XmlElement(required = true, name = "status")
    private HealthState healthState;

    public SystemComponentHealthInfoType() {
        super();
    }

    public SystemComponentHealthInfoType(String name, HealthState healthState) {
        super();
        this.name = name;
        this.healthState = healthState;
    }

    @JsonProperty("name")
    public String getName() {
        return name;
    }

    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }

    @JsonProperty("status")
    public HealthState getHealthState() {
        return healthState;
    }

    @JsonProperty("status")
    public void setHealthState(String status) {
        this.healthState = HealthState.forValue(status);
    }
    
    
}
