/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
/**
 * System health show operation output type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SystemHealthShowOutputType extends BaseDataType implements MapiOutput {
    /** Health of chassis within the cluster  */
    @XmlElement(required = true, name = "chassis-health-info")
    private SystemComponentHealthInfoType[] chassisHealthInfo = null;

    /** Health of controllers within the cluster  */
    @XmlElement(required = true, name = "controller-health-info")
    private SystemComponentHealthInfoType[] controllerHealthInfo = null;
    
    public SystemHealthShowOutputType() {
        super();
    }

    public SystemHealthShowOutputType(
            SystemComponentHealthInfoType[] chassisHealthInfo,
            SystemComponentHealthInfoType[] controllerHealthInfo) {
        super();
        this.chassisHealthInfo = chassisHealthInfo;
        this.controllerHealthInfo = controllerHealthInfo;
    }

    @JsonProperty("chassis-health-info")    
    public SystemComponentHealthInfoType[] getChassisHealthInfo() {
        return chassisHealthInfo;
    }

    @JsonProperty("chassis-health-info")
    public void setChassisHealthInfo(
            SystemComponentHealthInfoType[] chassisHealthInfo) {
        this.chassisHealthInfo = chassisHealthInfo;
    }

    @JsonProperty("controller-health-info")
    public SystemComponentHealthInfoType[] getControllerHealthInfo() {
        return controllerHealthInfo;
    }

    @JsonProperty("controller-health-info")
    public void setControllerHealthInfo(
            SystemComponentHealthInfoType[] controllerHealthInfo) {
        this.controllerHealthInfo = controllerHealthInfo;
    }
}
