/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.*;


/**
 * System service processor network show output type
 * 
 * @author TSANJEEV
 * @version $Revision$, Dec 11, 2013
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SystemServiceProcessorNetworkShowOutputType extends BaseDataType implements WebOutput, MapiOutput {

    /** IPv4 address */
    @XmlElement(required = true, name = "ip-address")
    private String ipAddress;

    /** IPv4 netmask */
    @XmlElement(required = true, name = "netmask")
    private String netmask;

    /** IPv4 gateway */
    @XmlElement(required = true, name = "gateway")
    private String gateway;

    /** IPv4 DHCP enabled? */
    @XmlElement(required = true, name = "dhcp-enable")
    private Boolean dhcpEnable;

    /** MAC address */
    @XmlElement(required = true, name = "mac-address")
    private String macAddress;

    /** Network link up? */
    @XmlElement(required = true, name = "is-link-up")
    private Boolean isLinkUp;

    public SystemServiceProcessorNetworkShowOutputType() {
    }

    public SystemServiceProcessorNetworkShowOutputType(String ipAddress, String netmask, String gateway, Boolean dhcpEnable, String ipv6Address, Integer ipv6AddressPrefix, String ipv6GatewayAddress,
            String ipv6RouterAddress, Integer ipv6RouterAddressPrefix, String ipv6LinkAddress, Integer ipv6LinkAddressPrefix, String macAddress, Boolean isLinkUp) {
        super();
        this.ipAddress = ipAddress;
        this.netmask = netmask;
        this.gateway = gateway;
        this.dhcpEnable = dhcpEnable;
        this.macAddress = macAddress;
        this.isLinkUp = isLinkUp;
    }

    @JsonProperty("ip-address")
    public String getIpAddress() {
        return ipAddress;
    }

    @JsonProperty("ip-address")
    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    @JsonProperty("netmask")
    public String getNetmask() {
        return netmask;
    }

    @JsonProperty("netmask")
    public void setNetmask(String netmask) {
        this.netmask = netmask;
    }

    @JsonProperty("gateway")
    public String getGateway() {
        return gateway;
    }

    @JsonProperty("gateway")
    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    @JsonProperty("dhcp-enable")
    public Boolean getDhcpEnable() {
        return dhcpEnable;
    }

    @JsonProperty("dhcp-enable")
    public void setDhcpEnable(Boolean dhcpEnable) {
        this.dhcpEnable = dhcpEnable;
    }

    @JsonProperty("mac-address")
    public String getMacAddress() {
        return macAddress;
    }

    @JsonProperty("mac-address")
    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    @JsonProperty("is-link-up")
    public Boolean getIsLinkUp() {
        return isLinkUp;
    }

    @JsonProperty("is-link-up")
    public void setIsLinkUp(Boolean isLinkUp) {
        this.isLinkUp = isLinkUp;
    }

}
