/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * System service processor show output type
 * 
 * @author TSANJEEV
 * @version $Revision$, Dec 11, 2013
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SystemServiceProcessorShowOutputType extends BaseDataType implements WebOutput, MapiOutput {

    /** IPv4 address */
    @XmlElement(required = true, name = "ip-address")
    private String ipAddress;

    /** MAC address */
    @XmlElement(required = true, name = "mac-address")
    private String macAddress;

    /** Firmware version */
    @XmlElement(required = true, name = "fw-vers")
    private String fwVers;

    /** Uptime, in seconds */
    @XmlElement(required = true, name = "uptime")
    private Integer uptime;

    public SystemServiceProcessorShowOutputType() {
    }

    public SystemServiceProcessorShowOutputType(String ipAddress, String ipv6Address, String macAddress, String fwVers, Integer uptime) {
        super();
        this.ipAddress = ipAddress;
        this.macAddress = macAddress;
        this.fwVers = fwVers;
        this.uptime = uptime;
    }

    @JsonProperty("ip-address")
    public String getIpAddress() {
        return ipAddress;
    }

    @JsonProperty("ip-address")
    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    @JsonProperty("mac-address")
    public String getMacAddress() {
        return macAddress;
    }

    @JsonProperty("mac-address")
    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    @JsonProperty("fw-vers")
    public String getFwVers() {
        return fwVers;
    }

    @JsonProperty("fw-vers")
    public void setFwVers(String fwVers) {
        this.fwVers = fwVers;
    }

    @JsonProperty("uptime")
    public Integer getUptime() {
        return uptime;
    }

    @JsonProperty("uptime")
    public void setUptime(Integer uptime) {
        this.uptime = uptime;
    }

}
