/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.domain;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.MapiOutput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;
/**
 * User account info data type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class UserAccountInfoType extends BaseDataType implements WebOutput, MapiOutput {
    /** Name of the user account. */
    @XmlElement(required = true)
    public String name = null;
    
    /**  Time of the last update for this account, as a UNIX time-stamp. */
    @XmlElement(required = true, name="last-updated")
    public Long lastUpdated = null;

    public UserAccountInfoType() {
        super();
    }
    public UserAccountInfoType(String name, Long lastUpdated) {
        super();
        this.name = name;
        this.lastUpdated = lastUpdated;
    }
    
    @JsonProperty("name")
    public String getName() {
        return name;
    }
    
    @JsonProperty("name")
    public void setName(String name) {
        this.name = name;
    }
    
    @JsonProperty("last-updated")
    public Long getLastUpdated() {
        return lastUpdated;
    }
    
    @JsonProperty("last-updated")
    public void setLastUpdated(Long lastUpdated) {
        this.lastUpdated = lastUpdated;
    } 
}
