/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.service;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Administrator credential information
 * 
 * @author sjing
 * @version $Revision$, Apr 25, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class AdminInputType implements WebInput {
    /**
     * User credential
     */
    @XmlElement(required = true, name = "credential")
    private LoginInfoType credential;
    
    public AdminInputType() {}
    
    public AdminInputType(LoginInfoType credential) {
        super();
        this.credential = credential;
    }

    public LoginInfoType getCredential() {
        return credential;
    }

    public void setCredential(LoginInfoType credential) {
        this.credential = credential;
    }
}
