/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.service;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.common.LogLevelEnum;
import com.netapp.offtap3.internal.mars.webmapi.model.common.NameValueType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Administrator log-level information.
 * 
 * @author Jing Shi
 * @version $Revision$, May 23, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class AdminLogInputType extends AdminInputType implements WebInput, WebOutput {

    /**
     * Administrator log-level operation type.
     */
    public enum AdminLogType implements WebEnum {
        /**
         * Get the current log level.
         */
        GETLOGLEVELS,

        /**
         * Set the log level.
         */
        SETLOGLEVELS
    }
    
    /**
     * Admin log
     */
    @XmlElement(required = true, name="adminLog")
    private AdminLogType adminLog;
    
    /**
     * Log levels
     */
    @XmlElement(required = false, name="logLevels")
    private NameValueType<LogLevelEnum>[] logLevels;

    public AdminLogInputType() {}
    
    public AdminLogInputType(AdminLogType adminLog, NameValueType<LogLevelEnum>[] logLevels) {
        super();
        this.adminLog = adminLog;
        this.logLevels = logLevels;
    }

    public AdminLogType getAdminLog() {
        return adminLog;
    }

    public void setAdminLog(AdminLogType adminLog) {
        this.adminLog = adminLog;
    }

    public NameValueType<LogLevelEnum>[] getLogLevels() {
        return logLevels;
    }

    public void setLogLevels(NameValueType<LogLevelEnum>[] logLevels) {
        this.logLevels = logLevels;
    }
}
