/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.service;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.netapp.offtap3.internal.mars.webmapi.model.common.PropertyType;

/**
 * Properties input type
 *
 * @author Jing Shi
 * @version 1.0, Apr 25, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class AdminPropertiesInputType extends AdminInputType {
    public enum AdminPropType {
        GETPROPS,
        CHANGEPROPS,
        DELETEPROPS,
        DUMPALL;
    }
    
    /**
     * Admin type
     */
    @XmlElement(required = true, name = "adminProp")
    public AdminPropType adminProp;
    
    /**
     * A list of properties
     */
    @XmlElement(required = false, name = "propNames")
    private String[] propNames;
 
    /**
     * A list of properties
     */
    @XmlElement(required = false, name = "properties")
    private PropertyType[] properties;
    
    public AdminPropertiesInputType() { }

    public AdminPropertiesInputType(LoginInfoType credential, AdminPropType admin) {
        super(credential);
        this.adminProp = admin;
    }
    
    public AdminPropertiesInputType(LoginInfoType credential, AdminPropType admin, String[] propNames) {
        super(credential);
        this.adminProp = admin;
        this.propNames = propNames;
    }

    public AdminPropertiesInputType(LoginInfoType credential, AdminPropType admin, PropertyType[] properties) {
        super(credential);
        this.adminProp = admin;
        this.properties = properties;
    }
    
    public AdminPropType getAdminProp() {
        return adminProp;
    }

    public void setAdminProp(AdminPropType adminProp) {
        this.adminProp = adminProp;
    }

    public String[] getPropNames() {
        return propNames;
    }

    public void setPropNames(String[] propNames) {
        this.propNames = propNames;
    }    
    
    public PropertyType[] getProperties() {
        return properties;
    }

    public void setProperties(PropertyType[] properties) {
        this.properties = properties;
    }    
}
