/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.model.service;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Administrator session information
 * 
 * @author Jing Shi
 * @version 1.0, May 14, 2014
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class AdminSessionInputType extends AdminInputType {
    public enum AdminSessionType {
        DUMPSESSIONS,
        DUMPCFG,
        DELETESESSION,
        DELETEUSERSESSIONS,
        DELETEALL;
    }
   
   /**
    * Admin type
    */
   @XmlElement(required = true, name = "adminSession")
   private AdminSessionType adminSession;
   
   /**
    * Session token
    */
   @XmlElement(required = false, name = "sessionToken")
   private String sessionToken;
   
   /**
    * Session user name
    */
   @XmlElement(required = false, name = "username")
   private String username;

   public AdminSessionInputType() {}
   
   public AdminSessionInputType(LoginInfoType credentail, AdminSessionType admin) {
       super(credentail);
       adminSession = admin;
   }
   
   public AdminSessionInputType(LoginInfoType credentail,AdminSessionType admin, String sessionToken) {
       super(credentail);
       adminSession = admin;
       this.sessionToken = sessionToken;
   }
   
   
   public AdminSessionInputType(LoginInfoType credentail, String username, AdminSessionType admin) {
       super(credentail);
       adminSession = admin;
       this.username = username;
   }

   public AdminSessionType getAdminSession() {
       return adminSession;
   }

   public void setAdminSession(AdminSessionType admin) {
       adminSession = admin;
   }

   public String getSessionToken() {
       return sessionToken;
   }

   public void setSessionToken(String sessionToken) {
       this.sessionToken = sessionToken;
   }

   public String getUsername() {
       return username;
   }

   public void setUsername(String username) {
       this.username = username;
   }
}
