package com.netapp.offtap3.internal.mars.webmapi.model.service;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebInput;

/**
 * Login info type
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class LoginInfoType extends BaseDataType implements WebInput {
    /**
     * user name
     */
    @XmlElement(required = true, name = "username")
    private String username;

    /**
     * base64 password
     */
    @XmlElement(required = true, name = "password")
    private String password;

    public LoginInfoType() {
    }

    public LoginInfoType(String username, String password) {
        this.username = username;
        this.password = password;
    }

    @JsonProperty("username")
    public String getUserName() {
        return username;
    }

    @JsonProperty("username")
    public void setUserName(String username) {
        this.username = username;
    }

    @JsonProperty("password")
    public String getPassword() {
        return password;
    }

    @JsonProperty("password")
    public void setPassword(String password) {
        this.password = password;
    }
}
