package com.netapp.offtap3.internal.mars.webmapi.model.service;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebOutput;

/**
 * Session information type
 * 
 * @author Jing Shi
 * @version 1.0
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
@JsonInclude(Include.NON_NULL)
public class SessionInfoType extends BaseDataType implements WebOutput {
    /**
     * user name
     */
    @XmlElement(required = true, name = "username")
    private String username;

    /**
     * last update time of the session is the system time in seconds with long integer format
     */
    @XmlElement(required = true, name = "last-update-time")
    private Long lastUpdateTime;

    /**
     * session time to live is in seconds
     */
    @XmlElement(required = true, name = "time-to-live")
    private Long timeToLive;
    
    public SessionInfoType() {}
    
    public SessionInfoType(String username, Long lastUpdateTime, Long timeToLive) {
        super();
        this.username = username;
        this.lastUpdateTime = lastUpdateTime;
        this.timeToLive = timeToLive;
    }
    
    @JsonProperty("username")
    public String getUsername() {
        return username;
    }
    
    @JsonProperty("username")
    public void setUsername(String username) {
        this.username = username;
    }
    
    @JsonProperty("last-update-time")
    public Long getlastUpdateTime() {
        return lastUpdateTime;
    }
    
    @JsonProperty("last-update-time")
    public void setlastUpdateTime(Long lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }
    
    @JsonProperty("time-to-live")
    public Long getTimeToLive() {
        return timeToLive;
    }
    
    @JsonProperty("time-to-live")
    public void setTimeToLive(Long timeToLive) {
        this.timeToLive = timeToLive;
    }
    
}
