/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains
 * the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.util;

import java.util.List;

import com.netapp.offtap3.internal.mars.webmapi.model.BaseDataType;

/**
 * IdsCondition defines the condition type from query of ids with format like: ids=id1&id2&...
 * 
 * @author Jing Shi
 * @version 1.0, Jan 12, 2014
 */
public class IdsCondition extends BaseDataType {
    public static final String QUERY_IDS_KEY = "ids";
    public static final String QUERY_IDTYPE_KEY = "idtype";
    public static final int QUERY_MAX_IDS = 100;

    private List<String> ids = null;
    private String idType = null;

    public IdsCondition() {
    }

    public IdsCondition(List<String> ids, String idType) {
        super();
        this.ids = ids;
        this.idType = idType;
    }

    public List<String> getIds() {
        return ids;
    }

    public void setIds(List<String> ids) {
        this.ids = ids;
    }

    public String getIdType() {
        return idType;
    }

    public void setIdType(String idType) {
        this.idType = idType;
    }
}