/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.util;

import java.io.InputStream;
import java.io.OutputStream;
import java.util.LinkedHashMap;

import com.fasterxml.jackson.core.type.TypeReference;

/**
 * ParserHelper provides ...
 * 
 * @author Jing Shi
 * @version $Revision$, May 6, 2013
 */

public interface ParserHelper {

    public <T> String convertToString(T instance) throws Exception;

    public <T> T convertToInstance(String content, TypeReference<T> typeRef) throws Exception;

    @SuppressWarnings("rawtypes")
    public <T> T convertToInstance(LinkedHashMap content, TypeReference<T> typeRef) throws Exception;

    public <T> void writeInstance(OutputStream out, T instance) throws Exception;

    public <T> T readInstance(InputStream in, TypeReference<T> typeRef) throws Exception;

}
