/*
 * NETAPP CONFIDENTIAL
 *
 * All information contained herein is, and remains 
 * the property of NetApp, Inc. and its suppliers if any.
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.mars.webmapi.util;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.netapp.offtap3.internal.mars.webmapi.model.common.Pair;

/**
 * Range identified range like data type
 * 
 * @author Jing Shi
 * @version $Revision$, May 7, 2013
 */
public class Range<T extends Comparable<T>> extends Pair<T, T> {
    public Range() {
        super();
    }
    
    public Range(T low, T high) {
        super(low, high);

        assert low != null;
        assert high != null;
    }

    public T getLow() {
        return getL();
    }

    public void setLow(T low) {
        setL(low);
    }
    
    public T getHigh() {
        return getR();
    }
    
    @JsonProperty("high")
    public void setHigh(T high) {
        setR(high);
    }

    public int compareLowTo(T value) {
        return getL().compareTo(value);
    }

    public int compareHighTo(T value) {
        return getR().compareTo(value);
    }

    public boolean inRange(T value) {
        return (compareLowTo(value) <= 0 && compareHighTo(value) >= 0);
    }

    public String toString() {
        return "[" + getL() + "," + getR() + "]";
    }
}
