package com.netapp.offtap3.internal.ontap;

import com.google.common.base.Objects;
import com.netapp.offtap3.internal.AbstractRefreshable;
import com.netapp.offtap3.internal.HasProxy;
import com.netapp.offtap3.ontap.ClusterPeer;

import java.util.ArrayList;
import java.util.List;

public class ClusterPeerImpl extends AbstractRefreshable implements ClusterPeer {
    private String uuid;
    private List<String> addresses = new ArrayList<String>();
    private boolean available;

    public ClusterPeerImpl(HasProxy loader) {
        super(loader);
    }

    @Override
    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @Override
    public List<String> getAddresses() {
        return addresses;
    }

    public void setAddresses(List<String> addresses) {
        this.addresses = addresses;
    }

    @Override
    public boolean isAvailable() {
        return available;
    }

    public void setAvailable(boolean available) {
        this.available = available;
    }

    @Override
    public ClusterPeer refresh() {
        return (ClusterPeer) super.refresh();
    }

    public String toString() {
        return Objects.toStringHelper(this)
                .add("name", getName())
                .add("uuid", uuid)
                .add("available", available)
                .add("addresses", addresses)
                .toString();
    }
}
