/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/DataTransferProcessImpl.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap;

import com.netapp.offtap3.internal.ontap.controller.DataSvmImpl;
import com.netapp.offtap3.ontap.DataTransferProcess;
import com.netapp.offtap3.ontap.DataTransferStatus;

import java.util.List;

public abstract class DataTransferProcessImpl implements DataTransferProcess {
    private String jobId;
    private DataSvmImpl dataSvm;

    public DataTransferProcessImpl(DataSvmImpl dataSvm, String jobId) {
        this.jobId = jobId;
        this.dataSvm = dataSvm;
    }

    @Override
    public String getJobId() {
        return jobId;
    }

    public DataSvmImpl getDataSvm() {
        return dataSvm;
    }

    @Override
    public abstract List<DataTransferStatus> getStatus();

    public enum TransferType {copy, move}

    public enum ScannerStates {
        destroyed, complete, data, destroying
    }
}
