/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/DataTransferStatusImpl.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap;

import com.netapp.offtap3.ontap.DataTransferStatus;

public class DataTransferStatusImpl implements DataTransferStatus {
    private String destinationPath;
    private String jobUuid;
    private int scannerProgressPercentage;
    private String scannerStatus;
    private String failureReason;
    private boolean isDestinationReady;

    public DataTransferStatusImpl(String destinationPath, String jobUuid, String scannerStatus) {
        this.destinationPath = destinationPath;
        this.jobUuid = jobUuid;
        this.scannerStatus = scannerStatus;
    }

    @Override
    public String getDestinationPath() {
        return destinationPath;
    }

    @Override
    public String getJobUuid() {
        return jobUuid;
    }

    @Override
    public int getScannerProgressPercentage() {
        return scannerProgressPercentage;
    }

    public void setScannerProgressPercentage(int scannerProgressPercentage) {
        this.scannerProgressPercentage = scannerProgressPercentage;
    }

    @Override
    public String getScannerStatus() {
        return scannerStatus;
    }

    @Override
    public boolean isDestinationReady() {
        return isDestinationReady;
    }

    public void setDestinationReady(boolean isDestinationReady) {
        this.isDestinationReady = isDestinationReady;
    }

    /**
     * @return the failureReason
     */
    @Override
    public String getFailureReason() {
        return failureReason;
    }

    /**
     * @param failureReason the failureReason to set
     */
    public void setFailureReason(String failureReason) {
        this.failureReason = failureReason;
    }

    public String toString() {
        return getClass().getSimpleName() + "\n destPath     : " + getDestinationPath() + "\n jobUuid     : " +
                getJobUuid() + "\n scannerProgressPercentage    : " + getScannerProgressPercentage() +
                "\n scannerStatus    : " + getScannerStatus() + "\n destinationReady    : " + isDestinationReady();
    }

    public enum ScannerStates {
        destroyed, complete, data, destroying
    }
}
