package com.netapp.offtap3.internal.ontap;

import com.google.common.base.Objects;

/**
 * This describes a physical disk in an OnTap system
 */
public class Disk {
    private String type;
    private Long plexId;
    private String name;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getPlexId() {
        return plexId;
    }

    public void setPlexId(Long plexId) {
        this.plexId = plexId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((plexId == null) ? 0 : plexId.hashCode());
        result = prime * result + ((type == null) ? 0 : type.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj instanceof Disk) {
            Disk other = (Disk) obj;
            return Objects.equal(getPlexId(), other.getPlexId()) && Objects.equal(getType(), other.getType());
        }
        return false;
    }

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("Disk[");
        if (plexId != null) {
            builder.append("plexId=");
            builder.append(plexId);
            builder.append(", ");
        }
        if (type != null) {
            builder.append("type=");
            builder.append(type);
        }
        builder.append("]");
        return builder.toString();
    }

}
