/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/ExportPolicyRuleSpecImpl.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap;

import com.netapp.offtap3.ontap.ExportPolicyRuleSpec;

public class ExportPolicyRuleSpecImpl implements ExportPolicyRuleSpec {
    private String clientMatch;
    private String roRule;
    private String rwRule;
    private Boolean allowSetUid;
    private Boolean allowDeviceCreation;
    private String protocol;
    private String anonymousUserId;
    private String superUserSecurity;
    private Integer ruleIndex;

    private ExportPolicyRuleSpecImpl(BuilderImpl builder) {
        this.clientMatch = builder.clientMatch;
        this.roRule = builder.roRule;
        this.rwRule = builder.rwRule;
        this.allowSetUid = builder.allowSetUid;
        this.allowDeviceCreation = builder.allowDeviceCreation;
        this.protocol = builder.protocol;
        this.anonymousUserId = builder.anonymousUserId;
        this.superUserSecurity = builder.superUserSecurity;
        this.ruleIndex = builder.ruleIndex;
    }

    @Override
    public String getClientMatch() {
        return clientMatch;
    }

    @Override
    public String getRoRule() {
        return roRule;
    }

    @Override
    public String getRwRule() {
        return rwRule;
    }

    public void setAllowSetUid(boolean allowSetUid) {
        this.allowSetUid = allowSetUid;
    }

    @Override
    public Boolean isAllowSetUid() {
        return allowSetUid;
    }

    @Override
    public Integer getRuleIndex() {
        return ruleIndex;
    }

    public void setRuleIndex(int ruleIndex) {
        this.ruleIndex = ruleIndex;
    }

    @Override
    public String getSuperUserSecurity() {
        return superUserSecurity;
    }

    public void setSuperUserSecurity(String superUserSecurity) {
        this.superUserSecurity = superUserSecurity;
    }

    @Override
    public String getAnonymousUserId() {
        return anonymousUserId;
    }

    public void setAnonymousUserId(String anonymousUserId) {
        this.anonymousUserId = anonymousUserId;
    }

    @Override
    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    @Override
    public Boolean isAllowDeviceCreation() {
        return allowDeviceCreation;
    }

    public void setAllowDeviceCreation(boolean allowDeviceCreation) {
        this.allowDeviceCreation = allowDeviceCreation;
    }

    public static class BuilderImpl implements Builder {
        private String clientMatch;
        private String roRule;
        private String rwRule;
        private Boolean allowSetUid;
        private Boolean allowDeviceCreation;
        private String protocol;
        private String anonymousUserId;
        private String superUserSecurity;
        private Integer ruleIndex;

        public BuilderImpl(String clientMatch, String roRule, String rwRule) {
            this.clientMatch = clientMatch;
            this.roRule = roRule;
            this.rwRule = rwRule;
        }

        @Override
        public Builder allowSetUid(boolean allowSetUid) {
            this.allowSetUid = allowSetUid;
            return this;
        }

        @Override
        public Builder allowDeviceCreation(boolean allowDeviceCreation) {
            this.allowDeviceCreation = allowDeviceCreation;
            return this;
        }

        @Override
        public Builder protocol(String protocol) {
            this.protocol = protocol;
            return this;
        }

        @Override
        public Builder anonymousUserId(String anonymousUserId) {
            this.anonymousUserId = anonymousUserId;
            return this;
        }

        @Override
        public Builder superUserSecurity(String superUserSecurity) {
            this.superUserSecurity = superUserSecurity;
            return this;
        }

        @Override
        public Builder ruleIndex(int ruleIndex) {
            this.ruleIndex = ruleIndex;
            return this;
        }

        @Override
        public ExportPolicyRuleSpec build() {
            return new ExportPolicyRuleSpecImpl(this);
        }
    }
}
