package com.netapp.offtap3.internal.ontap;

import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.NaElement;

public interface InternalZapiHandler {
    /**
     * Invokes the specified ZAPI from xmlInput against the controller associated with this object.
     *
     * @param xmlInput The XML input for the ZAPI call.
     * @param cacheDuration The number of milliseconds to hold the value in the ZapiCache if it is turned on.
     * @see com.netapp.offtap3.internal.ontap.support.ZapiCache
     * @return The XML result of the ZAPI call.
     * @throws com.netapp.offtap3.ontap.ApiFailedException If the API failed for an unrecoverable reason.
     * @throws NullPointerException If xmlInput is <code>null</code>.
     */
    NaElement invokeZapi(NaElement xmlInput, long cacheDuration) throws ApiFailedException;
}
