/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap;

import com.netapp.offtap3.internal.IGroupSpecImpl;
import com.netapp.offtap3.ontap.OntapIGroupSpec;

public class OntapIGroupSpecImpl extends IGroupSpecImpl implements OntapIGroupSpec {
    private final boolean wantsAlua;
    private final boolean keepName;

    protected OntapIGroupSpecImpl(BuilderImpl builder) {
        super(builder);
        this.wantsAlua = builder.wantsAlua;
        this.keepName = builder.keepName;
    }

    @Override
    public boolean getWantsAlua() {
        return wantsAlua;
    }

    @Override
    public boolean getKeepName() {
        return keepName;
    }

    public static class BuilderImpl extends IGroupSpecImpl.BuilderImpl implements OntapIGroupSpec.Builder {
        private boolean wantsAlua;
        private boolean keepName;

        public BuilderImpl(String name, String osType) {
            super(name, osType);
        }

        @Override
        public OntapIGroupSpec.Builder wantsAlua(boolean wantsAlua) {
            this.wantsAlua = wantsAlua;
            return this;
        }

        @Override
        public OntapIGroupSpec.Builder keepName(boolean keepName) {
            this.keepName = keepName;
            return this;
        }

        @Override
        public OntapIGroupSpec build() {
            return new OntapIGroupSpecImpl(this);
        }
    }
}
