package com.netapp.offtap3.internal.ontap;

import java.util.List;

import com.netapp.offtap3.ontap.SpaceReserve;
import com.netapp.offtap3.ontap.VolumeCloneSpec;

public class VolumeCloneSpecImpl implements VolumeCloneSpec {

    private int numClones = -1;
    private List<String> cloneNames;
    private SpaceReserve spaceReserve;
    private boolean withJunctionPath;
    
    private VolumeCloneSpecImpl(VolumeCloneSpecBuilderImpl builder) {
        this.numClones = builder.numClones;
        this.cloneNames = builder.cloneNames;
        this.spaceReserve = builder.spaceReserve;
        this.withJunctionPath = builder.withJunctionPath;
    }
    
    @Override
    public int getNumClones() {
        return numClones;
    }

    @Override
    public List<String> getCloneNames() {
        return cloneNames;
    }

    @Override
    public SpaceReserve getSpaceReserve() {
        return spaceReserve;
    }

    @Override
    public boolean isWithJunctionPath() {
        return withJunctionPath;
    }
    
    public static class VolumeCloneSpecBuilderImpl implements VolumeCloneSpecBuilder {

        private int numClones = -1;
        private List<String> cloneNames;
        private SpaceReserve spaceReserve;
        private boolean withJunctionPath = true;
        
        public VolumeCloneSpecBuilderImpl(int numClones, SpaceReserve spaceReserve) {
            this.numClones = numClones;
            this.spaceReserve = spaceReserve;
        }
        
        public VolumeCloneSpecBuilderImpl(List<String> cloneNames, SpaceReserve spaceReserve) {
            this.cloneNames = cloneNames;
            this.spaceReserve = spaceReserve;
        }

        @Override
        public VolumeCloneSpecBuilder withJunctionPath(boolean withJunctionPath) {
            this.withJunctionPath = withJunctionPath;
            return this;
        }

        @Override
        public VolumeCloneSpec build() {
            return new VolumeCloneSpecImpl(this);
        }
        
    }

}
