/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/AbstractPortSetDataLoader.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.internal.DataCache;
import com.netapp.offtap3.internal.ontap.intf.PortSetImpl;
import com.netapp.offtap3.internal.ontap.InternalZapiHandler;
import com.netapp.offtap3.ontap.PortSet;
import com.netapp.offtap3.ontap.NaElement;

public abstract class AbstractPortSetDataLoader<T> extends OntapCachingDataLoader<T> {
    public AbstractPortSetDataLoader(DataCache<NaElement, InternalZapiHandler> dataCache) {
        super(dataCache);
    }

    protected static PortSet parsePortSet(final NaElement portsetInfo) {
        PortSetImpl portSet = new PortSetImpl();
        portSet.setName(portsetInfo.getChildContent("portset-name"));
        portSet.setPortsetType(portsetInfo.getChildContent("portset-type"));
        NaElement portInfo = portsetInfo.getChildByName("portset-port-info");
        if (portInfo != null) {
            for (final NaElement portName : portInfo.getChildren()) {
                portSet.getPortNames().add(portName.getContent());
            }
        }
        NaElement igroupInfo = portsetInfo.getChildByName("initiator-group-info");
        if (igroupInfo != null) {
            for (final NaElement igroupName : igroupInfo.getChildren()) {
                portSet.getIgroupNames().add(igroupName.getContent());
            }
        }
        return portSet;
    }
}
