/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/AdminSvmClusterStatusDataLoader.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.controller.AdminSvmImpl;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;
import com.netapp.offtap3.ontap.NaElement;
import org.apache.log4j.Logger;

import java.util.Set;

public class AdminSvmClusterStatusDataLoader extends AbstractDataLoader<AdminSvmImpl> {
    private static Logger logger = Logger.getLogger(AdminSvmClusterStatusDataLoader.class);

    @Override
    protected boolean doLoad(AdminSvmImpl adminSvm, LoadType loadType, Set<Resource> resources) throws DataLoaderException {
        try {
            NaElement result = adminSvm.invokeZapi(new NaElement("diagnosis-status-get"), ZapiCache.LONG_CACHE);
            String clusterStatus = result.getChildByName("attributes").getChildByName("diagnosis-status")
                    .getChildContent("status");
            adminSvm.setClusterState(clusterStatus);

        } catch (Exception e) {
            // Catch all exceptions, don't cause a ruckus if this fails.
            logger.error("Error retrieving cluster status for admin svm.", e);
            adminSvm.setClusterState("unknown");
            return false;
        }
        return true;
    }
}
