/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/AdminSvmClusterStatusMessageDataLoader.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.controller.AdminSvmImpl;

import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.NaElement;
import org.apache.log4j.Logger;

import java.util.Set;

public class AdminSvmClusterStatusMessageDataLoader extends AbstractDataLoader<AdminSvmImpl> {
    private static Logger logger = Logger.getLogger(AdminSvmClusterStatusMessageDataLoader.class);

    @Override
    protected boolean doLoad(AdminSvmImpl adminSvm, LoadType loadType, Set<Resource> resources) throws DataLoaderException {
        logger.debug("doLoad: Start");
        SimpleCdotIterativeLoader cdotIterativeLoader = new SimpleCdotIterativeLoader(adminSvm, new NaElement("diagnosis-alert-get-iter"));

        boolean result;
        StringBuilder messages = new StringBuilder();

        try {
            StringBuilder statusReason = new StringBuilder();
            statusReason.append("SubSystem: ");

            for (NaElement element :  cdotIterativeLoader.loadChildren()) {
                statusReason.append(element.getChildContent("subsystem"));
                statusReason.append("(");
                statusReason.append(element.getChildContent("alert-id"));
                statusReason.append(")");

                if (messages.length() > 0) {
                    messages.append(",");
                }
                messages.append(statusReason);
            }

            adminSvm.setClusterStateReason(messages.toString());
            result = true;
        } catch (ApiFailedException e) {
            logger.error("Error retrieving cluster status error messages for admin vserver.", e);
            adminSvm.setClusterStateReason("");
            result = false;
        }
        logger.debug("doLoad: end - " + result);
        return result;
    }
}
