package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.ontap.OntapVersionImpl;
import com.netapp.offtap3.ontap.NaElement;

/**
 * Creates the NtapVersion object that describes this cDOT system.
 */
public class CModeVersionBuilder {

    public OntapVersionImpl build(NaElement systemVersionXml) throws DataLoaderException {
        String rawVersion = systemVersionXml.getChildContent("version");
        NaElement versionTuple = systemVersionXml.getChildByName("version-tuple");
        if (versionTuple == null) {
            throw new DataLoaderException("version-tuple not found in system-version XML response - can't determine cDOT version");
        }
        NaElement tuple = versionTuple.getChildByName("system-version-tuple");
        return new OntapVersionImpl(rawVersion, tuple.getChildIntValue("generation", 0),
                    tuple.getChildIntValue("major", 0), tuple.getChildIntValue("minor", 0));
    }
}
