package com.netapp.offtap3.internal.ontap.dataloader;


import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.controller.AbstractOntapDataController;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;

import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.DataSvm;
import com.netapp.offtap3.ontap.NaElement;

import java.util.Set;

public class ControllerRootVolumeDataLoader extends AbstractDataLoader<AbstractOntapDataController> {

    @Override
    protected boolean doLoad(AbstractOntapDataController controller, LoadType loadType, Set<Resource> resources) throws DataLoaderException {

        // this ZAPI works in all cases, but for svm where the admin is known,
        // the data has already been populated, so let's not do it again, unless this is a refresh
        if (controller instanceof DataSvm && loadType != LoadType.refresh) {
            if (!((DataSvm)controller).isDirectSvm()) {
                return true;
            }
        }

        try {
            NaElement xi = new NaElement("volume-get-root-name");
            NaElement xo = controller.invokeZapi(xi, ZapiCache.NO_CACHE);
            controller.setRootVolume(xo.getChildContent("volume"));
        }
        catch (ApiFailedException e) {
            throw new DataLoaderException(this + " failed to determine root volume", e);
        }
        return true;
    }
}
