/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/CumulativeDataParser.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.ontap.NaElement;

import java.util.Iterator;

public class CumulativeDataParser implements DataParser<NaElement> {
    @Override
    public void parse(NaElement totalResults, NaElement results) {
        NaElement attrList = results.getChildByName("attributes-list");
        if (attrList != null) {
            addToResult(totalResults, attrList);
        }
    }

    private NaElement addToResult(NaElement result, NaElement newResults) {
        if (result == null) {
            return newResults;
        } else {
            for (Iterator i = newResults.getChildren().iterator(); i.hasNext();) {
                NaElement child = (NaElement)i.next();
                result.addChildElem(child);
            }
            return result;
        }
    }
}
