package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.controller.PFilerImpl;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;
import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.NaElement;

import java.util.Set;

public class FilerAsupInfoDataLoader extends AbstractDataLoader<PFilerImpl> {

    @Override
    protected boolean doLoad(PFilerImpl filer, LoadType loadType, Set<Resource> resources) throws DataLoaderException {
        NaElement api = new NaElement("options-get");
        api.addNewChild("name", "autosupport.enable");

        try {
            NaElement result = filer.invokeZapi(api, ZapiCache.LONG_CACHE);
            String asupStatus = result.getChildByName("value").getContent();
            filer.setAsupEnabled(asupStatus.equalsIgnoreCase("on"));
        } catch (ApiFailedException e) {
            throw new DataLoaderException(filer + " failed to get asup info", e);
        }
        return true;
    }
}
