/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/OntapDataCache.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import com.netapp.offtap3.internal.DataCache;
import com.netapp.offtap3.internal.ontap.InternalZapiHandler;
import com.netapp.offtap3.ontap.NaElement;
import com.netapp.offtap3.utils.SafeConcurrentHashMap;

public class OntapDataCache implements DataCache<NaElement, InternalZapiHandler> {
    private Map<Object, NaElement> dataMap = new SafeConcurrentHashMap<Object, NaElement>();
    private Map<Object, Boolean> validityMap = new SafeConcurrentHashMap<Object, Boolean>();
    private InternalZapiHandler zapiHandler;

    public OntapDataCache(InternalZapiHandler controller) {
        this.zapiHandler = controller;
    }

    @Override
    public NaElement getData(Object key) {
        return dataMap.get(key);
    }

    @Override
    public void setData(Object key, NaElement data) {
        dataMap.put(key, data);
    }

    @Override
    public InternalZapiHandler getDataRetriever() {
        return zapiHandler;
    }

    @Override
    public boolean isValid(Object key) {
        Boolean result = validityMap.get(key);
        return result != null && result;
    }

    @Override
    public void setValid(Object key, boolean valid) {
        validityMap.put(key, valid);
    }
}
