package com.netapp.offtap3.internal.ontap.dataloader;

import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.IpInterface;
import com.netapp.offtap3.Refreshable;
import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.controller.VFilerImpl;

import java.util.EnumSet;
import java.util.Set;

public class VFilerInterfaceDataLoader extends AbstractDataLoader<VFilerImpl> implements HasResourceDependencies {

    @Override
    protected boolean doLoad(VFilerImpl vfiler, LoadType loadType, Set<Resource> resources) throws DataLoaderException {
        // already have the interfaces, just need to tidy them up
        for (IpInterface intf : vfiler.getIpInterfaces().values()) {
            if (vfiler.getIscsiPortalNames().contains(intf.getName())) {
                intf.getProtocols().add("iscsi");
            }
        }
        return true;
    }

    @Override
    public java.util.Set<ControllerResource> getResources(Refreshable refreshable) {
        // we need the protocols so that getIscsiPortalNames is populated
        return EnumSet.of(ControllerResource.protocols);
    }
}
