package com.netapp.offtap3.internal.ontap.dataloader.node;

import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.controller.NodeSvmImpl;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;
import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.NaElement;

import java.util.Set;

public class NodeSvmAsupDataLoader extends AbstractDataLoader<NodeSvmImpl> {

    @Override
    protected boolean doLoad(NodeSvmImpl nodeSvm, LoadType loadType, Set<Resource> resources) throws DataLoaderException {
        NaElement api = new NaElement("autosupport-config-get");
        api.addNewChild("node-name", nodeSvm.getName());

        try {
            NaElement result = nodeSvm.invokeZapi(api, ZapiCache.LONG_CACHE);

            String asupStatus = result.getChildByName("attributes").getChildByName("autosupport-config-info").getChildByName("is-enabled").getContent();
            if (asupStatus.equalsIgnoreCase("true")){
                nodeSvm.setAsupEnabled(true);
            } else {
                nodeSvm.setAsupEnabled(false);
            }
        }
        catch (ApiFailedException e) {
            throw new DataLoaderException(nodeSvm + " failed to load asup info", e);
        }
        return true;
    }
}
