/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/node/NodeSvmFcpDataLoader.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader.node;

import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.controller.NodeSvmImpl;
import org.apache.log4j.Logger;

import java.util.Set;

public class NodeSvmFcpDataLoader extends AbstractDataLoader<NodeSvmImpl> {

    private static final Logger logger = Logger.getLogger(NodeSvmFcpDataLoader.class);
    @Override
    protected boolean doLoad(NodeSvmImpl nodeSvm, LoadType loadType,
                             Set<Resource> resources) throws DataLoaderException {
        logger.debug("doLoad: begin, loadType = " + loadType);
        if (loadType == LoadType.lazy) {
            nodeSvm.getParentController().getFcpAdapters();
        } else if (loadType == LoadType.refresh) {
            nodeSvm.getParentController().refresh(ControllerResource.fcp);
        }
        logger.debug("doLoad: end");
        return true;
    }
}
