package com.netapp.offtap3.internal.ontap.dataloader.snapmirror;

import com.netapp.offtap3.internal.ontap.snap.CModeSnapMirrorRelationImpl;
import com.netapp.offtap3.ontap.CModeSnapMirrorRelation;

import com.netapp.offtap3.ontap.NaElement;

public class CModeSnapMirrorRelationParser {

    private final static CModeSnapMirrorRelationParser singleton = new CModeSnapMirrorRelationParser();

    static CModeSnapMirrorRelationParser getInstance() {
        return singleton;
    }

    void populate(CModeSnapMirrorRelationImpl relation, NaElement snapMirrorElem) {
        relation.setRelationshipType(snapMirrorElem.getChildContent("relationship-type"));
        relation.setIsHealthy(Boolean.valueOf(snapMirrorElem.getChildContent("is-healthy")));
        relation.setStatus(snapMirrorElem.getChildContent("relationship-status"));
        if (!relation.getType().equals(CModeSnapMirrorRelation.Type.load_sharing)) {
            relation.setLastTransferDuration(snapMirrorElem.getChildLongValue("last-transfer-duration", -1));
            relation.setLastTransferFrom(snapMirrorElem.getChildContent("last-transfer-from"));
            relation.setLastTransferSize(snapMirrorElem.getChildLongValue("last-transfer-size", -1));
            relation.setLastTransferType(snapMirrorElem.getChildContent("last-transfer-type"));

            relation.setMirrorState(snapMirrorElem.getChildContent("mirror-state"));
            relation.setLagTime(snapMirrorElem.getChildLongValue("lag-time", 0L));
            relation.setTransferProgress(snapMirrorElem.getChildLongValue("relationship-progress", 0L));
            relation.setMirrorTimestamp(snapMirrorElem.getChildLongValue("last-transfer-end-timestamp", 0L));

            //info.setBaseSnapshot(status.getChildContent("base-snapshot")); // TODO this doesn't exist anymore
            relation.setCurrentTransferType(snapMirrorElem.getChildContent("current-transfer-type"));
            relation.setCurrentTransferError(snapMirrorElem.getChildContent("current-transfer-error"));

            if (snapMirrorElem.getChildContent("schedule") != null) {
                relation.setScheduleName(snapMirrorElem.getChildContent("schedule"));
            }
            relation.setRelationshipType(snapMirrorElem.getChildContent("relationship-type"));
            relation.setPolicyName(snapMirrorElem.getChildContent("policy"));
            relation.setMaxTransferRate(snapMirrorElem.getChildContent("max-transfer-rate"));
            relation.setTransferSnapshot(snapMirrorElem.getChildContent("transfer-snapshot"));
            relation.setNewestSnapshot(snapMirrorElem.getChildContent("newest-snapshot"));
            relation.setNewestSnapshotTimestamp(snapMirrorElem.getChildIntValue("newest-snapshot-timestamp", -1));
            
        }
    }
}
