package com.netapp.offtap3.internal.ontap.dataloader.snapmirror;

import com.netapp.offtap3.internal.ontap.snap.SevenModeSnapMirrorRelationImpl;
import com.netapp.offtap3.ontap.NaElement;

public class SevenModeSnapMirrorRelationParser {

    private static final SevenModeSnapMirrorRelationParser singleton = new SevenModeSnapMirrorRelationParser();

    static SevenModeSnapMirrorRelationParser getInstance() {
        return singleton;
    }

    void populate(SevenModeSnapMirrorRelationImpl relation, NaElement status) {
        relation.setMirrorState(status.getChildContent("state"));
        relation.setStatus(status.getChildContent("status"));
        relation.setLagTime(Integer.parseInt(status.getChildContent("lag-time")));
        relation.setTransferProgress(Integer.parseInt(status.getChildContent("transfer-progress")));
        relation.setMirrorTimestamp(Integer.parseInt(status.getChildContent("mirror-timestamp")));
        relation.setBaseSnapshot(status.getChildContent("base-snapshot"));
        relation.setCurrentTransferType(status.getChildContent("current-transfer-type"));
        relation.setCurrentTransferError(status.getChildContent("current-transfer-error"));
        relation.setContents(status.getChildContent("contents"));
        relation.setLastTransferType(status.getChildContent("last-transfer-type"));
        relation.setLastTransferSize(Integer.parseInt(status.getChildContent("last-transfer-size")));
        relation.setLastTransferDuration(Integer.parseInt(status.getChildContent("last-transfer-duration")));
        relation.setLastTransferFrom(status.getChildContent("last-transfer-from"));
    }
}
