package com.netapp.offtap3.internal.ontap.dataloader.volume;

import com.netapp.offtap3.Resource;
import com.netapp.offtap3.factories.DataLoaderException;
import com.netapp.offtap3.internal.AbstractDataLoader;
import com.netapp.offtap3.internal.ontap.snap.VolumeSnapMirrorStatusImpl;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;
import com.netapp.offtap3.internal.ontap.volume.FilerVolumeImpl;
import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.NaElement;

import java.util.Set;

public class FilerVolumeSnapMirrorStatusDataLoader extends AbstractDataLoader<FilerVolumeImpl> {

    @Override
    protected boolean doLoad(FilerVolumeImpl vol, LoadType loadType, Set<Resource> resources) throws DataLoaderException {
        if ("online".equals(vol.getState()) && vol.getControllerImpl().isLicensed("snapmirror")) {
            NaElement xi = new NaElement("snapmirror-get-volume-status");
            xi.addNewChild("volume", vol.getName());
            try {
                NaElement snapMirrorElem = vol.getControllerImpl().invokeZapi(xi, ZapiCache.LONG_CACHE);
                VolumeSnapMirrorStatusImpl snapMirror = new VolumeSnapMirrorStatusImpl();
                snapMirror.setSource(Boolean.parseBoolean(snapMirrorElem.getChildContent("is-source")));
                snapMirror.setDest(Boolean.parseBoolean(snapMirrorElem.getChildContent("is-destination")));
                snapMirror.setInProgress(Boolean.parseBoolean(snapMirrorElem.getChildContent("is-transfer-in-progress")));
                snapMirror.setBroken(Boolean.parseBoolean(snapMirrorElem.getChildContent("is-transfer-broken")));
                vol.setSnapMirrorStatus(snapMirror);
            } catch (ApiFailedException e) {
                vol.getControllerImpl().addDiscoveryError("Exception while collecting snap mirror info", e);
            }
        }
        return true;
    }
}
