/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/dataloader/volume/StorageController.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.dataloader.volume;

import com.netapp.offtap3.Size;
import com.netapp.offtap3.internal.ontap.OntapVolumeMaximumsImpl;
import com.netapp.offtap3.ontap.OntapVolumeMaximums;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import java.io.Serializable;

/**
 * Each storage controller specifying different volume maximums based on 32 bit and 64 bit
 */
@XmlAccessorType(XmlAccessType.FIELD)
public class StorageController implements Serializable {
    private static final long serialVersionUID = -8198106223966407680L;

    @XmlAttribute
    private String platform;

    @XmlElement
    private String max32bitdensevol;

    @XmlElement
    private String max32bitdensesharedvol;

    @XmlElement
    private String max64bitdensevol;

    @XmlElement
    private String max64bitdensesharedvol;

    /**
     * @return the platform
     */
    public String getPlatform() {
        return platform;
    }

    /**
     * @param platform the platform to set
     */
    public void setPlatform(String platform) {
        this.platform = platform;
    }

    /**
     * @return the max32bitdensevol
     */
    public String getMax32bitdensevol() {
        return max32bitdensevol;
    }

    /**
     * @param max32bitdensevol the max32bitdensevol to set
     */
    public void setMax32bitdensevol(String max32bitdensevol) {
        this.max32bitdensevol = max32bitdensevol;
    }

    /**
     * @return the max32bitdensesharedvol
     */
    public String getMax32bitdensesharedvol() {
        return max32bitdensesharedvol;
    }

    /**
     * @param max32bitdensesharedvol the max32bitdensesharedvol to set
     */
    public void setMax32bitdensesharedvol(String max32bitdensesharedvol) {
        this.max32bitdensesharedvol = max32bitdensesharedvol;
    }

    /**
     * @return the max64bitdensevol
     */
    public String getMax64bitdensevol() {
        return max64bitdensevol;
    }

    /**
     * @param max64bitdensevol the max64bitdensevol to set
     */
    public void setMax64bitdensevol(String max64bitdensevol) {
        this.max64bitdensevol = max64bitdensevol;
    }

    /**
     * @return the max64bitdensesharedvol
     */
    public String getMax64bitdensesharedvol() {
        return max64bitdensesharedvol;
    }

    /**
     * @param max64bitdensesharedvol the max64bitdensesharedvol to set
     */
    public void setMax64bitdensesharedvol(String max64bitdensesharedvol) {
        this.max64bitdensesharedvol = max64bitdensesharedvol;
    }


    public OntapVolumeMaximums toNtapVolumeMaximums() {
        OntapVolumeMaximumsImpl volumeMaximums = new OntapVolumeMaximumsImpl();
        if (getMax32bitdensevol() != null) {
            volumeMaximums.setMax32BitDenseVolumeSize(Size.createGB(Long.parseLong(getMax32bitdensevol())));
        }
        if (getMax32bitdensesharedvol() != null) {
            volumeMaximums.setMax32BitDenseSharedVolumeSize(Size.createGB(Long.parseLong(getMax32bitdensesharedvol())));
        }
        if (getMax64bitdensevol() != null) {
            volumeMaximums.setMax64BitDenseVolumeSize(Size.createGB(Long.parseLong(getMax64bitdensevol())));
        }
        if (getMax64bitdensesharedvol() != null) {
            volumeMaximums.setMax64BitDenseSharedVolumeSize(Size.createGB(Long.parseLong(getMax64bitdensesharedvol())));
        }
        return volumeMaximums;
    }
}
