package com.netapp.offtap3.internal.ontap.exports;


import com.google.common.base.Objects;
import com.netapp.offtap3.ontap.ExportSecurityRule;

import java.util.ArrayList;
import java.util.List;

public class ExportSecurityRuleImpl implements ExportSecurityRule {
    private String anonymousUser = null;
    private List<String> readOnlyHosts = new ArrayList<String>();
    private List<String> readWriteHosts = new ArrayList<String>();
    private List<String> rootAccessHosts = new ArrayList<String>();
    private Boolean noSUID = false;
    private String securityFlavor = null;

    @Override
    public String getAnonymousUser() {
        return anonymousUser;
    }

    public void setAnonymousUser(String anonymousUser) {
        this.anonymousUser = anonymousUser;
    }

    @Override
    public List<String> getReadOnlyHosts() {
        return readOnlyHosts;
    }

    public void setReadOnlyHosts(List<String> readOnlyHosts) {
        this.readOnlyHosts = readOnlyHosts;
    }

    @Override
    public List<String> getReadWriteHosts() {
        return readWriteHosts;
    }

    public void setReadWriteHosts(List<String> readWriteHosts) {
        this.readWriteHosts = readWriteHosts;
    }

    @Override
    public List<String> getRootAccessHosts() {
        return rootAccessHosts;
    }

    public void setRootAccessHosts(List<String> rootAccessHosts) {
        this.rootAccessHosts = rootAccessHosts;
    }

    @Override
    public Boolean getNoSUID() {
        return noSUID;
    }

    public void setNoSUID(Boolean noSUID) {
        this.noSUID = noSUID;
    }

    @Override
    public String getSecurityFlavor() {
        return securityFlavor;
    }

    public void setSecurityFlavor(String securityFlavor) {
        this.securityFlavor = securityFlavor;
    }

    public String toString() {
        return Objects.toStringHelper(this)
                .add("anon", getAnonymousUser())
                .add("nosuid", getNoSUID())
                .add("sec", getSecurityFlavor())
                .add("root", getRootAccessHosts())
                .add("ro", getReadOnlyHosts())
                .add("rw", getReadWriteHosts())
                .toString();
    }
}

