package com.netapp.offtap3.internal.ontap.file;

import com.netapp.offtap3.FileLoader;
import com.netapp.offtap3.FileResource;
import com.netapp.offtap3.ProxyType;
import com.netapp.offtap3.Resource;
import com.netapp.offtap3.internal.OfftapProxy;
import com.netapp.offtap3.internal.ontap.controller.AbstractOntapDataController;
import com.netapp.offtap3.internal.ontap.dataloader.file.FileMetadataDataLoader;
import com.netapp.offtap3.internal.ontap.volume.OntapVolumeImpl;
import com.netapp.offtap3.ontap.OntapDataController;
import com.netapp.offtap3.ontap.OntapFile;
import com.netapp.offtap3.ontap.OntapVolume;

import java.lang.reflect.Method;
import java.util.Collections;
import java.util.Set;


public class FileProxy<F extends OntapFileImpl<OntapFile, OntapDataController, AbstractOntapDataController<OntapDataController>, OntapVolumeImpl<OntapVolume, OntapDataController, AbstractOntapDataController<OntapDataController>>, OntapVolume>> extends OfftapProxy<OntapFile, F> {

    public FileProxy() {
        super(ProxyType.FILE);
    }

    @Override
    protected void addDataLoaders() {
        addDataLoader(FileResource.file_metadata, new FileMetadataDataLoader());
    }

    @Override
    protected Resource getResourceAnnotation(Method method) {
        FileLoader loader = method.getAnnotation(FileLoader.class);
        return (loader == null) ? null : loader.value();
    }

    @Override
    protected Set<Resource> getLoadedResources() {
        return Collections.<Resource>singleton(FileResource.file_metadata);
    }
}
