package com.netapp.offtap3.internal.ontap.file.ndmp;

import com.netapp.offtap3.utils.StringUtils;
import org.apache.log4j.Logger;

import java.io.InputStream;
import java.text.MessageFormat;
import java.util.Properties;

public class Messages {
    private static final Logger LOGGER = Logger.getLogger(Messages.class);
	static Properties props = null;
	
	public static synchronized String get(String key, Object ... arguments) {
		if (!StringUtils.isReal(key)) {
			throw new IllegalArgumentException("Messages.get() key cannot be null");
		}
		if (props == null) {
			props = new Properties();
			InputStream in = new Messages().getClass().getClassLoader().getResourceAsStream("com/netapp/offtap/utils/ndmpcopy/ndmp_messages.properties");
	        if (in != null) {
	        	try {
		        	props.load(in);
		            in.close();
	        	} catch (Exception e) {
	        		LOGGER.error("Unable to load NDMP messages!", e);
	        		// this will be ugly
	        	}
	        }
		}
		String message = props.getProperty(key);
		if (message == null) {
			throw new IllegalArgumentException("Message of " + key + " was not found");
		}		
		if (arguments != null && arguments.length > 0) {
			return MessageFormat.format(message, (Object[]) arguments);
		} else {
			return message;
		}
	}
}
