package com.netapp.offtap3.internal.ontap.intf;


import com.netapp.offtap3.internal.AbstractRefreshable;
import com.netapp.offtap3.internal.HasProxy;
import com.netapp.offtap3.internal.ontap.CModeInterface;

import java.util.List;

public abstract class CModeInterfaceImpl extends AbstractRefreshable implements CModeInterface {
    private String role;
    private Boolean isUp;
    private Boolean isHome;
    private String owningVserver;
    private String currentPort;
    private String currentNode;
    private String homePort;
    private String homeNode;
    private String uuid;
    private List<String> protocols;

    public CModeInterfaceImpl(HasProxy loader) {
        super(loader);
    }

    public void setRole(String role) {
        this.role = role;
    }

    @Override
    public String getRole() {
        return role;
    }

    public void setIsUp(Boolean isUp) {
        this.isUp = isUp;
    }

    @Override
    public Boolean isUp() {
        return isUp;
    }

    public void setIsHome(Boolean isHome) {
        this.isHome = isHome;
    }

    @Override
    public Boolean isHome() {
        return isHome;
    }

    /**
     * Get current port name.
     *
     * @return Current port name.
     */
    @Override
    public String getCurrentPort() {
        return currentPort;
    }

    /**
     * Set current port name.
     *
     * @param currentPort Current port name.
     */
    public void setCurrentPort(String currentPort) {
        this.currentPort = currentPort;
    }

    public String getHomePort() {
        return homePort;
    }

    public void setHomePort(String homePort) {
        this.homePort = homePort;
    }

    /**
     * Get the interface's associated vserver name.
     *
     * @return Owning vserver name.
     */
    @Override
    public String getOwningVserver() {
        return owningVserver;
    }

    /**
     * Set the interface's associated vserver name.
     *
     * @param owningVserver Owning vserver name.
     */
    public void setOwningVserver(String owningVserver) {
        this.owningVserver = owningVserver;
    }

    @Override
    public String getCurrentNode() {
        return currentNode;
    }

    public void setCurrentNode(String currentNode) {
        this.currentNode = currentNode;
    }

    @Override
    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @Override
    public String getHomeNode() {
        return homeNode;
    }

    public void setHomeNode(String homeNode) {
        this.homeNode = homeNode;
    }

    public List<String> getProtocols() {
        return protocols;
    }

    public void setProtocols(List<String> protocols) {
        this.protocols = protocols;
    }

    @Override
    public int hashCode() {
        return getUuid().hashCode();
    }

    @Override
    public boolean equals(Object obj) {
        return obj instanceof CModeInterface && getUuid().equals(((CModeInterface) obj).getUuid());
    }
}
