package com.netapp.offtap3.internal.ontap.intf;

import com.google.common.base.Objects;
import com.netapp.offtap3.internal.HasProxy;
import com.netapp.offtap3.ontap.CModeIpInterface;


public class CModeIpInterfaceImpl extends CModeInterfaceImpl implements CModeIpInterface {
    private String firewallPolicy;

    private String ipAddress;
    private String netmask;
    private String network;
    private String addressFamily;

    public CModeIpInterfaceImpl(HasProxy loader) {
        super(loader);
    }

    @Override
    public String getFirewallPolicy() {
        return firewallPolicy;
    }

    @Override
    public boolean isManagementInterface() {
        if (firewallPolicy == null) {
            return false;
        }

        return firewallPolicy.equals("mgmt");
    }

    @Override
    public boolean isDataInterface() {
        if (firewallPolicy == null) {
            return false;
        }

        return firewallPolicy.equals("data");
    }

    public void setFirewallPolicy(String firewallPolicy) {
        this.firewallPolicy = firewallPolicy;
    }

    @Override
    public String getIpAddress() {
        return ipAddress;
    }

    public void setIpAddress(String ipAddress) {
        this.ipAddress = ipAddress;
    }

    @Override
    public String getNetmask() {
        return netmask;
    }

    public void setNetmask(String netmask) {
        this.netmask = netmask;
    }

    @Override
    public String getNetwork() {
        return network;
    }

    public void setNetwork(String network) {
        this.network = network;
    }

    @Override
    public String getAddressFamily() {
        return addressFamily;
    }

    public void setAddressFamily(String addressFamily) {
        this.addressFamily = addressFamily;
    }

    @Override
    public boolean isIscsiEnabled() {
        return getProtocols().contains("iscsi");
    }

    @Override
    public CModeIpInterface refresh() {
        return (CModeIpInterface) super.refresh();
    }

    public String toString() {
        return Objects.toStringHelper(this)
                .add("name", getName())
                .add("ip", ipAddress)
                .add("vserver", getOwningVserver())
                .toString();

    }
}
