package com.netapp.offtap3.internal.ontap.intf;


import com.google.common.base.Objects;
import com.netapp.offtap3.IscsiConnection;
import com.netapp.offtap3.internal.AbstractRefreshable;
import com.netapp.offtap3.internal.ontap.controller.AbstractOntapController;

public class IscsiConnectionImpl extends AbstractRefreshable implements IscsiConnection {
    private boolean hasSession;
    private long sessionId;
    private long connectionId;
    private String connectionState;
    private String remoteIpAddress;
    private int remotePort;
    private String localIp;
    private int localPort;
    private String localInterface;

    public IscsiConnectionImpl(AbstractOntapController loader) {
        super(loader);
    }

    public boolean isHasSession() {
        return hasSession;
    }

    public void setHasSession(boolean hasSession) {
        this.hasSession = hasSession;
    }

    public long getSessionId() {
        return sessionId;
    }

    public void setSessionId(long sessionId) {
        this.sessionId = sessionId;
    }

    public long getConnectionId() {
        return connectionId;
    }

    public void setConnectionId(long connectionId) {
        this.connectionId = connectionId;
    }

    public String getConnectionState() {
        return connectionState;
    }

    public void setConnectionState(String connectionState) {
        this.connectionState = connectionState;
    }

    public String getRemoteIpAddress() {
        return remoteIpAddress;
    }

    public void setRemoteIpAddress(String remoteIpAddress) {
        this.remoteIpAddress = remoteIpAddress;
    }

    public int getRemotePort() {
        return remotePort;
    }

    public void setRemotePort(int remotePort) {
        this.remotePort = remotePort;
    }

    public String getLocalIp() {
        return localIp;
    }

    public void setLocalIp(String localIp) {
        this.localIp = localIp;
    }

    public int getLocalPort() {
        return localPort;
    }

    public void setLocalPort(int localPort) {
        this.localPort = localPort;
    }

    public String getLocalInterface() {
        return localInterface;
    }

    public void setLocalInterface(String localInterface) {
        this.localInterface = localInterface;
    }

    @Override
    public IscsiConnection refresh() {
        return (IscsiConnection) super.refresh();
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + (int) (connectionId ^ (connectionId >>> 32));
        result = prime * result + ((localIp == null) ? 0 : localIp.hashCode());
        result = prime * result + localPort;
        result = prime * result + ((remoteIpAddress == null) ? 0 : remoteIpAddress.hashCode());
        result = prime * result + remotePort;
        result = prime * result + (int) (sessionId ^ (sessionId >>> 32));
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!super.equals(obj)) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        IscsiConnectionImpl other = (IscsiConnectionImpl) obj;
        if (connectionId != other.connectionId) {
            return false;
        }
        if (localIp == null) {
            if (other.localIp != null) {
                return false;
            }
        } else if (!localIp.equals(other.localIp)) {
            return false;
        }
        if (localPort != other.localPort) {
            return false;
        }
        if (remoteIpAddress == null) {
            if (other.remoteIpAddress != null) {
                return false;
            }
        } else if (!remoteIpAddress.equals(other.remoteIpAddress)) {
            return false;
        }
        return remotePort == other.remotePort && sessionId == other.sessionId;
    }

    @Override
    public String toString() {
        return Objects.toStringHelper(this).add("localInterface", localInterface).add("localIp", localIp)
                      .add("remoteIpAddress", remoteIpAddress).toString();
    }

}
