package com.netapp.offtap3.internal.ontap.lun;

import com.netapp.offtap3.internal.AbstractRefreshable;
import com.netapp.offtap3.internal.HasProxy;
import com.netapp.offtap3.ontap.LunStats;
import com.netapp.offtap3.ontap.NaElement;

public class LunStatsImpl extends AbstractRefreshable implements LunStats {
	private long blockSize;
	private long otherOps;
	private long readBlocks;
	private long scsiErrors;
	private long writeBlocks;
	private long writeOps;
	private String path;
	private String vserver;
	private long lastZeroed;
	private long readOps;

    public LunStatsImpl(NaElement lunStatsXml, HasProxy loader) {
        super(loader);
        setPath(lunStatsXml.getChildContent("path"));
       	setVserver(lunStatsXml.getChildContent("vserver"));
       	setBlockSize(lunStatsXml.getChildLongValue("block-size", 0));
       	setReadBlocks(lunStatsXml.getChildLongValue("read-blocks", 0));
       	setWriteBlocks(lunStatsXml.getChildLongValue("write-blocks", 0));
       	setWriteOps(lunStatsXml.getChildLongValue("write-ops", 0));
       	setReadOps(lunStatsXml.getChildLongValue("read-ops", 0));
       	setOtherOps(lunStatsXml.getChildLongValue("other-ops", 0));
       	setLastZeroed(lunStatsXml.getChildLongValue("last-zeroed", 0));
       	setScsiErrors(lunStatsXml.getChildLongValue("scsi-errors", 0));
    }

    @Override
	public long getLastZeroed() {
		return lastZeroed;
	}
	public void setLastZeroed(long lastZeroed) {
		this.lastZeroed = lastZeroed;
	}

    @Override
	public long getReadOps() {
		return readOps;
	}
	public void setReadOps(long readOps) {
		this.readOps = readOps;
	}

    @Override
	public long getBlockSize() {
		return blockSize;
	}
	public void setBlockSize(long blockSize) {
		this.blockSize = blockSize;
	}

    @Override
	public long getOtherOps() {
		return otherOps;
	}
	public void setOtherOps(long otherOps) {
		this.otherOps = otherOps;
	}

    @Override
	public long getReadBlocks() {
		return readBlocks;
	}
	public void setReadBlocks(long readBlocks) {
		this.readBlocks = readBlocks;
	}

    @Override
	public long getScsiErrors() {
		return scsiErrors;
	}
	public void setScsiErrors(long scsiErrors) {
		this.scsiErrors = scsiErrors;
	}

    @Override
	public long getWriteBlocks() {
		return writeBlocks;
	}
	public void setWriteBlocks(long writeBlocks) {
		this.writeBlocks = writeBlocks;
	}

    @Override
	public long getWriteOps() {
		return writeOps;
	}
	public void setWriteOps(long writeOps) {
		this.writeOps = writeOps;
	}

    @Override
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}

    @Override
	public String getVserver() {
		return vserver;
	}
	public void setVserver(String vserver) {
		this.vserver = vserver;
	}

    @Override
    public LunStats refresh() {
        return (LunStats) super.refresh();
    }
}
