/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/proxy/CModeDedupeProxy.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.proxy;

import com.netapp.offtap3.ProxyType;
import com.netapp.offtap3.Resource;
import com.netapp.offtap3.internal.OfftapProxy;
import com.netapp.offtap3.internal.ontap.dataloader.volume.CModeDedupeSizeSharedDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.volume.CModeDedupeStatusDataLoader;
import com.netapp.offtap3.internal.ontap.volume.CModeDedupeImpl;
import com.netapp.offtap3.ontap.CModeDedupe;
import com.netapp.offtap3.ontap.DedupeLoader;
import com.netapp.offtap3.ontap.DedupeResource;

import java.lang.reflect.Method;
import java.util.Set;

public class CModeDedupeProxy extends OfftapProxy<CModeDedupe, CModeDedupeImpl> {
    public CModeDedupeProxy() {
        super(ProxyType.DEDUPE);
    }

    @Override
    protected void addDataLoaders() {
        addDataLoader(DedupeResource.status, new CModeDedupeStatusDataLoader());
        addDataLoader(DedupeResource.size_shared, new CModeDedupeSizeSharedDataLoader());
    }

    @Override
    protected Resource getResourceAnnotation(Method method) {
        DedupeLoader loader = method.getAnnotation(DedupeLoader.class);
        return (loader == null) ? null : loader.value();
    }
}
