package com.netapp.offtap3.internal.ontap.proxy;

import com.netapp.offtap3.SnapMirrorResource;
import com.netapp.offtap3.internal.ontap.dataloader.snapmirror.CModeSnapMirrorPolicyDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.snapmirror.CModeSnapMirrorScheduleDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.snapmirror.CModeSnapMirrorStatusDataLoader;
import com.netapp.offtap3.internal.ontap.snap.CModeSnapMirrorRelationImpl;
import com.netapp.offtap3.ontap.CModeSnapMirrorRelation;

public class CModeSnapMirrorRelationProxy extends SnapMirrorRelationProxy<CModeSnapMirrorRelation, CModeSnapMirrorRelationImpl> {

    @Override
    protected void addDataLoaders() {
        addDataLoader(SnapMirrorResource.policy, new CModeSnapMirrorPolicyDataLoader(getOfftapPreferences(), getDataCache()));
        addDataLoader(SnapMirrorResource.schedule, new CModeSnapMirrorScheduleDataLoader(getOfftapPreferences(), getDataCache()));

        // all the state, status, last transfer, etc. information comes from the same ZAPI, so just one loader
        addDataLoader(SnapMirrorResource.status, new CModeSnapMirrorStatusDataLoader());
    }
}
