/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/proxy/ExportPolicyProxy.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.proxy;

import com.netapp.offtap3.ProxyType;
import com.netapp.offtap3.Resource;
import com.netapp.offtap3.internal.CachingOfftapProxy;
import com.netapp.offtap3.internal.ontap.ExportPolicyImpl;
import com.netapp.offtap3.internal.ontap.dataloader.ExportPolicyRulesDataLoader;
import com.netapp.offtap3.ontap.ExportPolicy;
import com.netapp.offtap3.ontap.ExportPolicyLoader;
import com.netapp.offtap3.ontap.ExportPolicyResource;
import com.netapp.offtap3.internal.ontap.InternalZapiHandler;
import com.netapp.offtap3.ontap.NaElement;

import java.lang.reflect.Method;

public class ExportPolicyProxy extends CachingOfftapProxy<NaElement, InternalZapiHandler, ExportPolicy, ExportPolicyImpl> {

    public ExportPolicyProxy() {
        super(ProxyType.EXPORT_POLICY);
    }

    @Override
    protected void addDataLoaders() {
        addDataLoader(ExportPolicyResource.rules, new ExportPolicyRulesDataLoader(getDataCache(), getOfftapPreferences()));
    }

    @Override
    protected Resource getResourceAnnotation(Method method) {
        ExportPolicyLoader loader = method.getAnnotation(ExportPolicyLoader.class);
        return (loader == null) ? null : loader.value();
    }
}
