/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/internal/ontap/proxy/NodeSvmProxy.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.internal.ontap.proxy;

import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.internal.CachingControllerProxy;
import com.netapp.offtap3.internal.ontap.controller.NodeSvmImpl;
import com.netapp.offtap3.internal.ontap.dataloader.node.NodeSvmAsupDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.SvmAggregateDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.SvmAggregateListDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.node.NodeSvmClusterFailoverDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.node.NodeSvmFcpDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.node.NodeSvmFlashCacheCapacityDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.node.NodeSvmSystemModelDataLoader;
import com.netapp.offtap3.internal.ontap.InternalZapiHandler;
import com.netapp.offtap3.ontap.NodeSvm;

import com.netapp.offtap3.ontap.NaElement;

public class NodeSvmProxy extends CachingControllerProxy<NodeSvm, NodeSvmImpl, NaElement, InternalZapiHandler> {

    @Override
    protected void addDataLoaders() {
        addDataLoader(ControllerResource.system_model, new NodeSvmSystemModelDataLoader(getOfftapPreferences(), getDataCache()));
        addDataLoader(ControllerResource.aggregates, new SvmAggregateDataLoader(getOfftapPreferences(), getDataCache()));
        addDataLoader(ControllerResource.asup, new NodeSvmAsupDataLoader());
        addDataLoader(ControllerResource.flash_cache, new NodeSvmFlashCacheCapacityDataLoader());
        addDataLoader(ControllerResource.cf_info, new NodeSvmClusterFailoverDataLoader());
        addDataLoader(ControllerResource.fcp, new NodeSvmFcpDataLoader());
    }
}
