package com.netapp.offtap3.internal.ontap.proxy;


import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.internal.ontap.dataloader.SnmpHostDataLoader;
import com.netapp.offtap3.internal.ontap.controller.PFilerImpl;
import com.netapp.offtap3.internal.ontap.dataloader.FilerAsupInfoDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.FilerInterfaceDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.FilerPortSetDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.GlobalStatusDataLoader;
import com.netapp.offtap3.internal.ontap.dataloader.PFilerSpaceUsageDataLoader;
import com.netapp.offtap3.ontap.PFiler;

public class PFilerProxy extends FilerProxy<PFiler, PFilerImpl> {

    public void addDataLoaders() {
        super.addDataLoaders();
        addDataLoader(ControllerResource.asup, new FilerAsupInfoDataLoader());
        addDataLoader(ControllerResource.space_usage, new PFilerSpaceUsageDataLoader());
        addDataLoader(ControllerResource.interfaces, new FilerInterfaceDataLoader());
        addDataLoader(ControllerResource.global_status, new GlobalStatusDataLoader());
        addDataLoader(ControllerResource.snmp, new SnmpHostDataLoader(getOfftapPreferences()));
        addDataLoader(ControllerResource.port_sets, new FilerPortSetDataLoader());
    }
}
