package com.netapp.offtap3.internal.ontap.snap;


import com.netapp.offtap3.VolumeResource;
import com.netapp.offtap3.internal.ontap.controller.AbstractOntapDataController;
import com.netapp.offtap3.ontap.CModeSnapshot;
import com.netapp.offtap3.ontap.CModeVolume;
import com.netapp.offtap3.ontap.OntapVolume;

import java.util.List;

public class CModeConsistencyGroupImpl extends ConsistencyGroupImpl {
    public CModeConsistencyGroupImpl(AbstractOntapDataController controller, List<OntapVolume> volumes, String snapshotName) {
        super(controller, volumes, snapshotName);
    }

    public void delete() {
        CModeVolume vol = (CModeVolume) getVolumes().get(0);
        CModeSnapshot snapshot = vol.getSnapshotByName(getSnapshotName());
        if (snapshot == null) {
            // application may not have refreshed snapshots since this
            // CG was committed.  if not found, try to reload, to handle that case.
            vol.refresh(VolumeResource.snapshots);
            snapshot = vol.getSnapshotByName(getSnapshotName());
        }

        snapshot.multiDelete(getVolumes());
    }
}
