package com.netapp.offtap3.internal.ontap.snap;

import com.netapp.offtap3.ontap.CModeSnapMirrorPolicy;
import com.netapp.offtap3.ontap.CModeSnapMirrorPolicyBuilder;

public class CModeSnapMirrorPolicyBuilderImpl implements CModeSnapMirrorPolicyBuilder {
    private String name;
    private String comment;
    private String tries;
    private String transferPriority;
    private String restart;
    
    public CModeSnapMirrorPolicyBuilderImpl(String name) {
        this.name = name;
    }

    @Override
    public CModeSnapMirrorPolicyBuilder comment(String comment) {
        this.comment = comment;
        return this;
    }

    @Override
    public CModeSnapMirrorPolicyBuilder tries(String tries) {
        this.tries = tries;
        return this;
    }

    @Override
    public CModeSnapMirrorPolicyBuilder transferPriority(CModeSnapMirrorPolicy.TransferPriority transferPriority) {
        this.transferPriority = transferPriority.toString();
        return this;
    }

    @Override
    public CModeSnapMirrorPolicyBuilder restart(CModeSnapMirrorPolicy.Restart restart) {
        this.restart = restart.toString();
        return this;
    }

    @Override
    public CModeSnapMirrorPolicyBuilder copyValues(CModeSnapMirrorPolicy policy) {
        this.name = policy.getName();
        this.comment = policy.getComment();
        this.tries = policy.getTries();
        this.transferPriority = policy.getTransferPriority();
        this.restart = policy.getRestart();
        return this;
    }

    @Override
    public CModeSnapMirrorPolicy build() {
        CModeSnapMirrorPolicyImpl policy = new CModeSnapMirrorPolicyImpl();
        policy.setName(name);
        policy.setComment(comment);
        policy.setTries(tries);
        policy.setTransferPriority(transferPriority);
        policy.setRestart(restart);
        
        return policy;
    }

}
