package com.netapp.offtap3.internal.ontap.snap;



import org.apache.log4j.Logger;

import com.netapp.offtap3.internal.ontap.controller.DataSvmImpl;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;
import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.CModeSnapMirrorPolicy;
import com.netapp.offtap3.ontap.NaElement;
import com.netapp.offtap3.ontap.SnapMirrorOperationException;



/**

 * Created by torir on 9/25/14.

 */

public class CModeSnapMirrorPolicyImpl implements CModeSnapMirrorPolicy {

    private static final Logger logger = Logger.getLogger(CModeSnapMirrorPolicyImpl.class);
    
    private DataSvmImpl controller;
    
    private String name;
    
    private String comment;

    private String restart;

    private String transferPriority;

    private String tries;


    public DataSvmImpl getController() {
        return controller;
    }

    public void setController(DataSvmImpl controller) {
        this.controller = controller;
    }

    @Override
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override

    public String getComment() {

        return comment;

    }

    public void setComment(String comment) {

        this.comment = comment;

    }



    @Override

    public String getRestart() {

        return restart;

    }

    public void setRestart(String restart) {

        this.restart = restart;

    }



    @Override

    public String getTransferPriority() {

        return transferPriority;

    }

    public void setTransferPriority(String transferPriority) {

        this.transferPriority = transferPriority;

    }



    @Override

    public String getTries() {

        return tries;

    }

    public void setTries(String tries) {

        this.tries = tries;

    }
    
    public void destroy() {
        logger.debug("Enter destroy: snapmirror policy: " + getName());
        NaElement xi;

        xi = new NaElement("snapmirror-policy-delete");
        xi.addNewChild("policy-name", getName());
        try{
            getController().invokeZapi(xi, ZapiCache.NO_CACHE);
            
            getController().getZapiCache().blastCacheValues("snap");
            logger.debug("SnapMirror policy destroy issued to: " + getName());
        } catch (ApiFailedException e) {
            if (e.getErrno() == 15661) {
                // not found, maybe already destroyed.
                logger.debug("Policy was not found (error = " + e + ")");
            }
            else {
                logger.error("Unable to destroy SnapMirror policy.");
                throw new SnapMirrorOperationException("Unable to destroy SnapMirror policy" + e.getMessage(), e);
            }
        }
    }

}

