package com.netapp.offtap3.internal.ontap.snap;

import com.netapp.offtap3.internal.ontap.controller.DataSvmImpl;
import com.netapp.offtap3.internal.ontap.support.ZapiCache;
import com.netapp.offtap3.internal.ontap.volume.CModeVolumeImpl;
import com.netapp.offtap3.ontap.ApiFailedException;
import com.netapp.offtap3.ontap.CModeSnapshot;
import com.netapp.offtap3.ontap.DataSvm;
import com.netapp.offtap3.ontap.OntapVolume;
import com.netapp.offtap3.ontap.SnapshotOperationException;
import com.netapp.offtap3.ontap.SpaceReserve;
import com.netapp.offtap3.ontap.NaElement;

import java.util.List;


public class CModeSnapshotImpl extends SnapshotImpl<CModeVolumeImpl, DataSvm, DataSvmImpl> implements CModeSnapshot {

    public CModeSnapshotImpl(CModeVolumeImpl volume) {
        super(volume);
    }

    @Override
    public void multiDelete(List<? extends OntapVolume> volumes) {
        NaElement xi = new NaElement("snapshot-multidelete");
        xi.addNewChild("snapshot", getName());
        NaElement volumesElem = new NaElement("volume-names");
        xi.addChildElem(volumesElem);
        for (OntapVolume currVolume : volumes) {
            volumesElem.addNewChild("volume-name", currVolume.getName());
        }
        try {
            getController().invokeZapi(xi, ZapiCache.NO_CACHE);
            getController().getZapiCache().blastCacheValues("snapshot-");

        } catch (ApiFailedException e) {
            throw new SnapshotOperationException(getController() + " failed to multidelete these volumes " +
                    volumes + " from this snapshot " + this, e);
        }
    }

    @Override
    public List<OntapVolume> createVolumeClones(List<String> cloneNames, SpaceReserve spaceReserve) {
        List<OntapVolume> vols = super.createVolumeClones(cloneNames, spaceReserve);

        getController().checkForLSRootVol();

        return vols;
    }

    @Override
    public CModeSnapshot refresh() {
        return (CModeSnapshot) super.refresh();
    }
}
