package com.netapp.offtap3.internal.ontap.snap;

import com.netapp.offtap3.ontap.SnapMirrorSchedule;
import com.netapp.offtap3.ontap.SnapMirrorScheduleBuilder;

import java.util.UUID;

public class SnapMirrorScheduleBuilderImpl implements SnapMirrorScheduleBuilder {
    private String name;
    private String daysOfMonth;
    private String daysOfWeek;
    private String months;
    private String hours;
    private String minutes;

    public SnapMirrorScheduleBuilderImpl() {
        name = UUID.randomUUID().toString();
        minutes = "0";
        hours = "3";
        months = "*";
        daysOfMonth = "*";
        daysOfWeek = "*";
    }

    @Override
    public SnapMirrorScheduleBuilder name(String name) {
        this.name = name;
        return this;
    }

    @Override
    public SnapMirrorScheduleBuilder daysOfMonth(String daysOfMonth) {
        this.daysOfMonth = daysOfMonth;
        return this;
    }

    @Override
    public SnapMirrorScheduleBuilder daysOfWeek(String daysOfWeek) {
        this.daysOfWeek = daysOfWeek;
        return this;
    }

    @Override
    public SnapMirrorScheduleBuilder months(String months) {
        this.months = months;
        return this;
    }

    @Override
    public SnapMirrorScheduleBuilder hours(String hours) {
        this.hours = hours;
        return this;
    }

    @Override
    public SnapMirrorScheduleBuilder minutes(String min) {
        this.minutes = min;
        return this;
    }

    @Override
    public SnapMirrorScheduleBuilder copyValues(SnapMirrorSchedule schedule) {
        name = schedule.getName();
        months = schedule.getMonths();
        hours = schedule.getHours();
        minutes = schedule.getMinutes();
        daysOfMonth = schedule.getDaysOfMonth();
        daysOfWeek = schedule.getDaysOfWeek();
        return this;
    }

    @Override
    public SnapMirrorSchedule build() {
        SnapMirrorScheduleImpl result = new SnapMirrorScheduleImpl();
        result.setName(name);
        result.setMonths(months);
        result.setHours(hours);
        result.setMinutes(minutes);
        result.setDaysOfWeek(daysOfWeek);
        result.setDaysOfMonth(daysOfMonth);

        return result;
    }
}
