package com.netapp.offtap3.internal.ontap.volume;

import com.netapp.offtap3.Size;
import com.netapp.offtap3.internal.AbstractRefreshable;
import com.netapp.offtap3.internal.HasProxy;
import com.netapp.offtap3.ontap.Dedupe;
import com.netapp.offtap3.ontap.OntapVolume;

import java.io.Serializable;

public class DedupeImpl extends AbstractRefreshable implements Serializable, Dedupe {

    private boolean enabled;
    private String type = "regular";
    private String status = "idle";
    private String state;
    private Size sizeShared;
    private Size sizeSaved;
    private int percentSaved;
    private String lastBeginDate;
    private String lastEndDate;
    private String schedule;
    private OntapVolume volume;

    public DedupeImpl(HasProxy loader) {
        super(loader);
    }

    @Override
    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    @Override
    public boolean isActive() {
        return "active".equals(getStatus());
    }

    @Override
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public Size getSizeShared() {
        return sizeShared;
    }

    public void setSizeShared(long sizeShared) {
        this.sizeShared = Size.createB(sizeShared);
    }

    @Override
    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    @Override
    public Size getSizeSaved() {
        return sizeSaved;
    }

    public void setSizeSaved(long sizeSaved) {
        this.sizeSaved = Size.createB(sizeSaved);
    }

    @Override
    public int getPercentSaved() {
        return percentSaved;
    }

    public void setPercentSaved(int percentSaved) {
        this.percentSaved = percentSaved;
    }

    @Override
    public String getLastBeginDate() {
        return lastBeginDate;
    }

    public void setLastBeginDate(String lastBeginDate) {
        this.lastBeginDate = lastBeginDate;
    }

    @Override
    public String getLastEndDate() {
        return lastEndDate;
    }

    public void setLastEndDate(String lastEndDate) {
        this.lastEndDate = lastEndDate;
    }

    public String getSchedule() {
        return schedule;
    }

    public void setSchedule(String schedule) {
        this.schedule = schedule;
    }

    @Override
    public OntapVolume getVolume() {
        return volume;
    }

    public void setVolume(OntapVolume volume) {
        this.volume = volume;
    }

    @Override
    public Dedupe refresh() {
        return (Dedupe) super.refresh();
    }
}