package com.netapp.offtap3.internal.ontap.zapi;

import com.netapp.offtap3.ontap.ZapiAccessPermissions;

import java.util.Collection;
import java.util.Collections;
import java.util.HashSet;

public class SevenModeZapiAccessPermissions implements ZapiAccessPermissions {

    private Collection<String> allowedZapis = new HashSet<String>();

    public synchronized void allowedZapis(Collection<String> trustMeListOfZapis) {
        this.allowedZapis = trustMeListOfZapis;
    }

    public boolean containsFullAccessWildcards() {
        if (allowedZapis.contains("*")) {
            return true;
        }
        if (allowedZapis.contains("login-*") && allowedZapis.contains("api-*")) {
            return true;
        }
        return false;
    }

    @Override
    public Collection<String> getROZapis(String vServer) {
        return allowedZapis;
    }

    @Override
    public Collection<String> getRWZapis(String vServer) {
        return allowedZapis;
    }

    @Override
    public Collection<String> getVServers() {
        return Collections.singletonList("");
    }

    @Override
    public String getBestVServer() {
        return "";
    }


}
