/*
 * NETAPP CONFIDENTIAL
 * 
 * All information contained herein is, and remains the property of NetApp, Inc. and its suppliers if any.
 * 
 * Copyright (c) 2014 NetApp, Inc. All rights reserved.
 */
package com.netapp.offtap3.mars;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.netapp.offtap3.internal.mars.webmapi.model.common.WebEnum;
import com.netapp.offtap3.internal.mars.webmapi.util.MappingException;

public enum LunMaxExtentSize implements WebEnum {
    maxDefault("Default value"),
    max8K("8K"),
    max16K("16K"),
    max32K("32K"),
    max64K("64K");

    private String desc;

    private LunMaxExtentSize(String desc) {
        this.desc = desc;
    }
    
    @JsonValue
    public String value() {
        return name();
    }

    public String desc() {
        return desc;
    }

    @JsonCreator
    public static LunMaxExtentSize forName(String str) {
        for (LunMaxExtentSize type : values()) {
            if (type.name().equals(str))
                return type;
        }
        throw new MappingException("max-extent-size", str);
    }
    
    @Override
    public String toString() {
        return value();
    }
}
