/*
 * $Id$
 *
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.mars;

import java.util.Map;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.DataController;
import com.netapp.offtap3.HasFcpAdapters;
import com.netapp.offtap3.LunSpec;
import com.netapp.offtap3.Size;
import com.netapp.offtap3.StorageProtocol;
import com.netapp.offtap3.internal.mars.MarsConnection;
import com.netapp.offtap3.ontap.HasFcInterfaces;

public interface MarsController extends DataController<LunSpec>, HasFcpAdapters, HasFcInterfaces {
    @Override
    @ControllerLoader(ControllerResource.luns)
    Map<String, MarsLun> getLuns();

    @Override
    @ControllerLoader(ControllerResource.luns)
    MarsLun getLun(String path);

    @Override
    MarsConnection getConnection();

    MarsLunSpec.Builder getLunSpecBuilder(String name, Size size);

    @Override
    MarsLun createLun(LunSpec lunSpec);

    /**
     * No need for a resource/data loader to be associated with this for Mars as
     * it only can support the fiber channel protocol. Overriding to remove the
     * resouce association with the method.
     */
    @Override
    boolean supportsProtocol(StorageProtocol protocol);

}
