/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/AdminSvm.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.HasFcpAdapters;
import com.netapp.offtap3.internal.ontap.controller.HasChildOntapControllers;

import java.util.List;
import java.util.Map;

public interface AdminSvm extends Svm, HasChildOntapControllers, HasDataSvms, HasNodeSvms, HasCModeAggregates,
        HasSnmpHosts, HasPerformanceObjects, SupportsNdmp, HasFcpAdapters {

    @ControllerLoader(ControllerResource.cluster_status)
    String getClusterState();

    @ControllerLoader(ControllerResource.cluster_state_reason)
    String getClusterStateReason();

    @ControllerLoader(ControllerResource.svms)
    Map<String, DataSvm> getChildControllers();

    DataSvm createSvm(String svmName, Aggregate aggr);

    @ControllerLoader(ControllerResource.cluster_peers)
    List<ClusterPeer> getClusterPeers();

    String getNdmpPassword();

    Boolean isNdmpConfiguredInVserverAwareMode();

    void addLicenses(String... newLicenses);

    void deleteLicense(String license);
    
    String getMccState();
}
