/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/Aggregate.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.Refreshable;
import com.netapp.offtap3.Size;

import java.util.List;
import java.util.Set;

public interface Aggregate extends Refreshable {
    String getUuid();

    String getState();

    Size getSizeUsed();

    Size getSizeTotal();

    Size getSizeAvailable();

    int getPercentageUsed();

    List<String> getVolumeNames();

    Set<String> getDiskTypes();

    Set<String> getBusinessDiskTypes();

    String getBlockType();

    String getStripingType();

    boolean isStriped();

    long getDiskCount();

    boolean isHybrid();

    void rename(String newName);

    @Override
    Aggregate refresh();
}
