/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/CModeCloneSpec.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

public interface CModeCloneSpec extends CloneSpec {

    String getToken();

    boolean createToken();

    boolean autoDelete();

    int getTokenRetryInterval();

    int getTokenRetryCount();
    
    boolean fileCertainToExist();

    interface Builder extends CloneSpec.Builder {
        /**
         * Specifies the split load token assigned for a reserved unthrottled sis clone operation. This is only supported
         * in 8.3 or higher.
         * @param token The split load token string.
         * @see
         */
        Builder token(String token);

        Builder createToken(boolean createToken);

        Builder autoDelete(boolean autoDelete);

        Builder tokenRetryInterval(int intervalInSeconds);

        Builder tokenRetryCount(int retryCount);
        
        Builder fileCertainToExist(boolean fileCertainToExist);

        CModeCloneSpec build();
    }
}
