package com.netapp.offtap3.ontap;

import com.netapp.offtap3.FileOperationException;

import java.util.List;

public interface CModeFile extends OntapFile {
    void assignQos(QosPolicyGroup policyGroup);

    void removeQos();

    @Override
    List<CModeFile> listFiles();

    @Override
    CModeFile createFile(String relativePath);

    @Override
    CModeFile getParentDir();

    @Override
    CModeLun createLun(String lunPath, String type, boolean spaceReserve, String comment);

    @Override
    CModeVolume getVolume();

    long getSisCloneTokenRemainingTimeInSecs(String tokenId, String nodeName) throws FileOperationException;

    String createSisCloneToken(int tokenRetryIntervalInSecs, int tokenRetryCount) throws FileOperationException;

    boolean isCloneTokenAvailable(String nodeName, long requestedSize) throws FileOperationException;

    String getOptimalInterface() throws FileOperationException;
    
    /**
     * Initiates an NDMP copy process for this file to the specified location. The process is asynchronous and will
     * return immediately. The progress monitoring is left to the client making this call.
     * @param newLocation The location of the copy.    
     * @throws FileOperationException
     */
    void asyncNdmpCopy(OntapFile newLocation, boolean skipPollingOnNdmpProgress) throws FileOperationException;    

    @Override
    CModeFile refresh();
    
    boolean getFileReservation() throws FileOperationException;
}
