package com.netapp.offtap3.ontap;

import com.netapp.offtap3.SnapMirrorLoader;
import com.netapp.offtap3.SnapMirrorResource;

public interface CModeSnapMirrorRelation extends SnapMirrorRelation {

    /**
     * Identifies the valid volume types for cluster mode SnapMirror relationships.
     */
    public enum Type {
        data_protection,
        load_sharing,
        vault,
        restore,
        transition_data_protection, 
        extended_data_protection
    }

    Type getType();

    @SnapMirrorLoader(SnapMirrorResource.status)
    boolean isHealthy();

    String getPolicyName();

    void restore(CModeVolume destVol, CModeSnapshot optionalSourceSnapshot);

    String getMaxTransferRate();

    String getRelationshipId();

    void restore(CModeVolume destVol) ;

    CModeVolume getDestinationVolume();

    DataSvm getDestinationSvm();

    String getSourceVolume();

    String getSourceSvm();

    String getScheduleName();

    String getSourceCluster();
    
    String getTransferSnapshot();
    
    String getNewestSnapshot();
    
    int getNewestSnapshotTimestamp();

    @SnapMirrorLoader(SnapMirrorResource.policy)
    CModeSnapMirrorPolicy getPolicy();

    CModeSnapMirrorPolicyBuilder createSnapMirrorPolicyBuilder(String name);
    
    @Override
    CModeSnapMirrorRelation refresh();

    void setPolicy(CModeSnapMirrorPolicy policy);

    boolean setPolicyAndCheckFields(CModeSnapMirrorPolicy policy);

    boolean setScheduleAndCheckFields(SnapMirrorSchedule schedule);
}
