package com.netapp.offtap3.ontap;


public interface EmsLoggerSpec {
    boolean isTriggerAutoSupport();
    String getCategory();
    String getComputerName();
    String getVersion();
    int getDefaultEventId();
    String getEventSource();
    EmsLogLevel getDefaultLogLevel();

    public interface Builder {

        Builder triggerAutoSupport(boolean autoSupport);

        Builder category(String category);

        Builder defaultLogLevel(EmsLogLevel defaultLevel);

        Builder computerName(String computerName);

        Builder version(String version);

        Builder defaultEventId(int eventId);

        Builder eventSource(String eventSource);

        EmsLoggerSpec build();
    }

}
