/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/ExportPolicyResource.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.Resource;
import com.netapp.offtap3.StorageSystem;

import java.util.Arrays;
import java.util.EnumSet;
import java.util.Set;

public enum ExportPolicyResource implements Resource {
    rules(StorageSystem.datasvm);

    private final EnumSet<StorageSystem> supportedPlatforms;

    ExportPolicyResource(StorageSystem... supports) {
        supportedPlatforms = EnumSet.copyOf(Arrays.asList(supports));
    }

    ExportPolicyResource() {
        supportedPlatforms = EnumSet.allOf(StorageSystem.class);
    }

    @Override
    public boolean supports(Set<StorageSystem> type) {
        return supportedPlatforms.containsAll(type);
    }
}
