package com.netapp.offtap3.ontap;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.File;
import com.netapp.offtap3.HasFcpAdapters;
import com.netapp.offtap3.IpInterface;

import java.util.List;
import java.util.Map;


public interface Filer extends OntapDataController, SupportsNdmp, HasFcpAdapters {

    @ControllerLoader(ControllerResource.system_info)
    String getModel();

    @ControllerLoader(ControllerResource.system_info)
    String getVstorageStatus();

    /**
     * This is probably not what you want.
     * {@link com.netapp.offtap3.Controller#getId()}  should be used instead
     * @return identifier for a vfiler, but pfiler is likely all zero's
     */
    @ControllerLoader(ControllerResource.vfilers)
    String getUuid();

    /**
     * This is probably not what you want.
     * {@link com.netapp.offtap3.Controller#getId()}  should be used instead
     * @return identifier for the particular 7-mode controller/system
     * (i.e., all vfilers and the pfiler will share the same system id for a given controller)
     */
    @ControllerLoader(ControllerResource.system_info)
    String getSystemId();

    @ControllerLoader(ControllerResource.vfilers)
    String getEtcVolName();

    @ControllerLoader(ControllerResource.cf_info)
    ClusterFailoverInfo getClusterFailoverInfo();

    @ControllerLoader(ControllerResource.cf_info)
    boolean isHaMode();

    // not caching this because the assumption is if you're calling it
    // you want to know if it is usable *right now*
    boolean isClusterUsable();

    @ControllerLoader(ControllerResource.primary_snapvaults)
    List<SnapVault> getSnapVaultsPrimary();

    @ControllerLoader(ControllerResource.primary_snapvaults)
    SnapVault getSnapVaultPrimary(File destinationPath);

    @ControllerLoader(ControllerResource.secondary_snapvaults)
    List<SnapVault> getSnapVaultsSecondary();

    @ControllerLoader(ControllerResource.secondary_snapvaults)
    SnapVault getSnapVaultSecondary(File destinationPath);

    @Override
    @ControllerLoader(ControllerResource.snapmirror)
    List<SnapMirrorRelation> getSnapMirrorRelations();

    @Override
    @ControllerLoader(ControllerResource.volumes)
    FilerVolume getVolume(String name);

    @Override
    @ControllerLoader(ControllerResource.volumes)
    Map<String, FilerVolume> getVolumes();

    @Override
    @ControllerLoader(ControllerResource.interfaces)
    Map<String, IpInterface> getIpInterfaces();
}
