/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/OntapController.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import com.netapp.offtap3.Controller;
import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.DiscoveryError;
import com.netapp.offtap3.HasAggregates;
import com.netapp.offtap3.HasInterfaces;
import com.netapp.offtap3.internal.ontap.InternalZapiHandler;
import com.netapp.offtap3.internal.ontap.controller.OntapConnection;
import com.netapp.offtap3.utils.Pair;

import java.util.List;
import java.util.Queue;


public interface OntapController extends Controller, HasAggregates, HasInterfaces, HasFcInterfaces,
        ZapiHandler {
    List<DiscoveryError> getDiscoveryErrors();
    List<ZapiExecutionError> getZapiExecutionErrors();

    @Override
    OntapConnection getConnection();

    EmsLoggerSpec.Builder getLoggerSpecBuilder(String application, String version);
    EmsLogger getLogger(EmsLoggerSpec spec);

    @ControllerLoader(ControllerResource.zapi_access)
    ZapiAccessPermissions getZapiAccessPermissions();

    OntapVersion getVersion();
    
    boolean isMccSource();
    
    String getVServerStateWithMinimalTimeout(String vServerName);
    
    String getVServerNameWithMinimalTimeout(String vServerName);
    
    Pair<String, String> getVServerNameAndStateWithMinimalTimeout(String vServerName);

    @ControllerLoader(ControllerResource.volume_maximums)
    OntapVolumeMaximums getVolumeMaximums();
}
