/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/OntapDataController.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import java.util.List;
import java.util.Map;

import com.netapp.offtap3.ControllerLoader;
import com.netapp.offtap3.ControllerResource;
import com.netapp.offtap3.DataController;
import com.netapp.offtap3.HasCifsShares;
import com.netapp.offtap3.HasExports;
import com.netapp.offtap3.HasVStorageSupport;
import com.netapp.offtap3.HasVolumes;
import com.netapp.offtap3.IGroupSpec;
import com.netapp.offtap3.Size;
import com.netapp.offtap3.SupportsIscsi;

public interface OntapDataController extends OntapController, DataController<OntapLunSpec>, HasVolumes,
        HasExports, SupportsIscsi, HasCifsShares, SupportsSnapMirror, HasVStorageSupport {

    @ControllerLoader(ControllerResource.root_volume)
    String getRootVolume();

    @Override
    @ControllerLoader(ControllerResource.volumes)
    OntapVolume getVolume(String name);

    @Override
    @ControllerLoader(ControllerResource.volumes)
    Map<String, ? extends OntapVolume> getVolumes();

    @Override
    @ControllerLoader(ControllerResource.luns)
    Map<String, OntapLun> getLuns();

    @Override
    @ControllerLoader(ControllerResource.luns)
    OntapLun getLun(String path);

    @Override
    @ControllerLoader(ControllerResource.igroups)
    OntapIGroup getIGroup(String name);

    @Override
    @ControllerLoader(ControllerResource.igroups)
    List<OntapIGroup> getIGroups();

    OntapVolume createVolume(OntapVolumeSpec spec);

    ConsistencyGroup createConsistencyGroup(String snapshotName, List<OntapVolume> volumes);

    OntapVolumeSpec.Builder getVolumeSpecBuilder(String name, Aggregate aggregate, Size size);

    OntapLunSpec.Builder getLunSpecBuilder(String path, OntapVolume volume, String type, Size size);

    @Override
    OntapLun createLun(OntapLunSpec spec);

    @Override
    OntapIGroupSpec.Builder getIGroupSpecBuilder(String name, String osType);

    @Override
    OntapIGroup createIGroup(IGroupSpec iGroupSpec) throws IGroupOperationException;
}
