package com.netapp.offtap3.ontap;

import com.netapp.offtap3.File;
import com.netapp.offtap3.HasLoader;
import com.netapp.offtap3.Lun;
import com.netapp.offtap3.LunLoader;
import com.netapp.offtap3.LunResource;

import java.util.Set;

public interface OntapLun extends Lun, HasLoader {

    OntapController getController();

    String getQtree();

    boolean isSpaceReserve();

    String getVolumeName();

    @LunLoader(LunResource.map_list)
    boolean isMultiStateAlua();

    @LunLoader(LunResource.map_list)
    Set<OntapIGroup> getIgroups();

    @LunLoader(LunResource.map_list)
    OntapIGroup getLastIGroup();

    @LunLoader(LunResource.map_list)
    boolean isMapped();

    File getFile();

    String getShareState();

    int getDeviceId();

    @LunLoader(LunResource.geometry)
    long getMaxResizeSize();

    long getPrefixBytes();

    @LunLoader(LunResource.lun_stats)
    LunStats getLunStats();

    /**
     * Moves the this Lun to the specified path. Note that this is equivalent to
     * @param destinationPath The new path for this Lun.
     */
    void move(File destinationPath);

    void map(OntapIGroup igroup);
    void map(OntapIGroup igroup, boolean force);
    void unmap(OntapIGroup igroup);

    String readRaw(long offset, long length);
    void writeRaw(long offset, String data);

    OntapLun createSnapshotClone(String targetLunPath, Snapshot snapshot, boolean spaceReservationEnabled);

    void setAttribute(String name, String value);

    void setAttribute(String name, boolean on);

    String getAttribute(String name);

    void setComment(String comment);

    void setSpaceReservation(boolean enable);

    long getOccupiedSize();

    @Override
    OntapLun refresh();
}
