package com.netapp.offtap3.ontap;


import com.netapp.offtap3.Refreshable;

import java.util.Map;

public interface Qtree extends Refreshable {

    /**
     * Name of the qtree.  So, the top or default qtree is empty string "".
     * @return relative path of the qtree with respect to the volume
     */
    public String getName();

    /**
     * ID (or sequence number) for this qtree <b>within</b> this volume.
     * Only unique within a volume
     * @return non-negative integer identifying the qtree within the volume
     */
    public int getId();

    public String getStatus();

    public SecurityStyle getSecurityStyle();

    public String getOwningVolume();

    public Map<String, Export> getExports();

    /**
     * @return <code>true</code> if a quota is set on the <code>NtapQtree</code>;
     *         <code>false</code> otherwise
     */
    public boolean hasQuota();

    /**
     * Provides the absolute path to the qtree, of the form /vol/volume_name/qtree_name
     * @return the absolute path to the qtree
     */
    public String getPath();

    @Override
    public Qtree refresh();
}
