/*
 * $Id: //depot/prod/aeonflux/R3.0.1/src/main/java/com/netapp/offtap3/ontap/SevenModeCloneSpec.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap;

import java.util.concurrent.LinkedBlockingQueue;

public interface SevenModeCloneSpec extends CloneSpec {

    boolean fallBackToCopy();

    int getFallBackThreshold();

    boolean createSnapshot();

    LinkedBlockingQueue<Integer> getStatusQueue();

    public interface Builder extends CloneSpec.Builder {
        /**
         * True to fall back to ndmpcopy
         */
        Builder fallBackToCopy(boolean fallBack);

        /**
         * If fallBackToCopy is true, this is the percentage threshold of how many blocks to
         * copy before falling back to ndmpcopy.  The blocks-copied percentage is equal to blocks-copied/total-blocks as
         * returned from the ops-info field in the clone-list-status ZAPI.
         */
        Builder fallBackThreshold(int threshold);

        Builder createSnapshot(boolean createSnapshot);

        /**
         * A queue used to monitor the percent completion of the clone request.
         */
        Builder statusQueue(LinkedBlockingQueue<Integer> statusQueue);

        SevenModeCloneSpec build();
    }
}
