package com.netapp.offtap3.ontap;


import com.netapp.offtap3.HasLoader;
import com.netapp.offtap3.Refreshable;
import com.netapp.offtap3.SnapMirrorLoader;
import com.netapp.offtap3.SnapMirrorResource;

public interface SnapMirrorRelation extends Refreshable, HasLoader {

    String getSourceLocation();

    String getDestinationLocation();

    @SnapMirrorLoader(SnapMirrorResource.status)
    String getStatus();

    @SnapMirrorLoader(SnapMirrorResource.status)
    String getMirrorState();

    @SnapMirrorLoader(SnapMirrorResource.status)
    long getLagTime();

    @SnapMirrorLoader(SnapMirrorResource.status)
    long getTransferProgress();

    @SnapMirrorLoader(SnapMirrorResource.status)
    long getMirrorTimestamp();

    @SnapMirrorLoader(SnapMirrorResource.status)
    String getCurrentTransferType();

    @SnapMirrorLoader(SnapMirrorResource.status)
    String getCurrentTransferError();

    @SnapMirrorLoader(SnapMirrorResource.status)
    String getLastTransferType();

    @SnapMirrorLoader(SnapMirrorResource.status)
    long getLastTransferSize();

    @SnapMirrorLoader(SnapMirrorResource.status)
    long getLastTransferDuration();

    @SnapMirrorLoader(SnapMirrorResource.status)
    String getLastTransferFrom();

    void setSchedule(SnapMirrorSchedule sched);

    @SnapMirrorLoader(SnapMirrorResource.schedule)
    SnapMirrorSchedule getSchedule();
    
    SnapMirrorScheduleBuilder getSnapMirrorScheduleBuilder();

    void deleteSchedule();

    void abortTransfer() throws SnapMirrorOperationException;

    void breakMirror() throws SnapMirrorOperationException;

    void quiesceMirror() throws SnapMirrorOperationException;
    
    void resumeMirror() throws SnapMirrorOperationException;

    void releaseSource() throws SnapMirrorOperationException;

    void destroy() throws SnapMirrorOperationException;

    String update() throws SnapMirrorOperationException;

    void resync() throws SnapMirrorOperationException;

    /**
     * Breaks the snapmirror, releases the source volume and destroys the snap mirror relationship.
     */
    void obliterate();

    @Override
    SnapMirrorRelation refresh();
}
