package com.netapp.offtap3.ontap;

import com.netapp.offtap3.File;
import com.netapp.offtap3.Refreshable;

import java.util.List;

public interface Snapshot extends Refreshable {

    OntapVolume getVolume();

    long getDate();

    void rename(String newName);

    void delete();

    void restore();

    void restoreFile(File fileToRestore, File restoreFileLocation);
    
    VolumeCloneSpec.VolumeCloneSpecBuilder createCloneBuilder(int numClones, SpaceReserve spaceReserve);
    
    VolumeCloneSpec.VolumeCloneSpecBuilder createCloneBuilder(List<String> cloneNames, SpaceReserve spaceReserve);

    List<OntapVolume> createVolumeClones(VolumeCloneSpec spec);

    List<OntapVolume> createVolumeClones(List<String> cloneNames, SpaceReserve spaceReserve);
    
    List<OntapVolume> createVolumeClones(int numClones, SpaceReserve spaceReserve);

    @Override
    Snapshot refresh();


}
