package com.netapp.offtap3.ontap.utils;

import com.netapp.offtap3.internal.ontap.support.ZAPIStatsCounter;
import org.apache.log4j.MDC;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class OntapThreadSpecificInfo {
	private List<String> myThreadLocalVal;
    private Long myOperationStartTime;
    private String myMDCName;
    private Map myThreadLocalsMap;
    private static ThreadLocal<Map<String, Object>> threadLocals = new ThreadLocal();    
    
    public OntapThreadSpecificInfo() {
    	myThreadLocalVal = ZAPIStatsCounter.getInstance().getRecordedKey();
        myOperationStartTime = ZAPIStatsCounter.getInstance().getOperationStartTime();
        myMDCName = (String) MDC.get("name");
        myThreadLocalsMap = getThreadLocalMap();
    }
    
    public void applyToCurrentThread() {
        threadLocals.set(myThreadLocalsMap);
    	ZAPIStatsCounter.getInstance().setRecordedKey(myThreadLocalVal);
        ZAPIStatsCounter.getInstance().setOperationStartTime(myOperationStartTime);
        if (myMDCName != null) {
        	MDC.put("name", myMDCName);
        }
    }
    
    public static Map<String, Object> getThreadLocalMap() {
    	Map toReturn = threadLocals.get();
    	if (toReturn == null) {
    		toReturn = new HashMap();
    		threadLocals.set(toReturn);
    	}
    	return toReturn;
    }
    
    public static void cleanThreadLocalMap() {    	
    	threadLocals.set(null);    	
    }
}
