/*
 * $Id: //depot/prod/aeonflux/main/src/main/java/com/netapp/offtap/utils/privileges/CommandType.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap.utils.privileges;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.XmlValue;

import org.apache.log4j.Logger;


/**
 * <p>Java class for commandType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="commandType">
 *   &lt;simpleContent>
 *     &lt;extension base="&lt;http://www.w3.org/2001/XMLSchema>string">
 *       &lt;attribute ref="{}ontap-level-less"/>
 *       &lt;attribute ref="{}ontap-level-less-equals"/>
 *       &lt;attribute ref="{}ontap-level-equals"/>
 *       &lt;attribute ref="{}ontap-level-greater-equals"/>
 *       &lt;attribute ref="{}ontap-level-greater"/>
 *     &lt;/extension>
 *   &lt;/simpleContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "commandType", propOrder = {
    "value"
})
public class CommandType {

    private static final Logger LOGGER = Logger.getLogger(CommandType.class);

    @XmlValue
    protected String value;
    @XmlAttribute(name = "ontap-level-less")
    protected String ontapLevelLess;
    @XmlAttribute(name = "ontap-level-less-equals")
    protected String ontapLevelLessEquals;
    @XmlAttribute(name = "ontap-level-equals")
    protected String ontapLevelEquals;
    @XmlAttribute(name = "ontap-level-greater-equals")
    protected String ontapLevelGreaterEquals;
    @XmlAttribute(name = "ontap-level-greater")
    protected String ontapLevelGreater;

    @XmlTransient
    private boolean ontapLevelCheckSet;
    private enum ComparisonOperator { LT, LTE, GT, GTE, EQ }
    @XmlTransient
    private ComparisonOperator co;
    @XmlTransient
    private int[] baseLevelInts;


    /**
     * Gets the value of the value property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Gets the value of the ontapLevelLess property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOntapLevelLess() {
        return ontapLevelLess;
    }

    /**
     * Sets the value of the ontapLevelLess property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOntapLevelLess(String value) {
        this.ontapLevelLess = value;
        updateOntapLevelCheckSet();
    }

    /**
     * Gets the value of the ontapLevelLessEquals property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOntapLevelLessEquals() {
        return ontapLevelLessEquals;
    }

    /**
     * Sets the value of the ontapLevelLessEquals property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOntapLevelLessEquals(String value) {
        this.ontapLevelLessEquals = value;
        updateOntapLevelCheckSet();
    }

    /**
     * Gets the value of the ontapLevelEquals property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOntapLevelEquals() {
        return ontapLevelEquals;
    }

    /**
     * Sets the value of the ontapLevelEquals property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOntapLevelEquals(String value) {
        this.ontapLevelEquals = value;
        updateOntapLevelCheckSet();
    }

    /**
     * Gets the value of the ontapLevelGreaterEquals property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOntapLevelGreaterEquals() {
        return ontapLevelGreaterEquals;
    }

    /**
     * Sets the value of the ontapLevelGreaterEquals property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOntapLevelGreaterEquals(String value) {
        this.ontapLevelGreaterEquals = value;
        updateOntapLevelCheckSet();
    }

    /**
     * Gets the value of the ontapLevelGreater property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOntapLevelGreater() {
        return ontapLevelGreater;
    }

    /**
     * Sets the value of the ontapLevelGreater property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOntapLevelGreater(String value) {
        this.ontapLevelGreater = value;
        updateOntapLevelCheckSet();
    }

    private void updateOntapLevelCheckSet() {
        ontapLevelCheckSet = (ontapLevelEquals != null || ontapLevelGreater != null ||
                ontapLevelGreaterEquals != null || ontapLevelLess != null || ontapLevelLessEquals != null);
        if (ontapLevelCheckSet) {
            if (ontapLevelGreaterEquals != null) {
                baseLevelInts = getOntapLevel(ontapLevelGreaterEquals);
                co = ComparisonOperator.GTE;
            } else if (ontapLevelGreater != null) {
                baseLevelInts = getOntapLevel(ontapLevelGreater);
                co = ComparisonOperator.GT;
            } else if (ontapLevelLess != null) {
                baseLevelInts = getOntapLevel(ontapLevelLess);
                co = ComparisonOperator.LT;
            } else if (ontapLevelLessEquals != null) {
                baseLevelInts = getOntapLevel(ontapLevelLessEquals);
                co = ComparisonOperator.LTE;
            } else {
                baseLevelInts = getOntapLevel(ontapLevelEquals);
                co = ComparisonOperator.EQ;
            }
        }
    }

    public boolean supportsOntapVersion(String ontapVersion) {
        updateOntapLevelCheckSet();
        if (ontapLevelCheckSet) {
            int[] ontapLevelInts = getOntapLevel(ontapVersion);
            return checkLevels(ontapLevelInts);
        } else {
            return true;
        }
    }

    private boolean checkLevels(int[] levelToCheck) {
        boolean greater = co == ComparisonOperator.GTE || co == ComparisonOperator.GT;
        for (int i = 0; i < baseLevelInts.length; i++) {
            if (baseLevelInts[i] < levelToCheck[i]) {
                return greater;
            } else if (baseLevelInts[i] > levelToCheck[i]) {
                return !greater;
            }
            // If they're equal, keep going to the next version number or drop out of loop because they're equal
        }
        return co == ComparisonOperator.EQ || co == ComparisonOperator.GTE || co == ComparisonOperator.LTE;
    }

    private int[] getOntapLevel(String ontapLevel) {
        String[] versionArray = ontapLevel.split("\\.");
        int[] ontapLevelArray = new int[versionArray.length];
        for (int i = 0; i < versionArray.length; i++) {
            try {
                ontapLevelArray[i] = Integer.parseInt(versionArray[i]);
            } catch (NumberFormatException e) {
                LOGGER.error("Ontap level contains invalid version characters: " + ontapLevel);
            }
        }
        return ontapLevelArray;
    }
}
