/*
 * $Id: //depot/prod/aeonflux/main/src/main/java/com/netapp/offtap/utils/privileges/ObjectFactory.java#1 $
 *
 * Copyright (c) 2014 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.offtap3.ontap.utils.privileges;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.netapp.offtap.utils.privileges package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Product_QNAME = new QName("", "product");
    private final static QName _ClusterMode_QNAME = new QName("", "cluster-mode");
    private final static QName _AllAccess_QNAME = new QName("", "all-access");
    private final static QName _AdminVserver_QNAME = new QName("", "admin-vserver");
    private final static QName _ReadOnly_QNAME = new QName("", "read-only");
    private final static QName _Command_QNAME = new QName("", "command");
    private final static QName _Api_QNAME = new QName("", "api");
    private final static QName _Release_QNAME = new QName("", "release");
    private final static QName _DirectVserver_QNAME = new QName("", "direct-vserver");
    private final static QName _SevenMode_QNAME = new QName("", "seven-mode");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.netapp.offtap.utils.privileges
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ClusterModeType }
     * 
     */
    public ClusterModeType createClusterModeType() {
        return new ClusterModeType();
    }

    /**
     * Create an instance of {@link ProductType }
     * 
     */
    public ProductType createProductType() {
        return new ProductType();
    }

    /**
     * Create an instance of {@link VserverType }
     * 
     */
    public VserverType createVserverType() {
        return new VserverType();
    }

    /**
     * Create an instance of {@link CommandGroupType }
     * 
     */
    public CommandGroupType createCommandGroupType() {
        return new CommandGroupType();
    }

    /**
     * Create an instance of {@link CommandType }
     * 
     */
    public CommandType createCommandType() {
        return new CommandType();
    }

    /**
     * Create an instance of {@link ReleaseType }
     * 
     */
    public ReleaseType createReleaseType() {
        return new ReleaseType();
    }

    /**
     * Create an instance of {@link SevenModeType }
     * 
     */
    public SevenModeType createSevenModeType() {
        return new SevenModeType();
    }

    /**
     * Create an instance of {@link CModeRoleType }
     * 
     */
    public CModeRoleType createCModeRoleType() {
        return new CModeRoleType();
    }

    /**
     * Create an instance of {@link SevenModeRoleType }
     * 
     */
    public SevenModeRoleType createSevenModeRoleType() {
        return new SevenModeRoleType();
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link ProductType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "product")
    public JAXBElement<ProductType> createProduct(ProductType value) {
        return new JAXBElement<ProductType>(_Product_QNAME, ProductType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link ClusterModeType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "cluster-mode")
    public JAXBElement<ClusterModeType> createClusterMode(ClusterModeType value) {
        return new JAXBElement<ClusterModeType>(_ClusterMode_QNAME, ClusterModeType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link CommandGroupType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "all-access")
    public JAXBElement<CommandGroupType> createAllAccess(CommandGroupType value) {
        return new JAXBElement<CommandGroupType>(_AllAccess_QNAME, CommandGroupType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link VserverType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "admin-vserver")
    public JAXBElement<VserverType> createAdminVserver(VserverType value) {
        return new JAXBElement<VserverType>(_AdminVserver_QNAME, VserverType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link CommandGroupType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "read-only")
    public JAXBElement<CommandGroupType> createReadOnly(CommandGroupType value) {
        return new JAXBElement<CommandGroupType>(_ReadOnly_QNAME, CommandGroupType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link CommandType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "command")
    public JAXBElement<CommandType> createCommand(CommandType value) {
        return new JAXBElement<CommandType>(_Command_QNAME, CommandType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link CommandType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "api")
    public JAXBElement<CommandType> createApi(CommandType value) {
        return new JAXBElement<CommandType>(_Api_QNAME, CommandType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link ReleaseType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "release")
    public JAXBElement<ReleaseType> createRelease(ReleaseType value) {
        return new JAXBElement<ReleaseType>(_Release_QNAME, ReleaseType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link VserverType }{@code >}}
     *
     */
    @XmlElementDecl(namespace = "", name = "direct-vserver")
    public JAXBElement<VserverType> createDirectVserver(VserverType value) {
        return new JAXBElement<VserverType>(_DirectVserver_QNAME, VserverType.class, null, value);
    }

    /**
     * Create an instance of {@link javax.xml.bind.JAXBElement }{@code <}{@link SevenModeType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "seven-mode")
    public JAXBElement<SevenModeType> createSevenMode(SevenModeType value) {
        return new JAXBElement<SevenModeType>(_SevenMode_QNAME, SevenModeType.class, null, value);
    }

}
