package com.netapp.offtap3.utils;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.List;

public class ProcessUtils {
    public static boolean isWindows() {
        return System.getProperty("os.name").toUpperCase().contains("WIN");
    }

    public static ProcessLaunchResults executeProcess(String[] command, boolean waitForFinish, String textToWaitFor) throws Exception {
        Process p = Runtime.getRuntime().exec(command);
        ProcessLaunchResults plr = new ProcessLaunchResults();
        InputSucker outputStreamSucker = new InputSucker(p.getInputStream(), plr.getOutputLines());
        outputStreamSucker.start();
        InputSucker errorSucker = new InputSucker(p.getErrorStream(), plr.getErrorLines());
        errorSucker.start();
        if (waitForFinish) {
            p.waitFor();
            plr.setExitCode(p.exitValue());
        }
        if (StringUtils.isReal(textToWaitFor)) {
            while (true) {
                Thread.sleep(250);
                if ((""+plr.getOutputLines()).contains(textToWaitFor)) {
                    break;
                }
                if ((""+plr.getErrorLines()).contains(textToWaitFor)) {
                    break;
                }
                try {
                    if (p.exitValue() != 0) {
                        break;
                    }
                } catch (RuntimeException e) {
                    // no problem
                }
            }
        }
        if (waitForFinish) {
            outputStreamSucker.join();
            errorSucker.join();
        }

        plr.setProcess(p);
        return plr;
    }

    private static class InputSucker extends Thread {
        InputStream stream;
        List<String> destination;

        InputSucker(InputStream stream, List<String> destination) {
            this.stream = stream;
            this.destination = destination;
        }

        public void run() {
            BufferedReader bis = new BufferedReader(new InputStreamReader(stream));
            while (true) {
                try {
                    String s = bis.readLine();
                    if (s == null) {
                        break;
                    }
                    destination.add(s);
                } catch (IOException e) {
                    // whatever
                }
            }
        }

    }
}
