/*
 * Copyright (c) 2015 NetApp, Inc.
 * All rights reserved.
 */

package com.netapp.offtap3.ontap;
/**
 * This interface contains Data ONTAP API error code constants.
 */
public class NaErrno {

	public static final int EADAPTERINVALIDTYPE = 13125;
	/* Adapter type invalid.  */

	public static final int EADAPTERNOTFOUND = 13122;
	/* Adapter not found.  */

	public static final int EADAPTERPARTNER = 13123;
	/* Adapter working on behalf of partner.  */

	public static final int EAGGRDOESNOTEXIST = 14420;
	/* Containing aggregate does not exist in the system.  */

	public static final int EAGGRFAILINGOVER = 14422;
	/* Containing aggregate is failing over.  */

	public static final int EAGGRINSWITCHBACK = 18119;
	/* Containing aggregate is in switchback or negotiated switchover.  */

	public static final int EAGGRMISMATCH = 14423;
	/* Specified aggregate no longer contains the volume or snapshot.  */

	public static final int EAGGRNOTONLINE = 14421;
	/* Containing aggregate is not online.  */

	public static final int EAGGRRELOCATING = 18207;
	/* Aggregate is relocating.  */

	public static final int EAGGR_64BIT_UPGRADE_ENOSPC = 15860;
	/* The total amount of free space after aggr-add is not sufficient.
	 * User needs to retry the aggr-add operation with more disks
	 */

	public static final int EAGGR_64BIT_UPGRADE_NOT_IN_PROGRESS = 15858;
	/* No 64-bit upgrade is in progress on the aggregate.  */

	public static final int EAGGR_64BIT_UPGRADE_RESTRICTED = 15862;
	/* The 64-bit upgrade operation is not allowed on restricted
	 * aggregates
	 */

	public static final int EAGGR_CANT_UNDO_HYBRID = 15713;
	/* Cannot reset hybrid option when the aggregate contains a mix of HDD and SSD groups.  */

	public static final int EAGGR_CANT_WRITE_CACHE_AGGR = 15722;
	/* Write caching cannot be enabled on the aggregate.  */

	public static final int EAGGR_CANT_WRITE_CACHE_FLEXVOLS = 15721;
	/* Some volumes in the aggregate are not eligible for write caching.  */

	public static final int EAGGR_CANT_WRITE_CACHE_INCOMPATIBLE_FS = 15723;
	/* Write caching cannot be enabled on the aggregate.  */

	public static final int EAGGR_FAILED_LIMBO = 15880;
	/* Aggregate is in failed or limbo state.  */

	public static final int EAGGR_HAS_SNAPSHOTS = 15711;
	/* Aggregate contains snapshots.  */

	public static final int EAGGR_HAS_UNSUPPORTED_VOLUME = 15712;
	/* Aggregate contains unsupported volume(s).  */

	public static final int EAGGR_HYBRID = 15714;
	/* Aggregate is already a hybrid aggregate.  */

	public static final int EAGGR_MIGRATE_ARL_NON_PRTNR = 18219;
	/* Aggregate migration to a node that is not the HA partner is not allowed.  */

	public static final int EAGGR_MIGRATE_CORE = 15876;
	/* Migration of the aggregate failed.  */

	public static final int EAGGR_MIGRATE_DEST_CHK_FAILED = 18200;
	/* Destination check failed during ARL/SFO Giveback.  */

	public static final int EAGGR_MIGRATE_FOREIGN = 18206;
	/* Aggregate is in foreign state.  */

	public static final int EAGGR_MIGRATE_HA_MSG_ERR = 16516;
	/* Encountered HA messaging error while migrating the aggregate.  */

	public static final int EAGGR_MIGRATE_OFFLINE = 18205;
	/* Aggregate is in offline state.  */

	public static final int EAGGR_MIGRATE_OFFLINE_FAILED = 15881;
	/* Offline of the aggregate failed.  */

	public static final int EAGGR_MIGRATE_ONLINE_FAILED = 16518;
	/* Failed to online the aggregate after migration.  */

	public static final int EAGGR_MIGRATE_ONLINE_TIMEOUT = 16517;
	/* Aggregate did not come online after migration.  */

	public static final int EAGGR_MIGRATE_PRECOMMIT_FAILED = 18201;
	/* Pre-commit failed during ARL/SFO Giveback.  */

	public static final int EAGGR_MIGRATE_RESTRICTED = 18204;
	/* Aggregate is in restricted state.  */

	public static final int EAGGR_MIGRATE_VETO = 15883;
	/* Migration of the aggregate was vetoed.  */

	public static final int EAGGR_MIGRATING = 15882;
	/* Aggregate is being migrated.  */

	public static final int EAGGR_NOTHING_TO_RELOCATE = 18212;
	/* No aggregates to relocate.  */

	public static final int EAGGR_NOT_HYBRID = 15720;
	/* Aggregate is not a hybrid aggregate.  */

	public static final int EAGGR_READONLY = 17153;
	/* Containing aggregate is readonly.  */

	public static final int EAGGR_SIZE_LESS_THAN_16TB = 15859;
	/* The total amount of disks after aggr add is still less than 16TB.  */

	public static final int EAGGR_SNAPSHOT_IN_PROGRESS = 15710;
	/* A snapshot is being created in the aggregate.  */

	public static final int EAGGR_TOO_LARGE = 15001;
	/* Aggregate size is too large for 32-bit aggregate.  */

	public static final int EAGGR_TOO_LARGE_SYSTEM_LIMIT = 18235;
	/* Aggregate size is greater than the system limit..  */

	public static final int EAGGR_UNSUPPORTED_OPTION_CONTROLLER_REPLACEMENT_TRANSITION = 19066;
	/* This aggregate was migrated from 7-Mode controller. It is not supported
	 * in current Data Ontap version. Install a version of Data ONTAP that
	 * supports 7-mode controller migration.
	 */

	public static final int EAGGR_WOULD_UPGRADE = 15857;
	/* Aggr add causes total disks to go beyond 16TB.  */

	public static final int EALREADYSTARTED = 13013;
	/* Service, adapter, or operation already started.  */

	public static final int EAMBIGUOUS_DSID = 13029;
	/* DSID value supplied is ambiguous.  */

	public static final int EANOTHER_OP_ACTIVE = 17131;
	/* Another Snapmirror operation is in progress.  */

	public static final int EAPIAUTHENTICATION = 13002;
	/* Authentication failed.  */

	public static final int EAPIERROR = 13001;
	/* Generic API error, used when an API returns a "failed"
	 * status, but for which a specific errno value
	 * has not been given
	 */

	public static final int EAPIEXCEPTION = 13004;
	/* An exception occured while trying to execute the API.  */

	public static final int EAPIINDEXTOOLARGE = 13009;
	/* A value for to-index or from-index was given which exceeds
	 * the max-index value for a particular iteration
	 */

	public static final int EAPILICENSE = 13008;
	/* The API exists, but appliance does not have a necessary license.  */

	public static final int EAPIMISSINGARGUMENT = 13006;
	/* One or more of the required input arguments to the API
	 * is missing
	 */

	public static final int EAPIMISSINGOUTPUT = 14513;
	/* One or more of the required output elements of the API is missing.  */

	public static final int EAPINOTFOUND = 13005;
	/* The API cannot be found.  */

	public static final int EAPINOTIMPLEMENTED = 13007;
	/* The API exists, but is not implemented.  */

	public static final int EAPIPRIVILEGE = 13003;
	/* The authenticated user had insufficient priviledge
	 * to execute the API
	 */

	public static final int EAPITOOMANYENTRIES = 13019;
	/* The number of entries in the input/output array are more than
	 * the max number that can be handled in one zapi call
	 */

	public static final int EAPITRANSMISSION = 13011;
	/* An error occurred in the transmission of the API request
	 * on its way to the appliance
	 */

	public static final int EAPIUNSUPPORTEDVERSION = 13010;
	/* The request was for an API version which is not supported by
	 * the appliance
	 */

	public static final int EAPI_CONNECTION = 13055;
	/* An error occurred in connecting to the appliance.  */

	public static final int EAPI_CONNECTION_DROPPED = 13056;
	/* Server unexpectedly dropped the connection for this request.  */

	public static final int EAPI_RECEPTION = 13057;
	/* An error occurred in the reception and processing of
	 * the API reply from the appliance
	 */

	public static final int EAPPLICATIONNOTFOUND = 16043;
	/* Application not found.  */

	public static final int EAPPRECENTRYEXISTS = 13198;
	/* Cluster Application Record entry already exists..  */

	public static final int EAPPRECFULL = 13199;
	/* Cluster Application Record table full..  */

	public static final int EARL_ABORT_FAILED = 18216;
	/* Abort of an ongoing aggregate relocation operation failed.  */

	public static final int EARRAYLUNUNSUPPORTED = 14720;
	/* Use of disks typed LUN requires a V_StorageAttach license in non-root aggregates.  */

	public static final int EARRAYNOTFOUND = 15694;
	/* No array matching this criteria exists in the array profile database.  */

	public static final int EASUPROLENEWUSERCREATEFAIL = 16046;
	/* Cannot create a user with the "autosupport" role.
	 * The "autosupport" role is reserved for use by the "autosupport" user account only.
	 */

	public static final int EASUPUSEROPERATIONFAILED = 16045;
	/* Operation not supported on "autosupport" user account.
	 * The "autosupport" user account is reserved for use by the system.
	 */

	public static final int EAUDITNOTENABLED = 18172;
	/* Auditing is not enabled for the vserver..  */

	public static final int EAUTHENTICATIONMETHODNOTFOUND = 16044;
	/* Authentication method not found.  */

	public static final int EAUTHENTICATION_REQUIRED_BY_POLICY = 18500;
	/* Creation of an unauthenticated peering relationship is currently
	 * forbidden.  To adjust this policy, use the 'cluster peer policy'
	 * command.
	 */

	public static final int EAUTO_BALANCE_VOLUME_RUNNING = 19013;
	/* Auto Balance Volume is running..  */

	public static final int EBADCOREID = 14100;
	/* Specified core could not be found.  */

	public static final int EBADFILELENGTH = 14006;
	/* File length specified is bad.  */

	public static final int EBADOPTIONS = 13949;
	/* String in the takeover-options does noes not specify a legal value.  */

	public static final int EBAD_DISK_LOGICAL_TYPE = 15732;
	/* The operation is not permitted on this logical type of disk..  */

	public static final int EBROADCASTINVALID = 1020;
	/* Invalid broadcast address.  */

	public static final int ECACHE_SIZE_AGGR_NOT_HYBRID = 18326;
	/* Cache RAID group size can only be modified for hybrid aggregates..  */

	public static final int ECANNOTMOVE_64BITVOL_TO_32BITAGGR = 18955;
	/* Cannot move 64-bit volume from a 64-bit aggregate to a 32-bit aggregate..  */

	public static final int ECANNOT_COMMUNICATE_WITH_PARTNER = 18363;
	/* Cannot communicate with the partner..  */

	public static final int ECANNOT_MOVE_TRANSITION_VOLUME = 18353;
	/* Cannot move a volume undergoing transition.  */

	public static final int ECANTQUIESCELASTPATH = 16504;
	/* Only one path exists for the LUN. Quiesce cannot be executed on the last path.  */

	public static final int ECANT_USE_ALL_DISKS = 13515;
	/* Cannot use all the disks specified for the requested operation.  */

	public static final int ECGERROR = 13700;
	/* General CG error.  */

	public static final int ECGOFF = 13702;
	/* CG is disabled.  */

	public static final int ECGSNAPDELERR = 13703;
	/* Snapshot delete error.  */

	public static final int ECGSNAPERR = 13701;
	/* Snap create error.  */

	public static final int ECHARMAP_INVALID = 13800;
	/* Volume charmap is invalid.  */

	public static final int ECHARMAP_NO_PERSIST = 13801;
	/* Volume charmap could not be made persistent.  */

	public static final int ECHECKRESULTS = 1008;
	/* Partially successful, errors encountered, check results.  */

	public static final int ECIFSACTIVEONPARTNER = 17165;
	/* There are active cifs sessions on some vfilers of the partner.  */

	public static final int ECIFSERVERNOTFOUND = 18261;
	/* CIFS server not found.  */

	public static final int ECIFSNOTCONFIGURED = 13164;
	/* Occurs when the filer is not yet configured
	 * for CIFS
	 */

	public static final int ECIFSSHARINGVIOLATION = 13210;
	/* Occurs when another process has locked a portion of
	 * the CIFS resource that is tried to be accessed by current
	 * process
	 */

	public static final int ECIFS_AD_ACCOUNT_ALREADY_EXISTS = 13262;
	/* An Active Directory account for this Vserver already exists..  */

	public static final int ECIFS_AD_CLOCK_SKEW = 13254;
	/* The system time is more than five minutes apart from the domain
	 * controller
	 */

	public static final int ECIFS_AD_RESET_REQUIRED = 13255;
	/* The machine account for the server name specified is
	 * inconsistent and must be reset
	 */

	public static final int ECIFS_BIND_FAILED = 13251;
	/* Unable to bind to a required service.  */

	public static final int ECIFS_CIFS_SERVER_ALREADY_EXISTS = 13261;
	/* A CIFS server for this Vserver already exists..  */

	public static final int ECIFS_DC_CONNECT_FAILED = 13257;
	/* Unable to connect to the domain controller specified.  */

	public static final int ECIFS_DNS_REQUIRED = 13252;
	/* DNS is unconfigured or disabled but is required.  */

	public static final int ECIFS_HAVE_MIRRORED_LOCKS = 18267;
	/* Cannot change HA policy to CFO due to open files with mirrored locks.  */

	public static final int ECIFS_HAVE_SESSION_SCOPED_LOCKS = 13258;
	/* Cannot offline or restrict volume due to open files.  */

	public static final int ECIFS_KRB_CONFLICT = 13253;
	/* Kerberos support is in use by a service other than
	 * CIFS and must be disabled first to avoid interrupting
	 * live clients
	 */

	public static final int ECIFS_LIST_UNAVAILABLE = 13256;
	/* The required information is unavailable and manual input should
	 * be provided
	 */

	public static final int ECIFS_LOGIN_FAILED = 13250;
	/* Cannot authenticate with the credentials supplied.  */

	public static final int ECIFS_PASSWD_AND_GROUP_REQUIRED = 13259;
	/* /etc/passwd and/or /etc/group files are missing, but required.  */

	public static final int ECIFS_SETUP_CANNOT_WRITE = 13260;
	/* Setup was unable to write one or more of the specified files.  */

	public static final int ECKSUMNOTKNOWN = 17000;
	/* Intended checksum type cannot be determined.  */

	public static final int ECKSUMTYPEMISMATCH = 17001;
	/* Disk checksum type does not match with other disks.  */

	public static final int ECLIENTSTATSNOTENABLED = 13162;
	/* Occurs when the option cifs.per-client-stats is not
	 * enabled to display the top CIFS client statistics
	 */

	public static final int ECLIENTSTATSVFILER = 13161;
	/* Occurs when the a request is made for the top cifs or
	 * nfs clients while not running from a vfiler context
	 */

	public static final int ECLONEINPROGRESS = 307;
	/* Snapshot operation not allowed due to clones backed
	 * by snapshots. Try again after sometime
	 */

	public static final int ECLUSTERED = 13129;
	/* System is part of a cluster pair.  */

	public static final int ECMDDIRNOTFOUND = 16039;
	/* Command directory not found.  */

	public static final int ECMSINVALIDREQUEST = 13090;
	/* Invalid cms request, missing info.  */

	public static final int ECMSNOTENABLED = 13091;
	/* cms not enabled, can not process request.  */

	public static final int ECMSPROCESSINGERROR = 13092;
	/* cms request failed while processing.  */

	public static final int ECOL_ABORT_COPYIDNOTFOUND = 15031;
	/* Abort copy ID doesn't exist.  */

	public static final int ECOL_ABORT_INTERNALERROR = 15030;
	/* Internal copy offload abort error.  */

	public static final int ECOL_ABORT_INVALIDINPUTERROR = 15029;
	/* Bad input to abort zapi.  */

	public static final int ECOL_COPY_COPYFAILED = 15024;
	/* Copy offload operation failed.  */

	public static final int ECOL_COPY_DSTREADONLY = 15021;
	/* Destination file is read only.  */

	public static final int ECOL_COPY_FILENOTFOUND = 15016;
	/* File not found.  */

	public static final int ECOL_COPY_INTERNALERROR = 15015;
	/* Internal copy offload error.  */

	public static final int ECOL_COPY_INVALIDINPUTERROR = 15014;
	/* Bad input to copy zapi.  */

	public static final int ECOL_COPY_ISDIRECTORY = 15022;
	/* The source or destination is a directory.  */

	public static final int ECOL_COPY_NOACCESSTOSRC = 15018;
	/* Source path can't be accessed.  */

	public static final int ECOL_COPY_NORESOURCES = 15017;
	/* Resouces not available to complete operation.  */

	public static final int ECOL_COPY_NOSPACE = 15023;
	/* Not enough space for operation.  */

	public static final int ECOL_COPY_VOLOFFLINE = 15019;
	/* Volume offline.  */

	public static final int ECOL_STATUS_COPYIDNOTFOUND = 15026;
	/* Copy ID doesn't exist.  */

	public static final int ECOL_STATUS_INTERNALERROR = 15027;
	/* Internal error during status.  */

	public static final int ECOL_STATUS_INVALIDINPUTERROR = 15025;
	/* Bad input to status zapi.  */

	public static final int ECOMPLIANCECLOCKNOTSET = 14522;
	/* Compliance clock has not been initialised.  */

	public static final int ECOMPRESSCLONEINPROG = 15612;
	/* Enabling compression on volume is not allowed while clone
	 * operation is in progress
	 */

	public static final int ECOMPSHARINGBEYONDLIMIT = 15611;
	/* Shared data beyond limit, may cause large
	 * amount of extra space usage
	 */

	public static final int ECONFLICT_DSID_FSID = 18234;
	/* New DSID for flexvolume is already in use in FSID..  */

	public static final int ECORALSET_ONLINE_FAILED = 15550;
	/* Unable to online striped volume.  */

	public static final int ECOREDUMPBUSY = 14101;
	/* Coredump is busy with another operation.  */

	public static final int ECOREDUMPNOTINITIALIZED = 14102;
	/* System was boot in an uninitialized mode.  */

	public static final int EDATAPOLICY_VALIDATION_ERROR = 18362;
	/* The vserver data policy contains a syntactic or semantic error..  */

	public static final int EDATAUNRECOVERABLE = 302;
	/* Unrecoverable data error.  */

	public static final int EDATA_SOURCE_ERROR = 18451;
	/* Aborting Volume Move. Data Source Error..  */

	public static final int EDATENOTSETONPARTNER = 14524;
	/* Date can't be set on host as it will be eventually overridden
	 * by partner's date
	 */

	public static final int EDENSE_BAD_INDIRECT_BLOCK = 18036;
	/* Bad indirect block encountered.  */

	public static final int EDENSE_CG_MISMATCH = 15854;
	/* Unaligned CG sharing.  */

	public static final int EDENSE_CIFS_HOLE_RERVD = 14544;
	/* The recipient file has cifs hole reservation.  */

	public static final int EDENSE_CLONE_CFILE_ATTR = 14569;
	/* Error in getting attribute of the clone file.  */

	public static final int EDENSE_CLONE_CFILE_NONEXIST = 14557;
	/* Clone file does not exist.  */

	public static final int EDENSE_CLONE_CFILE_WRITE = 14577;
	/* Error in writing clone file.  */

	public static final int EDENSE_CLONE_CHANGELOG_OFF = 14622;
	/* Change logging is off on the volume.  */

	public static final int EDENSE_CLONE_CREATE = 14579;
	/* Could not create clone file.  */

	public static final int EDENSE_CLONE_DECOMP_ACTIVE = 14902;
	/* Clone operation cannot proceed while decompression
	 * is in progress
	 */

	public static final int EDENSE_CLONE_DEL_INFO = 14593;
	/* Error in deleting dense clone info.  */

	public static final int EDENSE_CLONE_DEST_OUTOF_RANGE = 14586;
	/* Destination block range out of file.  */

	public static final int EDENSE_CLONE_DIFF_VOLUME = 14560;
	/* Either source or destination file is in different volume.  */

	public static final int EDENSE_CLONE_DIR_FH = 14625;
	/* Error in getting file handle of the clone file's directory.  */

	public static final int EDENSE_CLONE_DST_VFACCESS = 14639;
	/* vFiler does not have access to the destination path.  */

	public static final int EDENSE_CLONE_EXIST = 14570;
	/* Clone file already exists.  */

	public static final int EDENSE_CLONE_EXISTING_OP = 14621;
	/* Clone operation with same arguments is already running.  */

	public static final int EDENSE_CLONE_FH = 14578;
	/* Error in getting file handle of the clone file.  */

	public static final int EDENSE_CLONE_FILE_FOLD_INPROG = 14618;
	/* File folding is in progress on the volume.  */

	public static final int EDENSE_CLONE_GET_SNAPID = 14599;
	/* Error in getting snapid of the snapshot used for cloning.  */

	public static final int EDENSE_CLONE_INVALID_CLONE = 14597;
	/* Invalid clone file.  */

	public static final int EDENSE_CLONE_INVALID_DIR = 14612;
	/* Directory does not exit.  */

	public static final int EDENSE_CLONE_INVALID_ID = 14615;
	/* Invalid clone ID.  */

	public static final int EDENSE_CLONE_INVALID_RANGE = 14588;
	/* Invalid block range.  */

	public static final int EDENSE_CLONE_INVALID_SOURCE = 14596;
	/* Invalid source file.  */

	public static final int EDENSE_CLONE_INVALID_UUID = 14620;
	/* Invalid volume UUID.  */

	public static final int EDENSE_CLONE_IN_PROG = 14563;
	/* Dense clone operation is running.  */

	public static final int EDENSE_CLONE_LARGE_INFO = 14614;
	/* The clone information is too big to save persistently.  */

	public static final int EDENSE_CLONE_LICENSE_EXPIRED = 14617;
	/* FlexClone license has expired.  */

	public static final int EDENSE_CLONE_MAX_OPS_FILER = 14626;
	/* Maximum concurrent clone operations already running on the filer.  */

	public static final int EDENSE_CLONE_MAX_OPS_VFILER = 14637;
	/* Maximum concurrent clone operations already running in the vfiler context.  */

	public static final int EDENSE_CLONE_MAX_OPS_VOL = 14611;
	/* Maximum concurrent clone operations already running on the volume.  */

	public static final int EDENSE_CLONE_METAFILE = 14571;
	/* Could not create dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_ATTR = 14574;
	/* Error in getting attribute of dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_FH = 14572;
	/* Could not get file handle of dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_READ = 14575;
	/* Error in reading dense clone metafile.  */

	public static final int EDENSE_CLONE_METAFILE_VER_MISMATCH = 14627;
	/* Version number of metafile is unexpected.  */

	public static final int EDENSE_CLONE_METAFILE_WRITE = 14573;
	/* Could not write to dense clone metafile.  */

	public static final int EDENSE_CLONE_NOT_FAILED = 14592;
	/* Not a failed clone operations.  */

	public static final int EDENSE_CLONE_NOT_LICENSED = 14616;
	/* FlexClone not licensed.  */

	public static final int EDENSE_CLONE_NOT_QTREE_ROOT = 14613;
	/* Directory in not qtree root.  */

	public static final int EDENSE_CLONE_NOT_RUNNING = 14590;
	/* The clone operation is not running.  */

	public static final int EDENSE_CLONE_NOT_SUPP = 14582;
	/* The clone operation is not supproted.  */

	public static final int EDENSE_CLONE_NO_ARGS = 14559;
	/* There is no argument specified.  */

	public static final int EDENSE_CLONE_NO_OP = 14591;
	/* No such clone operation.  */

	public static final int EDENSE_CLONE_NO_SLOT = 14558;
	/* No free slot to log clone operation.  */

	public static final int EDENSE_CLONE_OVERLAP_RANGE = 14587;
	/* Source and destination block ranges are overlapping.  */

	public static final int EDENSE_CLONE_PENDING_SNAP = 14594;
	/* Pending snapshot creation on the volume.  */

	public static final int EDENSE_CLONE_PROC = 14583;
	/* Failed to create dense clone process.  */

	public static final int EDENSE_CLONE_RESOLVE_FAILED = 18044;
	/* Failed to resolve vbn-clone..  */

	public static final int EDENSE_CLONE_RUNNING_OP = 14589;
	/* The clone operation is running.  */

	public static final int EDENSE_CLONE_SAME_FILE = 14561;
	/* Source and destination files are same.  */

	public static final int EDENSE_CLONE_SETATTR = 14580;
	/* Could not set attribute for clone file.  */

	public static final int EDENSE_CLONE_SFILE_ATTR = 14568;
	/* Error in getting attribute of the source file.  */

	public static final int EDENSE_CLONE_SFILE_NONEXIST = 14556;
	/* Source file does not exist.  */

	public static final int EDENSE_CLONE_SFILE_READ = 14576;
	/* Error in reading source file.  */

	public static final int EDENSE_CLONE_SFSR_INPROG = 14529;
	/* SFSR is in progress on the volume.  */

	public static final int EDENSE_CLONE_SMALL_DATA = 14600;
	/* Data is too small for cloning.  */

	public static final int EDENSE_CLONE_SNAPNAME = 14564;
	/* Snap name could not be calculated.  */

	public static final int EDENSE_CLONE_SNAPPATH = 14565;
	/* Snap path could not be calculated.  */

	public static final int EDENSE_CLONE_SNAP_ATTR = 14567;
	/* Error in getting attribute of the source file the snapshot.  */

	public static final int EDENSE_CLONE_SNAP_DEL = 14598;
	/* Snapshot used for cloning has been deleted.  */

	public static final int EDENSE_CLONE_SNAP_FH = 14566;
	/* Error in getting file handle of the source file in snapshot.  */

	public static final int EDENSE_CLONE_SOURCE_FH = 14581;
	/* Error in getting file handle of the source file.  */

	public static final int EDENSE_CLONE_SPLITTING = 14554;
	/* Clone split is running on the volume.  */

	public static final int EDENSE_CLONE_SPLIT_MAP = 14595;
	/* Volume split blockmap upgrade is in progress.  */

	public static final int EDENSE_CLONE_SRC_OUTOF_RANGE = 14585;
	/* Source block range out of file.  */

	public static final int EDENSE_CLONE_SRC_VFACCESS = 14638;
	/* vFiler does not have access to the source path.  */

	public static final int EDENSE_CLONE_STOPPED = 14555;
	/* Clone operation aborted by user.  */

	public static final int EDENSE_CLONE_SUB_COMPRESSION = 14901;
	/* Sub file/LUN clone operation not supported on compressed volumes.  */

	public static final int EDENSE_CLONE_TYPE_SUPP = 14584;
	/* This source file type is not supported.  */

	public static final int EDENSE_CLONE_VFILER_NOT_RUNNING = 14640;
	/* vFiler is not running.  */

	public static final int EDENSE_CLONE_VOL_REVERTING = 14562;
	/* Dense revert is in progress on the volume.  */

	public static final int EDENSE_CLONE_WORM_VOL = 14619;
	/* Volume is a SnapLock volume.  */

	public static final int EDENSE_COMPRESSION_NOT_DISABLED = 15874;
	/* Compression is not disabled.  */

	public static final int EDENSE_COMP_SCAN_ACTIVE = 14900;
	/* Compression of existing data is active,
	 * A-SIS gatherer operation cannot proceed
	 */

	public static final int EDENSE_CONCURRENT_LIMIT = 15875;
	/* Too many concurrent operations.  */

	public static final int EDENSE_DEDUPE_BUSY = 14642;
	/* Deduplication is enabled and busy.  */

	public static final int EDENSE_DEDUPE_NOT_DISABLED = 15873;
	/* Deduplication is not disabled.  */

	public static final int EDENSE_DIRTY_DBUF = 18038;
	/* Dirty donor buffer.  */

	public static final int EDENSE_DIRTY_RBUF = 18039;
	/* Dirty recipient buffer.  */

	public static final int EDENSE_DONOR_RANGE = 14550;
	/* Donor file is out of range.  */

	public static final int EDENSE_DONOR_TOO_SMALL = 14545;
	/* The donor file is too small.  */

	public static final int EDENSE_FAILOVER = 14549;
	/* System is doing takeover or giveback.  */

	public static final int EDENSE_IRON_RUNNING = 14528;
	/* WAFL_Iron is running.  */

	public static final int EDENSE_NLCSR_INPROG = 14530;
	/* New style lun clone split is running.  */

	public static final int EDENSE_NON_SUPPORTED_PLATFORM = 14623;
	/* Dense volume is not supported on this platform.  */

	public static final int EDENSE_NOT_INITIALIZED = 14643;
	/* Deduplication operation is not configured.  */

	public static final int EDENSE_NOT_READY_FOR_LOCKDOWN = 14644;
	/* Deduplication is not ready for volmove cutover.  */

	public static final int EDENSE_NO_SPACE = 14547;
	/* Not enough disk space for the operation.  */

	public static final int EDENSE_QUOTA_CHECK = 14552;
	/* Quota check fails.  */

	public static final int EDENSE_RECIPIENT_TOO_SMALL = 14546;
	/* The recipient file is too small.  */

	public static final int EDENSE_RECPT_RANGE = 14551;
	/* Recipient file is out of range.  */

	public static final int EDENSE_REPL_CG_HDR_UNALIGNED = 18034;
	/* CG HDR unaligned replication sharing request.  */

	public static final int EDENSE_REPL_CG_LOW_COUNT = 18032;
	/* CG sharing requested from replication with lower CG count.  */

	public static final int EDENSE_REPL_CG_UNALIGNED = 18033;
	/* CG unaligned replication sharing request.  */

	public static final int EDENSE_REPL_CG_VBN_FOUND = 18031;
	/* CG VBN found in non CG replication request.  */

	public static final int EDENSE_REPL_HDR_NOT_FOUND = 18040;
	/* CG HDR validation failed in replication request.  */

	public static final int EDENSE_REPL_HOLE_NOT_FOUND = 18042;
	/* Hole validation failed in replication request.  */

	public static final int EDENSE_REPL_INCORRECT_REQUEST = 18035;
	/* Incorrect request from replication.  */

	public static final int EDENSE_REPL_TR_NOT_FOUND = 18041;
	/* CG TR validation failed in replication request.  */

	public static final int EDENSE_REVERTING = 14527;
	/* Revert is in progress.  */

	public static final int EDENSE_SHUTDOWN = 14548;
	/* System is shutting down.  */

	public static final int EDENSE_SKIP_BATCH = 18037;
	/* Skip current batch while sharing and move to next batch.  */

	public static final int EDENSE_SNAPSHOT_CREATE = 14537;
	/* Snapshot creation failed.  */

	public static final int EDENSE_SNAPSHOT_DELETE = 14538;
	/* Snapshot deletion failed.  */

	public static final int EDENSE_SNAPSHOT_NONEXIST = 14539;
	/* Snapshot does not exist.  */

	public static final int EDENSE_STALE_CLONE_DIR_INODE = 14624;
	/* Stale clone file's directory inode.  */

	public static final int EDENSE_STALE_DBUF = 14542;
	/* Donor block no longer exists.  */

	public static final int EDENSE_STALE_DINODE = 14540;
	/* Stale donor inode.  */

	public static final int EDENSE_STALE_RBUF = 14543;
	/* Recipient block no longer exists.  */

	public static final int EDENSE_STALE_RINODE = 14541;
	/* Stale recipient inode.  */

	public static final int EDENSE_UNKNOWN = 14628;
	/* Unknown error code.  */

	public static final int EDENSE_UNSUPPORTED_VOLTYPE = 14553;
	/* Dense is not supported on this volume Type.  */

	public static final int EDENSE_VAULT_PREP_COMP_FAILED = 18049;
	/* Failed to prepare for compression on vault volume..  */

	public static final int EDENSE_VAULT_TRANSFER_IN_PROGRESS = 18043;
	/* Operation not permitted because a SnapVault transfer is in progress..  */

	public static final int EDENSE_VDISK_DST_INVALID_BLOCK_RANGE = 14609;
	/* Invalid destination block range.  */

	public static final int EDENSE_VDISK_INTERNAL_ERROR = 14604;
	/* Vdisk operation failure.  */

	public static final int EDENSE_VDISK_INVALID_FH = 14605;
	/* Invalid vdisk file handle.  */

	public static final int EDENSE_VDISK_INVALID_NAME = 14601;
	/* Invalid vdisk name.  */

	public static final int EDENSE_VDISK_LBA_OFFSET_MISALIGNED = 14607;
	/* Source and destination lba are not offset aligned.  */

	public static final int EDENSE_VDISK_NOT_IN_QTREE_ROOT = 14602;
	/* Vdisk not in qtree root.  */

	public static final int EDENSE_VDISK_NO_SUCH_VDISK = 14606;
	/* Vdisk does not exist.  */

	public static final int EDENSE_VDISK_SRC_INVALID_BLOCK_RANGE = 14608;
	/* Invalid source block range.  */

	public static final int EDENSE_VDISK_SRC_LUN_CLONE = 14610;
	/* Source LUN is a LUN clone backed by snapshot.  */

	public static final int EDENSE_VDISK_VOL_SPARSE_WO_SCSI = 14603;
	/* Volume is sparse and disallows SCSI.  */

	public static final int EDENSE_VFILER_CUTOVER = 14641;
	/* Storage path is part of vFiler migration.  */

	public static final int EDENSE_VOL_COMPRESSED = 15853;
	/* Dense volume is compressed.  */

	public static final int EDENSE_VOL_NONEXIST = 14531;
	/* Volume does not exist.  */

	public static final int EDENSE_VOL_NOTSUP = 14533;
	/* Volume type has to be Flexvol.  */

	public static final int EDENSE_VOL_NOT_TRANSITIONED = 15884;
	/* Volume has not been transitioned to Cluster-Mode.  */

	public static final int EDENSE_VOL_OFFLINE = 14532;
	/* Volume is offline.  */

	public static final int EDENSE_VOL_RDONLY = 14534;
	/* Volume is read-only.  */

	public static final int EDENSE_VOL_RESTRICTED = 14536;
	/* Volume is restricted.  */

	public static final int EDENSE_VOL_TRANSITING = 14535;
	/* Volume state transition is in progress.  */

	public static final int EDESTINATION_NODE_OUT_OF_CLUSTER_QUORUM = 18456;
	/* Destination node is out of cluster quorum..  */

	public static final int EDESTINATION_NOT_EMPTY = 18372;
	/* Destination volume contains snapshot copies, so it may not be used as
	 * a destination for a baseline transfer
	 */

	public static final int EDEST_ISNOT_DP_VOLUME = 17114;
	/* Destination  volume specified is not a data protection volume.  */

	public static final int EDEST_ISNOT_LOCAL_VOLUME = 17101;
	/* SnapMirror destination volume is not on local cluster.  */

	public static final int EDEST_ISNOT_LS_VOLUME = 17111;
	/* Destination  volume specified is not a load-sharing volume.  */

	public static final int EDEST_IS_CACHE_VOLUME = 17119;
	/* Destination  volume specified is a cache volume.  */

	public static final int EDEST_IS_EXISTING_DEST_VOLUME = 17113;
	/* Destination  volume specified is destination volume of another SnapMirror relationship.  */

	public static final int EDEST_IS_EXISTING_SOURCE_VOLUME = 17112;
	/* Destination  volume specified is source volume of another SnapMirror relationship.  */

	public static final int EDEST_IS_LS_VOLUME = 17109;
	/* Destination volume specified is a load-sharing volume.  */

	public static final int EDEST_IS_RW_VOLUME = 17115;
	/* Destination  volume specified is a read-write volume.  */

	public static final int EDEST_IS_STRIPED_VOLUME = 17121;
	/* Destination  volume specified is striped.  */

	public static final int EDEST_IS_VOLUME_CLONE = 17162;
	/* Destination specified is a volume clone.  */

	public static final int EDEST_LS_VOLUME_CURRENT = 17132;
	/* Load-sharing destination volume is current.  */

	public static final int EDEST_MIRROR_ENGINE_INCOMPATIBLE = 17138;
	/* Replication engine on the destination is incompatible with replication engine on source.  */

	public static final int EDEST_VOLUME_HAS_CACHE = 17118;
	/* Destination  volume specified has a cache.  */

	public static final int EDEST_VOLUME_IN_LS_RELATION = 17116;
	/* Destination  volume specified is already in load-sharing relationship.  */

	public static final int EDEST_VOLUME_NOT_EMPTY = 17117;
	/* Destination  volume specified is not empty.  */

	public static final int EDEST_VOLUME_NOT_INITIALIZED = 17120;
	/* Destination  volume specified is not initialized.  */

	public static final int EDEST_VOLUME_OFFLINE = 17133;
	/* Destination volume is offline.  */

	public static final int EDEST_VOL_LOCKED = 18020;
	/* Destination volume is locked.  */

	public static final int EDISKASSIGNFAIL = 16016;
	/* Disk assign failed as one or more disks have configuration errors.  */

	public static final int EDISKFAILED = 17156;
	/* Disk in failed state.  */

	public static final int EDISKINRAIDZEROVOL = 13153;
	/* Disk belongs to RAID-0 volume.  */

	public static final int EDISKISSPARE = 13154;
	/* Disk is not a file system disk, it is a spare.  */

	public static final int EDISKNOTFOUND = 13150;
	/* Disk not found.  */

	public static final int EDISKNOTSPARE = 13510;
	/* Disk is not a spare.  */

	public static final int EDISKTOOSMALL = 13511;
	/* Disk is not of appropriate size for the operation.  */

	public static final int EDISKTYPEWRONGFORSNAPLOCK = 14700;
	/* Wrong disk type for creating snaplock aggregates.  */

	public static final int EDISKTYPEWRONGFORVOL = 14701;
	/* Wrong disk type for creating traditional volumes.  */

	public static final int EDISK_BDFU_IN_PROGRESS = 18346;
	/* Background disk firmware update (BDFU) is in progress on the disk..  */

	public static final int EDISK_IS_IN_POOL1 = 13516;
	/* Requested disk is from pool 1 when a pool 0 disk is needed..  */

	public static final int EDISK_TYPE_MISMATCH = 14702;
	/* Unable to add conflicting disk type.  */

	public static final int EDNSNOTENABLED = 13165;
	/* Occurs when the DNS is not enabled.  */

	public static final int EDP_CLONE_NOT_ALLOWED = 18153;
	/* DP clone is not allowed on the volume.  */

	public static final int EDSIDPARSEERROR = 13623;
	/* The dsid input is invalid.  */

	public static final int EDUPLICATEDSID = 13026;
	/* New DSID for snapshot or volume is already in use.  */

	public static final int EDUPLICATEENTRY = 13130;
	/* Duplicate entry.  */

	public static final int EEMPTY_VOLUMES = 17125;
	/* Source and destination volumes are empty.  */

	public static final int EEMS_INVOKE_BAD_PARAM = 13303;
	/* One of the passed in parameters was invalid.  */

	public static final int EEMS_INVOKE_FAILED = 13301;
	/* Ems invoke failed for an unspecified reason.  */

	public static final int EEMS_INVOKE_ID_BAD = 13310;
	/* EMS invoke failed to find an event matching eventId.  */

	public static final int EEMS_INVOKE_NVRAM_TOO_BIG = 13318;
	/* This event is too big to be protected by nvram.  */

	public static final int EEMS_INVOKE_PARAMS_INSUFFICIENT = 13314;
	/* Not enough parameters were passed in to invoke this event.  */

	public static final int EEMS_INVOKE_QUEUE_FULL = 13319;
	/* This event wasn't forwarded because there was no room to enqueue it.  */

	public static final int EEMS_INVOKE_SEVERITY_INVALID = 13312;
	/* The name of the severity level is not valid.  */

	public static final int EEMS_INVOKE_SEVERITY_NOT_VARIABLE = 13313;
	/* This event is a fixed severity event.  */

	public static final int EEMS_INVOKE_SEVERITY_REQUIRED = 13311;
	/* The event requires severity level to be specified.  */

	public static final int EEMS_INVOKE_SUPRESS_DUP = 13316;
	/* The event was dropped because it was a duplicate of the last
	 * event on the event queue
	 */

	public static final int EEMS_INVOKE_SUPRESS_TIMER = 13317;
	/* The event was suppressed because of its timer attribute.  */

	public static final int EEMS_INVOKE_VERSION_INVALID = 13315;
	/* The specified version is not a valid version.  */

	public static final int EENGINEEXISTS = 18256;
	/* Fpolicy existing engine found.  */

	public static final int EENGINENOTFOUND = 18252;
	/* Fpolicy engine not found.  */

	public static final int EEVENTEXISTS = 18257;
	/* Fpolicy existing event found.  */

	public static final int EEVENTNOTFOUND = 18253;
	/* Fpolicy event not found.  */

	public static final int EEXPORTSINCOMPATIBLE = 13215;
	/* Exports cannot be accessed using this version of the XML.  */

	public static final int EFAILED_DISK_IN_CARRIER = 18046;
	/* Spare disk is contained within a disk carrier containing
	 * another failed disk
	 */

	public static final int EFAILED_TO_RETRIEVE_PARTNER_CACHE_CAPACITY = 15730;
	/* Failed to retrieve the partner node cache capacity..  */

	public static final int EFAILOVER = 17141;
	/* Error due to failover.  */

	public static final int EFCMON_GENERATION = 16019;
	/* Generation id in set request does not match database.  */

	public static final int EFCMON_INVALID_CONFIG = 16020;
	/* At least one parameter is not valid and/or out of range.  */

	public static final int EFIJIINVALID = 14401;
	/* Invalid fiji operation.  */

	public static final int EFIJIINVALIDEXPR = 14402;
	/* Invalid fiji expression specified.  */

	public static final int EFIJIMAXFILTERS = 14404;
	/* Fiji filter could not be inserted as we have reached the
	 * system limit
	 */

	public static final int EFIJINOFILTER = 14403;
	/* Fiji filter was not found for the given index.  */

	public static final int EFILEEXISTS = 14003;
	/* Non-junction file already exists.  */

	public static final int EFILEIO = 1000;
	/* File IO error.  */

	public static final int EFILENOTFOUND = 13113;
	/* File not found.  */

	public static final int EFILER_NOT_HEALTHY = 14007;
	/* Node is not healthy.  */

	public static final int EFLIHI_DISK_READ_ERROR = 18433;
	/* Disk read error.  */

	public static final int EFLIHI_INVALID_FIELD = 18434;
	/* Invalid field.  */

	public static final int EFLIHI_RESOURCE_LIMIT = 18435;
	/* Resource Limit reached.  */

	public static final int EFLI_BLOCK_SIZE_MISMATCH = 9202;
	/* The block size of the specified LUN does not match the block size of the specified foreign disk.  */

	public static final int EFLI_CAPACITY_MISMATCH = 9201;
	/* The capacity of the specified LUN does not match the capacity of the specified foreign disk.  */

	public static final int EFLI_DELETE_NO_LUN = 9234;
	/* Deleting the LUN import failed because volume is offline..  */

	public static final int EFLI_DST_NOT_AVAILABLE = 9232;
	/* The import operation failed because the specified LUN is not accessible.  */

	public static final int EFLI_DST_NO_SPACE = 9231;
	/* Not enough space in the volume/aggregate to start LUN import.  */

	public static final int EFLI_ERROR_DISK_NOT_MARKED_FOREIGN = 9215;
	/* The specified foreign disk is not marked as foreign.  */

	public static final int EFLI_ERROR_NO_SUCH_FOREIGN_DISK = 9214;
	/* The specified foreign disk does not exist.  */

	public static final int EFLI_FOREIGN_DISK_ALREADY_IN_IMPORT = 9216;
	/* The specified foreign disk is already in an import relationship.  */

	public static final int EFLI_FOREIGN_DISK_HAS_NO_LOCAL_PATH = 9222;
	/* The node hosting specified LUN cannot access the specified foreign disk.  */

	public static final int EFLI_FOREIGN_DISK_HAS_RESERVATIONS = 9226;
	/* The foreign disk has SCSI persistent reservations.  */

	public static final int EFLI_FOREIGN_DISK_HAS_RESERVATIONS_ZAPI = 9238;
	/* The specified foreign disk has SCSI persistent reservations..  */

	public static final int EFLI_FOREIGN_DISK_IMPORT_IN_PROGRESS = 9223;
	/* An import is in progress for the specified foreign disk.  */

	public static final int EFLI_FOREIGN_DISK_IMPORT_VERIFY_IN_PROGRESS = 9224;
	/* An import verify is in progress for the specified foreign disk.  */

	public static final int EFLI_FOREIGN_DISK_NOT_ACCESSIBLE = 9217;
	/* The specified foreign disk is not accessible.  */

	public static final int EFLI_FOREIGN_DISK_NOT_IN_IMPORT = 9219;
	/* The specified foreign disk is not in an import relationship.  */

	public static final int EFLI_FOREIGN_DISK_OPEN_FAILED = 9218;
	/* The specified foreign disk open failed due to a reservation conflict.  */

	public static final int EFLI_IMPORT_ALREADY_PAUSED = 9209;
	/* The import is already paused for the specified LUN.  */

	public static final int EFLI_IMPORT_ALREADY_STARTED = 9208;
	/* The import is already started for the specified LUN.  */

	public static final int EFLI_IMPORT_ALREADY_STOPPED = 9210;
	/* The import is already stopped for the specified LUN.  */

	public static final int EFLI_IMPORT_COMPLETED = 9205;
	/* The import is completed for the specified LUN.  */

	public static final int EFLI_IMPORT_IN_PAUSED = 9225;
	/* The import is paused for the specified LUN.  */

	public static final int EFLI_IMPORT_IN_PAUSED_ZAPI = 9237;
	/* Import is already initiated for given LUN..  */

	public static final int EFLI_IMPORT_IN_PROGRESS = 9204;
	/* An import is in progress for the specified LUN.  */

	public static final int EFLI_IMPORT_NOT_COMPLETE = 9240;
	/* Cannot verify import for LUN as import is not completed..  */

	public static final int EFLI_IMPORT_NOT_PAUSED = 9207;
	/* The import is not paused for the specified LUN.  */

	public static final int EFLI_IMPORT_NOT_STARTED = 9206;
	/* The import is not started for the specified LUN.  */

	public static final int EFLI_IMPORT_VERIFY_ALREADY_STARTED = 9212;
	/* The import verify is already started for the specified LUN.  */

	public static final int EFLI_IMPORT_VERIFY_IN_PROGRESS = 9211;
	/* An import verify is in progress for the specified LUN.  */

	public static final int EFLI_IMPORT_VERIFY_NOT_IN_PROGRESS = 9213;
	/* LUN Import verify is not in progress for the specified LUN.  */

	public static final int EFLI_LUN_ALREADY_IN_IMPORT = 9200;
	/* The specified LUN is already in an import relationship.  */

	public static final int EFLI_LUN_BOUND_TO_FLI_ERROR = 9228;
	/* The operation is not supported because the specified LUN is in an import relationship..  */

	public static final int EFLI_LUN_IN_IMPORT = 9221;
	/* The specified LUN is in an import relationship.  */

	public static final int EFLI_LUN_NOT_IN_IMPORT = 9203;
	/* The specified LUN is not in an import relationship.  */

	public static final int EFLI_LUN_NOT_MAPPED = 9220;
	/* The specified LUN is not mapped.  */

	public static final int EFLI_LUN_SHOULD_BE_OFFLINE = 9229;
	/* The specified LUN must be taken offline before creating import..  */

	public static final int EFLI_NOT_CURRENT_NODE = 9236;
	/* The aggregate for the specified import lun is no longer owned by the import's current node.  */

	public static final int EFLI_NOT_READY = 9230;
	/* The LUN import subsystem is not ready to process LUN.  */

	public static final int EFLI_NOT_REGULAR_LUN = 9239;
	/* LUN specified should be of class "regular"..  */

	public static final int EFLI_RESUME_FAILED = 9233;
	/* Cannot resume the import operation for LUN.  */

	public static final int EFLI_UNSUPPORTED_SECTOR_SIZE = 9227;
	/* The specified foreign disk has unsupported sector size.  */

	public static final int EFLI_VERIFY_ACTIVE = 9235;
	/* Import verify is active for the specified LUN.  */

	public static final int EFPOLICYCERTKEYNOTFOUND = 18388;
	/* Certificate or public key required for mutual authentication not found.  */

	public static final int EGET_ALREADY_RUNNING = 19016;
	/* Software image get is already running..  */

	public static final int EGROUPTYPE_ALREADY_RAID4 = 18224;
	/* RAID group of the specified disk type is already raid4.  */

	public static final int EGROUPTYPE_ALREADY_RAIDDP = 18223;
	/* RAID group of the specified disk type is already raid_dp.  */

	public static final int EGROUP_NOT_FOUND_DISKTYPE = 18221;
	/* Aggregate does not contain RAID groups of the specified disk type.  */

	public static final int EHALTING = 13923;
	/* The system is halting.  */

	public static final int EHALTNOTAKEOVER = 13918;
	/* The HA partner has been halted in no-takeover mode.  */

	public static final int EHOSTNOTFOUND = 13166;
	/* Occurs when the host name cannot be resolved by DNS.  */

	public static final int EHOST_BADCONFIGURE = 1005;
	/* Name lookup configuration error.  */

	public static final int EHOST_MISC = 1007;
	/* Miscellaneous error in name lookup.  */

	public static final int EHOST_TRYAGAIN = 1006;
	/* Cannot resolve host name due to temporary error condition.  */

	public static final int EHYBRID_NOT_ALLOWED_ON_RESTRICTED_AGGR = 15724;
	/* Conversion of non-hybrid aggregate to hybrid is not allowed if the aggregate is in restricted state.  */

	public static final int EHYBRID_SSD_NODE_LIMIT_EXCEEDED = 18328;
	/* The total size of SSD disks in hybrid aggregates would exceed the system limit on this node.  */

	public static final int EI2PNOTENABLED = 13221;
	/* The volume option is disabled for inode to parent mappings.  */

	public static final int EILLEGAL_INODE_CHECK = 15013;
	/* The inode number is invalid.  */

	public static final int EINCRCOPYAGAIN = 13618;
	/* Try again.  */

	public static final int EINCRCOPYDUPLICATESESSION = 13611;
	/* Duplicate session.  */

	public static final int EINCRCOPYFAILED = 13604;
	/* Incremental Copy failed.  */

	public static final int EINCRCOPYINVALIDINPUT = 13609;
	/* Invalid input param.  */

	public static final int EINCRCOPYINVALIDOP = 13607;
	/* Invalid operation.  */

	public static final int EINCRCOPYINVALIDOPTYPE = 13610;
	/* Invalid operation type.  */

	public static final int EINCRCOPYINVALIDUUID = 13606;
	/* Invalid UUID format.  */

	public static final int EINCRCOPYNOMEM = 13608;
	/* Out of memory.  */

	public static final int EINCRCOPYNOSTREAMESTABLISHED = 13617;
	/* No incremental session is established.  */

	public static final int EINCRCOPYNOTSUPPORT = 13612;
	/* Operation/Transport/Scanner not supported.  */

	public static final int EINCRCOPYOPNOTFOUND = 13605;
	/* Could not find Incremental Copy Op.  */

	public static final int EINCRCOPYSNAPCREATIONFAIL = 13615;
	/* Snapshot creation failed.  */

	public static final int EINCRCOPYSNAPSHOTEXIST = 13616;
	/* Snapshot exists.  */

	public static final int EINCRCOPYVOLNOTFOUND = 13614;
	/* Volume not found.  */

	public static final int EINCRCOPYVOLOFFLINE = 13613;
	/* Volume offline.  */

	public static final int EINCRCOPY_CSM_CALL_FAIL = 13619;
	/* CSM response call fails.  */

	public static final int EINCRCOPY_CSM_CANT_GET_SESSION = 13621;
	/* CSM can't get session.  */

	public static final int EINCRCOPY_CSM_CANT_REGISTER_SENDCB = 13622;
	/* CSM can't register send callback.  */

	public static final int EINCRCOPY_CSM_SEND_FAIL = 13620;
	/* CSM send fail.  */

	public static final int EINCRCOPY_SET_INCORE_QUIESCE_VOL_FAIL = 13624;
	/* incore quiesce volume fail.  */

	public static final int EINCRCOPY_SET_ONDISK_QUIESCE_VOL_FAIL = 13626;
	/* ondisk quiesce volume fail.  */

	public static final int EINCRCOPY_UNSET_INCORE_QUIESCE_VOL_FAIL = 13625;
	/* incore unquiesce volume fail.  */

	public static final int EINELIGIBLEINODE = 13219;
	/* The inode's type does not support inode to parent mappings.  */

	public static final int EINODENUMBERTOOLARGE = 13217;
	/* Inode number is larger than supported by the volume.  */

	public static final int EINODENUMBERTOOSMALL = 13216;
	/* Inode number is too small.  */

	public static final int EINTAKEOVER = 13953;
	/* Can't disable takeover service while in takeover.  */

	public static final int EINTENTLOG_READ_FAILED = 15004;
	/* An error occured while obtaining intentlog records from striped volume.  */

	public static final int EINTERCONNECTERROR = 13911;
	/* Takeover is not possible due to an Interconnect error.  */

	public static final int EINTERCONNECTRESET = 13948;
	/* A reset of the HA interconnect is in progress.  */

	public static final int EINTERFACENOTFOUND = 1003;
	/* Interface not found.  */

	public static final int EINTERNALERROR = 13114;
	/* Internal error.  */

	public static final int EINVALIDACCESS = 16035;
	/* Invalid access.  */

	public static final int EINVALIDACCESSLEVEL = 18417;
	/* Invalid access-level. Permitted access-level is 'none'.  */

	public static final int EINVALIDAPPLICATION = 16032;
	/* Invalid application.  */

	public static final int EINVALIDCMDDIRNAME = 16041;
	/* Invalid command directory name.  */

	public static final int EINVALIDDSID = 13027;
	/* Value is not a legal DSID.  */

	public static final int EINVALIDHOST = 13211;
	/* Invalid host.  */

	public static final int EINVALIDINODE = 13218;
	/* There is no inode which matches the inode number.  */

	public static final int EINVALIDINPUTERROR = 13115;
	/* Invalid input.  */

	public static final int EINVALIDMSID = 13028;
	/* Value is not a legal MSID.  */

	public static final int EINVALIDOUTPUTERROR = 14514;
	/* One or more output elements does not match the API specification.  */

	public static final int EINVALIDOWNER = 13213;
	/* Invalid/unable to determine owner.  */

	public static final int EINVALIDOWNERID = 13212;
	/* Invalid/unable to determine owner ID (serial number).  */

	public static final int EINVALIDPASSWORD = 13214;
	/* Password does not conform to filer conventions.  */

	public static final int EINVALIDPATH = 14920;
	/* No path found with the given initator and target information.  */

	public static final int EINVALIDQUERY = 16042;
	/* Invalid query.  */

	public static final int EINVALIDRESERVATION = 14000;
	/* The specified filer does not own the reservation on the drive.  */

	public static final int EINVALIDROLENAME = 16040;
	/* Invalid role name.  */

	public static final int EINVALIDROLEQUERY = 18418;
	/* Invalid role-query. role-query should not be specified for 'DEFAULT' command-directory.  */

	public static final int EINVALIDROUTE = 1011;
	/* Wrong parameters given for route entry.  */

	public static final int EINVALIDSTATE = 13514;
	/* Object is in invalid state for requested operation.  */

	public static final int EINVALIDTAG = 1014;
	/* Invalid Vlan Tag Number.  */

	public static final int EINVALIDTARGET = 16505;
	/* The given Target WWPN does not exist.  */

	public static final int EINVALIDTIMEZONE = 14519;
	/* Timezone name provided is invalid.  */

	public static final int EINVALIDUSERNAME = 16030;
	/* Invalid username.  */

	public static final int EINVALID_ENGINE_ID = 18027;
	/* Invalid Engine ID.  */

	public static final int EINVALID_HA_POLICY = 15678;
	/* Invalid HA Policy.  */

	public static final int EINVENTORYMISMATCH = 17002;
	/* Disk inventory is mismatched.  */

	public static final int EIOCTLERROR = 1019;
	/* Error occured in ioctl function.  */

	public static final int EIPSPACEDOESNOTEXIST = 1017;
	/* Queried IP space not to be found.  */

	public static final int EIPSPACEEXISTS = 1016;
	/* Given IP space alreday present.  */

	public static final int EIPSPACENOTFOUND = 13073;
	/* The ipspace was not found.  */

	public static final int EIPV6 = 1001;
	/* IPV6 is not supported for this operation.  */

	public static final int EIRON_NOT_ALLOWED = 18360;
	/* Wafliron is not allowed to start as either DSC
	 * is disabled and LDC is enabled OR MDLC (in wafl)
	 * is disabled and LDC is enabled.
	 */

	public static final int EIRON_NOT_OPTCOMMIT = 15851;
	/* Wafliron is not running in optional commit mode.  */

	public static final int EIRON_NOT_RUNNING = 15652;
	/* wafliron is not currently active.  */

	public static final int EIRON_OC_DISALLOWED = 15653;
	/* Please offline the volume before running wafliron in
	 * optional commit mode
	 */

	public static final int EIRON_PREV_CP_DISALLOWED = 15654;
	/* Please offline the volume before running prev_cp.  */

	public static final int EIRON_QTREE_READONLY = 15655;
	/* Volumes containing readonly qtrees cannot be checked
	 * using wafliron
	 */

	public static final int EIRON_ROOT_AGGR_DISALLOWED = 15656;
	/* The traditional volume or the aggregate containing the
	 * root volume cannot be checked online. Use WAFL_check
	 * or wafliron from the boot prompt
	 */

	public static final int EIRON_SCANS_DISALLOWED = 15657;
	/* wafliron scans are currently disallowed.  */

	public static final int EIRON_SPARSE_VOL_NOT_ONLINE = 15658;
	/* wafliron cannot start because one or more of the sparse
	 * volumes that this aggregate contains are offline. Either
	 * online these volumes or destroy them before trying
	 * wafliron again
	 */

	public static final int EIRON_STARTING = 15659;
	/* wafliron is in the process of starting.  */

	public static final int EIRON_STOP_IN_PROGRESS = 15660;
	/* Another wafliron abort is in progress.  */

	public static final int EIRON_STREAM_DIR_UPGRADE = 15650;
	/* Cannot run wafliron on a partially upgraded volume.  */

	public static final int EIRON_UPGRADE_DISALLOWED = 15651;
	/* Cannot upgrade the volume using wafliron.  */

	public static final int EISCSISECINITNOTFOUNDERROR = 13112;
	/* iSCSI initiator not found error.  */

	public static final int EISCSISECINVALIDAUTHTYPE = 13109;
	/* iSCSI invalid auth type.  */

	public static final int EISCSISECINVALIDINPUTERROR = 13110;
	/* iSCSI invalid input error.  */

	public static final int EISCSISECPROCESSINGERROR = 13111;
	/* iSCSI processing internal error.  */

	public static final int EJUNCTIONDOESNOTEXIST = 14005;
	/* Junction does not exist.  */

	public static final int EJUNCTIONEXISTS = 14004;
	/* Junction already exists.  */

	public static final int EJUNCTION_CREATE_FAILED = 14715;
	/* Unable to create junction.  */

	public static final int EJUNCTION_DELETE_FAILED = 14718;
	/* Unable to delete junction.  */

	public static final int ELDAPSVRNOTFOUND = 13167;
	/* Occurs when the LDAP server can't be located.  */

	public static final int ELOCALREVERT = 13915;
	/* The system is performing a revert.  */

	public static final int ELOCAL_NODE_OUT_OF_CLUSTER_QUORUM = 18455;
	/* Local node is out of cluster quorum..  */

	public static final int ELOCK_RECONSTRUCTION_IN_PROGRESS = 18324;
	/* Reconstructing locks.  */

	public static final int ELOCK_SYNC_IN_PROGRESS = 18325;
	/* Lock sync between partner nodes is in progress..  */

	public static final int ELOGROTATIONACTIVE = 14499;
	/* The log rotation process is active.  */

	public static final int ELOOPBACK = 1009;
	/* Operation not supported on lo, vi or losk interfaces.  */

	public static final int ELOOPUNAVAILABLE = 14425;
	/* The request was for a loop that is currently offline.  */

	public static final int ELOWMEMORY = 13922;
	/* Low memory condition.  */

	public static final int ELS_SET_DEST_VOLUMES_NOT_CURRENT = 17134;
	/* Destination volumes of the load-sharing set are not current.  */

	public static final int ELS_SET_ISNOT_INITIALIZED = 17135;
	/* Load-sharing set is not initialized.  */

	public static final int ELUNQUIESCING = 16506;
	/* Quiesce is in progress for this path on the LUN.  */

	public static final int EMAXFILES_TOO_LARGE = 15011;
	/* Maximum file count value is too large.  */

	public static final int EMBOXDEGRADED = 13904;
	/* Partner mailboxes are degraded.  */

	public static final int EMBOXUNCERTAIN = 13924;
	/* Partner mailbox is uncertain.  */

	public static final int EMBOXUNKNOWN = 13905;
	/* Partner mailboxes are unknown.  */

	public static final int EMBOXVERSIONMISMATCH = 13906;
	/* Partner mailbox version doesn't match local mbox version.  */

	public static final int EMCCSWITCHBACK = 18409;
	/* MCC switchback is in progress.  */

	public static final int EMCCSWITCHOVER = 18410;
	/* MCC switchover is in progress.  */

	public static final int EMCC_CHECK_INTERNAL_ERROR_WITH_REASON = 18969;
	/* An internal error occurred while running metrocluster check. Contact technical support for assistance..  */

	public static final int EMCC_CHECK_SUGGEST_VSERVER_ON_REMOTE_CLUSTER = 19054;
	/* Run command from other cluster..  */

	public static final int EMCC_CLEAR_CHECK_RESULTS_FAIL = 18970;
	/* Failed to clear previous check results..  */

	public static final int EMCC_CLUSTER_PEER_UNAVAILABLE = 18971;
	/* Cluster peer is unavailable..  */

	public static final int EMCC_CONFIGURE_NOT_DONE = 18972;
	/* Configuration has not been done..  */

	public static final int EMCC_DR_PARTNERS_CONFIG_NOT_DONE = 18973;
	/* DR partner configuration not done..  */

	public static final int EMCC_FIJI_POINT = 18974;
	/* Internal error: fault was hit..  */

	public static final int EMCC_HA_CONFIGURE_NOT_DONE = 18975;
	/* HA configuration has not been done..  */

	public static final int EMCC_HEAL_AGGRS_BYPASS_INVALID_DRC_STATE = 18989;
	/* Heal with the -phase aggregates -force-if-partial-switchover is not supported because the switchover state is not partially completed..  */

	public static final int EMCC_HEAL_AGGRS_INVALID_DRC_STATE = 18990;
	/* Healing aggregates is not possible because of one of the following reasons: switchover was not done, or healing aggregates has already been done..  */

	public static final int EMCC_HEAL_ROOTS_INVALID_DRC_STATE = 18991;
	/* Healing roots is not possible because of one of the following reasons: switchover was not done, or healing aggregates is pending or healing roots has already been done..  */

	public static final int EMCC_INTERNAL_ERROR = 18976;
	/* An internal error occurred. Retry the operation. For further assistance, contact technical support..  */

	public static final int EMCC_INTERNAL_ERROR_WITH_REASON = 18977;
	/* An internal error occured..  */

	public static final int EMCC_INTERNAL_NODE_ERROR = 18978;
	/* An internal error occurred. Contact technical support for assistance..  */

	public static final int EMCC_INVALID_DR_GROUP_ID = 18979;
	/* Invalid DR group id.  */

	public static final int EMCC_INVALID_RELATIONSHIP_TYPE = 18980;
	/* Internal error: invalid relationship type. Contact technical support for assistance..  */

	public static final int EMCC_LIF_REPAIR_STREAM_ERROR = 19053;
	/* Cannot repair LIF placement because Vserver is not healthy..  */

	public static final int EMCC_LOCAL_CLUSTER_NOT_CONFIGURED = 18981;
	/* MetroCluster is not configured on this cluster..  */

	public static final int EMCC_NODE_NOT_IN_CLUSTER = 18982;
	/* Internal error: node not found in the local cluster. Contact technical support for assistance..  */

	public static final int EMCC_NOT_MCC_CONFIG = 18983;
	/* This is not an MCC configuration..  */

	public static final int EMCC_NSO_FAILED_DOWN_NODES = 18992;
	/* Negotiated switchover is not possible because some nodes are down or not eligible..  */

	public static final int EMCC_PEER_CHECK_FAIL = 18984;
	/* Failed to find the state of the remote cluster nodes before starting check..  */

	public static final int EMCC_SB_INVALID_DRC_STATE = 18993;
	/* Switchback is not possible because of one of the following reasons: switchover was not done, or healing is pending..  */

	public static final int EMCC_SB_NODE_NOT_CONFIGURED = 18994;
	/* Some nodes are not configured..  */

	public static final int EMCC_SB_NOT_ALLOWED_ON_DISASTER_CLUSTER = 18995;
	/* metrocluster switchback cannot be run on the disaster-stricken cluster. Retry the operation on the surviving cluster..  */

	public static final int EMCC_SB_NSO_PRIMARY_HEALTH_CHECK_FAILED = 18996;
	/* Unable to check the health of nodes on the primary cluster. Before starting the operation, make sure that the nodes in the other MetroCluster cluster are up and running and the peer-cluster interconnects between both MetroClusters are up..  */

	public static final int EMCC_SB_NSO_PRIMARY_NODES_NOT_HEALTHY = 18997;
	/* Not all nodes on the primary cluster are healthy and in quorum..  */

	public static final int EMCC_SB_RECOVERY_STATE_UNKNOWN = 18998;
	/* Unable to determine SB Recovery state..  */

	public static final int EMCC_SO_DRC_NOT_IN_PARTIAL_STATE = 18999;
	/* The retry-failed-nodes parameter is only applicable when the cluster is in partial-switchover DR mode. Run the metrocluster show to find out the current DR mode..  */

	public static final int EMCC_SO_INVALID_DRC_STATE = 19000;
	/* Switchover is not possible because of one of the following reasons: another switchover operation has completed or is pending, or healing has started, or switchback is pending..  */

	public static final int EMCC_SO_INVALID_PARAMS = 18985;
	/* This parameter is not applicable for negotiated switchover..  */

	public static final int EMCC_SO_LOC_NODE_NOT_IN_QUORUM = 19001;
	/* Local nodes must be in quorum before attempting a switchover operation..  */

	public static final int EMCC_SO_NODE_INVALID_DRC_STATE = 19002;
	/* Error: single node switchover is not possible: no node has failed a previous switchover..  */

	public static final int EMCC_SO_NO_NODES_CAPABLE = 19003;
	/* No nodes capable of doing a switchover operation were found..  */

	public static final int EMCC_UNABLE_TO_DETERMINE_METROCLUSTER_CONFIGURATION = 19024;
	/* Unable to determine MetroCluster Configuration on this cluster..  */

	public static final int EMCC_UNASSIGN_INTERNAL_ERROR = 18986;
	/* Internal error. Retry the operation. For further assistance, contact technical support..  */

	public static final int EMCC_UNASSIGN_NODE_ALREADY_DONE = 18987;
	/* This node has already been deleted from the MetroCluster setup..  */

	public static final int EMCC_UNASSIGN_NODE_INTERNAL_ERROR = 18988;
	/* Unconfigure failed because of a fatal internal error. Retry the operation. For further assistance, contact technical support..  */

	public static final int EMCC_UNASSIGN_PEER_CLUSTER_UNCONFIGURED = 19004;
	/* Warning: the peer cluster is already unconfigured. Retry the command again with the -force true option to unconfigure the local cluster..  */

	public static final int EMCC_UNASSIGN_PEER_CLUSTER_WARNING = 19005;
	/* Internal error: a problem occurred while accessing the peer cluster. Check the state of the intercluster LIFs and retry the operation. For further assistance, contact technical support..  */

	public static final int EMCS_NOT_ALLOWED_WITH_LUNS = 15718;
	/* Cannot convert an aggregate with LUNs to mixed checksum aggregate.  */

	public static final int EMGMTIFC = 1021;
	/* Management-Only Interface.  */

	public static final int EMIXED_RAIDTYPE_AGGR_NOT_HYBRID = 18222;
	/* Aggregate is not a hybrid aggregate. Changing RAID type by specifying disk type parameter is allowed only for hybrid aggregates.  */

	public static final int EMIXED_TREE_MISSING_DISKTYPE = 18225;
	/* Disk type must be specified while changing the RAID type of mixed RAID type aggregates.  */

	public static final int EMODE = 1002;
	/* Attempt to modify cluster mode attribute via 7M operation or vice versa.  */

	public static final int EMULTIPLEOPTSFOUND = 15855;
	/* Option is not unique.  */

	public static final int EMULTIPLEVOLSFOUND = 15701;
	/* Volume is not unique.  */

	public static final int EMUSTBEINMAINTMODE = 14002;
	/* The system is not in maintenance mode.  */

	public static final int ENBALIASMAXNUMREACHED = 18952;
	/* Number of NetBIOS aliases would exceed the maximum supported: 200..  */

	public static final int ENETMASKINVALID = 1018;
	/* Invalid netmask provided for the address.  */

	public static final int ENFS_CLIENT_STATS_NOT_ENABLED = 14424;
	/* Occurs when the option nfs.per-client-stats is not
	 * enabled to display the top NFS client statistics
	 */

	public static final int ENOACTIVECLIENTS = 13163;
	/* There is no active clients to display the top CIFS
	 * or NFS client statistics
	 */

	public static final int ENOADAPTERPARTNER = 13126;
	/* Adapter not working on behalf of partner.  */

	public static final int ENOAGGRS = 13927;
	/* There are no suitable aggregates.  */

	public static final int ENOAUTOTAKEOVER = 13925;
	/* Auto-takeover of partner dlbade is not possible.  */

	public static final int ENOCHECK_IN_PROGRESS = 17139;
	/* No check is in progress.  */

	public static final int ENODENOTFOUND = 15697;
	/* Specified node not found.  */

	public static final int ENODISKSFOUND = 14001;
	/* No disks were found for the specified owner-id.  */

	public static final int ENOFMMDEVICES = 16017;
	/* There are no devices registered with FMM.  */

	public static final int ENOPARTNERIFC = 1004;
	/* Partner interface configured does not exist on partner.  */

	public static final int ENOPARTNERINVENTORY = 13937;
	/* The partner has not sent it's disk inventory information.  */

	public static final int ENOSNAPSHOT_COPY = 17123;
	/* No common snapshot copy between volumes.  */

	public static final int ENOSTAGINGVOLUME = 18171;
	/* The Staging volume is not present for the specified aggregate..  */

	public static final int ENOTALLOWEDCACHERAIDSIZECHANGE = 17166;

	public static final int ENOTCLUSTERED = 13128;
	/* System is not part of a cluster pair.  */

	public static final int ENOTDISKOWNER = 13152;
	/* Host is not disk owner.  */

	public static final int ENOTFROMSAMESTORAGEPOOL = 19006;
	/* Specified disks are not from the same storage pool..  */

	public static final int ENOTHALTED = 13950;
	/* The HA partner is not halted (NDU takeover).  */

	public static final int ENOTHINGTOTAKEOVER = 13945;
	/* We have already acquired all partner aggregates.  */

	public static final int ENOTIMEZONESET = 14517;
	/* Currently no valid timezone is set in the storage system.  */

	public static final int ENOTIMEZONEVERSION = 14518;
	/* Timezone version is not available for the current timezone.  */

	public static final int ENOTINMAINTMODE = 13017;
	/* Requested function is not available while node is in
	 * maintenance mode
	 */

	public static final int ENOTINREADONLYMODE = 13018;
	/* Requested function is not available while node is booted in
	 * read-only mode
	 */

	public static final int ENOTRANSFER_IN_PROGRESS = 17130;
	/* No SnapMirror transfer is in progress.  */

	public static final int ENOTSTARTED = 13014;
	/* Service, adapter, or operation not started.  */

	public static final int ENOTWHILEWAITINGFORGIVEBACK = 13016;
	/* Requested function is not available while node is waiting
	 * for giveback
	 */

	public static final int ENOT_A_AZCS_DISK = 15716;
	/* The specified disk does not have advanced_zoned checksum.  */

	public static final int ENOT_BOTH_PLEX_ONLINE = 18211;
	/* Both plexes of mirrored aggregate not online.  */

	public static final int ENOT_HOMED_TO_PARTNER = 15878;
	/* Aggregate is not owned by the partner.  */

	public static final int ENOT_SFO_HA_POLICY = 15879;
	/* Aggregate does not have SFO HA policy.  */

	public static final int ENOVIRTUALADAPTERS = 13127;
	/* No virtual adapters were found.  */

	public static final int ENO_AZCS_DISKS = 15717;
	/* The required number of advanced_zoned checksum disks are not available.  */

	public static final int ENO_POOL_EXISTS = 15729;
	/* Specified spare pool does not exist..  */

	public static final int ENPMERXMETA = 13603;
	/* Error in extracting metadata.  */

	public static final int ENPMINVPLOC = 13600;
	/* Invalid package location given.  */

	public static final int ENPMNOMETA = 13602;
	/* NPM Metadata could not be found.  */

	public static final int ENPMNOPKG = 13601;
	/* Software package could not be found.  */

	public static final int ENTP_CANNOT_USE_ADDR = 18635;
	/* The IP address cannot be used. It is special purpose such as loopback..  */

	public static final int ENTP_INVALID_IPV4_ADDR = 18623;
	/* Server IPv4 address is invalid or incorrectly formatted.  */

	public static final int ENTP_INVALID_IPV6_ADDR = 18624;
	/* Server IPv6 address is invalid or incorrectly formatted.  */

	public static final int ENTP_NO_CONNECT = 18627;
	/* Connecting to server did not work.  */

	public static final int ENTP_NO_QUICKREPLY = 18628;
	/* Connecting to server did not work quickly.  */

	public static final int ENTP_NO_RESET_SELECTED = 18638;
	/* A specified desired default list of values was not selected.  */

	public static final int ENTP_REPLY_NO_SYNC = 18629;
	/* Server is not syncrhonized with a clock or other NTP server.  */

	public static final int ENTP_REPLY_PEER_STRATUM = 18637;
	/* Server stratum too high.  */

	public static final int ENTP_REPLY_ROOT_DISP = 18634;
	/* NTP server root error rate too high.  */

	public static final int ENTP_REPLY_ROOT_DIST = 18633;
	/* NTP server root distance too high.  */

	public static final int ENTP_SERVER_NAME_ADDRS = 18626;
	/* Server name lookup did provide any valid addresses.  */

	public static final int ENTP_SERVER_NAME_MISSING = 18622;
	/* Server name is missing.  */

	public static final int ENTP_SERVER_NAME_NOTFOUND = 18625;
	/* Server name can not be looked up.  */

	public static final int ENTP_TOO_MANY_SERVERS = 18632;
	/* Too many NTP servers to add additional ones..  */

	public static final int ENTP_UNKNOWN_AF_FAMILY = 18636;
	/* The address found for NTP server is not an IPv4 or IPv6 address.  */

	public static final int ENTP_USE_NODE_SCOPE = 18621;
	/* The cluster scoped NTP interface is not supported in this release..  */

	public static final int ENVRAMDOWN = 13947;
	/* Takeover is not available due to lack of communication with partner NVRAM.  */

	public static final int ENVRAMSIZEMISMATCH = 13909;
	/* NVRAM size mismatch.  */

	public static final int EOBJECTNOTFOUND = 15661;
	/* The object specified could not be found.  */

	public static final int EOD_CANT_CANCEL_OPERATION = 9312;
	/* This operation cannot be canceled because the destination LUN already exists..  */

	public static final int EOD_CONFLICTING_OPERATION = 18394;
	/* A conflicting operation is preventing the file operation from
	 * starting or making progress.
	 */

	public static final int EOD_COPY_DEST_IS_SNAPSHOT = 9315;
	/* The LUN cannot be copied because the destination is a Snapshot copy of a volume..  */

	public static final int EOD_COPY_DUP_DEST_PATH = 9306;
	/* A path has been been specified as a destination for multiple copy operations..  */

	public static final int EOD_DEST_IS_FLEXCACHE = 9314;
	/* The destination volume is a FlexCache volume. LUNs are not supported in FlexCache volumes..  */

	public static final int EOD_DEST_LUNS_NOT_ON_SAME_VOLUME = 9304;
	/* The destination LUNs are not all on the same volume..  */

	public static final int EOD_DEST_LUN_EXISTS = 9301;
	/* One or more destination LUNs already exist..  */

	public static final int EOD_DPATH_NOT_FOUND = 18391;
	/* The destination directory specified for the file operation
	 * does not exist.
	 */

	public static final int EOD_INVALID_ECV = 9309;
	/* LUN copy and move operations are not supported in a cluster with an effective cluster version earlier than 8.3..  */

	public static final int EOD_JOB_NOT_FOUND = 18392;
	/* The file operation could not be found..  */

	public static final int EOD_LUN_IN_NVFAILED_STATE = 9313;
	/* This operation cannot be performed because a source LUN is in the "nvfailed" state..  */

	public static final int EOD_LUN_MAX_COUNT_VIOLATION = 9310;
	/* Number of LUNs specified exceeds the maximum of 40..  */

	public static final int EOD_MOVE_DEST_IS_SNAPSHOT = 9316;
	/* The LUN cannot be moved because the destination is a Snapshot copy of a volume..  */

	public static final int EOD_MOVE_DUP_DEST_PATH = 9307;
	/* A path has been been specified as a destination for multiple move operations..  */

	public static final int EOD_MOVE_DUP_SRC_PATH = 9308;
	/* A path has been been specified as a source for multiple move operations..  */

	public static final int EOD_NOT_READY = 18241;
	/* File operations are not ready to start yet..  */

	public static final int EOD_NO_SESSION = 18242;
	/* Could not find a session. Network unreachable..  */

	public static final int EOD_REF_PATH_NOT_IN_SOURCE_PATHS = 9303;
	/* Reference path is not same as one of the source paths..  */

	public static final int EOD_SFILE_NOT_FOUND = 18390;
	/* The source file specified for the file operation does not
	 * exist.
	 */

	public static final int EOD_SRC_IS_DP = 9318;
	/* The operation cannot be performed because the source LUN is in a data protection volume..  */

	public static final int EOD_SRC_IS_SNAPSHOT = 9317;
	/* The operation cannot be performed because the source LUN is in a Snapshot copy of a volume..  */

	public static final int EOD_SRC_LUNS_NOT_ON_SAME_VOLUME = 9305;
	/* The source LUNs are not all on the same volume..  */

	public static final int EOD_SRC_LUN_IS_PE = 9311;
	/* A protocol endpoint LUN cannot be copied or moved..  */

	public static final int EOD_SRC_LUN_NOT_FOUND = 9302;
	/* One or more source LUNs do not exist..  */

	public static final int EOD_TOO_MANY_JOBS = 18262;
	/* Maximum simultaneous file operations reached..  */

	public static final int EOD_TRANSIENT = 18393;
	/* A transient error occurred processing the file operation..  */

	public static final int EOD_VSERVER_CONTEXT_MISSING = 18250;
	/* Vserver context missing from environment..  */

	public static final int EOD_WOULD_DESTROY_FILE = 18457;
	/* The destination file is ready and the file move operation
	 * cannot be rolled back. Proceeding to destroy the operation
	 * will delete the destination file and render the source file
	 * unrecoverable. To confirm this behavior, re-execute the
	 * file-move-destroy API and specify the allow-destroy-file
	 * parameter as true.
	 */

	public static final int EOFFLINE = 192;
	/* Volume is offline.  */

	public static final int EONDEMAND_CANT_CREATE_FILE = 18233;
	/* Could not create file operation config file.  */

	public static final int EONTAPI_E2BIG = 7;
	/* Argument list too long.  */

	public static final int EONTAPI_EACCES = 13;
	/* Permission denied.  */

	public static final int EONTAPI_EADDRINUSE = 48;
	/* Address already in use.  */

	public static final int EONTAPI_EADDRNOTAVAIL = 49;
	/* Can't assign requested address.  */

	public static final int EONTAPI_EADMINOPQUIESCED = 198;
	/* The volume is quiesced for administrative operations.  */

	public static final int EONTAPI_EAFNOSUPPORT = 47;
	/* Address family not supported by protocol family.  */

	public static final int EONTAPI_EAGAIN = 35;
	/* Resource temporarily unavailable.  */

	public static final int EONTAPI_EALREADY = 37;
	/* Operation already in progress.  */

	public static final int EONTAPI_EBADCHAR = 101;
	/* CIFS - character in file name not legal in Windows.  */

	public static final int EONTAPI_EBADF = 9;
	/* Bad File descriptor.  */

	public static final int EONTAPI_EBADOWNER = 107;
	/* Security descriptor has  bad owner.  */

	public static final int EONTAPI_EBADPATH = 100;
	/* CIFS - error before last component of path.  */

	public static final int EONTAPI_EBADRMT = 109;
	/* RMT protocol response was botched.  */

	public static final int EONTAPI_EBADRPC = 72;
	/* RPC struct is bad.  */

	public static final int EONTAPI_EBADSTREAM = 82;
	/* Bad stream inode.  */

	public static final int EONTAPI_EBADSTREAMDIR = 83;
	/* Bad stream directory inode.  */

	public static final int EONTAPI_EBADXINODE = 105;
	/* xinode has a bad format.  */

	public static final int EONTAPI_EBUSY = 16;
	/* Device busy.  */

	public static final int EONTAPI_ECANNOTDELETE = 151;
	/* CIFS -  STATUS_CANNOT_DELETE.  */

	public static final int EONTAPI_ECHILD = 10;
	/* No child process.  */

	public static final int EONTAPI_ECOMPRESSCHECK = 143;
	/* WAFL compression checksum mismatch.  */

	public static final int EONTAPI_ECONNABORTED = 53;
	/* Software caused connection abort.  */

	public static final int EONTAPI_ECONNREFUSED = 61;
	/* Connection refused.  */

	public static final int EONTAPI_ECONNRESET = 54;
	/* Connection reset by peer.  */

	public static final int EONTAPI_EDEADLK = 11;
	/* Resource deadlock avoided.  */

	public static final int EONTAPI_EDELPENDING = 112;
	/* CIFS - delete pending.  */

	public static final int EONTAPI_EDESTADDRREQ = 39;
	/* Destination address required.  */

	public static final int EONTAPI_EDISABLED = 122;
	/* REGISTRY - disabled.  */

	public static final int EONTAPI_EDOM = 33;
	/* Numerical argument out of domain.  */

	public static final int EONTAPI_EDQUOT = 69;
	/* Disk quota exceeded.  */

	public static final int EONTAPI_EEXIST = 17;
	/* File exists.  */

	public static final int EONTAPI_EFABRIC = 124;
	/* Fabric Management error.  */

	public static final int EONTAPI_EFAULT = 14;
	/* Bad address.  */

	public static final int EONTAPI_EFBIG = 27;
	/* File too large.  */

	public static final int EONTAPI_EFTYPE = 79;
	/* Inappropriate file type or format.  */

	public static final int EONTAPI_EGSSAPI = 126;
	/* Failure in a gss-api call.  */

	public static final int EONTAPI_EHOSTDOWN = 64;
	/* Host is down.  */

	public static final int EONTAPI_EHOSTUNREACH = 65;
	/* No route to host.  */

	public static final int EONTAPI_EINPROGESS = 36;
	/* Operation now in progress.  */

	public static final int EONTAPI_EINTR = 4;
	/* Interrupted system call.  */

	public static final int EONTAPI_EINVAL = 22;
	/* Invalid argument.  */

	public static final int EONTAPI_EIO = 5;
	/* Input/Output error.  */

	public static final int EONTAPI_EISCONN = 56;
	/* Socket is already connected.  */

	public static final int EONTAPI_EISDIR = 21;
	/* Is a directory.  */

	public static final int EONTAPI_EISVDISK = 140;
	/* Is a VDISK.  */

	public static final int EONTAPI_EKNOWNBADRMT = 110;
	/* Something the client sent was wrong.  */

	public static final int EONTAPI_ELOADCOMPLETE = 84;
	/* WAFL - replay load phase done.  */

	public static final int EONTAPI_ELOCKCANCELLED = 133;
	/* CIFS - waiting byte-range lock cancelled.  */

	public static final int EONTAPI_ELOCKCONFLICT = 103;
	/* CIFS - byte-range lock violation.  */

	public static final int EONTAPI_ELOOP = 62;
	/* Too many levels of symbolic links.  */

	public static final int EONTAPI_EMFILE = 24;
	/* Too many open files.  */

	public static final int EONTAPI_EMLINK = 31;
	/* Too many links.  */

	public static final int EONTAPI_EMOUNTING = 85;
	/* WAFL - volume is still mounting.  */

	public static final int EONTAPI_EMSGNULLIFY = 142;
	/* WAFL - message nullified.  */

	public static final int EONTAPI_EMSGSIZE = 40;
	/* Message too long.  */

	public static final int EONTAPI_EMTUTOOBIG = 80;
	/* MTU too large.  */

	public static final int EONTAPI_ENAMETOOLONG = 63;
	/* File name too long.  */

	public static final int EONTAPI_ENETDOWN = 50;
	/* Network is down.  */

	public static final int EONTAPI_ENETRESET = 52;
	/* Network dropped connection on reset.  */

	public static final int EONTAPI_ENETUNREACH = 51;
	/* Network is unreachable.  */

	public static final int EONTAPI_ENFILE = 23;
	/* Too many open files in system.  */

	public static final int EONTAPI_ENOBUFS = 55;
	/* No buffer space available.  */

	public static final int EONTAPI_ENODEV = 19;
	/* Operation not supported by device.  */

	public static final int EONTAPI_ENOENT = 2;
	/* No such file or directory.  */

	public static final int EONTAPI_ENOEXEC = 8;
	/* Exec format error.  */

	public static final int EONTAPI_ENOLCK = 77;
	/* No locks available.  */

	public static final int EONTAPI_ENOMEM = 12;
	/* Cannot allocate memory.  */

	public static final int EONTAPI_ENOMORESNAPS = 135;
	/* Cannot exceed maximum number of snapshots.  */

	public static final int EONTAPI_ENOPROTOOPT = 42;
	/* Protocol not available.  */

	public static final int EONTAPI_ENOQTREE = 131;
	/* No more free qtrees available.  */

	public static final int EONTAPI_ENOREG = 149;
	/* REGISTRY - registry is not ready.  */

	public static final int EONTAPI_ENOREGKEY = 150;
	/* REGISTRY - registry key does not exist.  */

	public static final int EONTAPI_ENOSPC = 28;
	/* No space left on device.  */

	public static final int EONTAPI_ENOSPCAGGR = 159;
	/* No space in aggregate for operation.  */

	public static final int EONTAPI_ENOSPCSNAP = 134;
	/* No space left on device to create snapshots.  */

	public static final int EONTAPI_ENOSYS = 78;
	/* Function not implemented.  */

	public static final int EONTAPI_ENOTBLK = 15;
	/* Block device required.  */

	public static final int EONTAPI_ENOTCONN = 57;
	/* Socket is not connected.  */

	public static final int EONTAPI_ENOTCOVERED = 104;
	/* CIFS -  DFS path not covered.  */

	public static final int EONTAPI_ENOTDIR = 20;
	/* Not a directory.  */

	public static final int EONTAPI_ENOTEMPTY = 66;
	/* Directory not empty.  */

	public static final int EONTAPI_ENOTFSCREENED = 139;
	/* Off-filer file policy screen needed.  */

	public static final int EONTAPI_ENOTLOCKED = 132;
	/* CIFS - byte-range lock not found.  */

	public static final int EONTAPI_ENOTSOCK = 38;
	/* Socket operation on non-socket.  */

	public static final int EONTAPI_ENOTTY = 25;
	/* Inappropriate ioctl for device.  */

	public static final int EONTAPI_ENOTVSCANNED = 123;
	/* Off-filer virus scan needed.  */

	public static final int EONTAPI_ENOTXINODE = 106;
	/* xinode has a bad format.  */

	public static final int EONTAPI_ENXIO = 6;
	/* Device not configured.  */

	public static final int EONTAPI_EOFFLINE = 81;
	/* Volume is offline.  */

	public static final int EONTAPI_EOPNOTSUPP = 45;
	/* Operation not supported on socket.  */

	public static final int EONTAPI_EPARTNERREJECT = 116;
	/* REGISTRY - operation rejected because not allowed on partner.  */

	public static final int EONTAPI_EPERM = 1;
	/* Operation not permitted.  */

	public static final int EONTAPI_EPERSISTENCE = 120;
	/* REGISTRY - persistence problem.  */

	public static final int EONTAPI_EPFNOSUPPORT = 46;
	/* Protocol family not supported.  */

	public static final int EONTAPI_EPIPE = 32;
	/* Broken pipe.  */

	public static final int EONTAPI_EPROCLIM = 67;
	/* Too many processes.  */

	public static final int EONTAPI_EPROCUNAVAIL = 76;
	/* Bad procedure for program.  */

	public static final int EONTAPI_EPROGMISMATCH = 75;
	/* Program version wrong.  */

	public static final int EONTAPI_EPROGUNAVAIL = 74;
	/* RPC prog. not avail.  */

	public static final int EONTAPI_EPROTONOSUPPORT = 43;
	/* Protocol not supported.  */

	public static final int EONTAPI_EPROTOTYPE = 41;
	/* Protocol wrong type for socket.  */

	public static final int EONTAPI_EPROXYME = 128;
	/* PFS sparse file miss.  */

	public static final int EONTAPI_ERANGE = 34;
	/* Result too large.  */

	public static final int EONTAPI_EREADONLY = 115;
	/* REGISTRY - currently set to read-only.  */

	public static final int EONTAPI_ERECLAIM = 137;
	/* sthread reclaimed.  */

	public static final int EONTAPI_ERECURSE = 136;
	/* DNS - fallback from iterative to recursive resolution.  */

	public static final int EONTAPI_EREGX = 118;
	/* REGISTRY - error in transaction.  */

	public static final int EONTAPI_EREGXBADVALUE = 119;
	/* REGISTRY - bad value rejected.  */

	public static final int EONTAPI_EREJECTED = 114;
	/* REGISTRY - rejected set or delete.  */

	public static final int EONTAPI_EREMOTE = 71;
	/* Too many levels of remote in path (NFS).  */

	public static final int EONTAPI_ERMTEOF = 111;
	/* Premature EOF.  */

	public static final int EONTAPI_ERMTWRITELEN = 108;
	/* Wrote more or less than the requested number of bytes.  */

	public static final int EONTAPI_EROFS = 30;
	/* Read-only file system.  */

	public static final int EONTAPI_ERPCGSSSEQNUM = 127;
	/* Bad sequence number in gssapi call.  */

	public static final int EONTAPI_ERPCMSGDENIED = 73;
	/* RPC version mismatch or authentication error.  */

	public static final int EONTAPI_ERSRVCONFLICT = 129;
	/* NDMP Device reservation Conflict.  */

	public static final int EONTAPI_ERSRVNSUPPORTED = 130;
	/* NDMP Reservation Not Supported.  */

	public static final int EONTAPI_ESHARECONFLICT = 102;
	/* CIFS - share lock violation.  */

	public static final int EONTAPI_ESHUTDOWN = 58;
	/* Can't send after socket shutdown.  */

	public static final int EONTAPI_ESNAPDIFF_DBLADE_OP_FAILED = 14479;
	/* Failed to start Snapdiff operation on the remote node..  */

	public static final int EONTAPI_ESNAPDIFF_FILENAME_PREPARE_FAILED = 14485;
	/* SnapDiff nfs filename escaping failed..  */

	public static final int EONTAPI_ESNAPDIFF_FILENAME_UNAVAILABLE = 14474;
	/* Failed to get an appropriate filename for the
	 * requested file access protocol
	 */

	public static final int EONTAPI_ESNAPDIFF_FILETYPE_MODIFIED = 14476;
	/* Filetypes of an inode do not match in the
	 * snapshots being compared
	 */

	public static final int EONTAPI_ESNAPDIFF_I2P_ENTRIES_INCONSISTENT = 14487;
	/* WAFL file system metadata (I2P) inconsistent..  */

	public static final int EONTAPI_ESNAPDIFF_I2P_LOOKUP_FAILED = 14483;
	/* SnapDiff failed to get the file path for the changed inode..  */

	public static final int EONTAPI_ESNAPDIFF_IVOL_METADATA_PARSE_FAILED = 14482;
	/* SnapDiff failed to parse Infinite volume metadata..  */

	public static final int EONTAPI_ESNAPDIFF_IVOL_NS_MIRROR_NOT_FOUND = 14480;
	/* Snapdiff could not find the NS constituent volume..  */

	public static final int EONTAPI_ESNAPDIFF_IVOL_NS_MIRR_NOT_CONFIGURED = 14486;
	/* NS Mirrors are not configured on all nodes spanned by Infinite volume..  */

	public static final int EONTAPI_ESNAPDIFF_IVOL_NS_VOL_NOT_IN_SYNC = 14481;
	/* SnapDiff failed to update NS constituent mirrors..  */

	public static final int EONTAPI_ESNAPDIFF_SESSION_NOT_ACTIVE = 14477;
	/* Snapdiff session is not active..  */

	public static final int EONTAPI_ESNAPDIFF_SNAPSHOT_NOT_FOUND = 14478;
	/* Snapdiff could not find the snapshot..  */

	public static final int EONTAPI_ESNAPDIFF_TIMEOUT = 14484;
	/* SnapDiff session timed out..  */

	public static final int EONTAPI_ESOCKTNOSUPPORT = 44;
	/* Socket type not supported.  */

	public static final int EONTAPI_ESPIPE = 29;
	/* Illegal seek.  */

	public static final int EONTAPI_ESRCH = 3;
	/* No such process.  */

	public static final int EONTAPI_ESTALE = 70;
	/* Stale NFS file handle.  */

	public static final int EONTAPI_ESTHREAD = 121;
	/* Netcache sthread was killed.  */

	public static final int EONTAPI_ESYSTEMERR = 125;
	/* Used by rpc for errors like  no memory.  */

	public static final int EONTAPI_ETIMEDOUT = 60;
	/* Connection timed out.  */

	public static final int EONTAPI_ETOOCOMPLEX = 117;
	/* REGISTRY - transaction is too complex.  */

	public static final int EONTAPI_ETOOMANYREFS = 59;
	/* Too many references: can't splice.  */

	public static final int EONTAPI_ETRUNCATED = 113;
	/* REGISTRY - return value truncated.  */

	public static final int EONTAPI_ETXTBSY = 26;
	/* Text file busy.  */

	public static final int EONTAPI_EUSERS = 68;
	/* Too many users.  */

	public static final int EONTAPI_EVOLBIG = 145;
	/* vvol size too big.  */

	public static final int EONTAPI_EVOLNOTFLEX = 147;
	/* Not a flexible volume.  */

	public static final int EONTAPI_EVOLOPNOTSUPP = 160;
	/* Volume does not support operation.  */

	public static final int EONTAPI_EVOLPAIRED = 146;
	/* Paired vvol size bigger than aggr.  */

	public static final int EONTAPI_EVOLSMALL = 144;
	/* vvol size too small.  */

	public static final int EONTAPI_EVOLSTALE = 148;
	/* Remote volume is stale.  */

	public static final int EONTAPI_EWAFLMSGABORTED = 141;
	/* WAFL - message aborted.  */

	public static final int EONTAPI_EWFLUSH = 99;
	/* Unknown NFS error.  */

	public static final int EONTAPI_EWORMNOCLOCK = 152;
	/* WORM - Compliance clock is not running.  */

	public static final int EONTAPI_EWORMPERIOD = 158;
	/* WORM - SnapLock locked snapshots cannot be renamed.  */

	public static final int EONTAPI_EWORMSNAPLOCKED = 156;
	/* WORM - Snapshot is locked by SnapLock.  */

	public static final int EONTAPI_EWORMSNAPRENAME = 157;
	/* WORM - SnapLock locked snapshots cannot be renamed.  */

	public static final int EONTAPI_EWORMVOLNOTWORM = 155;
	/* WORM - Volume is not a Snaplock volume.  */

	public static final int EONTAPI_EWORMVOLSLC = 154;
	/* WORM - Illegal operation on a SLC volume.  */

	public static final int EONTAPI_EWORMVOLWORM = 153;
	/* WORM - Illegal operation on a snaplock volume.  */

	public static final int EONTAPI_EWRONGSTRIPE = 288;
	/* Operation can not be handled by this striped volume member.  */

	public static final int EONTAPI_EXDEV = 18;
	/* Cross-device link.  */

	public static final int EONTAPI_EZEROLENREC = 138;
	/* Zero length SSL record recieved.  */

	public static final int EONTAPI_VOLTRANS_ALREADY_TRANSITIONED = 16520;
	/* Volume has already been transitioned to Cluster-Mode.  */

	public static final int EONTAPI_VOLTRANS_GOINGHOME = 16510;
	/* The aggregate is going home.  */

	public static final int EONTAPI_VOLTRANS_JOBNOTFOUND = 15870;
	/* The uuid is not found in the active transitions.  */

	public static final int EONTAPI_VOLTRANS_LOG_INVALIDOFFSET = 15871;
	/* An invalid offset was used when trying access logfile.  */

	public static final int EONTAPI_VOLTRANS_LOG_REC_NOTFOUND = 15872;
	/* No records were found in the logfile.  */

	public static final int EONTAPI_VOLTRANS_NOT_REQUIRED = 16521;
	/* Volume transition not required for Cluster-Mode volume.  */

	public static final int EONTAPI_VOLTRANS_VOLNOTFOUND = 16511;
	/* Volume not present on this node.  */

	public static final int EOPERATORDENY = 13908;
	/* The operator disabled takeover of the partner.  */

	public static final int EOPLOCKRECALLFAILED = 13955;
	/* Recall of oplocks failed!!.  */

	public static final int EOPLOCKS_TOO_MANY_RECALLS_PENDING = 15007;
	/* Too many oplock recalls still pending for the volume.  */

	public static final int EOPNOTSUPPORTED = 13012;
	/* Operation not supported.  */

	public static final int EOP_64BIT_UPGRADE_SCANNER_DISABLED = 15912;
	/* The 64-bit upgrade scanner has been administratively disabled.  */

	public static final int EOP_CLUSTER_ATTR_DISALLOWED = 15684;
	/* Operation is disallowed with cluster attribute.  */

	public static final int EOP_DISALLOWED_BRINGING_OFFLINE = 13929;
	/* Operation is not allowed because the volume is being
	 * brought offline
	 */

	public static final int EOP_DISALLOWED_BRINGING_ONLINE = 13930;
	/* Operation is not allowed because the volume is being
	 * brought online
	 */

	public static final int EOP_DISALLOWED_DURING_DESTROY = 13931;
	/* Operation is not allowed because the volume is being
	 * destroyed
	 */

	public static final int EOP_DISALLOWED_DURING_GIVEBACK = 13928;
	/* Operation is not allowed during giveback.  */

	public static final int EOP_DISALLOWED_DURING_REVERT = 13956;
	/* Operation is not allowed because a revert is in progress.  */

	public static final int EOP_DISALLOWED_DURING_SWITCHOVER = 18951;
	/* This operation is not supported while switchover is in progress..  */

	public static final int EOP_DISALLOWED_DURING_TAKEOVER = 18329;
	/* This operation is not allowed while takeover is in progress.  */

	public static final int EOP_DISALLOWED_HYA_ON_LUNS_AGGR = 18030;
	/* Cannot convert aggregate created out of LUNs to a hybrid aggregate.  */

	public static final int EOP_DISALLOWED_HYA_ON_RAID0_AGGR = 18048;
	/* Cannot convert a raid0 aggregate to a hybrid aggregate..  */

	public static final int EOP_DISALLOWED_HYA_ON_ZONED_AGGR = 18029;
	/* Cannot convert aggregate with zoned checksums to a hybrid aggregate.  */

	public static final int EOP_DISALLOWED_ON_7MODE_VOL = 15898;
	/* Operation is not allowed on 7-mode volume.  */

	public static final int EOP_DISALLOWED_ON_AGGR_WITH_NODE_VOLS = 15676;
	/* Operation is disallowed on an aggregate with node volumes.  */

	public static final int EOP_DISALLOWED_ON_AGGR_WITH_SPARSE_VOL = 16514;
	/* Operation is disallowed on an aggregate with sparse volume(s).  */

	public static final int EOP_DISALLOWED_ON_BACKUP_ACTIVE_VOL = 15895;
	/* Operation is not allowed on backup active volume.  */

	public static final int EOP_DISALLOWED_ON_BUSY_MIRROR = 15892;
	/* Operation is not allowed because the mirror volume is busy.  */

	public static final int EOP_DISALLOWED_ON_CFO_AGGR = 15695;
	/* Operation is disallowed with aggregate with cfo HA policy.  */

	public static final int EOP_DISALLOWED_ON_CLONE_PARENT = 15894;
	/* Operation is not allowed on flexclone parent.  */

	public static final int EOP_DISALLOWED_ON_COMPRESSED_VOL = 15897;
	/* Operation is not allowed on compressed volume.  */

	public static final int EOP_DISALLOWED_ON_LOADSHARING_VOL = 15893;
	/* Operation is not allowed on load sharing destination volume.  */

	public static final int EOP_DISALLOWED_ON_NOT_HOME_AGGR = 15674;
	/* Operation is disallowed on an aggregate which is not home.  */

	public static final int EOP_DISALLOWED_ON_ROOT_AGGR = 15675;
	/* Operation is disallowed on a root aggregate.  */

	public static final int EOP_DISALLOWED_ON_SFO_AGGR = 15696;
	/* Operation is disallowed with aggregate with sfo HA policy.  */

	public static final int EOP_DISALLOWED_ON_SPARSE_VOL = 16513;
	/* Operation is disallowed on a sparse volume.  */

	public static final int EOP_DISALLOWED_ON_SSD_AGGR = 15715;
	/* Cannot convert a SSD aggregate to a hybrid aggregate.  */

	public static final int EOP_DISALLOWED_ON_STRIPED_AGGR = 15677;
	/* Operation is disallowed on a striped aggregate.  */

	public static final int EOP_DISALLOWED_ON_STRIPED_VOL = 15896;
	/* Operation is not allowed on striped volume.  */

	public static final int EOP_DISALLOWED_ON_TRAD = 15863;
	/* Operation is not allowed on traditional volumes.  */

	public static final int EOP_DISALLOWED_ON_VOL_ALREADY_ON_AGGR = 15899;
	/* Operation is not allowed since the specified volume already exists on the aggregate.  */

	public static final int EOP_DISALLOWED_VOLUME_FENCED = 13932;
	/* Operation is not allowed because the volume is fenced.  */

	public static final int EOP_DISALLOWED_VOLUME_FROZEN = 13933;
	/* Operation is not allowed because the volume is frozen.  */

	public static final int EOP_DISALLOWED_VOLUME_NEEDED_LAZY_SPCRSRV = 13936;
	/* Operation is temporarily not allowed because the volume is
	 * needed for internal cache management
	 */

	public static final int EOP_DISALLOWED_VOLUME_OLDLABELS = 13934;
	/* The specified Operation is not allowed in maintenance boot;
	 * The volume has an old revision of labels that need to be
	 * upgraded for the completion of the operation
	 */

	public static final int EOP_DISALLOWED_VSERVER_ROOT = 13959;
	/* Operation not allowed on vserver root volume.  */

	public static final int EOP_DISALLOWED_WORM_HYBRID_AGGR = 18028;
	/* Cannot convert a snaplock aggregate to a hybrid aggregate.  */

	public static final int EOP_ERR_MODE_MISMATCH_OBJ_ORIGINALLY_CLUSTERED = 15682;
	/* This operation is not supported in unclustered deployments of Data ONTAP because the aggregate or volume was created in a clustered deployment.  */

	public static final int EOP_ERR_MODE_MISMATCH_OBJ_ORIGINALLY_UNCLUSTERED = 15683;
	/* This operation is not supported in clustered deployments of Data ONTAP because the aggregate or volume was created in an unclustered deployment.  */

	public static final int EOP_FORCE_CACHE_SIZE_NOT_ALLOWED = 15731;
	/* Force cache size flag is only allowed while adding SSD disks to hybrid enabled aggregate..  */

	public static final int EOP_FROM_NONMGR_VSERVER = 17124;
	/* Operation issued from a non-managing vserver.  */

	public static final int EOP_MIXED_RAID_TYPE_NOT_ALLOWED = 15725;
	/* Mixing of RAID types is allowed only while adding SSDs
	 * for the first time to a hybrid-enabled aggregate
	 */

	public static final int EPACKAGE_DOWNLOAD_TIMEOUT_ERROR = 18947;
	/* Download of package exceeded alloted time..  */

	public static final int EPARENTINFONOTLOADED = 13220;
	/* The parent info is missing, it has to yet be loaded.  */

	public static final int EPARENTNOTONLINE = 17003;
	/* Parent volume is not online.  */

	public static final int EPARTNERBOOTING = 13912;
	/* Partner is booting.  */

	public static final int EPARTNERDISABLEDTO = 13907;
	/* Partner disabled takeover.  */

	public static final int EPARTNERDISKONLY = 16515;
	/* Only partner disks can be reassigned.  */

	public static final int EPARTNERMISSINGDISKS = 13938;
	/* The partner is missing its disks.  */

	public static final int EPARTNERNOTWAITING = 13926;
	/* The HA partner is not waiting to receive aggregrates.  */

	public static final int EPARTNERREVERT = 13914;
	/* The HA partner is performing a revert.  */

	public static final int EPARTNERTRYINGTAKEOVER = 13916;
	/* The HA partner is trying to takeover.  */

	public static final int EPARTNER_NODE_OUT_OF_CLUSTER_QUORUM = 18454;
	/* Partner node is out of cluster quorum..  */

	public static final int EPEER_ADDR_MISMATCH_WITH_EXISTING = 18445;
	/* Cannot create a Cluster Peer relationship when a Cluster Peer relationship exists that belongs to another IP address family..  */

	public static final int EPEER_CONCUR_CONNECT_FAILED = 18506;
	/* An introductory RPC to the peer failed..  */

	public static final int EPEER_CONCUR_FAILED = 18503;
	/* An introductory RPC to the peer failed..  */

	public static final int EPEER_CREATE_FAMILY_MISMATCH = 18447;
	/* Cannot create a Cluster Peer relationship as the address-family specified did not match the address families of the peer-addrs specified..  */

	public static final int EPEER_DUPLICATE_PEER_NAME = 18508;
	/* A peering relationship with a cluster of this name already exists..  */

	public static final int EPEER_IC_FAMILY_LIFS_NOT_FOUND = 18515;
	/* No intercluster LIFs of the specified address family are configured on this node..  */

	public static final int EPEER_INTRO_CONNECT_FAILED = 18504;
	/* An introductory RPC to the peer failed..  */

	public static final int EPEER_INTRO_FAILED = 18501;
	/* An introductory RPC to the peer failed..  */

	public static final int EPEER_INVALID_ADDRESS_FAMILY = 18513;
	/* The address family of the cluster peer relationship can be either IPv4 or IPv6..  */

	public static final int EPEER_INVALID_CREATE_ADDRESS_FAMILY = 18510;
	/* The cluster already has a peering relationship with a different address family.
	 * A cluster can use only one address family for all peering relationships.
	 */

	public static final int EPEER_INVALID_CREATE_ADDRESS_FAMILY_INTRO = 18509;
	/* The remote cluster already has a peering relationship with a different address family.
	 * A cluster can use only one address family for all peering relationships.
	 */

	public static final int EPEER_MODIFY_FAMILY_MISMATCH = 18449;
	/* Cannot modify the peer-addrs of a Cluster Peer relationship to an address family different from the address family of the relationship..  */

	public static final int EPEER_NO_LOCAL_LIF_FAMILY = 18446;
	/* Cannot create a Cluster Peer relationship of the address family specified for the peer-addrs as there are no local LIFs of that IP address family available..  */

	public static final int EPEER_PEER_ADDR_FAMILY_MISMATCH = 18448;
	/* Cannot create a Cluster Peer relationship as addresses of mixed IP address families were specified for the peer-addrs input..  */

	public static final int EPEER_PROBE_CONNECT_FAILED = 18505;
	/* An introductory RPC to the peer failed..  */

	public static final int EPEER_PROBE_FAILED = 18502;
	/* An introductory RPC to the peer failed..  */

	public static final int EPEER_REMOTE_CREATE_FAMILY_MISMATCH = 18511;
	/* The specified address family does not match the address family of the specified peer address..  */

	public static final int EPEER_REMOTE_NO_LOCAL_LIF_FAMILY = 18512;
	/* There are no local intercluster LIFs with the specified address family..  */

	public static final int EPEER_REMOTE_SAME_CLUSTER_DIFFERENT_FAMILY = 18514;
	/* The remote cluster already has a peering relationship with this cluster using a different address family.
	 * A cluster can use only one address family for all peering relationships.
	 */

	public static final int EPEER_VERSION_MISMATCH = 18507;
	/* The remote cluster is running a different version of Data ONTAP.
	 * The error message returned by the remote cluster is not known.
	 */

	public static final int EPOLICYEXISTS = 18255;
	/* Existing policy found.  */

	public static final int EPOLICYNOTFOUND = 18251;
	/* Policy not found.  */

	public static final int EPUBCERTNOTFOUND = 18387;
	/* Public certificate of signing authority for FPolicy server not found.  */

	public static final int EQTREEEXISTS = 13080;
	/* Occurs when you try to create a qtree that already exists.  */

	public static final int EQTREEMAX = 13082;
	/* Occurs when you try to create too many qtrees.  */

	public static final int EQTREENOTOWNER = 13081;
	/* Occurs when you try to create a qtree on a volume you don't own.  */

	public static final int EQTREE_DOES_NOT_EXIST = 15669;
	/* The specified qtree does not exist.  */

	public static final int EQTREE_HAS_FILES = 15671;
	/* The qtree has files inside it.  */

	public static final int EQTREE_HAS_SHARES = 15670;
	/* The qtree has CIFS shares.  */

	public static final int EQTREE_JOB_CANCEL = 19034;
	/* Qtree delete was canceled..  */

	public static final int EQTREE_OPLOCK_GET_FAILED = 15003;
	/* An error occurred while obtaining the oplock mode of a qtree.  */

	public static final int EQTREE_SECURITY_GET_FAILED = 15002;
	/* An error occurred while obtaining the security style of a qtree.  */

	public static final int EQUIESCEFAILED = 16508;
	/* Quiesce failed for this LUN due to an internal error.  */

	public static final int EQUIESCENOTSUPPORTED = 16509;
	/* Quiesce is not supported for RDAC and non MLM devices.  */

	public static final int EQUOTADIRECTIVE = 13054;
	/* Cannot process quota directives in /etc/quotas.  */

	public static final int EQUOTADOESNOTEXIST = 13053;
	/* The quota does not exist when it is expected to exist.  */

	public static final int EQUOTAEXISTS = 13052;
	/* The quota exists when it is not expected to exist.  */

	public static final int EQUOTAINVALID = 13051;
	/* An invalid quota was detected.  Check quota-type, quota-target,
	 * volume, and tree
	 */

	public static final int EQUOTAPARSEERROR = 13050;
	/* An error occured while parsing a quota entry.  */

	public static final int EQUOTAS_NO_VALID_RULES = 14958;
	/* No valid quota rules for the specifed volume in the vserver's quota policy.  */

	public static final int EQUOTAS_OFF = 15673;
	/* Quotas are OFF for the specifed volume.  */

	public static final int EQUOTAS_ON = 15672;
	/* Quotas are ON for the specified volume.  */

	public static final int EQUOTAS_OPERATION_MISMATCH = 15680;
	/* Operation was prevented due to a mismatch in the state for the quota operation.  */

	public static final int EQUOTAS_UPGRADING = 18174;
	/* Quotas are upgrading on the specified volume.  */

	public static final int EQUOTA_CONTROL_METAFILE_OPEN = 15009;
	/* Unable to open the quota control metafile.  */

	public static final int EQUOTA_CONTROL_METAFILE_READ = 15010;
	/* Unable to read the quota control metafile.  */

	public static final int EQUOTA_POLICY_NOT_FOUND = 14959;
	/* Quota policy not found.  */

	public static final int ERAIDGROUPDEGRADED = 13512;
	/* RAID group is missing or reconstructing at least one disk.  */

	public static final int ERAID_HYA_PLATFORM_NOT_SUPPORTED = 18232;
	/* Hybrid aggregates are not supported on this platform..  */

	public static final int ERAID_HYA_SUPPORT_DISABLED = 18047;
	/* RAID support for hybrid aggregates have been disabled as the
	 * partner node in HA-pair is running a version of Data ONTAP
	 * which does not support hybrid aggregates.
	 */

	public static final int ERDB_HA_CANNOT_EXIT_CONFIG = 14306;
	/* RDB HA configuration is in active use; cannot exit now.  */

	public static final int ERDB_HA_CONFIGURED = 14302;
	/* RDB HA has already been configured.  */

	public static final int ERDB_HA_CONFIG_UUID_MISMATCH = 14305;
	/* The RDB HA configuration uuid does not match the presented uuid.  */

	public static final int ERDB_HA_FAILURE = 14311;
	/* RDB HA agent internal error.  */

	public static final int ERDB_HA_ID_MISMATCH = 14301;
	/* Local/partner system ids don't match the SF info.  */

	public static final int ERDB_HA_ILLEGAL_SLOT_CONTENT = 14312;
	/* RDB HA slot content does not contain a valid uuid.  */

	public static final int ERDB_HA_INVALID_INPUT = 14310;
	/* The input data is invalid.  */

	public static final int ERDB_HA_INVALID_SLOT = 14308;
	/* The slot provided is outside the range of valid slot numbers.  */

	public static final int ERDB_HA_IO_ERROR = 14307;
	/* RDB HA encountered an IO error.  */

	public static final int ERDB_HA_NOT_CONFIGURED = 14304;
	/* RDB HA is not configured.  */

	public static final int ERDB_HA_OLD_COOKIE = 14309;
	/* The cookie presented is older than the current cookie.  */

	public static final int ERDB_HA_PARTIALLY_CONFIGURED = 14303;
	/* RDB HA is partially configured.  */

	public static final int ERDB_HA_QUIESCENT_PERIOD = 14314;
	/* RDB HA is in a forced quiescent period during a configuration change.  */

	public static final int ERDB_HA_SF_NOT_INITIALIZED = 14300;
	/* SF has not been initialized.  */

	public static final int ERDB_HA_SLOT_UUID_MISMATCH = 14313;
	/* RDB HA slot UUID does not match that of its peer.  */

	public static final int EREALLOCATE_BADPATH = 13502;
	/* An invalid path was specified for a reallocation scan.  */

	public static final int EREALLOCATE_BADSCHED = 13507;
	/* An invalid schedule was specified for a reallocation scan.  */

	public static final int EREALLOCATE_BADVOL = 13505;
	/* The volume was not found for the reallocation scan.  */

	public static final int EREALLOCATE_EXISTS = 13501;
	/* A reallocation scan already exists.  */

	public static final int EREALLOCATE_NOMEM = 13503;
	/* No memory is available to start a reallocation scan.  */

	public static final int EREALLOCATE_NOSCAN = 13504;
	/* No such reallocation scan exists.  */

	public static final int EREALLOCATE_OFF = 13508;
	/* Reallocation scans are disabled.  */

	public static final int EREALLOCATE_READONLY = 13506;
	/* The path or volume for a reallocation scan is readonly.  */

	public static final int EREALLOCATE_SNAPSHOT = 13509;
	/* Snapshots exist on the volume.  */

	public static final int ERELATION_EXISTS = 17122;
	/* SnapMirror relationship already exists.  */

	public static final int ERELATION_IS_QUIESCED = 17128;
	/* SnapMirror relationship is quiesced.  */

	public static final int ERELATION_NOT_QUIESCED = 17127;
	/* SnapMirror relationship is not quiesced.  */

	public static final int ERESERVE_FORARL = 18220;
	/* Reserved for ARL from 18200 - 18220.  */

	public static final int ERESERVE_FOR_FLI = 18315;
	/* Reserved for FLI from 18275 - 18315.  */

	public static final int ERESOURCEINUSE = 15704;

	public static final int ERESUMEFAILED = 16507;
	/* Resume of I/O for the LUN failed due to an internal error.  */

	public static final int EREVERTINPROGRESS = 13951;
	/* Can't enable takeover service while a revert is in progress.  */

	public static final int EROLECONFIGNOTFOUND = 16033;
	/* Configuration for the role is not found.  */

	public static final int EROLENOTFOUND = 16031;
	/* The role for the user is not found.  */

	public static final int EROOTVOL_NOT_FULLY_GUARANTEED = 15908;
	/* Root volume not fully protected for overwrites.  */

	public static final int EROUTEEXISTS = 1010;
	/* Route Entry already exists in current kernel table.  */

	public static final int EROUTENOTFOUND = 1012;
	/* Queried route entry could not be found in kernel route table.  */

	public static final int ERSHKILLERROR = 14526;
	/* Unable to close rsh session.  */

	public static final int ERSHSESSIONERROR = 14525;
	/* Invalid rsh session number.  */

	public static final int ESAME_DISK_CARRIER = 18045;
	/* More than one disk from the same disk carrier will end up in a single
	 * RAID group
	 */

	public static final int ESANOWNNOTENABLED = 17150;
	/* SANOWN not enabled.  */

	public static final int ESAVECOREDISK = 13513;
	/* Requested disk temporarily in use for dump or save core.  */

	public static final int ESCHEDNOTFOUND = 15700;
	/* Specified schedule not found.  */

	public static final int ESCHEDULE_DOESNT_EXIST = 17126;
	/* Schedule specified does not exist.  */

	public static final int ESCOPEEXISTS = 18260;
	/* Fpolicy existing scope found.  */

	public static final int ESCOPENOTFOUND = 18259;
	/* Fpolicy scope not found.  */

	public static final int ESENDHOMEINPROGRESS = 13946;
	/* An sf-send-home operation is in progress.  */

	public static final int ESERIALDNNOTFOUND = 18389;
	/* Serial or common name is not mentioned for external engine.  */

	public static final int ESERVEREXISTS = 18269;
	/* IP Address already exists in primary or secondary servers list.  */

	public static final int ESERVERNOTFOUND = 18254;
	/* Fpolicy server not found.  */

	public static final int ESERVICEENABLED = 13952;
	/* Takeover service is already enabled.  */

	public static final int ESERVICENOTENABLED = 13903;
	/* Takeover service is not enabled.  */

	public static final int ESERVICENOTINITIALIZED = 13901;
	/* HA service has not been initialized.  */

	public static final int ESERVICENOTLICENSED = 13902;
	/* Service has not been licensed.  */

	public static final int ESERVICENOTSTOPPED = 13015;
	/* Service needs to be stopped before this operation.  */

	public static final int ESESBUSY = 14201;
	/* SES is busy scanning the array of shelves.
	 * This process may take a few seconds or longer.
	 * Retry your request in 5 seconds or more
	 */

	public static final int ESESNOTREADY = 14200;
	/* SES has not completed initialization.  */

	public static final int ESETSPCRESERROR = 13116;
	/* Error setting space reservation.  */

	public static final int ESHAREACCESSDENIED = 13202;
	/* Access to a cifs share is denied.  */

	public static final int ESHAREEXISTS = 13203;
	/* Occurs when a share with the same name as that of a
	 * pre-existing share is tried to be created
	 */

	public static final int ESHARETOOMANY = 13204;
	/* Occurs when number of shares on the filer exceeds the
	 * maximum limit
	 */

	public static final int ESHELFHOT = 13913;
	/* The shelf subsystem is hot.  */

	public static final int ESHUTDOWN_INPROGRESS = 15877;
	/* Node is being shutdown.  */

	public static final int ESIS_CLONE_BKPR_ENOSPC = 14974;
	/* Requested space exceeds that reserved by the token.  */

	public static final int ESIS_CLONE_BKPR_TOKEN_EXPIRED = 14975;
	/* Token expired or not found.  */

	public static final int ESIS_CLONE_BKPR_TOKEN_MAXCAP_REACHED = 14976;
	/* Reached maximum split load allowed on the node.  */

	public static final int ESIS_CLONE_CFILE_WRITE = 14954;
	/* Clone file write issue.  */

	public static final int ESIS_CLONE_CLONE_CFILE_ATTR = 14939;
	/* Error in getting file attribute of the clone file.  */

	public static final int ESIS_CLONE_CLONE_CFILE_NONEXIST = 14970;
	/* Clone file does not exist.  */

	public static final int ESIS_CLONE_CLONE_DIFF_VOLUME = 14937;
	/* Either source or destination file is in different volume.  */

	public static final int ESIS_CLONE_CLONE_EXIST = 14952;
	/* Source file exists.  */

	public static final int ESIS_CLONE_CLONE_FH = 14940;
	/* Error in getting file handle of the clone file.  */

	public static final int ESIS_CLONE_CLONE_INVALID_CLONE = 14948;
	/* Invalid clone file.  */

	public static final int ESIS_CLONE_CLONE_INVALID_DIR = 14949;
	/* Directory does not exit.  */

	public static final int ESIS_CLONE_CLONE_INVALID_RANGE = 14946;
	/* Invalid block range.  */

	public static final int ESIS_CLONE_CLONE_INVALID_SOURCE = 14947;
	/* Invalid source file.  */

	public static final int ESIS_CLONE_CLONE_INVALID_SPC_RSRV = 14965;
	/* Cannot set space reservation for block ranges.  */

	public static final int ESIS_CLONE_CLONE_OVERLAP_RANGE = 14945;
	/* block ranges are overlapping.  */

	public static final int ESIS_CLONE_CLONE_SFILE_ATTR = 14938;
	/* Error in getting file attribute of the source file.  */

	public static final int ESIS_CLONE_CLONE_SFILE_NONEXIST = 14935;
	/* Source file does not exist.  */

	public static final int ESIS_CLONE_CLONE_SOURCE_FH = 14941;
	/* Error in getting file handle of the source file.  */

	public static final int ESIS_CLONE_CLONE_SUB_COMPRESSION = 17161;
	/* Partial file or LUN clone operations are not supported on compressed volumes.  */

	public static final int ESIS_CLONE_CLONE_TYPE_SUPP = 14942;
	/* This source file type is not supported.  */

	public static final int ESIS_CLONE_CLONE_WORM_VOL = 14950;
	/* Volume is a SnapLock volumee.  */

	public static final int ESIS_CLONE_DECOMP_ACTIVE = 14960;
	/* Clone operation cannot proceed while decompression
	 * is in progress
	 */

	public static final int ESIS_CLONE_DENSE_INIT_FAILED = 14972;
	/* Sis clone dense init failed  .  */

	public static final int ESIS_CLONE_DOWNGRADE = 14963;
	/* Previously downgraded SIS metafiles exists.  */

	public static final int ESIS_CLONE_FAILOVER = 14934;
	/* System is doing takeover or giveback.  */

	public static final int ESIS_CLONE_FLEXCLONE_SPLITTING = 14964;
	/* Clone split is running on the volume.  */

	public static final int ESIS_CLONE_LICENSE_EXPIRED = 14955;
	/* SIS clone license expired.  */

	public static final int ESIS_CLONE_LICENSING_UNAVAILABLE = 14971;
	/* License check Failed, License DB currently unavailable.  */

	public static final int ESIS_CLONE_MAX_BLKS = 14968;
	/* The partial file or LUN operation exceeded the block cloning
	 * limit (64GB)
	 */

	public static final int ESIS_CLONE_MAX_DENSE_LIMIT_REACHED = 17163;
	/* Max Dense limit is reached.  */

	public static final int ESIS_CLONE_MAX_RANGES = 14967;
	/* The partial file or LUN operation exceeds the maximum block
	 * range (32)
	 */

	public static final int ESIS_CLONE_NLCSR_INPROG = 14943;
	/* New style lun clone split is running.  */

	public static final int ESIS_CLONE_NOT_LICENSED = 14956;
	/* SIS clone not licensed.  */

	public static final int ESIS_CLONE_NO_INODES = 14973;
	/* Out of inodes to create clone file.  */

	public static final int ESIS_CLONE_SFILE_READ = 14953;
	/* Source file  read issue.  */

	public static final int ESIS_CLONE_SHUTDOWN = 14933;
	/* System is shutting down.  */

	public static final int ESIS_CLONE_SOURCE_TOO_SMALL = 14962;
	/* The source file is too small.  */

	public static final int ESIS_CLONE_SPLIT_MAP = 14961;
	/* Volume split blockmap upgrade is in progress.  */

	public static final int ESIS_CLONE_SRC_DEST_DIFF_FILETYPE = 14969;
	/* The source and destination file types are different.  */

	public static final int ESIS_CLONE_SRC_DEST_SAME = 18231;
	/* The source and destination files are same.  */

	public static final int ESIS_CLONE_SRC_VMALIGNED = 18155;
	/* Block ranges cannot be specified because source is vm-aligned.  */

	public static final int ESIS_CLONE_STALE_DINODE = 14931;
	/* Stale donor inode.  */

	public static final int ESIS_CLONE_STALE_INODE = 14930;
	/* Stale inode.  */

	public static final int ESIS_CLONE_STALE_RINODE = 14932;
	/* Stale recipient inode.  */

	public static final int ESIS_CLONE_UNKNOWN = 14966;
	/* Unknown error.  */

	public static final int ESIS_CLONE_VDISK_INVALID_NAME = 14951;
	/* Invalid vdisk name.  */

	public static final int ESIS_CLONE_VFILER_ACCESS = 17143;
	/* vFiler doesnot have access to source or destination path.  */

	public static final int ESIS_CLONE_VOL_NONEXIST = 14925;
	/* Volume does not exist.  */

	public static final int ESIS_CLONE_VOL_NOTSUP = 14927;
	/* Volume type has to be Flexvol.  */

	public static final int ESIS_CLONE_VOL_OFFLINE = 14926;
	/* Volume is offline.  */

	public static final int ESIS_CLONE_VOL_RDONLY = 14928;
	/* Volume is read-only.  */

	public static final int ESIS_CLONE_VOL_TRANSITING = 14929;
	/* Volume state transition is in progress.  */

	public static final int ESNAPDIFFABORTED = 14511;
	/* The session was aborted.  */

	public static final int ESNAPDIFFDUPLICATESESSION = 14507;
	/* Session already has an outstanding request.  */

	public static final int ESNAPDIFFINTERROR = 14500;
	/* Unspecified error in snapdiff zapi.  */

	public static final int ESNAPDIFFINVALIDSESSION = 14508;
	/* Session does not match any existing session.  */

	public static final int ESNAPDIFFINVINPUT = 14501;
	/* Snapdiff invalid input parameter(s).  */

	public static final int ESNAPDIFFINVSNAPSHOT = 14502;
	/* Snapdiff invalid input snapshot(s).  */

	public static final int ESNAPDIFFMAXSESSIONSEXCEEDED = 14506;
	/* Snapdiff max number of concurrent sessions exceeded.  */

	public static final int ESNAPDIFFNOI2P = 14509;
	/* Volume does not have I2P enabled.  */

	public static final int ESNAPDIFFSNAPSHOTCHANGED = 14503;
	/* Snapdiff input snapshot was recreated.  */

	public static final int ESNAPDIFFSNAPSHOTEARLIER = 14504;
	/* Snapdiff input diff snapshot is earlier than base snapshot.  */

	public static final int ESNAPDIFFVOLOFFLINE = 14510;
	/* Volume not available.  */

	public static final int ESNAPLOCKNOTLICENSED = 14521;
	/* Snaplock is not licensed on the filer.  */

	public static final int ESNAPMIRRORBADDATALENGTH = 18924;
	/* Replication encountered bad data length..  */

	public static final int ESNAPMIRRORCHECKERDIFFSNAPSHOTS = 15891;
	/* SnapMirror checker found different snapshots to be checked between source and destination.  */

	public static final int ESNAPMIRRORCHECKMISMATCH = 15686;
	/* There was a mismatch found on running a checker session.  */

	public static final int ESNAPMIRRORCHECKSUMERROR = 15887;
	/* Replication found a checksum error during the data transfer.  */

	public static final int ESNAPMIRRORCSMSESSIONERROR = 18196;
	/* Error encountered while using a csm session.  */

	public static final int ESNAPMIRRORDBLADEABORT = 16602;
	/* Transfer aborted by internal process.  */

	public static final int ESNAPMIRRORDESTCLONE = 18932;
	/* Replication destination is a clone..  */

	public static final int ESNAPMIRRORDESTINATIONBUSY = 19032;
	/* Destination volume for replication is busy with a SnapMirror operation. Use the "snapmirror show" command to check the status of the SnapMirror operation. Retry the operation after the SnapMirror operation is complete..  */

	public static final int ESNAPMIRRORDESTINATIONNOTEMPTY = 15904;
	/* Destination volume for replication must be empty to receive a baseline transfer.  */

	public static final int ESNAPMIRRORDESTINATIONNOTRESTRICTED = 15903;
	/* Destination volume for replication is not restricted.  */

	public static final int ESNAPMIRRORDESTNOTSUPPORTED = 18926;
	/* Destination volume for replication is not supported..  */

	public static final int ESNAPMIRRORDESTSTATEINVALID = 15012;
	/* The destination volume has an invalid transfer state.  */

	public static final int ESNAPMIRRORDESTVOLTOOSMALL = 15907;
	/* Destination volume for replication is smaller than the source volume.  */

	public static final int ESNAPMIRRORENGINETYPENOTSPECIFIED = 15901;
	/* Replication requires the engine type to be specified.  */

	public static final int ESNAPMIRRORERROR = 13102;
	/* Replication engine encountered an error.  */

	public static final int ESNAPMIRROREXOVOLDENSEMETAFILEERROR = 18958;
	/* Replication engine encountered an error while transferring dense metafiles..  */

	public static final int ESNAPMIRROREXOVOLQUOTAERROR = 18956;
	/* Replication engine encountered an error while transferring quota records..  */

	public static final int ESNAPMIRROREXOVOLREPLAYCACHEERROR = 18957;
	/* Replication engine encountered an error while transferring replay cache data..  */

	public static final int ESNAPMIRROREXOVOLTAPEBACKUPERROR = 18959;
	/* Replication engine encountered an error while transferring tape backup metafiles..  */

	public static final int ESNAPMIRRORFILESYSTEMERROR = 15890;
	/* Replication encountered a filesystem error.  */

	public static final int ESNAPMIRRORIMAGEMISMATCHONRESTART = 18930;
	/* An image mismatch was encountered during a transfer restart..  */

	public static final int ESNAPMIRRORIMAGENOTFOUND = 15687;
	/* The image specified was not found.  */

	public static final int ESNAPMIRRORINTERNALERROR = 15692;
	/* Replication encountered an internal error.  */

	public static final int ESNAPMIRRORINVALIDINPUT = 15664;
	/* Invalid input.  */

	public static final int ESNAPMIRRORINVALIDUUID = 15663;
	/* Invalid UUID supplied to replication subsystem.  */

	public static final int ESNAPMIRRORJUMPAHEADFAILED = 16606;
	/* The destination node was unable to online the volume after a replication and has rolled back the destination volume to a previous file system version.  */

	public static final int ESNAPMIRRORMISMATCHEDSNAPSHOTLISTS = 15902;
	/* LS SnapMirror destinations must all have the same Snapshot copies.  */

	public static final int ESNAPMIRRORNETWORKERROR = 15888;
	/* Replication encountered a network error.  */

	public static final int ESNAPMIRRORNOCOMPRESSEDVOLUME = 15906;
	/* Cannot replicate compressed volumes to 32-bit aggregates.  */

	public static final int ESNAPMIRRORNOMEM = 15665;
	/* Replication subsystem is out of memory.  */

	public static final int ESNAPMIRRORNOPHYSICALTRANSFER = 18929;
	/* Physical transfers are not allowed to volume..  */

	public static final int ESNAPMIRRORNOSNAPLOCKVOLUME = 15905;
	/* Replication cannot involve SnapLock volumes.  */

	public static final int ESNAPMIRRORNOTSUPPORT = 15666;
	/* Operation not supported by replication subsystem.  */

	public static final int ESNAPMIRROROFF = 13100;
	/* The Snapmirror subsystem is off.  */

	public static final int ESNAPMIRROROLDDESTFSVERSION = 18933;
	/* Destination is running an older Data ONTAP..  */

	public static final int ESNAPMIRROROLDINODETYPESNAPDETECTED = 18934;
	/* Replication encountered a snapshot of an inode that is of an older type..  */

	public static final int ESNAPMIRRORONDEMANDPENDING = 16607;
	/* Incomplete file operations are pending to a snapshot on the source volume.  */

	public static final int ESNAPMIRROROPNOTFOUND = 15668;
	/* No such operation found.  */

	public static final int ESNAPMIRROROTHER = 15693;
	/* Replication encountered an unknown error.  */

	public static final int ESNAPMIRRORPARSERERROR = 13101;
	/* Error parsing the snapmirror parameters.  */

	public static final int ESNAPMIRRORSCANNINGBLOCKMETADATA = 16603;
	/* Cannot replicate because a block metadata scan is in progress on the source volume.  */

	public static final int ESNAPMIRRORSEDATALAYOUTNOTSUPPORTED = 19062;
	/* Storage efficiency data layout of source volume is not supported by the Data ONTAP version running on the destination..  */

	public static final int ESNAPMIRRORSESSIONNOTFOUND = 15690;
	/* The replication session was not found.  */

	public static final int ESNAPMIRRORSEVENMODESNAPDETECTED = 18936;
	/* Replication encountered a seven mode snapshot..  */

	public static final int ESNAPMIRRORSOURCEINCONSISTENT = 18450;
	/* Replication encountered an inconsistent block at source.  */

	public static final int ESNAPMIRRORSPINNPVERSIONMISMATCH = 18931;
	/* Replication encountered a spinnp version mismatch..  */

	public static final int ESNAPMIRRORSTREAMNOTFOUND = 15688;
	/* The stream specified was not found.  */

	public static final int ESNAPMIRRORSUBSYSTEMNOTINITED = 15008;
	/* The replication subsystem is not yet initialized.  */

	public static final int ESNAPMIRRORTRANSFERCOMPLETE = 15886;
	/* Replication is already complete.  */

	public static final int ESNAPMIRRORTRANSFEREXISTS = 15685;
	/* The transfer specified already exists.  */

	public static final int ESNAPMIRRORTRANSFERFAILED = 15662;
	/* A snap mirror transfer failed.  */

	public static final int ESNAPMIRRORTRANSFERNOTCOMPLETE = 15691;
	/* The transfer is not yet complete.  */

	public static final int ESNAPMIRRORTRANSFERNOTFOUND = 15689;
	/* The transfer specified was not found.  */

	public static final int ESNAPMIRRORUNDELETEDSNAPSHOTONDEST = 15900;
	/* Destination volume for replication contains extraneous Snapshot copies.  */

	public static final int ESNAPMIRRORUNKNOWNFSVERSION = 16605;
	/* The destination node detected an unsupported file system version in the transfer.  */

	public static final int ESNAPMIRRORUNKNOWNTRANSFERTYPE = 18925;
	/* Unknown transfer type..  */

	public static final int ESNAPMIRRORUNSUPPORTEDSNAPVERSIONDETECTED = 18937;
	/* Replication encountered an unsupported snapshot version..  */

	public static final int ESNAPMIRRORVMALIGNNOTSUPPORTED = 18023;
	/* The replication destination does not support VM Align feature.  */

	public static final int ESNAPMIRRORVOLNOTFOUND = 15667;
	/* Volume not found.  */

	public static final int ESNAPMIRRORVOLUMEIDERROR = 15889;
	/* Replication encountered errors concerning a volume's identity.  */

	public static final int ESNAPMIRRORVOLUMENOTQUIESCED = 15885;
	/* Source volume for replication is no longer quiesced.  */

	public static final int ESNAPMIRRORVOLUMENOTSUPPORTED = 18928;
	/* Operation not supported on volume..  */

	public static final int ESNAPMIRRORWRONGPREPAREID = 18927;
	/* Replication encountered a wrong prepare id..  */

	public static final int ESNAPMIRROR_INIT_RESTART_FAILED = 18121;
	/* Failed to restart a partially completed snapmirror initialize transfer.  */

	public static final int ESNAPMIRROR_JOB_INITIATED_ABORT = 17160;
	/* Replication aborted.  */

	public static final int ESNAPMIRROR_NOT_INITIALIZED = 15000;
	/* Destination volume for replication has not been initialized.  */

	public static final int ESNAPMIRROR_REF_OR_XFER_SNAPSHOT_DELETED = 16604;
	/* The reference or transfer snapshot used by the transfer was deleted.  */

	public static final int ESNAPRESTORE_ONDEMAND_DEST = 18944;
	/* Snapshot restore would cancel ongoing file transfers..  */

	public static final int ESNAPRESTORE_ONDEMAND_SOURCE = 18943;
	/* Snapshot restore would interrupt ongoing file transfers..  */

	public static final int ESNAPSHOTACSLOCKED = 13705;
	/* Snapshot copy is locked by an owner to preserve it for a SnapMirror mirror-to-vault cascade configuration.  */

	public static final int ESNAPSHOTBUSY = 13024;
	/* Snapshot is in use.  */

	public static final int ESNAPSHOTCORRUPT = 13704;
	/* Snapshot is corrupt.  */

	public static final int ESNAPSHOTDOESNOTEXIST = 13021;
	/* The snapshot name does not exist.  */

	public static final int ESNAPSHOTEXISTS = 13020;
	/* The Snapshot(tm) copy name already exists.  */

	public static final int ESNAPSHOTEXISTSPARTIAL = 14426;
	/* An incomplete snapshot with this name already exists on the striped volume.  */

	public static final int ESNAPSHOTINVALIDID = 15803;
	/* Invalid Snapshot ID.  */

	public static final int ESNAPSHOTNOSPACE = 13025;
	/* Not enough space in volume for snapshot operation.  */

	public static final int ESNAPSHOTNOTALLOWED = 13023;
	/* Snapshot operation is not allowed.  */

	public static final int ESNAPSHOTRESTOREINPROGRESS = 15801;
	/* Snapshot restore is in progress.  */

	public static final int ESNAPSHOTTAGSERR = 15802;
	/* Error while performing operation on Snapshot tags.  */

	public static final int ESNAPSHOTTAGSHEADERERR = 15806;
	/* Snapshot tags header inconsistent.  */

	public static final int ESNAPSHOTTAGSMETAFILEERR = 15805;
	/* Snapshot tags metafile inconsistent.  */

	public static final int ESNAPSHOTTAGSNOSPACE = 15804;
	/* Not enough space for Snapshot tags.  */

	public static final int ESNAPSHOTTOOMANY = 13022;
	/* Too many snapshots specified in snapshot-set-schedule.  */

	public static final int ESNAPSHOT_FAIL_CLONES_BACKED = 18946;
	/* Snapshot operation not allowed due to clones backed by snapshots..  */

	public static final int ESNAPSHOT_NEWER_THAN_REFERENCE_SNAPSHOT_ONDEST = 18371;
	/* Snapshot newer than the reference snapshot found on destination volume.  */

	public static final int ESNAPSHOT_NOT_EXPORTED = 18154;
	/* Exported snapshot is required for DP clone creation.  */

	public static final int ESNAPSHOT_NOT_LATEST = 13030;
	/* The reference snapshot is not the latest.  */

	public static final int ESNAPVAULTBUSY = 14453;
	/* Snapvault is busy with other operation(s).
	 * Please check error string for details
	 */

	public static final int ESNAPVAULTERR = 14450;
	/* Snapvault Error. Please check error string for details.  */

	public static final int ESNAPVAULTRESOURCE = 14452;
	/* Transient error due to resource shortage.
	 * Please check error string for details
	 */

	public static final int ESNAPVAULTSETUP = 14451;
	/* Error while setting up operation.
	 * Please check error string for details
	 */

	public static final int ESOURCE_DEST_SAME = 17104;
	/* Source and destination volumes specified are the same.  */

	public static final int ESOURCE_DEST_VSERVERS_DIFFERENT = 17129;
	/* Source and destination volumes are on different vservers.  */

	public static final int ESOURCE_ISNOT_LOCAL_VOLUME = 17100;
	/* SnapMirror source volume is not on local cluster.  */

	public static final int ESOURCE_ISNOT_LS_VOLUME = 17103;
	/* SnapMirror source volume specified is not a load-sharing volume.  */

	public static final int ESOURCE_ISNOT_RW_VOLUME = 17108;
	/* Source volume specified is not a RW volume.  */

	public static final int ESOURCE_IS_DIFFERENT = 17105;
	/* Source volume specified is different from the source volume of the SnapMirror relationship.  */

	public static final int ESOURCE_IS_EXISTING_DEST_VOLUME = 17106;
	/* Source volume specified is destination volume of another SnapMirror relationship.  */

	public static final int ESOURCE_IS_LS_VOLUME = 17102;
	/* SnapMirror source volume specified is a load-sharing volume.  */

	public static final int ESOURCE_IS_STRIPED_VOLUME = 17110;
	/* Source volume specified is a striped volume.  */

	public static final int ESOURCE_VOLUME_HAS_CACHE = 17107;
	/* Source volume specified has a cache.  */

	public static final int ESPARSE_NOT_PERMITTED_ON_PFS_VOL = 18351;
	/* Operation not permitted on a FlexCache volume.  */

	public static final int ESPARSE_SRC_VOL_INDEX_DIR = 17164;
	/* Source volume uses index directories.  This version of Data ONTAP
	 * does not support caches whose origin uses this option
	 */

	public static final int ESPARSE_SRC_VOL_NOT_FLEX = 17148;
	/* Source volume is not a flexible volume.  */

	public static final int ESPARSE_SRC_VOL_UNAVAILABLE = 17147;
	/* Source volume is unavailable.  */

	public static final int ESPARSE_SRC_VOL_WORM = 17149;
	/* Source volume is a SnapLock volume.  */

	public static final int ESPARSE_TOO_MANY_SPARSE_VOLS = 17144;
	/* Sparse volume limit reached on the node.  */

	public static final int ESPARSE_UNKNOWN_PROTOCOL = 17146;
	/* Unknown protocol specified for sparse volume creation.  */

	public static final int ESPARSE_VOL_CREATE_FAILED = 17145;
	/* Sparse volume creation failed.  */

	public static final int ESRC_VOL_LOCKED = 18021;
	/* Source volume is locked.  */

	public static final int ESTAMPREDIRECTSNAPIDERROR = 15679;
	/* Stamp redirect snapid failure.  Cannot jumpahead.  */

	public static final int ESTORAGE_IMPORT_ALREADY_BOUND = 18276;
	/* target LUN already bound to a source array LUN.  */

	public static final int ESTORAGE_IMPORT_BPS_MISMATCH = 18281;
	/* target LUN and source array LUN do not have same bytes per sector.  */

	public static final int ESTORAGE_IMPORT_CANNOT_START = 18285;
	/* data import operation start failed due to invalid state.  */

	public static final int ESTORAGE_IMPORT_CANNOT_UNBIND = 18286;
	/* target LUN is in use.  */

	public static final int ESTORAGE_IMPORT_CANNOT_VERIFY = 18284;
	/* verify operation cannot start due to invalid state.  */

	public static final int ESTORAGE_IMPORT_DONE = 18287;
	/* data import operation from source array LUN to target LUN has completed.  */

	public static final int ESTORAGE_IMPORT_INVALID_DISK = 18279;
	/* invalid source array LUN.  */

	public static final int ESTORAGE_IMPORT_INVALID_LUN = 18280;
	/* invalid target LUN.  */

	public static final int ESTORAGE_IMPORT_INVALID_PARAM = 18283;
	/* invalid parameters.  */

	public static final int ESTORAGE_IMPORT_LUN_NOT_BOUND = 18277;
	/* target LUN is not bound to a source array LUN.  */

	public static final int ESTORAGE_IMPORT_NO_MEMORY = 18278;
	/* out of memory.  */

	public static final int ESTORAGE_IMPORT_NO_SESSION_AVAILABLE = 18289;
	/* maximum number of sessions already in use.  */

	public static final int ESTORAGE_IMPORT_RESERVATION_ON_DISK = 18290;
	/* there is reservation on the disk.  */

	public static final int ESTORAGE_IMPORT_TARGET_LUN_CHANGED = 18288;
	/* target LUN has changed after bind.  */

	public static final int ESTORAGE_IMPORT_TARGET_SMALLER = 18282;
	/* target LUN size is smaller than the source array LUN size.  */

	public static final int ESTRIPEDRESTOREOPNOTFOUND = 13037;
	/* Volume snap restore not found.  */

	public static final int ESTRIPEDVOL_NOT_FULLY_ONLINE = 15551;
	/* Striped volume is not completely online.  */

	public static final int ESTRIPEDVOL_PRIVILEGELEVEL = 16501;
	/* The current environment privilege level does not support the vol-copy operation.  */

	public static final int ESVCDISABLED = 13200;
	/* The API exists, but the service(e.g. cifs, nfs, http) is disabled.  */

	public static final int ESVCNOTAVAIL = 13201;
	/* The API exists, but the service(e.g. cifs, nfs, http) is
	 * not available
	 */

	public static final int ESWAPFILENOSPACE = 161;
	/* Not enough space on volume to create a swap file.  */

	public static final int ESWAPINPROGRESS = 13151;
	/* Disk swap in progress.  */

	public static final int ESYNCMIRROR_BAD_CONFIG = 18151;
	/* Configuration not suitable for syncmirror.  */

	public static final int ESYNCMIRROR_JOIN_CKSUMTYPE_MISMATCH = 15727;
	/* Corresponding RAID groups do not have the same checksum type
	 * in source and victim aggregates.
	 */

	public static final int ESYNCMIRROR_JOIN_DISKTYPE_MISMATCH = 15726;
	/* Corresponding RAID groups do not have the same disk type
	 * in source and victim aggregates.
	 */

	public static final int ESYNCMIRROR_JOIN_RAIDTYPE_MISMATCH = 15728;
	/* Corresponding RAID groups do not have the same RAID type
	 * in source and victim aggregates.
	 */

	public static final int ESYNCMIRROR_NO_PLATFORM = 18152;
	/* Platform does not support syncmirror.  */

	public static final int ETAKENOVER = 14523;
	/* Date can't be set in takeover mode on partner.  */

	public static final int ETAKEOVERINPROGRESS = 13917;
	/* Already doing takeover.  */

	public static final int ETELNETSHUTDOWNERROR = 15032;
	/* No active telnet session is present.  */

	public static final int ETIMEZONEDIFFERENTINRC = 14520;
	/* Timezone name being set is different from what is set in /etc/rc file.  */

	public static final int ETOERRMAX = 13954;
	/* Dummy error val. Do not return!!.  */

	public static final int ETOERRMIN = 13900;
	/* Start of the takeover error definitions. Do not return!!.  */

	public static final int ETRANSFER_IN_PROGRESS = 17137;
	/* A transfer is in progress on the SnapMirror relationship.  */

	public static final int ETRIES_COUNT_IS_ZERO = 17136;
	/* SnapMirror transfer tries count is set to zero.  */

	public static final int EUNABLE_TO_UPDATE_VOLDB = 15708;
	/* Cannot update the vol_db.  */

	public static final int EUNKNOWNTAKEOVERERROR = 13920;
	/* Takeover is not possible due to unknown reasons.  */

	public static final int EUNSYNCNVRAM = 13919;
	/* The NVRAM log is unsynchronized.  */

	public static final int EUPDATE_ALREADY_RUNNING = 19027;
	/* Software image update is already running..  */

	public static final int EUSECLUSTERNATIVEUI = 15699;
	/* This API is not supported from Cluster Management Interface. Instead use the cluster replacement API of this call.  */

	public static final int EUSERLOCKFAILED = 16036;
	/* User lock failed.  */

	public static final int EUSERNOTFOUND = 16034;
	/* User not found.  */

	public static final int EUSERUNLOCKFAILED = 16037;
	/* User unlock failed.  */

	public static final int EVDISK_ERROR_7MODE_LUN = 9164;
	/* Operation not supported on a 7-mode LUN. 7-mode LUNs can be managed only after they have been transitioned..  */

	public static final int EVDISK_ERROR_ALUA_FCP_TRANSPORT_TYPE_CONFLICT = 9123;
	/* ALUA cannot be enabled on this iSCSI igroup because
	 * this igroup contains lun(s) which are already mapped to
	 * FCP igroup. Luns can not be mapped to both FCP and iSCSI
	 * igroups at the same time if ALUA is enabled on atleast
	 * of those igroups
	 */

	public static final int EVDISK_ERROR_ALUA_ISCSI_TRANSPORT_TYPE_CONFLICT = 9122;
	/* ALUA cannot be enabled on this FCP igroup because
	 * this igroup contains lun(s) which are already mapped to
	 * iSCSI igroup. Luns can not be mapped to both FCP and iSCSI
	 * igroups at the same time if ALUA is enabled on atleast one
	 * of those igroups
	 */

	public static final int EVDISK_ERROR_ALUA_NOT_SUPPORTED_ON_CFMODE = 9105;
	/* The filer's current fcp-cfmode does not allow setting
	 * the ALUA flag to "on" for FCP igroups
	 */

	public static final int EVDISK_ERROR_ALUA_NOT_SUPPORTED_ON_ISCSI = 9104;
	/* This version of Data ONTAP does not support setting
	 * the ALUA flag to "on" for iSCSI igroups
	 */

	public static final int EVDISK_ERROR_ATTR_TOO_BIG = 9153;
	/* The combined size of "name" and "value" strings exceeds 4092
	 * bytes
	 */

	public static final int EVDISK_ERROR_CANNOT_CHANGE_SPCRES_DURING_SPLIT = 9100;
	/* Cannot change the space reservation for the LUN while it is
	 * being split
	 */

	public static final int EVDISK_ERROR_CANT_CREATE_INITGROUP_FILE = 9063;
	/* Initiator group change not stored on disk; unable to create
	 * new file
	 */

	public static final int EVDISK_ERROR_CANT_CREATE_VFILER_SHADOW_INITGROUP_FILE = 9066;
	/* Initiator group change not stored on disk; unable to create
	 * new vfiler shadow file
	 */

	public static final int EVDISK_ERROR_CANT_RENAME_INITGROUP_FILE = 9065;
	/* Initiator group change not stored on disk; unable to rename
	 * new file
	 */

	public static final int EVDISK_ERROR_CANT_RENAME_VFILER_SHADOW_INITGROUP_FILE = 9068;
	/* Initiator group change not stored on disk; unable to rename
	 * new vfiler shadow file
	 */

	public static final int EVDISK_ERROR_CANT_WRITE_INITGROUP_FILE = 9064;
	/* Initiator group change not stored on disk; unable to write
	 * new file
	 */

	public static final int EVDISK_ERROR_CANT_WRITE_VFILER_SHADOW_INITGROUP_FILE = 9067;
	/* Initiator group change not stored on disk; unable to write
	 * new vfiler shadow file
	 */

	public static final int EVDISK_ERROR_CFMODE_MISMATCH = 9098;
	/* The operation was pervented because the FCP cfmode setting
	 * on the local filer does not match the setting as reported
	 * by the cluster partner
	 */

	public static final int EVDISK_ERROR_CLONE_NOT_SPLITTING = 9093;
	/* LUN clone is not currently being split.  */

	public static final int EVDISK_ERROR_CLONING = 9038;
	/* LUN is already being cloned.  */

	public static final int EVDISK_ERROR_DB_BAD_INDEX = 9102;
	/* Out-of-bounds index specified for LUN metafile.  */

	public static final int EVDISK_ERROR_DB_NO_SUCH_DATABASE = 9103;
	/* Invalid LUN metafile requested.  */

	public static final int EVDISK_ERROR_DESTROY_LUN_BUSY = 9062;
	/* The LUN is busy, stop IO before attempting to destroy the LUN.  */

	public static final int EVDISK_ERROR_DUPLICATE_SERIAL_NO = 9159;
	/* There is already a lun with the given serial number.  */

	public static final int EVDISK_ERROR_DUPLICATE_TARGET_NAME = 9154;
	/* The requested target name of the SAN service is already
	 * in use by another vserver in the cluster
	 */

	public static final int EVDISK_ERROR_FILE_IS_SPC_RESERVED = 9040;
	/* File is space reserved.  */

	public static final int EVDISK_ERROR_IGROUP_ALREDY_THROTTLED = 9045;
	/* Initiator group is already throttled.  */

	public static final int EVDISK_ERROR_IGROUP_NOT_THROTTLED = 9044;
	/* Initiator group is not throttled.  */

	public static final int EVDISK_ERROR_INITGROUP_ALREADY_BOUND = 9080;
	/* The initiator group is already bound to a port set.  */

	public static final int EVDISK_ERROR_INITGROUP_BIND_WRONG_TYPE = 9101;
	/* Unable to bind a portset to an iscsi type igroup.
	 * It is only possible to bind portsets to fcp type igroups
	 */

	public static final int EVDISK_ERROR_INITGROUP_EMPTY_PSET_BIND = 9082;
	/* Port set is already bound to an igroup.  */

	public static final int EVDISK_ERROR_INITGROUP_EXISTS = 9004;
	/* Initiator group already exists.  */

	public static final int EVDISK_ERROR_INITGROUP_F_FLAG_REQUIRED = 9058;
	/* The '-f' flag is required to set this attribute.  */

	public static final int EVDISK_ERROR_INITGROUP_HAS_LUN = 9024;
	/* Another LUN mapped at this number.  */

	public static final int EVDISK_ERROR_INITGROUP_HAS_NODE = 9008;
	/* Initiator group already contains node.  */

	public static final int EVDISK_ERROR_INITGROUP_HAS_VDISK = 9023;
	/* LUN already mapped to this group.  */

	public static final int EVDISK_ERROR_INITGROUP_INVALID_ATTR_TYPE = 9026;
	/* Invalid initiator group attribute type.  */

	public static final int EVDISK_ERROR_INITGROUP_INVALID_ATTR_VALUE = 9027;
	/* Invalid initiator group attribute value.  */

	public static final int EVDISK_ERROR_INITGROUP_MAPS_EXIST = 9029;
	/* LUN maps for this initiator group exist.  */

	public static final int EVDISK_ERROR_INITGROUP_MEMBER_CONFLICTING_OS_TYPES = 9051;
	/* Node name already a member of an initiator group of a
	 * different os type
	 */

	public static final int EVDISK_ERROR_INITGROUP_MEMBER_VSA_MIXED = 9053;
	/* Node name already a member of an initiator group with a
	 * different vsa setting
	 */

	public static final int EVDISK_ERROR_INITGROUP_MISSING_ARGS = 9025;
	/* Missing initiator group attribute arguments.  */

	public static final int EVDISK_ERROR_INITGROUP_NOT_BOUND = 9081;
	/* Port set is not bound to an igroup.  */

	public static final int EVDISK_ERROR_INITGROUP_SET_TYPE_CONFLICT = 9052;
	/* Initiator group OS type change failed, initiator os type
	 * conflict
	 */

	public static final int EVDISK_ERROR_INITGROUP_SET_VSA_CONFLICT = 9054;
	/* Initiator group vsa setting change failed, vsa setting
	 * conflict
	 */

	public static final int EVDISK_ERROR_INITGROUP_TOO_MANY_NODENAMES = 9069;
	/* Number of nodenames per initiator group exceeds maximum
	 * of 1000
	 */

	public static final int EVDISK_ERROR_INITGROUP_WRONG_TYPE = 9010;
	/* Incorrect initiator type, must be FCP.  */

	public static final int EVDISK_ERROR_INITIATOR_HAS_VDISK = 9039;
	/* LUN already mapped to initiator(s) in this group.  */

	public static final int EVDISK_ERROR_INVALID_ATTR_MODE_VALUE = 9050;
	/* Invalid initiator group attribute value for 'use_partner'.  */

	public static final int EVDISK_ERROR_INVALID_DEVICE_ID = 9113;
	/* The supplied Device Identifier was invalid.  Legal value
	 * is an integer in the range 1 to 9999
	 */

	public static final int EVDISK_ERROR_INVALID_PREFIX_SIZE = 9147;
	/* The lun's prefix size was not specified in multiples of
	 * 512 bytes
	 */

	public static final int EVDISK_ERROR_INVALID_SIZE = 9149;
	/* The lun's size was not specified in multiples of 512 bytes.  */

	public static final int EVDISK_ERROR_INVALID_SNAPSHOT_PATH = 9021;
	/* Invalid snapshot path.  */

	public static final int EVDISK_ERROR_INVALID_SUFFIX_SIZE = 9148;
	/* The lun's suffix size was not specified in multiples of
	 * 512 bytes
	 */

	public static final int EVDISK_ERROR_IN_TAKEOVER = 9132;
	/* The API is not allowed in takeover.  */

	public static final int EVDISK_ERROR_LUN_HAS_ALUA_CONFLICTS = 9128;
	/* Lun cannot be mapped because the lun has pre-existing ALUA
	 * conflicts. A lun can not be mapped to both FCP and iSCSI
	 * igroups at the same time if ALUA is enabled on atleast
	 * one of those igroups. Make sure all the ALUA conflicts
	 * pertaining to this lun are resolved before doing any more
	 * maps to this lun
	 */

	public static final int EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_FCP_IGROUP = 9125;
	/* Lun cannot be mapped because it is already mapped
	 * to an FCP igroup with ALUA enabled. A lun can not be mapped
	 * to both FCP and iSCSI igroups at the same time if ALUA is enabled
	 * on atleast one of those igroups
	 */

	public static final int EVDISK_ERROR_LUN_HAS_ALUA_ENABLED_ISCSI_IGROUP = 9124;
	/* Lun cannot be mapped because it is already mapped
	 * to an iSCSI igroup with ALUA enabled. A lun can not be mapped
	 * to both FCP and iSCSI igroups at the same time if ALUA is enabled
	 * on atleast one of those igroups
	 */

	public static final int EVDISK_ERROR_LUN_HAS_FCP_IGROUP = 9127;
	/* Lun cannot be mapped to an ALUA enabled iSCSI igroup if it
	 * already has FCP maps. A lun can not be mapped to both
	 * FCP and iSCSI igroups at the same time if ALUA is enabled
	 * on atleast one of those igroups
	 */

	public static final int EVDISK_ERROR_LUN_HAS_ISCSI_IGROUP = 9126;
	/* Lun cannot be mapped to an ALUA enabled FCP igroup if it
	 * already has iSCSI maps. A lun can not be mapped to both
	 * FCP and iSCSI igroups at the same time if ALUA is enabled
	 * on atleast one of those igroups
	 */

	public static final int EVDISK_ERROR_LUN_HAS_NO_SERIAL_NO = 9095;
	/* LUN failed to be brought online because it does not have
	 * a serial number and one could not be assigned
	 */

	public static final int EVDISK_ERROR_LUN_IS_QUIESCED = 9157;
	/* Cannot modify the LUN: The LUN has been quiesced for a copy
	 * or move operation that is in progress. Wait for the operation
	 * to advance beyond the preparing stage and retry the command.
	 */

	public static final int EVDISK_ERROR_LUN_IS_TRANSITIONED = 9163;
	/* Operation not allowed because LUN has been transitioned..  */

	public static final int EVDISK_ERROR_LUN_MAPPING_CONFLICT = 9009;
	/* You cannot add the node to an initiator group if the node is
	 * already present in another initiator group and both
	 * initiator groups have the same LUN map
	 */

	public static final int EVDISK_ERROR_LUN_MISSING_FROM_SNAPSHOT = 9070;
	/* No such LUN exists in snapshot.  */

	public static final int EVDISK_ERROR_LUN_STREAM_DATAUNRECOVERABLE = 9144;
	/* Unrecoverable RAID read error in LUN's attribute stream.  */

	public static final int EVDISK_ERROR_LUN_TOO_LARGE = 9091;
	/* Lun is too large to be onlined in this version of Data ONTAP.  */

	public static final int EVDISK_ERROR_MUST_SPECIFY_F_FLAG = 9033;
	/* The '-f' flag is required to reduce the size of a LUN via rsh.  */

	public static final int EVDISK_ERROR_NITGROUP_INVALID_ATTR_VALUE_OS_TYPE = 9032;
	/* Invalid initiator group attribute value for ostype.  */

	public static final int EVDISK_ERROR_NODE_NOT_IN_INITGROUP = 9007;
	/* Initiator group does not contain node.  */

	public static final int EVDISK_ERROR_NOT_IMPLEMENTED = 9000;
	/* Feature not yet implemented.  */

	public static final int EVDISK_ERROR_NOT_IN_SAME_QTREE = 9018;
	/* Two paths don't belong in same qtree.  */

	public static final int EVDISK_ERROR_NOT_IN_SAME_VOLUME = 9022;
	/* Two paths don't belong in same volume.  */

	public static final int EVDISK_ERROR_NOT_IN_TRANSITIONED_VOLUME = 9162;
	/* LUN is not in a transitioned volume..  */

	public static final int EVDISK_ERROR_NOT_QTREE_ROOT = 9001;
	/* Not at a qtree root.  */

	public static final int EVDISK_ERROR_NOT_VALID_FC_WWN = 9005;
	/* Not a valid world-wide name (WWN).  */

	public static final int EVDISK_ERROR_NOT_VALID_ISCSI_NAME = 9006;
	/* Not a valid iSCSI node name.  */

	public static final int EVDISK_ERROR_NOT_VDISK_TYPE = 9002;
	/* Not a LUN.  */

	public static final int EVDISK_ERROR_NO_EXPORTED_VDISK_SHARE_WRITE = 9028;
	/* Mapped lun can't be shared for writes.  */

	public static final int EVDISK_ERROR_NO_ISCSI_THROTTLES = 9049;
	/* iSCSI initiator groups cannot be throttled.  */

	public static final int EVDISK_ERROR_NO_SUCH_ATTRIBUTE = 9011;
	/* No such attribute.  */

	public static final int EVDISK_ERROR_NO_SUCH_CLONE = 9048;
	/* LUN is not a clone.  */

	public static final int EVDISK_ERROR_NO_SUCH_DIRECTORY = 9020;
	/* Directory does not exist.  */

	public static final int EVDISK_ERROR_NO_SUCH_INITGROUP = 9003;
	/* No such initiator group exists.  */

	public static final int EVDISK_ERROR_NO_SUCH_LUNMAP = 9016;
	/* LUN is not mapped to this group.  */

	public static final int EVDISK_ERROR_NO_SUCH_SNAPSHOT = 9043;
	/* No such snapshot.  */

	public static final int EVDISK_ERROR_NO_SUCH_VDISK = 9017;
	/* No such LUN exists.  */

	public static final int EVDISK_ERROR_NO_SUCH_VOLUME = 9036;
	/* No such volume.  */

	public static final int EVDISK_ERROR_PARTNER_HAS_DIFFERENT_OS_TYPE = 9085;
	/* Partner has initiator with a different OS type.
	 * The initiator could not be added to the igroup
	 */

	public static final int EVDISK_ERROR_PARTNER_HAS_DIFFERENT_VSA_SETTING = 9086;
	/* Partner has initiator with a different VSA setting.
	 * The initiator could not be added to the igroup
	 */

	public static final int EVDISK_ERROR_PARTNER_HAS_LUN = 9072;
	/* Partner has LUN mapped at this number.  */

	public static final int EVDISK_ERROR_PARTNER_NOT_REACHABLE = 9073;
	/* Partner could not be reached to check for conflicts.  */

	public static final int EVDISK_ERROR_PARTNER_WWNN_MISMATCH_FOR_SSI = 9112;
	/* The local and partner nodenames must match when
	 * using single_image cfmode
	 */

	public static final int EVDISK_ERROR_PORTSET_ALREADY_EXIST = 9075;
	/* Port set already exist.  */

	public static final int EVDISK_ERROR_PORTSET_BOTH_INVALID_PORT_NAMES = 9111;
	/* The supplied local and partner portnames do not exist
	 * for the portset
	 */

	public static final int EVDISK_ERROR_PORTSET_CANT_CREATE_FILE = 9087;
	/* Unable to create port set file.  */

	public static final int EVDISK_ERROR_PORTSET_CANT_DESTROY_BOUND_PORTSET = 9097;
	/* Unable to destroy a portset that is bound to an igroup. Either
	 * unbind the portset or use the 'force' option
	 */

	public static final int EVDISK_ERROR_PORTSET_CANT_OPEN_FILE = 9090;
	/* Unable to open port set file.  */

	public static final int EVDISK_ERROR_PORTSET_CANT_READ_FILE = 9089;
	/* Unable to read port set file.  */

	public static final int EVDISK_ERROR_PORTSET_CANT_WRITE_FILE = 9088;
	/* Unable to write port set file.  */

	public static final int EVDISK_ERROR_PORTSET_HAS_PORT = 9076;
	/* Port already exists in port set.  */

	public static final int EVDISK_ERROR_PORTSET_IC_DOWN = 9092;
	/* Unable to see port due to interconnect being down.  */

	public static final int EVDISK_ERROR_PORTSET_INVALID_PARTNER_PORT_NAME = 9110;
	/* The supplied partner portname does not exist for the portset.  */

	public static final int EVDISK_ERROR_PORTSET_INVALID_PORT_NAME = 9077;
	/* Port name is not valid (example: filername:4a).  */

	public static final int EVDISK_ERROR_PORTSET_NOT_VALID_CFMODE = 9099;
	/* The portset operation was pervented because the FCP cfmode
	 * was not set to single_image.  Portset commands are not allowd
	 * when the filer is not in single_image FCP cfmode
	 */

	public static final int EVDISK_ERROR_PORTSET_NO_SUCH_FILER_NAME = 9084;
	/* Filer name used in port name does not exist.  */

	public static final int EVDISK_ERROR_PORTSET_NO_SUCH_PORT = 9083;
	/* Port does not exist in given port set.  */

	public static final int EVDISK_ERROR_PORTSET_NO_SUCH_SET = 9074;
	/* Port set does not exist.  */

	public static final int EVDISK_ERROR_PORTSET_THROTTLE_EXCEEDED = 9096;
	/* Operation causes lun thottles to overflow on certain ports.
	 * Adjust throttle settings on igroups before attempting action again
	 */

	public static final int EVDISK_ERROR_PORTSET_TOO_FEW_PORTS = 9129;
	/* Port set commands not allowed on filers with less than 2 ports.  */

	public static final int EVDISK_ERROR_PORTSET_TOO_MANY_PORTS = 9078;
	/* Port set already has maximum ports allowed.  */

	public static final int EVDISK_ERROR_PORTSET_WRONG_TYPE = 9079;
	/* Port set types must be fcp or iscsi.  */

	public static final int EVDISK_ERROR_PREFIX_SUFFIX_SIZE_MISMATCH = 9121;
	/* The lun's prefix size was zero, but the suffix size was not.
	 * This configuration is not supported by the target layer
	 */

	public static final int EVDISK_ERROR_QTREE_CLEANUP_FAILED = 9120;
	/* One or more luns associated with the given qtree in the
	 * temporary staging area could not destroyed
	 */

	public static final int EVDISK_ERROR_QTREE_PRESERVE_FAILED = 9118;
	/* One or more luns in the specified qtree could not be preserved
	 * successfully. Make sure that the qtree meets all the requirements
	 * for a non-disruptive restore and retry, or proceed with a
	 * disruptive restore
	 */

	public static final int EVDISK_ERROR_QTREE_RESTORE_FAILED = 9119;
	/* One or more luns in the specified qtree could not be restored
	 * from the staging area successfully. Make sure that the qtree
	 * meets all the requirements for a non-disruptive restore and
	 * retry, or proceed with a disruptive restore
	 */

	public static final int EVDISK_ERROR_RESIZE_FIXES_NOT_GEOM_ALIGNED = 9055;
	/* Prefix/Suffix resize failed because total size was not
	 * aligned on a cylinder boundary
	 */

	public static final int EVDISK_ERROR_RESIZE_IMGAG_TYPE_LUN_FIXES = 9057;
	/* Prefix/Suffix resize is not allowed on luns of type 'image'.  */

	public static final int EVDISK_ERROR_RESIZE_TOO_LARGE = 9035;
	/* New size exceeds this LUN's initial geometry.  */

	public static final int EVDISK_ERROR_RESIZE_VLD_TYPE_LUN_FIXES = 9056;
	/* Prefix/Suffix resize is not allowed on luns of type 'vld'.  */

	public static final int EVDISK_ERROR_RESTORE_INACCESSIBLE = 9156;
	/* The lun is inaccessible for I/O and management due to a
	 * restore operation.
	 */

	public static final int EVDISK_ERROR_RESTORE_WALKOVER_EACHOTHER = 9060;
	/* Another restore is running for the same LUN.  */

	public static final int EVDISK_ERROR_SIZE_TOO_LARGE = 9034;
	/* Requested LUN size is too large.  */

	public static final int EVDISK_ERROR_SIZE_TOO_SMALL = 9041;
	/* Requested LUN size is too small.  */

	public static final int EVDISK_ERROR_SIZE_UNCHANGED = 9042;
	/* New LUN size is the same as the old LUN size.  */

	public static final int EVDISK_ERROR_SNAPSHOT_FILE_NOT_VDISK = 9031;
	/* Snapshot file is not a LUN.  */

	public static final int EVDISK_ERROR_SNAPVALIDATOR_ERROR = 9071;
	/* Write failed a SnapValidator check.  */

	public static final int EVDISK_ERROR_SOURCE_IS_VDISK = 9019;
	/* Source path is a LUN.  */

	public static final int EVDISK_ERROR_SOURCE_IS_VMALIGNED = 9155;
	/* Source path is a vm-aligned file.  */

	public static final int EVDISK_ERROR_THROTTLE_BEING_DELETED = 9047;
	/* Throttle already being destroyed.  */

	public static final int EVDISK_ERROR_THROTTLE_TOO_MUHC = 9046;
	/* Throttle reserve exceeds available resources.  */

	public static final int EVDISK_ERROR_TOO_MANY_LUNS = 9158;
	/* Number of LUNs per volume exceeds maximum of 4096.  */

	public static final int EVDISK_ERROR_UNSUPPORTED_INPUT = 9160;
	/* The LUN and the file must be in the same qtree.
	 * The file must be in the root of the volume, or in a qtree or regular
	 * directory in the root of the volume, or in a regular directory
	 * in a qtree.
	 */

	public static final int EVDISK_ERROR_USER_ABORT_ACTION = 9037;
	/* User aborted action.  */

	public static final int EVDISK_ERROR_USE_PARTNER_NOT_APPLICABLE = 9059;
	/* Setting 'use_partner' can only be done with FCP igroups on
	 * clustered filers
	 */

	public static final int EVDISK_ERROR_VDISK_EXISTS = 9012;
	/* A LUN exists at the path.  */

	public static final int EVDISK_ERROR_VDISK_EXPORTED = 9013;
	/* LUN is currently mapped.  */

	public static final int EVDISK_ERROR_VDISK_NOT_DISABLED = 9015;
	/* LUN is not currently offline.  */

	public static final int EVDISK_ERROR_VDISK_NOT_ENABLED = 9014;
	/* LUN is not currently online.  */

	public static final int EVDISK_ERROR_VDISK_NOT_STOPPED = 9146;
	/* LUN is not currently stopped.  */

	public static final int EVDISK_ERROR_VIRTUAL_LUN_MAPPING_CONFLICT = 9140;
	/* You cannot add the node to an initiator group if the node is
	 * already present in another initiator group and both
	 * initiator groups share a LUN ID
	 */

	public static final int EVDISK_ERROR_VOLUMES_ONLINING = 9134;
	/* Volumes are in the process of onlining.  */

	public static final int EVDISK_ERROR_VOLUME_NOT_SPACE_RESERVED = 9030;
	/* Space reservation not enabled for volume.  */

	public static final int EVDISK_ERROR_VOLUME_SPARSE = 9061;
	/* LUN create is not supported on this sparse volume.  */

	public static final int EVDISK_ERROR_VOLUME_TRANSITIONING = 9161;
	/* Operation not allowed on a volume that is transitioning..  */

	public static final int EVDISK_ERROR_VOLUME_UNPROCESSED = 9152;
	/* Operation is not allowed because of incomplete processing due
	 * to an error for a previous data management operation on the
	 * containing volume
	 */

	public static final int EVDISK_ERROR_WWPN_ALIASES_NOT_SET = 9115;
	/* No WWPN Aliases were set.  */

	public static final int EVDISK_ERROR_WWPN_ALIASES_TOO_MANY = 9116;
	/* You may set upto 1024 WWPN Aliases and you already have
	 * 1024 aliases set
	 */

	public static final int EVDISK_ERROR_WWPN_ALIAS_ALREADY_SET = 9133;
	/* The alias already exists. Use 'force' to over-write
	 * WWPN
	 */

	public static final int EVDISK_ERROR_WWPN_ALIAS_INVALID = 9117;
	/* The supplied WWPN Alias is not valid. You may have upto
	 * 1024 aliases that are 32-characters long and may include
	 * A-Z, a-z, 0-9, _,-,.,{,} and no spaces
	 */

	public static final int EVDISK_ERROR_WWPN_ALIAS_NOT_FOUND = 9114;
	/* The supplied WWPN Alias was not found.  */

	public static final int EVDISK_ERROR_WWPN_ALIAS_REMOVE_INVALID_NUM_ARGS = 9131;
	/* Either the alias or the wwpn must be supplied;
	 * both may not be used together either
	 */

	public static final int EVDISK_ERROR_WWPN_NOT_FOUND = 9130;
	/* The supplied portname (WWPN) was not found.  */

	public static final int EVERSIONMISMATCH = 13910;
	/* Takeover is not possible due to a partner file system or other version mismatch.  */

	public static final int EVERSION_EXISTS = 15703;
	/* Version already exists, invalid version.  */

	public static final int EVERSION_INVALIDRANGE = 15702;
	/* Version is out of range.  */

	public static final int EVFILERMONITORNOTSTARTED = 16018;
	/* Vfiler migration performance monitor not running.  */

	public static final int EVFILERNOTFOUND = 13071;
	/* The vfiler was not found.  */

	public static final int EVFILEROPNOTALLOWED = 13070;
	/* The operation is not permitted on the specified vfiler.  */

	public static final int EVFILEROPNOTCOMPLETED = 13072;
	/* This vfiler operation was not completed.  */

	public static final int EVLANEXISTS = 1013;
	/* The given Vlan interface name has already configured.  */

	public static final int EVOL7MSNAPSHOT = 18236;
	/* FlexClone operations are not allowed on a Snapshot copy of a
	 * 7-Mode volume that has been subsequently transitioned to a
	 * cluster volume.
	 */

	public static final int EVOLAGGRISIRONING = 14468;
	/* Containing aggregate is being wafl ironed.  */

	public static final int EVOLCOPY_UNSUPPORTED = 18444;
	/* Volume Copy Operation is unsupported starting Data ONTAP 8.3.  */

	public static final int EVOLEXISTS = 17159;
	/* Volume exists.  */

	public static final int EVOLISGRIDIRONING = 14473;
	/* Volume is running gridiron.  */

	public static final int EVOLKIREETISCANNING = 18415;
	/* Volume metadata scan in progress.  */

	public static final int EVOLMOVEJOBNOTINCUTOVERDEFERRED = 16021;
	/* Cutover could not be triggered, as the Volume Move job is not in the Cutover Deferred State.
	 * Please try again later, when the job is in Cutover Deferred State
	 */

	public static final int EVOLMOVEJOBSIGNALSENDFAILED = 16022;
	/* No signal could be sent to the Volume Move Operation.  */

	public static final int EVOLMOVE_AGENT_IS_INITIALIZING = 13631;
	/* The volume move agent is initializing. Retry in a few minutes.  */

	public static final int EVOLMOVE_ANOTHER_CUTOVER_INPROG = 18359;
	/* Cannot start cutover because there is another volume move
	 * operation in cutover at this time
	 */

	public static final int EVOLMOVE_CANNOT_MOVE_FROM_CFO_AGGR_IN_TAKEOVER = 18381;
	/* Volume Move is not supported for aggregate in takeover with CFO
	 * HA policy
	 */

	public static final int EVOLMOVE_CANNOT_MOVE_TO_CFO = 13633;
	/* Moving a volume to CFO aggregate is not permitted..  */

	public static final int EVOLMOVE_CUTOVER_IN_PROGRESS = 18173;
	/* Volume Move cutover is in progress.  */

	public static final int EVOLMOVE_DEST_NOT_COMMIT_CUTOVER_READY = 18373;
	/* The destination node cannot complete volume move cutover.  */

	public static final int EVOLMOVE_LMGR_IN_GRACE = 18361;
	/* NFS locks are being reclaimed after storage migration. .  */

	public static final int EVOLMOVE_LOCKED_FOR_SNAPMIRROR = 13632;
	/* The volume is involved in a SnapMirror operation and cannot be moved until the SnapMirror operation is complete. Wait for the SnapMirror operation to finish or abort the SnapMirror operation by issuing a \\\"snapmirror abort -hard true\\\" command..  */

	public static final int EVOLMOVE_LOCKS_CHANGED = 18382;
	/* Lock manager session cleanup is in progress.  */

	public static final int EVOLMOVE_NDMP_DUMPS_RUNNING = 13627;
	/* Dumps running on the volume being moved.  */

	public static final int EVOLMOVE_NDMP_NOT_READY_FOR_LOCKDOWN = 18197;
	/* NDMP is not ready for move lockdown..  */

	public static final int EVOLMOVE_NDMP_RESTORE_RUNNING = 13628;
	/* Restore running on the volume being moved.  */

	public static final int EVOLMOVE_NDOLITE_CLEANUP_IN_PROGRESS = 18395;
	/* Lock manager reconnect cleanup mirroring is in progress.  */

	public static final int EVOLMOVE_NDOLITE_REMIRROR_IN_PROGRESS = 18396;
	/* Lock synchronization with partner node is in progress.  */

	public static final int EVOLMOVE_NDOLITE_RESYNC_INPROG = 18379;
	/* Lock resynchronization is in progress.  */

	public static final int EVOLMOVE_REBOOT_IN_PROGRESS = 18374;
	/* Node is rebooting.  */

	public static final int EVOLMOVE_SIS_UNDO_RUNNING = 13629;
	/* Efficiency undo is running on the volume being moved.  */

	public static final int EVOLMOVE_SMTAPE_BACKUP_RUNNING = 13634;
	/* SMTape backup running on the volume being moved.  */

	public static final int EVOLMOVE_SMTAPE_RESTORE_RUNNING = 13635;
	/* SMTape restore running on the volume being moved.  */

	public static final int EVOLMOVE_SRC_NO_LONGER_DP = 19007;
	/* The volume was part of a SnapMirror relationship when volume move was started, but the relationship no longer exists..  */

	public static final int EVOLMOVE_WAFL_ERR = 13630;
	/* Volume move had a file system error.  */

	public static final int EVOLNOTCLONE = 13170;
	/* Volume is not a clone.  */

	public static final int EVOLOPNOTUNDERWAY = 13171;
	/* Operation is not in progress.  */

	public static final int EVOLUMEBUSY = 13158;
	/* Volume busy.  */

	public static final int EVOLUMECIFSTERMINATE = 13159;
	/* CIFS terminate failed.  */

	public static final int EVOLUMECOMPRESSED = 14515;
	/* The volume has compression enabled.  */

	public static final int EVOLUMECREATING = 13160;
	/* The volume is in the process of being created.  */

	public static final int EVOLUMEDISKDUP = 13048;
	/* Duplicate disks.  */

	public static final int EVOLUMEDISKSIZEINVALID = 13047;
	/* Volume disk size invalid.  */

	public static final int EVOLUMEDOESNOTEXIST = 13040;
	/* The volume does not exist for the operation.  */

	public static final int EVOLUMEGSMINVALID = 14512;
	/* Group selection mode is not valid.  */

	public static final int EVOLUMEINUSE = 13156;
	/* Volume in use.  */

	public static final int EVOLUMELANGUAGEINVALID = 13046;
	/* Volume language code invalid.  */

	public static final int EVOLUMEMOUNTING = 13041;
	/* The volume is in the process of mounting.  */

	public static final int EVOLUMENAMEINVALID = 13044;
	/* The volume name is invalid.  */

	public static final int EVOLUMENOTDECOMPRESSING = 14516;
	/* The volume is not decompressing.  */

	public static final int EVOLUMENOTLOCAL = 16600;
	/* Volume does not belong to local cluster.  */

	public static final int EVOLUMENOTONLINE = 13157;
	/* Volume not online.  */

	public static final int EVOLUMEOFFLINE = 13042;
	/* The volume or plex is offline.  */

	public static final int EVOLUMEPLEXINVALID = 13155;
	/* Invalid Plex name.  */

	public static final int EVOLUMEQUIESCED = 13039;
	/* The volume is quiesced.  */

	public static final int EVOLUMEREADONLY = 13043;
	/* The volume is readonly.  */

	public static final int EVOLUMERGINVALID = 13049;
	/* Raid group name invalid.  */

	public static final int EVOLUMERGSIZEINVALID = 13045;
	/* Raid group size out of range.  */

	public static final int EVOLUMESNAPRESTOREERROR = 13038;
	/* Volume snap restore error.  */

	public static final int EVOLUMES_WITH_DIFF_STRIPES = 17140;
	/* No check is in progress.  */

	public static final int EVOLUME_64BIT_UPGRADE_DISALLOWED = 15865;
	/* The 64bit upgrade operation is not allowed because another
	 * aggregate or volume is currently being upgraded
	 */

	public static final int EVOLUME_64BIT_UPGRADE_ESTIMATE_IN_PROGRESS = 15869;
	/* The space estimation for 64bit upgrade is in progress.  */

	public static final int EVOLUME_64BIT_UPGRADE_KIREETI_NOT_AVAIL = 15867;
	/* The kireeti file is being rebuilt and the space estimate
	 * cannot be started. User needs to retry at a later time
	 */

	public static final int EVOLUME_64BIT_UPGRADE_MODE_INVALID = 15856;
	/* The 64-bit upgrade mode is invalid.  */

	public static final int EVOLUME_64BIT_UPGRADE_PREQUAL_NOT_AVAIL = 15868;
	/* The space computation required to calculate the additional
	 * space to upgrade space reserved files is not yet available.
	 * User needs to retry at a later time
	 */

	public static final int EVOLUME_64BIT_UPGRADE_VVOL_ENOSPC = 15861;
	/* One or more volumes are not large enough to support
	 * 64-bit upgrade
	 */

	public static final int EVOLUME_64BIT_UPGRADE_VVOL_ENOSPC_OVERWRITE = 18026;
	/* One or more volumes are not large enough to support
	 * 64-bit upgrade due to space reserved files.
	 * For more information, see Bug ID: 477524
	 */

	public static final int EVOLUME_ADMINOP_NOT_FENCED = 13957;
	/* Administration operations have not been fenced on this volume.  */

	public static final int EVOLUME_ALREADY_64BIT = 15864;
	/* The volume is already in 64-bit format.  */

	public static final int EVOLUME_ALREADY_QUIESCED_CLEAR = 13067;
	/* Volume already has on-disk quiesced flag cleared.  */

	public static final int EVOLUME_ALREADY_QUIESCED_SET = 13066;
	/* Volume already has on-disk quiesced flag set.  */

	public static final int EVOLUME_CANT_OBTAIN_VOLREF = 15866;
	/* Volume does not exist or is offline.  */

	public static final int EVOLUME_CLEAR_QUIESCE = 13065;
	/* Volume's in-core quiesce flag is not cleared; the
	 * on-disk quiesce flag must be cleared first
	 */

	public static final int EVOLUME_DEST_STRIPED_VOL_NAME_NOT_ALLOWED = 16502;
	/* The Volume name is not allowed for coral member volume.  */

	public static final int EVOLUME_FLEX_TO_STRIPED_NOT_ALLOWED = 16503;
	/* Volume Copy from Flex to Acro/Coral aggregate is not allowed.  */

	public static final int EVOLUME_FS_SIZE_FIXED = 18022;
	/* Volume has file system size fixed option set.  */

	public static final int EVOLUME_HAS_VFILER_STORAGE = 14469;
	/* Volume has non-default vfiler storage on it.  */

	public static final int EVOLUME_IRON_NON_LOCAL_STATUS = 18024;
	/* Wafliron running in another aggregate has status files kept in
	 * this volume
	 */

	public static final int EVOLUME_MOVE_CLEANING = 18198;
	/* Volume move job cleaning up due to failure.  */

	public static final int EVOLUME_MOVE_COMPLETED = 18120;
	/* Volume move job completed.  */

	public static final int EVOLUME_MOVE_IN_PROGRESS = 18327;
	/* Volume move in progress.  */

	public static final int EVOLUME_NOT_BOOLEAN_VALUE = 14471;
	/* Volume option is not boolean value.  */

	public static final int EVOLUME_NOT_QUIESCED = 13064;
	/* Volume is not quiesced.  */

	public static final int EVOLUME_NOT_QUIESCED_CANT_CREATE_SNAPSHOT = 13185;
	/* Volume quiesce operation failed because snapshot create failed.  */

	public static final int EVOLUME_NOT_QUIESCED_CANT_CREATE_SNAPSHOT_NO_SPACE = 13186;
	/* Volume quiesce failed with not enough space to create snapshot.  */

	public static final int EVOLUME_NOT_QUIESCED_CB_TIMEOUT = 14465;
	/* Volume not quiesced because there are pending callbacks.  */

	public static final int EVOLUME_NOT_QUIESCED_CLONE_FROM_SNAPSHOT_EXISTS = 13184;
	/* Volume quiesce failed due to outstanding clone split
	 * operations
	 */

	public static final int EVOLUME_NOT_QUIESCED_CP_SYNC_TIMEDOUT = 13179;
	/* Volume quiesce operation failed because writing to the disk
	 * exceeded the allotted time
	 */

	public static final int EVOLUME_NOT_QUIESCED_FOR_CORAL = 14467;
	/* Volume not quiesced for a striped volume.  */

	public static final int EVOLUME_NOT_QUIESCED_GOING_HOME = 14464;
	/* Volume not quiesced because it is in takeover state.  */

	public static final int EVOLUME_NOT_QUIESCED_IRONING = 14463;
	/* Volume not quiesced because wafl iron is running.  */

	public static final int EVOLUME_NOT_QUIESCED_MISSING_PARAMS = 13172;
	/* Volume quiesce operation cannot start due to missing parameters.  */

	public static final int EVOLUME_NOT_QUIESCED_MISSING_REF_SNAP = 18199;
	/* Volume not quiesced because there are no snapshots found..  */

	public static final int EVOLUME_NOT_QUIESCED_NOMORE_SNAPSHOTS = 13173;
	/* Volume quiesce operation failed because no more snapshots can
	 * be created
	 */

	public static final int EVOLUME_NOT_QUIESCED_NOT_DRAIN = 14466;
	/* Volume not quiesced because there are pending messages.  */

	public static final int EVOLUME_NOT_QUIESCED_NOT_FLEX = 14462;
	/* Volume not quiesced because it's not a flex volume.  */

	public static final int EVOLUME_NOT_QUIESCED_NOT_MOUNTED = 14460;
	/* Volume not quiesced because it's not mounted.  */

	public static final int EVOLUME_NOT_QUIESCED_PENDING_MSGS = 13178;
	/* Volume quiesce failed because there are outstanding file system
	 * requests on the volume
	 */

	public static final int EVOLUME_NOT_QUIESCED_PENDING_SNAPSHOT_OPS = 13187;
	/* Volume quiesce operation failed because there are outstanding snapshot
	 * operations
	 */

	public static final int EVOLUME_NOT_QUIESCED_PENDING_VOL_REFS = 13176;
	/* Volume quiesce failed because there are outstanding volume
	 * references
	 */

	public static final int EVOLUME_NOT_QUIESCED_RELOCATING = 14459;
	/* Volume not quiesced because aggregate relocation is running..  */

	public static final int EVOLUME_NOT_QUIESCED_ROOT_VOLUME = 14461;
	/* Volume not quiesced because it's a root volume.  */

	public static final int EVOLUME_NOT_QUIESCED_SAN_NOTIFICATION_TIMEOUT = 14475;
	/* Volume not quiesced because SAN notification exceeded the
	 * alloted time
	 */

	public static final int EVOLUME_NOT_QUIESCED_SNAPSHOT_EXISTS = 13180;
	/* Volume quiesce operation failed because the provided
	 * snapshot already exists
	 */

	public static final int EVOLUME_NOT_QUIESCED_SNAP_CREATE_BUSY = 13174;
	/* Volume quiesce operation failed because the snapshot create
	 * operation is busy
	 */

	public static final int EVOLUME_NOT_QUIESCED_SNAP_CREATE_TIMEDOUT = 13183;
	/* Volume quiesce operation failed to create the final snapshot
	 * within the allotted time
	 */

	public static final int EVOLUME_NOT_QUIESCED_SNAP_SCHED_ABORT_TIMEDOUT = 13181;
	/* Volume quiesce operation failed because the process of
	 * clearing the snapshot schedule exceeded the allotted time
	 */

	public static final int EVOLUME_NOT_QUIESCED_TIMEDOUT = 13175;
	/* Volume quiesce failed because the operation exceeded the
	 * allotted time
	 */

	public static final int EVOLUME_NOT_QUIESCED_ZOMBIE_DRAIN_TIMEDOUT = 13182;
	/* Volume quiesce failed because the zombie drain
	 * operation exceeded the allotted time
	 */

	public static final int EVOLUME_NOT_QUIESECED_PENDING_SNAP_REFS = 13177;
	/* Volume quiesce failed because there are outstanding snapshot
	 * references
	 */

	public static final int EVOLUME_OP_NOT_SUPPORTED_BY_OWNER = 15681;
	/* Volume operation is unsupported by the owning vfiler/vserver.  */

	public static final int EVOLUME_QUIESCING = 14470;
	/* Volume is quiescing.  */

	public static final int EVOLUME_RELSTATUS_UNKNOWN = 16601;
	/* SnapMirror relationship is unknown for volume.  */

	public static final int EVOLUME_TYPE_NOT_SUPPORTED = 14472;
	/* Volume type is not supported for requested operation.  */

	public static final int EVOLUME_UNSUPPORTED_OPTION_VMALIGN = 18025;
	/* The volume has the vm-align option set on it. This version of
	 * Data ONTAP does not support this option. Install a version of
	 * Data ONTAP that supports the vm-align option
	 */

	public static final int EVOL_ALREADY_MOUNTED = 14713;
	/* Volume is already mounted.  */

	public static final int EVOL_BAD_MODE_BITS = 15607;
	/* The mode bits that represent whether this volume is a
	 * 7-mode volume or a cluster-mode volume are inconsistent
	 */

	public static final int EVOL_BAD_VVLABEL_CKSUM = 15600;
	/* Volume descriptor has invalid checksum.  */

	public static final int EVOL_BAD_VVLABEL_MAGIC = 15601;
	/* Volume descriptor has invalid magic number.  */

	public static final int EVOL_BAD_VVLABEL_UUID = 15602;
	/* Volume descriptor has invalid UUID.  */

	public static final int EVOL_BAD_VVLABEL_VERSION = 15603;
	/* Volume descriptor has invalid RAID version.  */

	public static final int EVOL_CIFS_ENABLED = 13075;
	/* CIFS services are enabled on this volume causing the operation
	 * to fail
	 */

	public static final int EVOL_CIFS_OPENS = 13068;
	/* CIFS open files prevent operation.  */

	public static final int EVOL_CLONE_BEING_SPLIT = 17151;
	/* Cloned volume is currently being split.  */

	public static final int EVOL_FAILED_TO_ONLINE = 15604;
	/* Volume has failed and cannot be brought online.  */

	public static final int EVOL_FRACTIONAL_RESERVE_INVALID_FOR_IRON_ROOT = 15911;
	/* Invalid fractional reserve value for root volume being ironed.  */

	public static final int EVOL_FRACTIONAL_RESERVE_INVALID_FOR_PENDING_ROOT = 15910;
	/* Invalid fractional reserve value for pending root volume.  */

	public static final int EVOL_FRACTIONAL_RESERVE_INVALID_FOR_ROOT = 15909;
	/* Invalid fractional reserve value for root volume.  */

	public static final int EVOL_HAS_DISABLED_SPACE_GUARANTEE = 15913;
	/* Operation disallowed on volume with space guarantees disabled..  */

	public static final int EVOL_HAS_REPLICA = 15852;
	/* Volume has SnapMirror destination.  */

	public static final int EVOL_INCOMPLETE = 15605;
	/* Volume was left in an inconsistent state by an aborted
	 * copy or an aborted snapmirror initial (level 0) transfer.
	 * In order to bring it online, you must either destroy
	 * and recreate the volume, or complete an initial
	 * snapmirror transfer or copy
	 */

	public static final int EVOL_INVALID_FSINFO = 13069;
	/* Volume has invalid fsinfo blocks.  */

	public static final int EVOL_IN_NVFAILED_STATE = 14957;
	/* The volume is in nvfailed state.  */

	public static final int EVOL_IS_SNAPMIRROR_DEST = 18438;
	/* Volume is destination of a SnapMirror relationship..  */

	public static final int EVOL_IS_SNAPMIRROR_SOURCE = 18436;
	/* Volume is source of a SnapMirror relationship..  */

	public static final int EVOL_IS_SNAPMIRROR_SOURCE_DEST = 18437;
	/* Volume is the source or destination of one or more
	 * SnapMirror relationships.
	 */

	public static final int EVOL_LOCKED_SNAPSHOTS = 17154;
	/* Volume has locked snapshots.  */

	public static final int EVOL_MANIFEST_NOT_AVAILABLE = 15705;
	/* Volume manifest is not available.  */

	public static final int EVOL_MANIFEST_QUERY_NOT_DEFINITIVE = 15706;
	/* Volume manifest query cannot be answered definitively at this time.  */

	public static final int EVOL_MAX_CLONE_DEPTH_REACHED = 18230;
	/* Maximum clone hierarchy depth reached.  */

	public static final int EVOL_MIRROR_TYPE_INVALID = 15606;
	/* Volume is a replica with invalid or non-existant mirror
	 * type information
	 */

	public static final int EVOL_MOUNT_FAILED = 14714;
	/* Volume mount operation failed.  */

	public static final int EVOL_MOVING_PARENT_VOL_RETRY = 17152;
	/* Parent volume is moving, operation should be retried.  */

	public static final int EVOL_NFS_ENABLED = 14936;
	/* NFS services are enabled on this volume causing the operation
	 * to fail
	 */

	public static final int EVOL_NOT_IRON_RESTRICTED = 15850;
	/* The aggregate is not in iron_restricted state.  */

	public static final int EVOL_NOT_MOUNTED = 14716;
	/* Volume is not mounted.  */

	public static final int EVOL_NOT_OFFLINE = 13058;
	/* The volume or plex is not online.  */

	public static final int EVOL_NOT_RESTRICTED = 13059;
	/* The volume or plex is not restricted.  */

	public static final int EVOL_NO_NVFAIL_SPARSE = 18352;
	/* Nvfail option cannot be set on a FlexCache volume.  */

	public static final int EVOL_ONLINE = 13060;
	/* The volume or plex is online.  */

	public static final int EVOL_ONLINE_ERROR = 13168;
	/* Unable to online the volume.  */

	public static final int EVOL_PARTIAL = 13169;
	/* Volume is partial or cannot be assimilated, and cannot be
	 * brought online
	 */

	public static final int EVOL_RESTRICTED = 13061;
	/* The volume or plex is restricted.  */

	public static final int EVOL_SCAN_INIT_FAILED = 17155;
	/* Volume scanner could not be initialized.  */

	public static final int EVOL_SPACE_FOR_GUARANTEE = 13062;
	/* Insufficient space to enforce guarantee.  */

	public static final int EVOL_TOO_MANY = 13063;
	/* Maximum number of volumes reached for this node.  */

	public static final int EVOL_TRANS_BLOCKING_FEATURES = 15707;
	/* Encountered features that block a volume from transitioning.  */

	public static final int EVOL_UNABLE_TO_SET_UP_SNAPSHOT_XLATE_TABLE = 15709;
	/* Cannot update the volume's snapshot translation table.  */

	public static final int EVOL_UNKNOWN_VERSION = 13074;
	/* This version of Data ONTAP does not recognize the
	 * filesystem version of this volume. This volume is
	 * probably from a later version of the software and
	 * is being left offline
	 */

	public static final int EVOL_UNMOUNT_FAILED = 14717;
	/* Volume unmount operation failed.  */

	public static final int EVSAPLATFORMNOTSUPPORTED = 19060;
	/* This API is unsupported on this platform..  */

	public static final int EVSAVMINFOACCESSERROR = 19061;
	/* The request to retrieve virtual machine information failed..  */

	public static final int EVSERVERALREADYSTARTED = 14923;
	/* Vserver already started.  */

	public static final int EVSERVERDR_ADDITIONAL_VOLUMES_ON_DST = 18819;
	/* Destination Vserver has additional volumes which are not present on the source..  */

	public static final int EVSERVERDR_ANOTHER_SRC_IN_RELATION = 19031;
	/* Another Vserver on the source cluster is in relationship with the destination Vserver..  */

	public static final int EVSERVERDR_BREAK_INCOMPLETE = 19033;
	/* Cannot perform this operation as a previous snapmirror break operation was not complete.Run "snapmirror break" command once again..  */

	public static final int EVSERVERDR_CANNOT_FIND_RELATIONSHIP = 18801;
	/* Cannot find the Vserver DR relationship..  */

	public static final int EVSERVERDR_CANNOT_PERFORM_OP_IN_THIS_STATE = 18816;
	/* Cannot perform this operation in this mirror state..  */

	public static final int EVSERVERDR_CANNOT_PERFORM_OP_IN_THIS_STATUS = 18815;
	/* Cannot perform this operation in this mirror status..  */

	public static final int EVSERVERDR_CAPABILITY_NOT_ENABLED = 18834;
	/* Vserver DR capability is enabled on the local cluster..  */

	public static final int EVSERVERDR_CAPABILITY_NOT_ENABLED_ON_SRC = 18835;
	/* Vserver DR capability is enabled on the source cluster..  */

	public static final int EVSERVERDR_CLUSTER_LOOKUP_FAILED = 18829;
	/* Failed to get information for the cluster..  */

	public static final int EVSERVERDR_DP_DESTINATION_NOT_SUPPORTED = 19063;
	/* Vservers of subtype dp-destination cannot be created in a cluster with an effective cluster version of 8.3.0..  */

	public static final int EVSERVERDR_DR_RELATION_ALREADY_EXIST = 18808;
	/* Relationship with destination Vserver already exists..  */

	public static final int EVSERVERDR_DST_DESTINATION_OF_DR_RELATION = 18810;
	/* Destination Vserver is already destination of a Vserver SnapMirror relationship..  */

	public static final int EVSERVERDR_DST_DESTINATION_OF_VSM_RELATION = 18812;
	/* Destination Vserver hosts destination of a volume level SnapMirror relationship..  */

	public static final int EVSERVERDR_DST_IS_NOT_LOCAL = 18804;
	/* Destination Vserver must be on the local cluster..  */

	public static final int EVSERVERDR_DST_VSERVER_LOCAL = 18807;
	/* Cannot perform this operation when destination Vserver exists on local cluster..  */

	public static final int EVSERVERDR_GET_OPTIMUM_NODE_FAILED = 18822;
	/* Failed to get UUID of the optimum node..  */

	public static final int EVSERVERDR_INCORRECT_SUBTYPE_DST = 18813;
	/* Incorrect subtype for destination Vserver..  */

	public static final int EVSERVERDR_INCORRECT_SUBTYPE_SRC = 18814;
	/* Incorrect subtype for source Vserver..  */

	public static final int EVSERVERDR_LS_SRC_IN_DST = 19025;
	/* Destination Vserver cannot have volume which is source of a load-sharing relationship..  */

	public static final int EVSERVERDR_MIRROR_STATUS_DELETING = 18817;
	/* Cannot perform this operation as the Vserver SnapMirror relationship is being deleted..  */

	public static final int EVSERVERDR_NODE_LOOKUP_FAILED = 18828;
	/* Failed to get information for the node..  */

	public static final int EVSERVERDR_NO_SM_IN_MCC = 18818;
	/* Cannot create Vserver level SnapMirror relationship in a MetroCluster configuration..  */

	public static final int EVSERVERDR_ONLY_DP_TYPE_ALLOWED = 18832;
	/* Vserver level snapmirror supports only DP type relationships..  */

	public static final int EVSERVERDR_POLICY_LOOKUP_FAILED = 18825;
	/* Failed to get information for SnapMirror policy..  */

	public static final int EVSERVERDR_QUEUEING_TO_PROCESS_FAILED = 18830;
	/* Failed to queue the operation..  */

	public static final int EVSERVERDR_RELATIONSHIP_MODIFY_FAILED = 18823;
	/* Failed to modify the relationship..  */

	public static final int EVSERVERDR_REVERSE_TRANSFER_OPERATION = 18821;
	/* Cannot complete the resync operation on the destination Vserver as there is a transfer happening in the reverse direction..  */

	public static final int EVSERVERDR_SNAPNAME_GEN_FAILED = 18824;
	/* Failed to generate snapshot name..  */

	public static final int EVSERVERDR_SRC_DESTINATION_OF_DR_RELATION = 18809;
	/* Source Vserver is destination of another Vserver SnapMirror relationship..  */

	public static final int EVSERVERDR_SRC_DESTINATION_OF_VSM_RELATION = 18811;
	/* Source Vserver hosts destination of a volume level SnapMirror relationship..  */

	public static final int EVSERVERDR_SRC_IS_NOT_LOCAL = 18803;
	/* Source Vserver must be on the local cluster..  */

	public static final int EVSERVERDR_SRC_SRC_OF_DR_RELATION = 18833;
	/* Source Vserver is source of another Vserver SnapMirror relationship..  */

	public static final int EVSERVERDR_SRC_VSERVER_LOCAL = 18806;
	/* Cannot perform this operation when source Vserver exists on local cluster..  */

	public static final int EVSERVERDR_VOLUME_NAME_MISMATCH = 18820;
	/* Destination Vserver has a volume with name clashing with a volume on source..  */

	public static final int EVSERVERDR_VOLUME_VSERVER_REL_NOT_ALLOWED = 18831;
	/* SnapMirror relationship cannot exist between a Volume and Vserver..  */

	public static final int EVSERVERDR_VSERVER_MODIFY_FAILED = 18826;
	/* Failed to modify the Vserver..  */

	public static final int EVSERVERDR_VSERVER_NOT_INITIALIZED = 18827;
	/* Destination Vserver is not initialized..  */

	public static final int EVSERVERDR_VSM_LOOKUP_FAILED = 19026;
	/* Failed to get information about snapmirror relationship of volumes..  */

	public static final int EVSERVERDR_VSR_INFO_GET_FAILED = 18805;
	/* Failed to get information for Vserver..  */

	public static final int EVSERVERDR_VS_SM_NOT_ALLOWED_IN_VSERVER = 18802;
	/* Vserver level SnapMirror operations are not allowed..  */

	public static final int EVSERVERNAMEEXISTS = 14922;
	/* Specified vserver already exists.  */

	public static final int EVSERVERNOTFOUND = 15698;
	/* Specified Vserver not found.  */

	public static final int EVSERVERNOTOPERATIONAL = 19015;
	/* Vserver is not Operational..  */

	public static final int EVSERVERNOTRUNNING = 14924;
	/* Vserver is not running.  */

	public static final int EVSERVERPEER_CANNOT_SPECIFY_SYNC_DEST_VSERVER = 18194;
	/* Using a "sync-destination" Vserver in intracluster Vserver peering
	 * relationship is not supported.
	 */

	public static final int EVSERVERPEER_SYSTEM_MANAGED_APPLICATION_NOT_ALLOWED = 18189;
	/* Cannot specify "metrocluster" as an application because it is only managed by the system..  */

	public static final int EVSERVER_ALREADY_LOCKED = 18185;
	/* Vserver configuration is already locked..  */

	public static final int EVSERVER_ALREADY_RESTRICTED = 18184;
	/* Vserver is already restricted.  */

	public static final int EVSERVER_ALREADY_UNLOCKED = 18186;
	/* Vserver configuration is already unlocked..  */

	public static final int EVSERVER_CANNOT_BELONG_TO_IPSPACE = 19043;
	/* Vserver cannot belong to ipspace..  */

	public static final int EVSERVER_CANNOT_DELETE_SYNC_DESTINATION_IN_INITIALIZING_STATE = 19046;
	/* This operation is not permitted on a sync-destination Vserver which is in the initializing state..  */

	public static final int EVSERVER_CANT_END_WITH_MC = 19040;
	/* Invalid Vserver name. Vserver names ending with "mc" are reserved for Vservers created by the system for MetroCluster operations..  */

	public static final int EVSERVER_CANT_LOOKUP_AD_ACCOUNT = 18940;
	/* Cannot delete Vserver. Failed to lookup Active Directory account. The deletion is partially complete, the
	 * volumes have been removed. Please retry later to complete the deletion.
	 */

	public static final int EVSERVER_CANT_LOOKUP_CIFS_SERVER = 18938;
	/* Cannot delete Vserver. Failed to lookup CIFS server. The deletion is partially complete,
	 * the volumes have been removed. Please retry later to complete the deletion.
	 */

	public static final int EVSERVER_CANT_REMOVE_AD_ACCOUNT = 18941;
	/* Cannot delete Vserver. Reason: The Vserver is associated with the Active Directory account. Delete
	 * the Active Directory account using the "vserver active-directory delete" command and try the operation again.
	 */

	public static final int EVSERVER_CANT_SHARE_AD_KERBEROS_ACCOUNT = 18942;
	/* The Microsoft KDC account for the Kerberos logical interface
	 * cannot be shared across Vservers.
	 */

	public static final int EVSERVER_INTERNAL_CONFIG_LOCK = 18419;
	/* Vserver configuration is locked by internal applications.  */

	public static final int EVSERVER_LOCKED_FOR_BASELINE = 18187;
	/* The requested operation on the Vserver is not permitted because the Vserver
	 * is temporarily locked from changes for recording the configuration baseline
	 */

	public static final int EVSERVER_NSSWITCH_MANDATORY = 19042;
	/* The parameter "ns-switch" is required when the effective cluster version is prior to Data ONTAP 8.3..  */

	public static final int EVSERVER_OPERATION_NOT_PERMITTED = 18188;
	/* The requested operation on the Vserver is not permitted because the
	 * Vserver configuration is locked due to one of the following conditions.
	 * The Vserver is configured as destination for Vserver DR. </li>
	 * The Vserver is configured as destination for identity preserve Vserver DR. </li>
	 * The Vserver is configured as destination for identity discard Vserver DR. </li>
	 * The Vserver is the destination of a Metrocluster Vserver relationship. </li>
	 * The management configuration for the Vserver is locked. </li>
	 */

	public static final int EVSERVER_OPERATION_SUPPORTED_ONLY_ON_DATA_TYPE_VSERVER = 19018;
	/* This operation is only supported on a data Vserver..  */

	public static final int EVSERVER_OPERATION_SUPPORTED_ON_ADMIN_AND_DATA_TYPE_VSERVER = 19045;
	/* This operation is supported on administrative and data Vservers..  */

	public static final int EVSERVER_OP_NOT_ALLOWED = 14719;
	/* The operation is not permitted on the specified vserver.  */

	public static final int EVSERVER_REMOVE_CIFS_SERVER_WITH_AD = 18939;
	/* Cannot delete Vserver. Failed to remove CIFS server. Reason: The Vserver is associated with Active
	 * Directory configured CIFS server. The deletion is partially complete. Please delete the CIFS server using
	 * cifs delete" and retry to complete the deletion.
	 */

	public static final int EVSERVER_REPOSITORY_VSERVER_QUOTA_POLICY_UNSUPPORTED = 19044;
	/* Vservers with Infinite Volume do not support quota policies..  */

	public static final int EVSERVER_SUBTYPE_NOT_SUPPORTED = 19038;
	/* Vserver with this subtype can only be created in a MetroCluster configuration..  */

	public static final int EVSERVER_SYSTEM_VSERVER_EXISTS = 19041;
	/* Failed to create the Vserver.The system Vserver with the same name exists..  */

	public static final int EVSERVER_WITH_INFINITE_VOLUMES_NOT_SUPPORTED_IN_MCC_CONFIGURATION = 19039;
	/* Vservers with Infinite Volume are not supported in a MetroCluster configuration..  */

	public static final int EVV_COMMON = 13222;
	/* The common set of offline/restrict checks failed.  */

	public static final int EWAITINGFORPARTNER = 13921;
	/* Waiting for partner recovery.  */

	public static final int EZAPI_OPERATION_IN_PROGRESS = 18115;
	/* Another operation that modifies the system is in progress.  */

	public static final int EZAPI_VOLMOVE_PHASEQUERYERR = 18349;
	/* Volume move encountered access failure.  */

	public static final int E_ADDRFAMILY = 16000;
	/* Address family for hostname not supported.  */

	public static final int E_AGAIN = 16001;
	/* Temporary failure in name resolution.  */

	public static final int E_AGGR_MIGRATE_ABORTED = 18210;
	/* Aggregate relocation/SFO giveback was aborted.  */

	public static final int E_AGGR_MIGR_NOT_INITIALIZED = 18203;
	/* Aggregate migration not initialized.  */

	public static final int E_API_OPERATION_IN_PROGRESS_ON_PARTNER = 18357;
	/* Another operation that modifies the system is in progress on the
	 * partner
	 */

	public static final int E_ARL_IN_PROGRESS = 18202;
	/* Aggregate relocation is in progress.  */

	public static final int E_ARL_IN_PROGRESS_ON_PARTNER = 18356;
	/* Aggregate relocation is in progress on the partner.  */

	public static final int E_BADFLAGS = 16002;
	/* Invalid value for ai_flags.  */

	public static final int E_BADHINTS = 16011;
	/* Invalid value for hints.  */

	public static final int E_BDFU_FAILED_AGGR_MIGRATION_DEST = 18218;
	/* Aggregate migration failed as background disk firmware update (BDFU) could not be disabled on destination node .  */

	public static final int E_BDFU_FAILED_AGGR_MIGRATION_SOURCE = 18213;
	/* Aggregate migration failed as background disk firmware update (BDFU) could not be disabled on source node .  */

	public static final int E_CANCEL_NOT_POSSIBLE = 18406;
	/* Non-disruptive update is in a state where it cannot be canceled..  */

	public static final int E_CANNOT_CREATE_PEERED_VSERVER = 18181;
	/* Cannot create a Vserver with the same name as a peer-vserver in Vserver
	 * peering table or peer vFiler unit's name in transition peering table.
	 */

	public static final int E_CANNOT_DELETE_PEERED_VSERVER = 18182;
	/* Cannot delete a Vserver that is part of Vserver peer relationship.
	 * delete the Vserver peer relationship to proceed.
	 */

	public static final int E_CANNOT_PEER_WITH_SAME_VSERVER = 18178;
	/* Can not peer with the same Vserver..  */

	public static final int E_CANNOT_RENAME_PEERED_VSERVER = 18183;
	/* Cannot rename a Vserver that is part of inter cluster Vserver peer
	 * relationship. Delete the Vserver peer relationship to proceed.
	 */

	public static final int E_CANT_DELETE_PORT_HOSTING_LIF = 18439;
	/* Cannot delete a port that is hosting a LIF..  */

	public static final int E_CANT_PEER_FLEXVOL_VSERVER_WITH_INFINITEVOL_VSERVER = 18193;
	/* Cannot establish peer relationship between a Vserver with FlexVol volumes and a
	 * Vserver with Infinite Volume. The local and peer Vservers must have the same
	 * type of volume.
	 */

	public static final int E_CAPABILITY_CHECK_FAILED = 18401;
	/* Failed to check non-disruptive upgrade automation capability..  */

	public static final int E_CAPABILITY_NOT_CLUSTERWIDE = 18400;
	/* This feature is not available until the entire cluster is
	 * upgraded to a version supporting this feature.
	 */

	public static final int E_CLUSTER_CREATE_JOIN_CANNOT_EXIT_HA_DAMAGED_MAILBOX = 18908;
	/* Cannot exit ha damaged mailbox..  */

	public static final int E_CLUSTER_CREATE_JOIN_CLUSTER_REPLICATION_NOT_AVAILABLE = 18906;
	/* Cluster replication not available..  */

	public static final int E_CLUSTER_CREATE_JOIN_ENABLE_LOCAL_AUTOSENDHOME = 18915;
	/* Unable to enable local autosendhome..  */

	public static final int E_CLUSTER_CREATE_JOIN_ENABLE_LOCAL_SFO = 18912;
	/* Unable to enable local SFO..  */

	public static final int E_CLUSTER_CREATE_JOIN_ENABLE_PARTNER_AUTOSENDHOME = 18918;
	/* Unable to enable partner autosendhome..  */

	public static final int E_CLUSTER_CREATE_JOIN_HA_SFO_ERROR = 18909;
	/* HA sfo error occurred..  */

	public static final int E_CLUSTER_CREATE_JOIN_LOCAL_AUTOSENDHOME_NOT_ENABLED = 18917;
	/* Local autosendhome not enabled..  */

	public static final int E_CLUSTER_CREATE_JOIN_NODE_OFFLINE = 18904;
	/* Can not unjoin a offline node..  */

	public static final int E_CLUSTER_CREATE_JOIN_PARTNER_AUTOSENDHOME_NOT_ENABLED = 18920;
	/* Partner autosendhome not enabled..  */

	public static final int E_CLUSTER_CREATE_JOIN_RETRIEVE_LOCAL_AFTER_ENABLE_AUTOGIVEBACK = 18916;
	/* Unable to retrieve local after enable autogiveback..  */

	public static final int E_CLUSTER_CREATE_JOIN_RETRIEVE_LOCAL_SFO = 18910;
	/* Error occurred while retrieving local SFO..  */

	public static final int E_CLUSTER_CREATE_JOIN_RETRIEVE_LOCAL_SFO_AFTER_ENABLE = 18913;
	/* Unable to retrieve local SFO afer enable..  */

	public static final int E_CLUSTER_CREATE_JOIN_RETRIEVE_PARTNER_AFTER_ENABLE_AUTOSENDHOME = 18919;
	/* iUnable to retrieve partner after enabling autosendhome..  */

	public static final int E_CLUSTER_CREATE_JOIN_RETRIEVE_PARTNER_SFO = 18911;
	/* Error occurred while retrieving partner SFO..  */

	public static final int E_CLUSTER_CREATE_JOIN_SFO_CONFIG_ENABLED = 18921;
	/* SFO config enabled..  */

	public static final int E_CLUSTER_CREATE_JOIN_SFO_NOT_ENABLED = 18914;
	/* SFO not enabled..  */

	public static final int E_CLUSTER_CREATE_JOIN_UNJOIN_NODE_NOT_IN_CLUSTER = 18900;
	/* Node is not in cluster..  */

	public static final int E_CLUSTER_CREATE_JOIN_UNJOIN_ON_SAME_NODE = 18902;
	/* Can not unjoin from the same node..  */

	public static final int E_CLUSTER_CREATE_JOIN_UNJOIN_SINGLE_NODE_CLUSTER = 18901;
	/* Can not unjoin a node from single node cluster..  */

	public static final int E_CLUSTER_HA_REQUIRES_TWO_NODES = 18907;
	/* Cluster ha need exacltly two nodes to enable..  */

	public static final int E_CLUSTER_UNJOIN_JOB_ERROR = 18905;
	/* Job error occurred while unjoining node..  */

	public static final int E_CLUSTER_WARNING_FOR_EPSILON_GOING_DOWN = 19050;
	/* The epsilon node is going out of service. This will introduce a vulnerability into the cluster. Move epsilon to another node first..  */

	public static final int E_CLUSTER_WARNING_FOR_GOING_TO_FRAGILE_QUORUM = 19051;
	/* The cluster is entering a fragile quorum state. Bring other nodes online to rectify this situation..  */

	public static final int E_CLUSTER_WARNING_FOR_GOING_TO_NO_QUORUM = 19052;
	/* The cluster is going out of quorum. Bring other nodes online to rectify this situation..  */

	public static final int E_CONNECTION_DEF_MISSING = 13103;
	/* Connection definition missing.  */

	public static final int E_DIRECTORY_CHANGED = 16512;
	/* Directory changed since last listed.  */

	public static final int E_DUPLICATE_PEER_VSERVER_NAME_FILER = 18343;
	/* Duplicate peer Vserver name. Reason: Filer with the same name exists
	 * as a peer vFiler unit's name in one of the transition peering relationships.
	 */

	public static final int E_DUPLICATE_PEER_VSERVER_NAME_VSERVER = 18342;
	/* Duplicate peer Vserver name. Reason: Vserver with the same name exists
	 * as a peer-vserver in one of the Vserver peer relationships.
	 */

	public static final int E_DUPLICATE_VSERVER_NAME_ON_PEER_CLUSTER_FILER = 18345;
	/* Duplicate Vserver name on peer Cluster. Reason: Filer with the same name exists
	 * as a peer vFiler unit's name in one of the transition peering relationships.
	 */

	public static final int E_DUPLICATE_VSERVER_NAME_ON_PEER_CLUSTER_VSERVER = 18344;
	/* Duplicate Vserver name on peer Cluster. Reason: Vserver with the same name
	 * exists as a peer-vserver in one of the Vserver peer relationships.
	 */

	public static final int E_FAILED_TO_COMMUNICATE_WITH_PEER_CLUSTER_SUGGEST_FORCE_OPTION = 18191;
	/* Failed to communicate with peer cluster. Intercluster logical interfaces (LIFs) on
	 * both the clusters must be up and cluster peering relationship must be healthy. If the
	 * remote cluster is not available, use force option to perform local processing only.
	 * The remote cluster will need to be configured manually.
	 */

	public static final int E_FAILED_TO_COMMUNICATE_WITH_PEER_CLUSTER_SUGGEST_RETRY = 18192;
	/* Failed to communicate with peer cluster. Intercluster logical interfaces (LIFs) on
	 * both the clusters must be up and cluster peering relationship must be healthy.
	 * Retry the command once clusters are able to communicate.
	 */

	public static final int E_FAILED_TO_DISABLE_BDFU_DEST = 18264;
	/* Could not disable background disk firmware updates on destination node..  */

	public static final int E_FAILED_TO_DISABLE_BDFU_SOURCE = 18263;
	/* Could not disable background disk firmware updates on source node..  */

	public static final int E_FAMILY = 16004;
	/* ai_family not supported.  */

	public static final int E_FPOLICY_CSERVER_ENGINE_WITH_SSL_NOTSUPPORTED = 19069;
	/* Using authentication with a cluster-scoped FPolicy external engine is not supported..  */

	public static final int E_FPOLICY_ENGINE_AUTH_CHECK_FAIL = 19070;
	/* One or more cluster-scoped FPolicy external engines exist with security authentication enabled in either the source or destination cluster. Delete all such FPolicy engines or modify them to disable authentication..  */

	public static final int E_FPOLICY_EXT_ENG_MODIFY_FAILED_ENABLED_POLICY = 18258;
	/* Failed to modify external engine for policy. One or
	 * more enabled policies are using the external engine.
	 */

	public static final int E_GROUP_REPARITY = 18160;
	/* RAID group is recomputing parity.  */

	public static final int E_HEADSWAP_IN_PROGRESS_ON_PARTNER = 18358;
	/* Headswap operation is in progress on the partner.  */

	public static final int E_HEAD_SWAP_IN_PROGRESS = 18208;
	/* Headswap operation is in progress.  */

	public static final int E_ILLEGAL_CACHE_RAIDSIZE = 15734;
	/* Invalid value for the cache RAID group size of hybrid-enabled aggregate..  */

	public static final int E_IMAGES_UNAVAILABLE = 18422;
	/* One or both Images are not available..  */

	public static final int E_INSUFFICIENT_STORES = 19014;
	/* Expecting two active nodes to store the downloaded package, found one active node..  */

	public static final int E_INVALID_AUTHENTICATION_PASSWORD = 18385;
	/* Authentication password does not conform to filer
	 * conventions
	 */

	public static final int E_INVALID_AUTHENTICATION_PROTOCOL = 18157;
	/* Invalid authentication protocol..  */

	public static final int E_INVALID_HA_PAIR_LIST = 18453;
	/* The list of nodes should contain HA Pairs only..  */

	public static final int E_INVALID_IFGRP_NAME = 18268;
	/* Invalid name given by user for interface group creation..  */

	public static final int E_INVALID_OPERATION_INTRA_CLUSTER = 18180;
	/* Invalid operation on Intra Cluster Vserver peer relationship..  */

	public static final int E_INVALID_PEER_VSERVERPEERING_STATE = 18168;
	/* Invalid peer Vserver peer state..  */

	public static final int E_INVALID_PORT_NAME = 18323;
	/* Invalid port given by user for LIF creation..  */

	public static final int E_INVALID_PRIVACY_PASSWORD = 18386;
	/* Privacy password does not conform to filer conventions.  */

	public static final int E_INVALID_PRIVACY_PROTOCOL = 18158;
	/* Invalid privacy protocol..  */

	public static final int E_INVALID_RULES_OBJECT = 18398;
	/* Failed to retrieve rules object for the specified version..  */

	public static final int E_INVALID_URL = 18420;
	/* Invalid URL, make sure the URL is correct..  */

	public static final int E_INVALID_VSERVERPEERING_STATE = 18167;
	/* Invalid local Vserver peer state..  */

	public static final int E_JOB_EXISTS = 18380;
	/* Cannot load the job as the job already exists. .  */

	public static final int E_LIF_NOT_FOUND = 19035;
	/* Lif not found..  */

	public static final int E_LIF_NOT_OWNED_BY_VSERVER = 19037;
	/* Lif not owned by current Vserver..  */

	public static final int E_LOCAL_VSERVERPEERING_EXISTS = 18169;
	/* Vserver peer relationship already exists on local cluster..  */

	public static final int E_LOCAL_VSERVERPEERING_NOT_EXISTS = 18165;
	/* Vserver peer relationship does not exist on local cluster..  */

	public static final int E_LOCAL_VSERVER_NOT_RUNNING_OR_STOPPED = 18340;
	/* Local Vserver should be either running or stopped..  */

	public static final int E_LOCK_NOT_SUPPORTED = 18159;
	/* Cannot lock user with non password authentication method..  */

	public static final int E_MAX = 16015;
	/* Unknown error.  */

	public static final int E_MEMORY = 16005;
	/* Memory allocation failure.  */

	public static final int E_MIRROR_RESYNC = 18161;
	/* Level-0 resync in progress.  */

	public static final int E_MOTD_CANNOT_UPDATE_IS_CLUSTER_MESSAGE_ENABLED = 19065;
	/* The is-cluster-message-enabled feature cannot be modified in a data Vserver context (tunneled to a data Vserver)..  */

	public static final int E_NETRA_CHK_FAILED = 18209;
	/* Destination is not eligible to receive the aggregate.  */

	public static final int E_NET_UI_VIFMGR_NOT_INITIALIZED = 18600;
	/* Vifmgr process is not initialized..  */

	public static final int E_NODATA = 16006;
	/* No address associated with hostname.  */

	public static final int E_NODE_NOT_SF_UP = 13958;
	/* The local node is not in SF_UP state.  */

	public static final int E_NONAME = 16007;
	/* hostname nor servname provided, or not known.  */

	public static final int E_NO_AUTHENTICATION_PASSWORD = 18383;
	/* Authentication password not supplied..  */

	public static final int E_NO_PASSWORD = 18156;
	/* Password not supplied..  */

	public static final int E_NO_PRIVACY_PASSWORD = 18384;
	/* Privacy password not supplied..  */

	public static final int E_NO_SCANNER_POOL_ACTIVE = 18707;
	/* No scanner pool active for this Vserver.  */

	public static final int E_NXDOMAIN = 16013;
	/* Domain not found.  */

	public static final int E_OA_POLICY_CANNOT_CREATE_MAX_LIMIT = 18712;
	/* Maximum number of On-Access policies already created on the Vserver..  */

	public static final int E_OA_POLICY_CANNOT_DELETE = 18702;
	/* System created On-Access policy cannot be deleted.  */

	public static final int E_OA_POLICY_EXISTS = 18700;
	/* On-Access policy already exists.  */

	public static final int E_OA_POLICY_NOT_FOUND = 18701;
	/* On-Access policy not found.  */

	public static final int E_ONLY_SCANNER_POOL_ACTIVE = 18708;
	/* Last active scanner pool for this Vserver.  */

	public static final int E_OP_DISALLOWED_ON_AGGR_NOT_IN_VSERVER_LIST = 16025;
	/* Operation disallowed on an aggregate that is not in the authorized list for the Vserver.  */

	public static final int E_OP_UNSUPPORTED_NO_SPACE_ON_DESTINATION_AGGR = 16026;
	/* Operation not supported due to insufficient space on the destination aggregate.  */

	public static final int E_PACKAGE_DELETE_IN_PROGRESS = 18416;
	/* A package delete is in progress..  */

	public static final int E_PACKAGE_EXISTS = 18408;
	/* A package image with the same name already exists..  */

	public static final int E_PACKAGE_IMAGE_COMPONENT_NOT_FOUND = 19029;
	/* Package component not found..  */

	public static final int E_PACKAGE_PROCESS_ERROR = 18421;
	/* Error in processing the package, make sure the package version and URL are correct, check the logs for more details..  */

	public static final int E_PACKAGE_STORE_IS_EMPTY = 19030;
	/* Package store is empty..  */

	public static final int E_PACKAGE_SYNCH_IN_PROGRESS = 18452;
	/* A package synchronization task is in progress.  */

	public static final int E_PARTNER_HAS_NO_SFO_AGGRS = 18215;
	/* Partner does not contain any SFO aggregates.  */

	public static final int E_PARTNER_NOT_UP = 18214;
	/* Partner not ready to serve data.  */

	public static final int E_PASSTHRU_READ_CAPABILITY_NOT_ENABLED = 18968;
	/* Cannot enable passthrough-read. Passthrough-read requires an effective cluster version of Data ONTAP 8.3 or later..  */

	public static final int E_PASSTHRU_READ_ENABLE_IN_POLICY = 18948;
	/* Policy with passthrough-read enabled cannot use an external engine
	 * which is either native or the type is asynchronous.
	 */

	public static final int E_PASSTHRU_READ_MODIFY_EXT_ENGINE = 18949;
	/* One or more Policies using the external engine have passthrough-read enabled.
	 * Passthrough-read enabled policies cannot use an external engine which is
	 * asynchronous.
	 */

	public static final int E_PAUSE_NOT_POSSIBLE = 18404;
	/* Non-disruptive update is in a state where it cannot be paused..  */

	public static final int E_PEERVSERVER_NAME_EXISTS = 18179;
	/* Duplicate Vserver name on peer cluster. The Vserver name is already
	 * in use by another peer Vserver in Vserver peering table or
	 * vfiler/pfiler in Transition Peering table.
	 */

	public static final int E_PEERVSERVER_NOT_FOUND = 18164;
	/* Peer Vserver does not exist..  */

	public static final int E_PEERVSERVER_PEERING_NOT_EXISTS = 18166;
	/* Vserver peer relationship does not exist on peer cluster..  */

	public static final int E_PEERVSERVER_SAME_LOCALVSERVER = 18175;
	/* Peer Vserver name is same as one of the local Vservers..  */

	public static final int E_PEER_RELATIONSHIP_IN_USE = 18177;
	/* Vserver peer relationship is in use..  */

	public static final int E_PEER_VSERVERPEERING_EXISTS = 18170;
	/* Vserver peer relationship already exists on peer cluster..  */

	public static final int E_PEER_VSERVER_NOT_RUNNING_OR_STOPPED = 18341;
	/* Peer Vserver should be either running or stopped..  */

	public static final int E_PKG_DELETE_TIMEOUT = 19028;
	/* Package delete operation timed out.  */

	public static final int E_PKG_DOWNLOAD_COMPLETE = 19023;
	/* Package download is successful..  */

	public static final int E_PKG_DOWNLOAD_FAILED = 19019;
	/* Package download failed..  */

	public static final int E_PKG_DOWNLOAD_NOTSTARTED = 19022;
	/* Package download is still not started..  */

	public static final int E_PKG_DOWNLOAD_RUNNING = 19020;
	/* Package download is still running..  */

	public static final int E_PKG_DOWNLOAD_TIMEOUT = 19021;
	/* Package download timedout..  */

	public static final int E_POLICY_DISABLED = 18412;
	/* The specified policy is disabled. Using a disabled policy
	 * with this command is not supported.
	 */

	public static final int E_PREDEFINED_ROLES_UNMUTABLE = 18163;
	/* Cannot modify pre-defined roles..  */

	public static final int E_PRIMARY_STORE_UNAVAILABLE = 18432;
	/* The node on which the package is stored is unavailable..  */

	public static final int E_PRIV_USER_CANNOT_BE_EMPTY = 18706;
	/* Privileged user list must have at least one user.  */

	public static final int E_PROTOCOL = 16012;
	/* Resolved protocol is unknown.  */

	public static final int E_QOS_CLONE_WITH_RANGE_PROHIBITED = 18431;
	/* QoS policy group cannot be applied to a sub clone of a file or a LUN.  */

	public static final int E_QOS_DC_VOL_TYPE_UNSUPPORTED = 18423;
	/* The QoS policy group cannot be applied to FlexCache volumes.  */

	public static final int E_QOS_FILE_ACCESS_ERROR = 18430;
	/* File cannot be accessed.  */

	public static final int E_QOS_FILE_IS_LUN = 18429;
	/* QoS policy groups cannot be applied to a file which is used as a LUN.  */

	public static final int E_QOS_GENERAL_OP_ERROR = 18334;
	/* The specified operation could not be performed on the QoS workload.  */

	public static final int E_QOS_INVALID_PG_NAME = 18332;
	/* The specified QoS policy group is invalid.  */

	public static final int E_QOS_LS_VOL_TYPE_UNSUPPORTED = 18424;
	/* The QoS policy group cannot be applies to Load Sharing volumes.  */

	public static final int E_QOS_LUN_CREATE_MODIFY = 18426;
	/* Internal errors encountered while applying a QoS policy group to a LUN.  */

	public static final int E_QOS_LUN_PG_REMOVE = 18427;
	/* Internal errors encountered while removing a LUN from a QoS policy group.  */

	public static final int E_QOS_NON_DATA_VSERVER_FOR_FLEX_PROHIBITED = 18338;
	/* The QoS policy group cannot belong to a non data Vserver.  */

	public static final int E_QOS_NO_SUCH_PG = 18331;
	/* The specified QoS policy group does not exist.  */

	public static final int E_QOS_OBJECT_OVERLAP_ERROR = 18330;
	/* Data object overlap.  */

	public static final int E_QOS_PG_ALREADY_EXISTS = 18339;
	/* The QoS policy group name by the specified name already exists.  */

	public static final int E_QOS_PG_DEL_ERROR_WKLOADS_EXIST = 18337;
	/* The QoS policy group could not be removed because there are still
	 * workloads associated with it
	 */

	public static final int E_QOS_PG_OVERLAP_PERF_MON_VOL = 18428;
	/* An external performance monitoring tool exists which is currently
	 * monitoring volumes under this Vserver due to which a QoS policy group
	 * cannot be applied to this Vserver.
	 */

	public static final int E_QOS_TOO_MANY_USER_WIDS = 18333;
	/* Too many data objects are already in QoS policy groups.  */

	public static final int E_QOS_VOL_TYPE_UNSUPPORTED = 18425;
	/* The QoS policy group cannot be applied to non Read Write volumes.  */

	public static final int E_QOS_VSERVERIZATION_VIOLATION = 18336;
	/* The QoS policy group cannot be applied to this data object since
	 * the specified object is not contained in the Vserver to which
	 * the policy group belongs
	 */

	public static final int E_QOS_VSERVERIZATION_VIOLATION_FOR_VS = 18335;
	/* The QoS policy group cannot be applied to this Vserver because
	 * the specified data object is not the Vserver to which
	 * the policy group belongs
	 */

	public static final int E_RESNULL = 16014;
	/* Argument res is NULL.  */

	public static final int E_RESUME_NOT_POSSIBLE = 18405;
	/* Non-disruptive update is in a state where it cannot be resumed..  */

	public static final int E_RSH_USER_CREATION_NOT_SUPPORTED = 18321;
	/* Cannot use "rsh" application on a data Vserver..  */

	public static final int E_SAN_MISSING_REQUIRED_LIFS = 18619;
	/* A node does not have an iSCSI or FCP LIF required to host a LUN
	 * for a Vserver.
	 */

	public static final int E_SAN_NOT_READY = 18620;
	/* The SAN subsystem is not ready for operations on a node..  */

	public static final int E_SCANNER_POOL_CANNOT_CREATE_MAX_LIMIT = 18713;
	/* Maximum number of scanner pools already created on the Vserver..  */

	public static final int E_SCANNER_POOL_EXISTS = 18703;
	/* Scanner pool already exists.  */

	public static final int E_SCANNER_POOL_NOT_FOUND = 18704;
	/* Scanner pool not found.  */

	public static final int E_SCHEDULE_IN_USE = 18950;
	/* Schedule is in use. To view a list of jobs using the schedule use the "job show -schedule <sched-name>" command..  */

	public static final int E_SENDHOME_IN_PROGRESS_ON_PARTNER = 18354;
	/* An sf-send-home operation is in progress on the partner.  */

	public static final int E_SERVER_CANNOT_BE_EMPTY = 18705;
	/* Server list must have at least one server.  */

	public static final int E_SERVICE = 16008;
	/* servname not supported for ai_socktype.  */

	public static final int E_SHUTDOWN_IN_PROGRESS_ON_PARTNER = 18355;
	/* Partner is being shutdown.  */

	public static final int E_SOCKTYPE = 16009;
	/* ai_socktype not supported.  */

	public static final int E_STORAGE_FAILOVER_DISABLED = 18217;
	/* Storage failover service is disabled.  */

	public static final int E_SYSTEM = 16010;
	/* System error returned in errno.  */

	public static final int E_TELNET_USER_CREATION_NOT_SUPPORTED = 18322;
	/* Cannot use "telnet" application on a data Vserver..  */

	public static final int E_TOO_FEW_PORTS = 19017;
	/* Not enough ports available..  */

	public static final int E_UNJOIN_JOB_UPGRADE_PREVENT_UNJOIN = 18903;
	/* Can not unjoin a node while upgrade is going on..  */

	public static final int E_UPDATE_IN_PROGRESS = 18407;
	/* An update is in progress..  */

	public static final int E_UPDATE_NOT_IN_PROGRESS = 18403;
	/* No update is in progress..  */

	public static final int E_VALIDATION_IN_PROGRESS = 18402;
	/* A validation is in progress..  */

	public static final int E_VERSION_NOT_SUPPORTED = 18399;
	/* Non-disruptive update is not supported for the specified
	 * version.
	 */

	public static final int E_VIFMGR_BROADCAST_DOMAINS_NOT_ENABLED = 18601;
	/* Capability network.broadcast_domain_and_subnet is not enabled..  */

	public static final int E_VIFMGR_BROADCAST_DOMAIN_ASSIGNMENT_DISALLOWED_IFGRP = 18606;
	/* Port cannot be assigned to a broadcast domain while it is a member of an ifgrp..  */

	public static final int E_VIFMGR_BROADCAST_DOMAIN_HOSTS_PORTS = 18609;
	/* Broadcast domain can't be removed because it has network ports assigned..  */

	public static final int E_VIFMGR_BROADCAST_DOMAIN_INVALID_MTU = 18610;
	/* The given MTU value is invalid..  */

	public static final int E_VIFMGR_BROADCAST_DOMAIN_MERGE_MTU_MISMATCH = 18965;
	/* Cannot merge broadcast domains. Reason: Broadcast domains have different MTUs..  */

	public static final int E_VIFMGR_BROADCAST_DOMAIN_NAMED_FAILOVER_GROUP_EXISTS = 19009;
	/* Cannot split broadcast domain. Reason: A failover group with this name already exists..  */

	public static final int E_VIFMGR_BROADCAST_DOMAIN_NOT_FOUND = 18604;
	/* The specified Broadcast domain not found within the specified IPspace.  */

	public static final int E_VIFMGR_BROADCAST_DOMAIN_RENAME_ENTRY_EXISTS = 18608;
	/* The new broadcast domain name given already exists..  */

	public static final int E_VIFMGR_CANNOT_ADD_TO_CLUSTER_IPSPACE = 19012;
	/* Cluster IPspace cannot contain more than one broadcast domain..  */

	public static final int E_VIFMGR_CANNOT_REMOVE_CLUSTER_BROADCAST_DOMAIN = 19011;
	/* Broadcast domain in Cluster IPspace cannot be removed..  */

	public static final int E_VIFMGR_CANNOT_RENAME_CLUSTER_BROADCAST_DOMAIN = 19010;
	/* Broadcast domain in Cluster IPspace cannot be renamed..  */

	public static final int E_VIFMGR_FAILOVER_GROUP_ALREADY_EXISTS = 18960;
	/* A failover group with the new broadcast domain name already exists..  */

	public static final int E_VIFMGR_FAILOVER_GROUP_TARGETS_NOT_IN_SPLIT_PORTS = 18961;
	/* Cannot split broadcast domain. Reason: Failover group has ports from the broadcast domain and also ports to be split..  */

	public static final int E_VIFMGR_IPSPACE_NOT_FOUND = 18603;
	/* The specified IPspace is not found..  */

	public static final int E_VIFMGR_LIFS_FAILOVER_GROUP_USES_PORTS_IN_SPLIT = 18963;
	/* Cannot split broadcast domain. Reason: Lifs hosted on ports in the broadcast domain are assigned to failover groups with ports to be split..  */

	public static final int E_VIFMGR_LIFS_FAILOVER_GROUP_USES_PORTS_NOT_SPLIT = 18962;
	/* Cannot split broadcast domain. Reason: Lifs hosted on ports to be split are assigned to failover groups with ports not to be split..  */

	public static final int E_VIFMGR_LIF_CURRENT_AND_HOME_NOT_IN_SPLIT = 19008;
	/* Cannot split broadcast domain. Reason: LIF cannot have home port and current port in different broadcast domains..  */

	public static final int E_VIFMGR_PORT_ALREADY_ASSIGNED_TO_BROADCAST_DOMAIN = 18605;
	/* The given port is already assigned to a broadcast domain..  */

	public static final int E_VIFMGR_PORT_NOT_ASSIGNED_TO_BROADCAST_DOMAIN = 18607;
	/* The given port is not assigned to a broadcast domain..  */

	public static final int E_VIFMGR_PORT_NOT_ASSIGNED_TO_SAME_BROADCAST_DOMAIN = 18966;
	/* Port not assigned to the given broadcast domain..  */

	public static final int E_VIFMGR_PORT_NOT_FOUND = 18602;
	/* The specified port is not found..  */

	public static final int E_VIFMGR_SUBNET_CONFLICTS = 18614;
	/* There is a conflict with an existing subnet..  */

	public static final int E_VIFMGR_SUBNET_EXISTS = 18616;
	/* The specified subnet already exists..  */

	public static final int E_VIFMGR_SUBNET_INVALID = 18612;
	/* The specified subnet is not valid..  */

	public static final int E_VIFMGR_SUBNET_INVALID_GATEWAY = 18613;
	/* The gateway is invalid..  */

	public static final int E_VIFMGR_SUBNET_NAME_EXISTS = 18615;
	/* The specified subnet name already exists..  */

	public static final int E_VIFMGR_SUBNET_NOT_FOUND = 18611;
	/* The specified subnet is not found..  */

	public static final int E_VIFMGR_SUBNET_RANGES_ADDRESS_IN_USE = 18618;
	/* The specified IP address range contains an address already in use by a LIF..  */

	public static final int E_VIFMGR_SUBNET_RANGES_ADDRESS_IN_USE_BY_SP = 18640;
	/* The specified IP address range contains an address already in use by the Service Processor..  */

	public static final int E_VIFMGR_SUBNET_RANGES_NOT_IN_SUBNET = 18617;
	/* The IP address range is not within the subnet..  */

	public static final int E_VIFMGR_SUBNET_USED_BY_PORTS_IN_BROADCAST_DOMAIN = 18964;
	/* Cannot split broadcast domain. Reason: Lifs hosted on ports in the broadcast domain and ports to be split use the same subnet..  */

	public static final int E_VOLUME_INACCESSIBLE = 17158;
	/* Volume is inaccessible.  */

	public static final int E_VOL_MOVE_DC_NOT_ALLOWED = 16024;
	/* A data-cache volume cannot be moved.  */

	public static final int E_VOL_MOVE_NOT_COMPATIBLE_VERSION = 16023;
	/* Volume move is unsupported between the software versions of the specified source and target nodes.  */

	public static final int E_VSCAN_CAPABILITY_NOT_ENABLED = 18709;
	/* Vscan capability is not enabled on the cluster.  */

	public static final int E_VSCAN_JOB_DELETE_FAILED = 18711;
	/* Failed to delete the Vscan job.  */

	public static final int E_VSCAN_JOB_QUEUE_FAILED = 18710;
	/* Failed to queue the Vscan job.  */

	public static final int E_VSERVERPEER_MODIFY_OP_NOT_ALLOWED = 18190;
	/* Cannot modify the peering relationship. Reason: Relationship is in either deleted
	 * or rejected state.
	 */

	public static final int E_VSERVER_CREATE_NONCONFIGURABLE_OPTIONS = 18397;
	/* Cannot configure options other than Vserver name and antivirus
	 * on-access policy for a Vserver that is being configured as
	 * destination for Vserver DR.
	 */

	public static final int E_VSERVER_TYPE_NOT_SUPPORTED = 18714;
	/* Vserver type is not supported for requested operation..  */

	public static final int E_WARN_DISK_DOWNSIZE = 18319;
	/* Operation will lead to downsizing of one or more disks.  */

	public static final int E_WARN_EXCEEDS_HALF_CLUSTER_SIZE = 18317;
	/* Operation will exceed half of the maximum volume sizes allowed on the node.  */

	public static final int E_WARN_LOW_SPARE = 18320;
	/* Operation will lead to a spares low condition.  */

	public static final int E_WARN_NEEDS_PARTITIONING = 18414;
	/* One or more selected disks will be added to a storage pool.  */

	public static final int E_WARN_NEW_RAID_GROUP = 18316;
	/* Operation will lead to creation of new raid group.  */
}
